<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred func action"
	xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl		="http://exslt.org/common"
	xmlns:sw			="http://www.swsoft.com/xsl/cp"
	xmlns:action	="http://www.swsoft.com/xsl/cp/action"
	xmlns:licensem			="http://www.swsoft.com/xsl/cp/licensem"	
	xmlns:local		="http://www.swsoft.com/xsl/cp/local"
	xmlns:cred  	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:func		="http://exslt.org/functions"	
>
	<!-- Import required modules -->
	<sw:include href="/lib/common.xsl"/>	
	<sw:include href="/lib/core/action-funcs.xsl"/>	
	<sw:include href="/lib/swa/licensem.xsl"/>	
	<!-- Import required modules -->

	<xsl:output method="xml"/>
	
	<!--
		/data
			/license[]
				/id
				/hn-eid
		
	-->
	<xsl:template match="/">
		<xsl:variable name="licenses" select="/data/license"/>
	
		<xsl:if test="action:start('licensem.update', $licenses/hn-eid)"/>
		
		<xsl:for-each select="$licenses">	
			<xsl:if test="action:run-child(
				local:refresh-license(id,hn-eid),'Refresh license','licensem.update',hn-eid
			)"/>	
		</xsl:for-each>	
		<xsl:copy-of select="action:complete('licensem.update', $licenses/hn-eid)"/>
		
	</xsl:template>

	
	<func:function name="local:refresh-license">
		<xsl:param name="id"/>
		<xsl:param name="hn-eid"/>
		<func:result>
			<xsl:call-template name="licensem:update-license-packet">
				<xsl:with-param name="license-id" select="$id"/> 
				<xsl:with-param name="hn-eid" select="$hn-eid"/> 				
			</xsl:call-template>
		</func:result>		
	</func:function>
	
		
</xsl:stylesheet>
