<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	extension-element-prefixes="sw exsl action func securitym" xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" xmlns:action="http://www.swsoft.com/xsl/cp/action"
	xmlns:local="http://www.swsoft.com/xsl/cp/local" xmlns:func="http://exslt.org/functions"
	xmlns:securitym="http://www.swsoft.com/xsl/cp/securitym">
	
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/core/action-funcs.xsl"/>		
	<sw:include href="/lib/swa/securitym.xsl"/>
	
	<xsl:template match="/">
		<xsl:variable name="role-names" select="/data/role/name"/>
		
		<xsl:if test="action:start('role.delete', $role-names)"/>
		<xsl:for-each select="/data/role">
			<xsl:variable name="name" select="name"/>
			<xsl:if
				test="action:run-child(local:delete-role(.),concat('Delete role #',$name),'role.delete',$name)"
			/>
		</xsl:for-each>
		<xsl:copy-of select="action:complete('role.delete', $role-names)"/>
	</xsl:template>
	
	<func:function name="local:delete-role">
		<xsl:param name="role"/>
		<func:result select="securitym:cmd-delete-role($role)"/>
	</func:function>
</xsl:stylesheet>
