<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	extension-element-prefixes="sw exsl action func securitym" xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:action="http://www.swsoft.com/xsl/cp/action"
	xmlns:local="http://www.swsoft.com/xsl/cp/local" 
	xmlns:func="http://exslt.org/functions"
	xmlns:securitym="http://www.swsoft.com/xsl/cp/securitym"
>
	
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/core/action-funcs.xsl"/>	
	<sw:include href="/lib/swa/securitym.xsl"/>
	
	<xsl:template match="/">
		<xsl:variable name="ra-names" select="/data/role_assignments/*/name"/>
		<xsl:variable name="scope" select="/data/scope"/>
		
		<xsl:if test="action:start('permission.delete', $ra-names)"/>
		<xsl:for-each select="/data/role_assignments/*">
			<xsl:variable name="ra-name" select="name"/>
			<xsl:if
				test="action:run-child(local:delete-role-assignment(.,$scope),concat('Delete assignment ',$ra-name),'permission.delete',$ra-name)"
			/>
		</xsl:for-each>
		<xsl:copy-of select="action:complete('permission.delete', $ra-names)"/>
	</xsl:template>
	
	<func:function name="local:delete-role-assignment">
		<xsl:param name="role-assignment"/>
		<xsl:param name="scope" select="/.."/>
		<func:result select="securitym:cmd-delete-role-assignment($role-assignment/name,$scope)"/>
	</func:function>
</xsl:stylesheet>
