<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func cookies"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:func="http://exslt.org/functions"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:cookies="http://www.swsoft.com/xsl/cp/cookies"
>
 
	<func:function name="cookies:get-cookies">
		<func:result>
			<!-- session cookie, use for vzcp and for patched version of PSA -->
			<xsl:if test="$ticket and $auth-type != 'restorepassword'  and $auth-type != 'restoreauthmpassword'">
				<cookie name="vzcpSession" Path="/"><xsl:value-of select="$ticket"/></cookie>
				<cookie name="vzcpTicket" Path="/"><xsl:value-of select="$ticketid"/></cookie>
			</xsl:if>
			<xsl:variable name="save-lang" select="$global-data/mode[@id = $activeMode]/lang/http[@tag = 'cookies']"/>
			<xsl:if test="count($save-lang)">
				<cookie name="{$save-lang}" Path="/" Max-Age="86400" Expires="never"><xsl:value-of select="$active_lang_id"/></cookie>
			</xsl:if>			
		</func:result>
	</func:function>	

</xsl:stylesheet>
