<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl" 
	exclude-result-prefixes="ui env"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:exsl="http://exslt.org/common" 
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui" 
	xmlns:env="http://www.swsoft.com/xsl/cp/env" 
	>
	
	<sw:include href="/lib/vt/env-core.xsl"/>  
    	
	<xsl:template name="sandclock">
		<!-- Sandclock Box -->
		<div id="semitransparent" class="semiTransparent" style="visibility:hidden;">&#160;</div>
		<div id="sandclock" style="display:none; position: absolute; top:150px; left:0; z-index:100">
			<table width="100%" border="0">
				<tr>
					<td align="center">
						<div class="sandClockContainer" id="loading">
							<table border="0" width="100%" class="sandClockContent">
								<tr>
									<td valign="middle"><img src="/{$theme}/images/sandclock.gif" width="32" height="32" hspace="10" align="left"/></td>
									<td valign="middle" width="100%">
										<strong>
											<sw:text>Please wait.</sw:text><br/>
											<sw:text>Loading...</sw:text>
										</strong>									
									</td>
								</tr>
							</table>
						</div>
					</td>
				</tr>
			</table>
		</div>
		<script type="text/javascript">	
		
		_disabled_arr = new Array();
		
	function showSandclock(){
		switchCombos(false);
		document.getElementById("sandclock").style.display = "block";

		s=document.getElementById('semitransparent');
		h = (document.body.clientHeight || window.innerHeight || document.documentElement.clientHeight);
		s.style.height = 	h + 'px';
		s.style.visibility = "visible";
<![CDATA[
		if(is.ie && !is.ie7){
			s=document.getElementById('loading');
			d = s.innerHTML;
			w = s.clientWidth;
			h = s.clientHeight;
	]]>
			s.innerHTML = '<iframe  src="javascript:false;" width="'+w+'" height="'+h+'" frameborder="0" marginwidth="0" marginheight="0" scrolling="no" name="loadingf"/>';
			document.frames['loadingf'].document.open();
			<![CDATA[
			document.frames['loadingf'].document.write('<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html 		xmlns="http://www.w3.org/1999/xhtml">]]><link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/><![CDATA[<head><title></title></head><body style="margin:0; padding:0">');
			document.frames['loadingf'].document.write(d);		
			document.frames['loadingf'].document.write('</body></html>');
			document.frames['loadingf'].document.close();		
			]]>
		}

	}
		
	function hideSandclock(){
		switchCombos(true);
		s=document.getElementById("sandclock");
		s.style.display = "none";
	}	
    </script>
		<!-- /Sandclock Box -->
	</xsl:template>
	<xsl:template name="head">
		<xsl:param name="javascript"/>
		<xsl:param name="custom" select="''"/>
		<head>
			<script language="JavaScript">
				<!-- Top priority JS -->
				function callTip(string_id){
					if(!top.menu)//hints in the non-framed version not supported yet
					return false;
				
					if (string_id){
						top.showTip(string_id) 
					}else{
						top.showTip('<xsl:value-of select="@id"/>');    
					}
				}
			</script>
			<title>
				<sw:text>
					<xsl:with-param name="title" select="@title"/>
					<xsl:with-param name="vename">
						<xsl:if test="not(sw:ve-eid() = $env:empty-eid)">
							- <xsl:value-of select="env:eid2info(sw:ve-eid())/title"/>
						</xsl:if>
					</xsl:with-param>
          				%{title} %{vename}
				</sw:text>
			</title>
			<link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/>
			<link rel="stylesheet" type="text/css" href="/{$theme}/plesk.css"/>
			<link rel="shortcut icon" href="/favicon.ico"/>
			<xsl:call-template name="javascript">
				<xsl:with-param name="javascript">
					<xsl:copy-of select="exsl:node-set($javascript)"/>
					<!-- Manadatory script for vz frameset -->
          function callPageTitle(){
            top.setPageTitle('<xsl:value-of select="sw:html-escape(@title,'escape-quote')"/>');
          } 
		  
          //help in popup
          function callHelp(){
            open_help('<xsl:value-of select="$baseurl"/>/help?topic=<xsl:value-of select="@id"/>')
          }
        </xsl:with-param>
			</xsl:call-template>
			<xsl:copy-of select="$custom"/>
		</head>
	</xsl:template>
	<xsl:template name="body-tag-open">
		<xsl:variable name="background-style">
			<xsl:if test="$skinObj/background and @bg">
				<xsl:text>background-attachment:fixed; background-position: right bottom;background-repeat: no-repeat;background-image: </xsl:text>
				<xsl:value-of select="concat('url(/',$theme,'/images/bg_', @bg, '.gif);')"/>
			</xsl:if>
		</xsl:variable>
		<!-- open body tag -->
		<sw:text lang="C">&lt;body</sw:text> onload="onLoadMux();" style="<xsl:value-of select="$background-style"/>"<sw:text lang="C">&gt;</sw:text>
	</xsl:template>
	<xsl:template name="body-tag-close">
		<sw:text lang="C">&lt;/body&gt;</sw:text>
	</xsl:template>
	<!-- provide javascript for page -->
	<xsl:template name="javascript">
		<script type="text/javascript" src="/vz/js/toolbar_utils.js"/>
		<script type="text/javascript" src="/vz/js/common_script.js"/>
		<script type="text/javascript" src="/vz/js/vzcp_script.js"/>
		<script type="text/javascript" src="/vz/js/browser.js"/>

		<xsl:for-each select="ui:properties/ui:include-js">
			<script type="text/javascript" src="/vz/js/{.}"/>
		</xsl:for-each>
		<!-- additional javascript -->
		<xsl:if test="ui:properties/ui:javascript">
			<script type="text/javascript">
				<xsl:copy-of select="/ui:javascript/child::node()"/>
		relocate_tips();
      </script>
		</xsl:if>
		<!-- additional javascript -->
		<xsl:if test="ui:properties/ui:javascript">
			<script type="text/javascript">
				<xsl:copy-of select="/ui:javascript/child::node()"/>
			</script>
		</xsl:if>
		<xsl:if test="$javascript">
			<script type="text/javascript">
				<xsl:copy-of select="$javascript"/>
			</script>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
