<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl html"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:html="http://www.swsoft.com/xsl/cp/html"
  xmlns:here="http://www.swsoft.com/xsl/cp/here"
>
	<xsl:template match="ui:vz-app-selector" mode="plesk">
		<xsl:call-template name="here:vz-app-selector">
			<xsl:with-param name="mode" select="'plesk'"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template match="ui:vz-app-selector" mode="vzcp">
		<xsl:call-template name="here:vz-app-selector">
			<xsl:with-param name="mode" select="'vzcp'"/>
		</xsl:call-template>
	</xsl:template>
	
  <xsl:template name="here:vz-app-selector">
  	<xsl:param name="mode"/>
  	
  	<xsl:variable name="setup" select="ui:setup"/>
  	<xsl:variable name="apps" select="ui:apps/*"/>
  	
  	<xsl:variable name="av-apps" select="$apps[not(ui:selected)]"/>
  	<xsl:variable name="sel-apps" select="$apps[ui:selected]"/>
  	
  	<table cellpadding="0" cellspacing="0" border="0" style="margin-bottom:10px">
  		<xsl:call-template name="html:calc-width">
				<xsl:with-param name="control" select="."/>
			</xsl:call-template>	
  		<tr>
				<!-- Show Available Apps -->
				<td width="50%"  valign="top">
          <fieldset class="applications">
            <legend>
						<input type="checkbox" id="check-apps-available" onclick="browseCheckAll(this,'apps-available')" style="margin-right:8px">
							<xsl:if test="count($av-apps)=0"><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
						</input>
							<xsl:value-of select="$setup/ui:captions/ui:available"/>							
							<span id="av_counter">(<xsl:value-of select="count($av-apps)"/>)</span>
            </legend>
            <xsl:call-template name="here:show-apps-available">            	
            	<xsl:with-param name="setup" select="$setup"/>
            	<xsl:with-param name="apps" select="$apps"/>
            	<xsl:with-param name="av-apps" select="$av-apps"/>
            </xsl:call-template>
          </fieldset>
				</td>
				<td align="center">
					<table valign="top" align="center" border="0">
						<tr>
							<td>
							<xsl:call-template name="here:post-button">
								<xsl:with-param name="mode" select="$mode"/>
								<xsl:with-param name="btns">
									<ui:button name="add" type="short" onclick="move(1);return false;"
										tip="{$setup/ui:tips/ui:add}"
										>&gt;&gt;</ui:button>
								</xsl:with-param>
							</xsl:call-template>
							</td>
						</tr>
						<tr>
							<td><img src="/{$theme}/images/1x1.gif" width="1" height="10"/></td>
						</tr>
						<tr>
							<td>
							<xsl:call-template name="here:post-button">
								<xsl:with-param name="mode" select="$mode"/>
								<xsl:with-param name="btns">
									<ui:button name="remove" type="short" onclick="move(0);return false;"
										tip="{$setup/ui:tips/ui:remove}"
										>&lt;&lt;</ui:button>
								</xsl:with-param>
							</xsl:call-template>
							</td>
						</tr>		
						<tr>
							<td><img src="/{$theme}/images/1x1.gif" width="1" height="30"/></td>
						</tr>
						<xsl:if test="$setup/ui:linux and not($setup/ui:newpkgm or $setup/ui:no-resolve)">
							<tr>
								<td>
								<xsl:call-template name="here:post-button">
									<xsl:with-param name="mode" select="$mode"/>
									<xsl:with-param name="btns">
										<ui:button name="resolve" type="short" onclick="resolveApps();return false;"
											tip="resolve_app_deps"
											>Resolve</ui:button>
									</xsl:with-param>
								</xsl:call-template>
								</td>
							</tr>								
						</xsl:if>
					</table><br/>					
					<img src="/{$theme}/images/1x1.gif" width="120" height="1"/>
				</td>
				<!-- Show Selected Apps -->
				<td width="50%" valign="top">
          <fieldset class="applications"> 
            <legend>
						<input type="checkbox" id="check-apps-selected" onclick="browseCheckAll(this,'apps-selected')" style="margin-right:8px">
							<xsl:if test="count($sel-apps)=0"><xsl:attribute name="disabled">true</xsl:attribute></xsl:if>
						</input>
						  <xsl:value-of select="$setup/ui:captions/ui:selected"/>						  
							<span id="sel_counter">(<xsl:value-of select="count($sel-apps)"/>)</span>                        
            </legend>                                         
					  <xsl:call-template name="here:show-apps-selected">            	
            	<xsl:with-param name="setup" select="$setup"/>
            	<xsl:with-param name="apps" select="$apps"/>
            	<xsl:with-param name="sel-apps" select="$sel-apps"/>
            </xsl:call-template>
          </fieldset>                        
				</td>
				<td><img src="/{$theme}/images/1x1.gif" width="16" height="1"/></td>
			</tr>
		</table>
		<script type="text/javascript">	
		<![CDATA[
		function move_one(id,value){
			document.getElementById('s'+id).className=value?'hidden':'dotSeparated';
			document.getElementById('app_'+id).value=value;
			document.getElementById('d'+id).className=value?'dotSeparated':'hidden';
			apps_sel_counter+=value?1:-1;
			apps_av_counter+=value?-1:1;			
		}
		
		function move(value){
			document.getElementById('check-apps-available').checked=false;
			document.getElementById('check-apps-selected').checked=false;
			
			var old_apps_av_counter = apps_av_counter;
			var old_apps_sel_counter = apps_sel_counter;
			var last_d_id = 0;
			var last_s_id = 0;
		]]>
			<xsl:for-each select="$apps">
				<xsl:variable name="id" select="position()"/>
				c=document.getElementById((value==1?'s':'d')+'c<xsl:value-of select="$id"/>');
				if(c.checked &amp;&amp; document.getElementById((value==1?'s':'d')+'<xsl:value-of select="$id"/>').className != 'hidden' ){					
					c.checked=false;		
					move_one('<xsl:value-of select="$id"/>',value);
				};
			</xsl:for-each>
		
			//Find the last visible elements
			for(i=1;i &lt;=<xsl:value-of select="count($apps)"/>  ;i++){
				if (document.getElementById('d'+i).className != 'hidden'){
					document.getElementById('d'+i).className = 'dotSeparated';
					last_d_id = i;
				}
				if (document.getElementById('s'+i).className != 'hidden'){
					document.getElementById('s'+i).className = 'dotSeparated';
					last_s_id = i;
				}
			}
			//remove separation line from the last elements
			if (last_d_id) document.getElementById('d'+last_d_id).className = 'block';
			if (last_s_id) document.getElementById('s'+last_s_id).className = 'block';
		<![CDATA[							
			if( old_apps_av_counter>0 && apps_av_counter==0  ){
				document.getElementById('apps_av_none').className='block';
			}
			if( old_apps_av_counter==0 && apps_av_counter>0){
				document.getElementById('apps_av_none').className='hidden';
			}
			if(old_apps_sel_counter>0 && apps_sel_counter==0){
				document.getElementById('apps_sel_none').className='block';
			}
			if(old_apps_sel_counter==0 && apps_sel_counter>0){
				document.getElementById('apps_sel_none').className='hidden';
			}
			appRefreshCounters();
			document.getElementById('check-apps-available').disabled=apps_av_counter>0?false:true;
			document.getElementById('check-apps-selected').disabled=apps_sel_counter>0?false:true;
		}
		function appRefreshCounters(){
			document.getElementById('av_counter').innerHTML='('+apps_av_counter+')';
			document.getElementById('sel_counter').innerHTML='('+apps_sel_counter+')';
		}
	]]>
	</script>
		
  </xsl:template>
  
  <xsl:template name="here:show-apps-available">
 		<xsl:param name="setup"/>
 		<xsl:param name="apps"/>
 		<xsl:param name="av-apps"/>
 		<!--|-->		
		<div class="applications">
		<xsl:for-each select="$apps">
			<xsl:sort select="sw:uc(ui:name)"/>
			<xsl:variable name="name" select="string(ui:name)"/>
			<xsl:variable name="app-id" select="string(ui:id)"/>
			<xsl:variable name="id" select="position()"/>
			<div id="s{$id}">
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="ui:selected">hidden</xsl:when>
						<xsl:when test="count(following-sibling::*[not(ui:selected)]) != 0">dotSeparated</xsl:when>
						<xsl:otherwise>block</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<table width="100%" border="0" cellpadding="2">
					<tr onmouseover="callTip('{$setup/ui:tips/ui:check-add}',event)" onmouseout="callTip('')">
						<td rowspan="2" valign="top">
							<input type="checkbox" id="sc{$id}" name="apps-available" onchange="document.getElementById('check-apps-available').checked=false"/>
						</td>
						<td width="100%"><b><label for="sc{$id}"><xsl:value-of select="$name"/></label></b></td>
					</tr>
					<tr>
						<td>
							<xsl:choose>
								<xsl:when test="ui:app-not-installed">	
									<!-- show warning -->
									<table width="100%" border="0">
										<tr>
											<td>								
												<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0" onmouseover="callTip('app_not_installed',event)" onmouseout="callTip()"/>
											</td>
											<td>
												<sw:text>Warning! The application is not installed on the Hardware Node!</sw:text>
											</td>
										</tr>
									</table>
									<!-- /show warning -->
								</xsl:when>
								<xsl:when test="ui:app-gen-wrong = 'ez'">
									<xsl:value-of select="ui:description"/>									
									<!-- show warning -->
									<table width="100%" border="0">
										<tr>
											<td>								
												<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0" onmouseover="callTip('app_not_installed',event)" onmouseout="callTip()"/>
											</td>
											<td>
												<sw:text>Warning! This application is based on an EZ template and is not compatible with the current operating system based on a standard template!</sw:text>
											</td>
										</tr>
									</table>
									<!-- /show warning -->
								</xsl:when>
								<xsl:when test="ui:app-gen-wrong = 'standard'">
									<xsl:value-of select="ui:description"/>
									<!-- show warning -->
									<table width="100%" border="0">
										<tr>
											<td>
												<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0" onmouseover="callTip('app_not_installed',event)" onmouseout="callTip()"/>
											</td>
											<td>
												<sw:text>Warning! This application is based on a standard template and is not compatible with the current operating system based on an EZ template!</sw:text>
											</td>
										</tr>
									</table>
									<!-- /show warning -->
								</xsl:when>								
								<xsl:when test="ui:app-os-wrong">	
									<xsl:value-of select="ui:description"/>								
									<!-- show warning -->
									<table width="100%" border="0">
										<tr>
											<td>								
												<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0" onmouseover="callTip('app_not_installed',event)" onmouseout="callTip()"/>
											</td>
											<td>
												<sw:text>Warning! This application is not compatible with the current operating system!</sw:text>
											</td>
										</tr>
									</table>
									<!-- /show warning -->
								</xsl:when>								
								<xsl:otherwise>
									<xsl:value-of select="ui:description"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</table>
			</div>
		</xsl:for-each>
		<div id="apps_av_none">
			<xsl:if test="count($av-apps)!=0">
				<xsl:attribute name="class">hidden</xsl:attribute>
			</xsl:if>
			<table width="100%" border="0" cellpadding="2">
				<tr><td align="center">
					<xsl:value-of select="$setup/ui:captions/ui:no-available"/>
				</td></tr>
			</table>
		</div>
		</div>
		<script type="text/javascript">
			apps_av_counter=<xsl:value-of select="count($av-apps)"/>;
		</script>
		<!--|--> 	
	</xsl:template>

	<xsl:template name="here:show-apps-selected">	
 		<xsl:param name="setup"/>
 		<xsl:param name="apps"/>
 		<xsl:param name="sel-apps"/>			 		
 		<!--|--> 		
		<div class="applications">
		<xsl:for-each select="$apps">
			<xsl:sort select="sw:uc(ui:name)"/>
			<xsl:variable name="name" select="string(ui:name)"/>
			<xsl:variable name="app-id" select="string(ui:id)"/>
			<xsl:variable name="id" select="position()"/>
			<input type="hidden" id="app_{$id}" name="app_{$id}" value="{sw:if(ui:selected,1,0)}"/>
			<input type="hidden" id="base_{$id}" name="base_{$id}" value="{$app-id}"/>
			<div id="d{$id}">
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="not(ui:selected)">hidden</xsl:when>
						<xsl:when test="count(following-sibling::*[ui:selected]) != 0">dotSeparated</xsl:when>
						<xsl:otherwise>block</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<table width="100%" border="0" cellpadding="2">
					<!-- Show Name -->
					<tr onmouseover="callTip('{$setup/ui:tips/ui:check-remove}',event)" onmouseout="callTip('')">
						<td rowspan="2" valign="top">
							<input type="checkbox" id="dc{$id}" name="apps-selected" onchange="document.getElementById('check-apps-selected').checked=false">
								<xsl:if test="$setup/ui:disable-deinstall and ui:selected">
									<xsl:attribute name="disabled"/>
								</xsl:if>
							</input>
						</td>
						<td width="100%"><b><label for="dc{$id}"><xsl:value-of select="$name"/></label></b></td>
					</tr>
					<tr>
						<td>
							<xsl:choose>
								<xsl:when test="ui:app-not-installed">	
									<!-- show warning -->
									<table width="100%" border="0">
										<tr>
											<td>								
												<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0" onmouseover="callTip('app_not_installed',event)" onmouseout="callTip()"/>
											</td>
											<td>
												<sw:text>Warning! The application is not installed on the Hardware Node!</sw:text>
											</td>
										</tr>
									</table>
									<!-- /show warning -->
								</xsl:when>
								<xsl:when test="ui:app-gen-wrong = 'ez'">
									<xsl:value-of select="ui:description"/>									
									<!-- show warning -->
									<table width="100%" border="0">
										<tr>
											<td>								
												<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0" onmouseover="callTip('app_not_installed',event)" onmouseout="callTip()"/>
											</td>
											<td>
												<sw:text>Warning! This application is based on an EZ template and is not compatible with the current operating system based on a standard template!</sw:text>
											</td>
										</tr>
									</table>
									<!-- /show warning -->
								</xsl:when>
								<xsl:when test="ui:app-gen-wrong = 'standard'">
									<xsl:value-of select="ui:description"/>
									<!-- show warning -->
									<table width="100%" border="0">
										<tr>
											<td>
												<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0" onmouseover="callTip('app_not_installed',event)" onmouseout="callTip()"/>
											</td>
											<td>
												<sw:text>Warning! This application is based on a standard template and is not compatible with the current operating system based on an EZ template!</sw:text>
											</td>
										</tr>
									</table>
									<!-- /show warning -->
								</xsl:when>								
								<xsl:when test="ui:app-os-wrong">	
									<xsl:value-of select="ui:description"/>								
									<!-- show warning -->
									<table width="100%" border="0">
										<tr>
											<td>								
												<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0" onmouseover="callTip('app_not_installed',event)" onmouseout="callTip()"/>
											</td>
											<td>
												<sw:text>Warning! This application is not compatible with the current operating system!</sw:text>
											</td>
										</tr>
									</table>
									<!-- /show warning -->
								</xsl:when>								
								<xsl:otherwise>
									<xsl:value-of select="ui:description"/>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
					<!-- Show Version -->
					<xsl:choose>
						<xsl:when test="not($setup/ui:newpkgm)">
							<tr>
								<td> </td>
								<td><sw:text>Version</sw:text>&#160;
									<select class="FlatSelect" style="font-size: 10 px;" id="app_ver_{$id}" name="app_ver_{$id}">
										<xsl:for-each select="ui:version">
											<xsl:variable name="ver-id" select="ui:id"/>
											<option value="{$ver-id}">
												<xsl:if test="ui:default">
													<xsl:attribute name="selected">1</xsl:attribute>
												</xsl:if>
												<xsl:value-of select="ui:name"/>
											</option>
										</xsl:for-each>									
									</select>
								</td>							
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<input type="hidden" id="app_ver_{$id}" name="app_ver_{$id}" value="{ui:version[1]/ui:id}"/>
						</xsl:otherwise>
					</xsl:choose>
					<!-- /Show Version -->						
				</table>
			</div>
		</xsl:for-each>
		<div id="apps_sel_none">
			<xsl:if test="count($sel-apps)!=0">
				<xsl:attribute name="class">hidden</xsl:attribute>
			</xsl:if>
			<table width="100%" border="0" cellpadding="2">
				<tr><td align="center">
					<xsl:value-of select="$setup/ui:captions/ui:no-selected"/>
				</td></tr>
			</table>
		</div>
		</div>
		<script type="text/javascript">	
			apps_sel_counter=<xsl:value-of select="count($sel-apps)"/>;
			
			<!-- Cycle on all Apps -->
			var reqs = new Array();
			<xsl:for-each select="$apps">
				<xsl:sort select="sw:uc(ui:name)"/>
				<xsl:variable name="pos" select="position()"/>
				<xsl:variable name="name" select="ui:name"/>
				<!-- | -->
				<!-- We need version with some dependency -->
				<xsl:for-each select="ui:version">
					<xsl:variable name="version" select="ui:id"/>
					// <xsl:value-of select="$name"/>
					deps = new Array();
					<!-- Cycle on dependency -->
					<xsl:for-each select="ui:dependency">
						<xsl:sort select="sw:uc(ui:name)"/>
						<xsl:variable name="req-name" select="ui:name"/>
						<!-- Try to find position of dependency -->
						<xsl:variable name="req-pos">
							<xsl:for-each select="$apps">
								<xsl:if test="ui:name=$req-name">
									<xsl:value-of select="position()"/>
								</xsl:if>
							</xsl:for-each>
						</xsl:variable>
						deps[deps.length] = 	new Array(
								'<xsl:value-of select="$req-pos"/>'
								,'<xsl:value-of select="ui:version"/>'
								,'<xsl:value-of select="$req-name"/>'
						);
					</xsl:for-each>
						
					reqs[reqs.length]= new Array(
						<xsl:value-of select="$pos"/>
						,'<xsl:value-of select="$name"/>'
						,'<xsl:value-of select="$version"/>'
						,deps
						,<xsl:value-of select="sw:if(ui:app-not-installed,0,1)"/>
					);
				</xsl:for-each>
				
			</xsl:for-each>
			
			<!-- reslove dependencies -->
			function resolveApps(){
					
				var deps=0;
				var notinstalled='';
				for(i=0;i!=reqs.length;i++){
					var pos = reqs[i][0];
					var e = document.getElementById('app_'+pos);
					var ev = document.getElementById('app_ver_'+pos);
					//
					if(e &amp;&amp; ev &amp;&amp; e.value==1){
						if(reqs[i][4]==0){
							// version was not installed
							if(notinstalled!=''){
								notinstalled=notinstalled+"\n";
							}
							notinstalled=notinstalled+' - '+reqs[i][1]+' <xsl:value-of select="sw:html-escape(sw:text('is not installed on the HN.'),'escape-quote')"/>';
						}else{
							if(ev.options &amp;&amp; ev.options[ev.selectedIndex].value==reqs[i][2]){
								//
								for(di=0;di!=reqs[i][3].length;di++){
									var d = reqs[i][3][di];
									if(d[0]==''){
										// version was not installed
										if(notinstalled!=''){
											notinstalled=notinstalled+"\n";
										}
										notinstalled=notinstalled+' - '+d[2]+' <xsl:value-of select="sw:html-escape(sw:text('is not installed on the HN.'),'escape-quote')"/>';
									}else{
										if(document.getElementById('app_'+d[0]).value!=1  ){
											move_one(d[0],1);
											deps++;
										}
									}
								}
								//
							}
						}
						//
					}
					//
				}
				
				if(notinstalled!=''){
					notinstalled = "<sw:text>Attention!</sw:text>\n\n"+notinstalled;
				}
				
				if(!deps){
					if(notinstalled!=''){
						alert(notinstalled);
					}else{
						alert('<xsl:value-of select="sw:html-escape(sw:text('The resolution has been successful. The applications do not violate any dependencies.'),'escape-quote')"/>');
					}
				}else{
					appRefreshCounters();
					if(notinstalled!=''){
						alert(notinstalled);
					}
				}
			}
			<!-- check requires -->
			function checkApps(){
				var errors='';
				var notinstalled='';
				for(i=0;i!=reqs.length;i++){
					var pos = reqs[i][0];
					var e = document.getElementById('app_'+pos);
					var ev = document.getElementById('app_ver_'+pos);
					var deps='';
					//
					if(e &amp;&amp; ev &amp;&amp; e.value==1){
						if(reqs[i][4]==0){
							// version was not installed
							if(notinstalled!=''){
								notinstalled=notinstalled+"\n";
							}
							notinstalled=notinstalled+' - '+reqs[i][1]+' <xsl:value-of select="sw:html-escape(sw:text('is not installed on the HN.'),'escape-quote')"/>';
						}else{
							if(ev.options &amp;&amp; ev.options[ev.selectedIndex].value==reqs[i][2]){
								//
								for(di=0;di!=reqs[i][3].length;di++){
									var d = reqs[i][3][di];
									if(d[0]=='' || document.getElementById('app_'+d[0]).value!=1  ){
										deps = deps + '  -  '+d[2];
										if(d[1]!=''){
											deps = deps +'/'+d[1];
										}
										deps = deps + "\n";
									}
								}
								if(deps!=''){
									errors = errors + reqs[i][1] + (reqs[i][2]!=''?('/'+reqs[i][2]):'') + " needs the following applications " + "\n" + deps;
								}
							}
						}
						//
					}
					//
				}

				if(errors!=''){
					var r1 = '\n\n' + errors + '\n';
					var r2 = '\n\n';
					var msg='';
					if(notinstalled!='' ){
						var r3 = '\n'+notinstalled+'\n\n';
						<xsl:variable name="msg">
							<sw:text>You have some unresolved dependencies:#{replace}You can click the "Resolve" button to resolve them automatically.%{replace}You have some other errors as well:#{replace}Are you sure you want to continue without resolving the dependencies?</sw:text>
						</xsl:variable>
						msg = multiReplace('<xsl:value-of select="sw:html-escape($msg,'escape-quote')"/>',r1,r2,r3);
					}else{
					<xsl:variable name="msg2">
						<sw:text>You have some unresolved dependencies:#{replace}You can click the "Resolve" button to resolve them automatically.#{replace}Are you sure you want to continue without resolving the dependencies?</sw:text>
					</xsl:variable>
					msg = multiReplace('<xsl:value-of select="sw:html-escape($msg2,'escape-quote')"/>', r1,r2);
					}
					return confirm(msg);						
				}
				if(notinstalled!='' ){
					var r1 = '\n'+notinstalled+'\n\n';
					<xsl:variable name="msg3">
						<sw:text>You have some errors:#{replace}Are you sure you want to continue with the current application selection?</sw:text>
					</xsl:variable>
					var msg = multiReplace('<xsl:value-of select="sw:html-escape($msg3,'escape-quote')"/>',r1);
					return confirm(msg);						
				}
				return true;
			}
		</script>
 	</xsl:template>

	<xsl:template name="here:post-button">
		<xsl:param name="btns"/>
		<xsl:param name="mode"/>			
		<xsl:if test="$mode='plesk'">
			<xsl:apply-templates select="exsl:node-set($btns)/*" mode="plesk"/>
		</xsl:if> 	
		<xsl:if test="$mode='vzcp'">
			<xsl:apply-templates select="exsl:node-set($btns)/*" mode="vzcp"/>
		</xsl:if> 	
	</xsl:template>
	
  
</xsl:stylesheet>
