<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw voc exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:voc="http://www.swsoft.com/xsl/cp/voc"
  xmlns:ui	="http://www.swsoft.com/xsl/cp/ui"  	
  >

<xsl:template match="ui:favorites">
	<xsl:choose>	
		<xsl:when test="ui:favorite-item">
			<table cellpadding="2" cellspacing="0" border="0" width="100%" id="content_favs_{@id}" class="favList">
				<xsl:apply-templates select="ui:favorite-item"/>
			</table>					
		</xsl:when>
		<xsl:otherwise>
			<div id="content_favs_{@id}" class="favEmpty">
				No favorites yet
			</div>
		</xsl:otherwise>
	</xsl:choose>
	<div id="fav_loading_{@id}" style="display:none; clear:both">
		&#160;<img width="16" border="0" height="16" src="/{$theme}/icons/indicator.gif"/>&#160;<sw:text>Loading</sw:text>&#160;
	</div>					
</xsl:template>

<xsl:template match="ui:favorite-item">
	<tr>
		<xsl:attribute name="class">
			<xsl:choose>
				<xsl:when test="position() mod 2">EvenRow</xsl:when>
				<xsl:otherwise>OddRow</xsl:otherwise>				
			</xsl:choose>
		</xsl:attribute>
		<td id="cell-{@id}">
			<span class="commentView">
				<a id="link-{@id}" href="{ui:fav-link/@href}"><xsl:value-of select="ui:fav-link"/></a>
			</span>
			<span class="commentEdit">
				<xsl:value-of select="ui:fav-link"/>
			</span>
		</td>
		<td>
			<span class="commentView"><xsl:value-of select="ui:fav-note"/></span>
			<span class="commentEdit">
				<input id="{@id}" name="{../@id}-comment" value="{ui:fav-note}" size="50"/>&#160;
				<a href="/" onclick="delete_fav('{@id}');return false"><img id="img-{@id}" src="/{$theme}/icons/del_red.gif" width="16" height="16"/></a>
			</span>
		</td>
	</tr>	
</xsl:template>

</xsl:stylesheet>
