<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"  
  xmlns:html="http://www.swsoft.com/xsl/cp/html"
  xmlns:func="http://exslt.org/functions"
  >

	<xsl:template match="fwm-status">
    <xsl:variable name="icon">
      <xsl:choose>
        <xsl:when test=". = 1">autostart_yes</xsl:when>
        <xsl:otherwise>autostart_no</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    
    <xsl:variable name="tip">
      <xsl:choose>
        <xsl:when test=". = 1">fwm_rule_is_enabled</xsl:when>
        <xsl:otherwise>fwm_rule_is_disabled</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <img src="/{$theme}/icons/{$icon}.gif" width="16" height="16" hspace="5" onmouseover="callTip('{$tip}',event)" onmouseout="callTip()"/>
  </xsl:template>

	<xsl:template match="fwm-rule-move">
    <xsl:variable name="up_icon" 		select="'item-up'"/>
    <xsl:variable name="down_icon"	select="'item-down'"/>
    <xsl:variable name="up_tip"			select="'fwm_rule_up'"/>
    <xsl:variable name="down_tip"		select="'fwm_rule_down'"/>

    <xsl:variable name="up_icon_disabled" 		select="'item-up-disabled'"/>
    <xsl:variable name="down_icon_disabled"		select="'item-down-disabled'"/>
    <xsl:variable name="up_tip_disabled"			select="'fwm_rule_up_disabled'"/>
    <xsl:variable name="down_tip_disabled"		select="'fwm_rule_down_disabled'"/>

		<xsl:variable name="down_tip_disabled_for_default"	select="'fwm_rule_down_disabled_for_default'"/>
		<xsl:variable name="up_tip_disabled_for_default"		select="'fwm_rule_up_disabled_for_default'"/>

		<xsl:variable name="tab" select="../../../ui:cookies/tab"/>
		<xsl:choose>
			<xsl:when test=". = 'first'">
				<!-- only down available -->
				<nobr>
				<img src="/{$theme}/icons/{$up_icon_disabled}.gif" width="16" height="16" hspace="1" onmouseover="callTip('{$up_tip_disabled}',event)" onmouseout="callTip()"/><a href="{$baseurl}/vzdir/infrman/envs/fwm/fwm?tab={$tab}&amp;move-rule-uniq-id={../fwm-rule-uniq-id}&amp;direction=down"><img src="/{$theme}/icons/{$down_icon}.gif" width="16" height="16" hspace="1" onmouseover="callTip('{$down_tip}',event)" onmouseout="callTip()"/></a>
				</nobr>				
			</xsl:when>
			<xsl:when test=". = 'last'">
				<!-- only up available -->
				<nobr>
				<a href="{$baseurl}/vzdir/infrman/envs/fwm/fwm?tab={$tab}&amp;move-rule-uniq-id={../fwm-rule-uniq-id}&amp;direction=up"><img src="/{$theme}/icons/{$up_icon}.gif" width="16" height="16" hspace="1" onmouseover="callTip('{$up_tip}',event)" onmouseout="callTip()"/></a><img src="/{$theme}/icons/{$down_icon_disabled}.gif" width="16" height="16" hspace="1" onmouseover="callTip('{$down_tip_disabled}',event)" onmouseout="callTip()"/>
				</nobr>				
			</xsl:when>
			<xsl:when test=". = 'none'">
				<nobr>
					<img src="/{$theme}/icons/{$up_icon_disabled}.gif" width="16" height="16" hspace="1" onmouseover="callTip('{$up_tip_disabled_for_default}',event)" onmouseout="callTip()"/><img src="/{$theme}/icons/{$down_icon_disabled}.gif" width="16" height="16" hspace="1" onmouseover="callTip('{$down_tip_disabled_for_default}',event)" onmouseout="callTip()"/>
				</nobr>
			</xsl:when>
			<xsl:otherwise>
				<nobr>
					<a href="{$baseurl}/vzdir/infrman/envs/fwm/fwm?tab={$tab}&amp;move-rule-uniq-id={../fwm-rule-uniq-id}&amp;direction=up"><img src="/{$theme}/icons/{$up_icon}.gif" width="16" height="16" hspace="1" onmouseover="callTip('{$up_tip}',event)" onmouseout="callTip()"/></a><a href="{$baseurl}/vzdir/infrman/envs/fwm/fwm?tab={$tab}&amp;move-rule-uniq-id={../fwm-rule-uniq-id}&amp;direction=down"><img src="/{$theme}/icons/{$down_icon}.gif" width="16" height="16" hspace="1" onmouseover="callTip('{$down_tip}',event)" onmouseout="callTip()"/></a>
				</nobr>	
			</xsl:otherwise>
		</xsl:choose>
  </xsl:template>

</xsl:stylesheet>
