<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"  
  xmlns:html="http://www.swsoft.com/xsl/cp/html"
  xmlns:func="http://exslt.org/functions"
  >

	<xsl:template match="service-state">
    <xsl:variable name="xinetd-state" select="../../../ui:cookies/xinetd-state"/>
    <xsl:choose>
			<xsl:when test="not(../xinetd)">
				<xsl:choose>
					<xsl:when test="state = 1">
		        <img onmouseover="callTip('srv_sysv_running_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/srv_running.gif" height="16" width="16" alt="{sw:text('Running')}" title="{sw:text('Running')}"/>&#160;<xsl:value-of select="sw:text('Running')"/>
					</xsl:when>
		      <xsl:when test="state = 0">
    		    <img onmouseover="callTip('srv_sysv_stopped_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/srv_stopped.gif" height="16" width="16" alt="{sw:text('Stopped')}" title="{sw:text('Stopped')}"/>&#160;<xsl:value-of select="sw:text('Stopped')"/>
					</xsl:when>
		      <xsl:otherwise>
		        <span class="fieldComment" onmouseover="callTip('srv_sysv_na_icon',event)" onmouseout="callTip()">N/A</span>
    		  </xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="../xinetd">
				<xsl:choose>
					<xsl:when test="(level = 0) and ($xinetd-state = 1)">
						<!-- xinetd subservices run and enable  -->
						<img onmouseover="callTip('srv_xinetd_enabled_running_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/srv_running.gif" height="16" width="16" alt="{sw:text('Enabled')}" title="{sw:text('Enabled')}"/>&#160;<xsl:value-of select="sw:text('Enabled')"/>
					</xsl:when>
					<xsl:when test="(level = 0) and ($xinetd-state = 0)">
						<!-- xinetd subservices stop and enable -->
						<img onmouseover="callTip('srv_xinetd_enabled_not_runing_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/srv_enabled_not_running.gif" height="16" width="16" alt="{sw:text('Enabled')}" title="{sw:text('Enabled')}"/>&#160;<xsl:value-of select="sw:text('Enabled')"/>
					</xsl:when>
					<xsl:when test="(level = '') and ($xinetd-state = 0)">
						<!-- xinetd subservices stop and disable -->
						<img onmouseover="callTip('srv_xinetd_disabled_not_running_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/autostart_no_disabled.gif" height="16" width="16" alt="{sw:text('Disabled')}" title="{sw:text('Disabled')}"/>&#160;<xsl:value-of select="sw:text('Disabled')"/>
					</xsl:when>
					<xsl:when test="(level = '') and ($xinetd-state = 1)">
						<!-- xinetd subservices disabled -->
						<img onmouseover="callTip('srv_xinetd_disabled_running_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/srv_stopped.gif" height="16" width="16" alt="{sw:text('Disabled')}" title="{sw:text('Disabled')}"/>&#160;<xsl:value-of select="sw:text('Disabled')"/>
					</xsl:when>
		      <xsl:otherwise>
		        <span class="fieldComment" onmouseover="callTip('srv_xinetd_na_icon',event)" onmouseout="callTip()">N/A</span>
    		  </xsl:otherwise>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
  </xsl:template>

	<xsl:template match="service-state-win">
    <xsl:choose>
      <xsl:when test="../status-hiden = 'Running'">
        <img onmouseover="callTip('srv_sysv_running_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/srv_running.gif" height="16" width="16" alt="{sw:text('Running')}" title="{sw:text('Running')}"/>&#160;<xsl:value-of select="sw:text('Running')"/>
      </xsl:when>
      <xsl:when test="../status-hiden = 'Stopped'">
        <img onmouseover="callTip('srv_sysv_stopped_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/srv_stopped.gif" height="16" width="16" alt="{sw:text('Stopped')}" title="{sw:text('Stopped')}"/>&#160;<xsl:value-of select="sw:text('Stopped')"/>
      </xsl:when>
      <xsl:otherwise>
        <span class="fieldComment" onmouseover="callTip('srv_sysv_na_icon',event)" onmouseout="callTip()">N/A</span>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="service-autostart">
    <xsl:variable name="xinetd-autostart"	select="../../../ui:cookies/xinetd-autostart"/>
		<xsl:choose>
      <xsl:when test="@no-autostart">
        <span class="fieldComment" onmouseover="callTip('srv_sysv_autostart_na_icon',event)" onmouseout="callTip()"><sw:text>N/A</sw:text></span>
      </xsl:when>
      <xsl:when	test="not(../xinetd)">
      	<xsl:choose>
      		<xsl:when test=". = 1">
      			<img onmouseover="callTip('srv_sysv_autostart_yes_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/autostart_yes.gif" height="16" width="16" alt="{sw:text('Yes')}"/>
      		</xsl:when>
					<xsl:when test=". = 0">
						<img onmouseover="callTip('srv_sysv_autostart_no_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/autostart_no.gif" height="16" width="16" alt="{sw:text('No')}"/>
					</xsl:when>
		      <xsl:otherwise>
    		    <span class="fieldComment" onmouseover="callTip('srv_sysv_autostart_na_icon',event)" onmouseout="callTip()"><sw:text>N/A</sw:text></span>
		      </xsl:otherwise>
      	</xsl:choose>
			</xsl:when>
      <xsl:when	test="../xinetd">
      	<xsl:choose>
      		<xsl:when test="$xinetd-autostart = 1">
		        <img onmouseover="callTip('srv_xinetd_autostart_yes_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/autostart_yes_disabled.gif" height="16" width="16" alt="{sw:text('Yes (depending on xinetd)')}"/>
      		</xsl:when>
					<xsl:when test="$xinetd-autostart = 0">
						<img onmouseover="callTip('srv_xinetd_autostart_no_icon',event)" onmouseout="callTip()" src="/{$theme}/icons/autostart_no_disabled.gif" height="16" width="16" alt="{sw:text('No (depending on xinetd)')}"/>
					</xsl:when>
		      <xsl:otherwise>
    		    <span class="fieldComment" onmouseover="callTip('srv_xinetd_autostart_na_icon',event)" onmouseout="callTip()"><sw:text>N/A</sw:text></span>
		      </xsl:otherwise>
      	</xsl:choose>
			</xsl:when>
		</xsl:choose>			
  </xsl:template>
  
  <xsl:template match="srv_action_buttons">
  	<xsl:variable name="xinetd_status" select="../../../ui:cookies/xinetd_status"/>
		<xsl:choose>
      <!-- state unknown -->
      <xsl:when test="../state = -1">
        <a href="{$baseurl}/vzdir/infrman/envs/services/system/service?action=start&amp;id={../id}" onclick="showSandclock()">
          <img onmouseover="callTip('start_srv_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_start_16.gif" height="16" width="16" alt="Start Service" title="{sw:text('Start Service')}" border="0"/>
        </a>
        <img src="/{$theme}/images/1x1.gif" height="1" width="8"/>		  
        <a href="{$baseurl}/vzdir/infrman/envs/services/system/service?action=stop&amp;id={../id}" onclick="showSandclock()">
          <img onmouseover="callTip('stop_srv_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_stop_16.gif" height="16" width="16" alt="Stop Service" title="{sw:text('Stop Service')}" border="0"/>
        </a>
      </xsl:when>
      <xsl:when test="../xinetd">
        <!-- xinetd case -->
        <xsl:choose>
          <xsl:when test="$xinetd_status != 1">
            <img onmouseover="callTip('start_srv_xinetd_disabled_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_start_disabled_16.gif" height="16" width="16" alt="{sw:text('Enable Service (depending on xinetd)')}" title="{sw:text('Enable Service (depending on xinetd)')}" border="0"/>
            <img src="/{$theme}/images/1x1.gif" height="1" width="8"/>
            <img onmouseover="callTip('stop_srv_xinetd_disabled_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_stop_disabled_16.gif" height="16" width="16" alt="{sw:text('Disable Service (depending on xinetd)')}" title="{sw:text('Disable Service (depending on xinetd)')}" border="0"/>
          </xsl:when>		
          <xsl:when test="../state = 1">
            <img onmouseover="callTip('start_srv_xinetd_disabled_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_start_disabled_16.gif" height="16" width="16" alt="{sw:text('Enable Service (depending on xinetd)')}" title="{sw:text('Enable Service (depending on xinetd)')}" border="0"/>
            <img src="/{$theme}/images/1x1.gif" height="1" width="8"/>	
            <a href="{$baseurl}/vzdir/infrman/envs/services/system/service?action=stop&amp;id={../id}" onclick="showSandclock()">
              <img onmouseover="callTip('stop_srv_xinetd_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_stop_16.gif" height="16" width="16" alt="{sw:text('Disable Service (depending on xinetd)')}" title="{sw:text('Disable Service (depending on xinetd)')}" border="0"/> 
            </a>
          </xsl:when>		
          <xsl:otherwise>
            <a href="{$baseurl}/vzdir/infrman/envs/services/system/service?action=start&amp;id={../id}" onclick="showSandclock()">
              <img onmouseover="callTip('start_srv_xinetd_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_start_16.gif" height="16" width="16" alt="{sw:text('Enable Service')}" title="{sw:text('Enable Service')}" border="0"/>
            </a>
            <img src="/{$theme}/images/1x1.gif" height="1" width="8"/>	
            <img onmouseover="callTip('stop_srv_xinetd_disabled_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_stop_disabled_16.gif" height="16" width="16" alt="{sw:text('Disable Service (depending on xinetd)')}" title="{sw:text('Disable Service (depending on xinetd)')}" border="0"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <!-- other, not xinetd cases -->
      <xsl:when test="../state = 1">
        <a href="{$baseurl}/vzdir/infrman/envs/services/system/service?action=restart&amp;id={../id}" onclick="showSandclock()">
          <img onmouseover="callTip('restart_srv_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_restart_16.gif" height="16" width="16" alt="{sw:text('Restart Service')}" title="{sw:text('Restart Service')}" border="0"/>
        </a>
        <img src="/{$theme}/images/1x1.gif" height="1" width="8"/>		  
        <a href="{$baseurl}/vzdir/infrman/envs/services/system/service?action=stop&amp;id={../id}" onclick="return xWarn('{name}')">
          <img onmouseover="callTip('stop_srv_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_stop_16.gif" height="16" width="16" alt="{sw:text('Stop Service')}" title="{sw:text('Stop Service')}" border="0"/>
        </a>
      </xsl:when>
      <xsl:otherwise>
        <a href="{$baseurl}/vzdir/infrman/envs/services/system/service?action=start&amp;id={../id}" onclick="showSandclock()">
          <img onmouseover="callTip('start_srv_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_start_16.gif" height="16" width="16" alt="{sw:text('Start Service')}" title="{sw:text('Start Service')}" border="0"/>
        </a>
        <img src="/{$theme}/images/1x1.gif" height="1" width="8"/>
        <img onmouseover="callTip('stop_srv_disabled_act',event)" onmouseout="callTip()" src="/{$theme}/icons/service_stop_disabled_16.gif" height="16" width="16" alt="{sw:text('Stop Service')}" title="{sw:text('Stop Service')}" border="0"/>
      </xsl:otherwise>
    </xsl:choose>				  	
  </xsl:template>
</xsl:stylesheet>
