<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui	="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"	
  >

	<sw:include href="/lib/cred.xsl"/>

	<xsl:template match="ui:task-bar-header" mode="plesk">
		<table width="100%" height="100%" cellspacing="0" cellpadding="0" border="0" style="border-top:1px solid #91A7B4;background-color:#F2F3FC;">
		<script type="text/javascript">
	
			var opened_taskbar_height = 195;//default value
			var closed_taskbar_height = 32; // constant
			<![CDATA[
			function taskbarResize(){
				var curr_height = top.document.getElementById('mainframe').rows.split(',')[1];
				if (curr_height > closed_taskbar_height && !top.Dyn_Open){
					switchTaskbar();
				}
				
				if(top.Dyn_Open) {
					opened_taskbar_height = curr_height;
				}
			}			
			]]>
			function switchTaskbar(){
				document.getElementById('task_open_img').src='/<xsl:value-of select="$theme"/>/images/'+(top.Dyn_Open?'alink.gif':'toolbar_dropdown_arr.gif');
				top.Dyn_Open=!top.Dyn_Open;				
			}
			
			function clickTaskbar(){
				var height = top.Dyn_Open?closed_taskbar_height:opened_taskbar_height;
				var rows_str = '*,'+ height;
				switchTaskbar();
				top.document.getElementById('mainframe').rows=rows_str;
			}
		
		</script>
		<tr>
			<td height="32px">
				<table width="100%" height="32px" cellspacing="0" cellpadding="0" border="0">
					<tr>
						<xsl:variable name="onclick">clickTaskbar()</xsl:variable>
						<td style="width:22px;" align="right">
							<img onclick="{$onclick}" onmouseover="callTip('active_tasks',event)" onmouseout="callTip()"
								id="task_open_img" style="cursor:pointer;margin-right:3px;" src="/{$theme}/images/alink.gif"/>
						</td>
						<td class="MenuItemText" nowrap="nowrap" align="left">
							
 							<nobr/>
							<img onclick="{$onclick}" src="/{$theme}/icons/active_tasks_16.gif" class="pC" style="margin-right:5px;cursor:pointer" onmouseover="callTip('active_tasks',event)" onmouseout="callTip()"/>
							<a href="#none" onclick="{$onclick}" onmouseover="callTip('active_tasks',event)" onmouseout="callTip()"><sw:text>Tasks</sw:text></a>
							<span id="task_string" style="margin-left:5px;">
								<xsl:choose>
									<xsl:when test="@counter>0">
										<sw:text>
											<xsl:with-param name="count" select="@counter"/>
											(%{count} active task(s) running at the moment.)
										</sw:text>
									</xsl:when>
									<xsl:otherwise><sw:text>(No active tasks at the moment.)</sw:text></xsl:otherwise>
								</xsl:choose>
							</span>
						</td>
						<td align="right" style="padding: 0 10px 0 10px;">
							<xsl:if test="cred:check('vzcp.log.list')">
								<a href="{$baseurl}/core/tasks/index?branch=env-home,management" target="main" onmouseover="callTip('tasks_screen_cc',event)" onmouseout="callTip()">
									<img src="/{$theme}/icons/task_16.gif" class="titleBarIcon pC"/>
								</a>
								<a href="{$baseurl}/core/tasks/index?branch=env-home,management" target="main" onmouseover="callTip('tasks_screen_cc',event)" onmouseout="callTip()">
									<sw:text>Task Log</sw:text>
								</a>
							</xsl:if>
							<img src="/vz/skins/winxp.new/images/1x1.gif" height="1" hspace="5" width="1"/>
							<a href="{$baseurl}/panel/vzcc/taskbar" target="taskbar" onmouseover="callTip('refresh',event)" onmouseout="callTip()">
								<img src="/{$theme}/icons/refresh_16.gif" class="titleBarIcon pC"/>
							</a>
							<a href="{$baseurl}/panel/vzcc/taskbar" target="taskbar" onmouseover="callTip('refresh',event)" onmouseout="callTip()">
								<sw:text>Refresh Tasks</sw:text>
							</a>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		</table>		

	</xsl:template>

</xsl:stylesheet>
