<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:vzcp="http://www.swsoft.com/xsl/cp/vzcp"
  >

  <xsl:template match="ui:screen" mode="layout-framed">
    <html>
			<xsl:copy-of select="vzcp:head(ui:head/*)"/>

      <xsl:call-template name="body-tag-open"/>
      <xsl:call-template name="sandclock"/>
      
      <table cellspacing="0" cellpadding="0" width="100%" height="100%"  border="0">
        <tr>
          <!-- Main window -->
          <td width="100%" valign="top" align="left">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
              <xsl:if test="$ticket">
                
                <!-- TitleBar -->
                <tr>
                  <td class="titleBar">
                    <xsl:call-template name="titlebar"/>
										<xsl:apply-templates select="ui:tab-bar-custom|ui:tab-bar"/>
										<xsl:if test="not(ui:tab-bar-custom/ui:tab) and not(ui:tab-bar)"><div id="noTabs"></div></xsl:if>
                  </td>
                </tr>
             
                <!-- Message -->
                <xsl:call-template name="opresult"/>
              </xsl:if>

              <!-- CONTENT -->
              <tr>
                <td class="Content">
                  <xsl:apply-templates select="." mode="vzcp"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <script language="JavaScript">
        function callNavigate(){
        <![CDATA[if (top.menu && top.menu.navigateMenu)]]>
          top.menu.navigateMenu('<xsl:value-of select="/*/@id"/>');
        }
      </script>
      <xsl:if test="ui:properties/ui:js-tail">
       	<xsl:copy-of select="ui:properties/ui:js-tail/child::node()"/>
      </xsl:if>      
       <xsl:if test="ui:properties/ui:contains-date-control">
       	<xsl:call-template name="ui:show-datetime-js"/>
       </xsl:if>
       <xsl:call-template name="ui:post-do-submit"/>
      <xsl:call-template name="body-tag-close"/>

    </html>

  </xsl:template>

  <!-- login screen -->
  <xsl:template match="ui:front-screen" mode="layout-framed">
    <html>
      <xsl:call-template name="head"/>
    <script type="text/javascript">
      function callTip(){
      }
      function showSandclock(){
      }
    </script>        
      <xsl:call-template name="body-tag-open"/>
      <xsl:apply-templates select="." mode="vzcp"/>
      <xsl:call-template name="ui:post-do-submit"/>      
      <xsl:call-template name="body-tag-close"/>
    </html>
  </xsl:template>


</xsl:stylesheet>
