<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:html="http://www.swsoft.com/xsl/cp/html">

	<!-- show only open part of supplied tag (RTF or node-set) -->
	<func:function name="html:tag-open">
		<xsl:param name="tag"/>
		<xsl:variable name="ftag" select="sw:text($tag)"/>
		<func:result>
			<sw:text lang="C" select="substring-before($ftag, '/&gt;')"/>
			<sw:text lang="C">&gt;</sw:text>
		</func:result>
	</func:function>

	<!-- show only close part of supplied tag (RTF or node-set) -->
	<func:function name="html:tag-close">
		<xsl:param name="tag"/>
		<xsl:variable name="ftag" select="sw:text($tag)"/>
		<func:result>
			<sw:text lang="C">&lt;/</sw:text>
			<sw:text lang="C"
				select="string(sw:re-match($ftag,'[a-z]+'))"/>
			<sw:text lang="C">&gt;</sw:text>
		</func:result>
	</func:function>

	<!-- convert text end lines to brs -->
	<func:function name="html:plain2html">
		<xsl:param name="src"/>
		<func:result
			select="sw:re-replace($src, '&#xA;','&lt;br/&gt;','g')"/>
	</func:function>

</xsl:stylesheet>
