<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl math cred env format"
	xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl		="http://exslt.org/common"
	xmlns:sw			="http://www.swsoft.com/xsl/cp"
	xmlns:math		="http://exslt.org/math"
	xmlns:cred		="http://www.swsoft.com/xsl/cp/cred"
	xmlns:env			="http://www.swsoft.com/xsl/cp/env"
	xmlns:ui			="http://www.swsoft.com/xsl/cp/ui"
	xmlns:ve			="http://www.swsoft.com/xsl/cp/ve"
	xmlns:format	="http://www.swsoft.com/xsl/cp/format"
	xmlns:ubcs		="http://www.swsoft.com/xsl/cp/ubcs"	
>

	<sw:include href="/lib/utils/format-resusage.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/meter.xsl"/>
	
	<xsl:template name="ui:show-resource-icon">
		<xsl:variable name="ubc-alerts">
			<xsl:if test="ve:context-state() = $env-state/running">
				<xsl:call-template name="ubcs:get-alerts"/>
			</xsl:if>
		</xsl:variable>
		<xsl:variable name="ulevels" select="exsl:node-set($ubc-alerts)/alerts/alert/type"/>
		<xsl:if test="count($ulevels)">
			<td>
				<a onmouseover="callTip('alert_resource_screen',event)" onmouseout="callTip()"
					href="{$baseurl}/vzdir/infrman/envs/resources" target="{$def_target}">
					<img src="/{$theme}/icons/{$scale/mark[@level = $ulevels]/icon}.gif" width="15" height="13"
						title="{sw:text('Resource shortage')}" alt="{sw:text('Resource shortage')}" border="0"/>
				</a>
			</td>
			<td>
			&#160;
			</td>
		</xsl:if>
	</xsl:template>

	<xsl:template name="ui:show-resource-bar">
		<xsl:param name="show-icon" select="true()"/>

		<!-- show only if configured -->
		<xsl:if test="cred:check-env('vzcp.env.manage.resources',sw:ve-eid())">
			<xsl:variable name="quota" select="env:get-quota(sw:ve-eid())"/>
			<xsl:variable name="fraction">
				<xsl:if test="$quota/ve_quota/diskspace/total &gt; 0">
					<xsl:choose>
						<xsl:when test="$quota/ve_quota/diskspace/cur &lt; $quota/ve_quota/diskspace/total">
							<xsl:value-of
								select="$quota/ve_quota/diskspace/cur div $quota/ve_quota/diskspace/total"/>
						</xsl:when>
						<xsl:otherwise>1</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
			</xsl:variable>
			
			<xsl:if test="$show-icon = 'true'">
				<xsl:call-template name="ui:show-resource-icon"/>
			</xsl:if>
			
			<xsl:variable name="dsk" select="$quota/ve_quota/diskspace"/>
			<xsl:variable name="tip">
				<sw:text>
					<xsl:with-param name="total" select="format:int2kbytes($dsk/total)"/>
					<xsl:with-param name="used" select="format:int2kbytes($dsk/cur)"/>
					<xsl:with-param name="free" select="format:int2kbytes($dsk/total - $dsk/cur)"/>
					Disk space usage: <br/>
					<table border="0" cellspacing="4">
						<tr>
							<td align="center">Used</td>
							<td align="center">Free</td>
							<td align="center">Total</td>
						</tr>
						<tr>
							<td align="center">%{used}</td>
							<td align="center">%{free}</td>
							<td align="center">%{total}</td>
						</tr>
					</table>
				</sw:text>
				<sw:text>Click to show the resource page.</sw:text>
			</xsl:variable>

			<td style="cursor:hand; cursor:pointer" onmouseover="callTip('{$tip}',event)" onmouseout="callTip()">
				<xsl:attribute name="onClick">
					<xsl:choose>
						<xsl:when test="$layout = 'plain'">self.location = '<xsl:value-of select="$baseurl"/>/vzdir/infrman/envs/resources'</xsl:when>
						<xsl:otherwise>top.main.location = '<xsl:value-of select="$baseurl"/>/vzdir/infrman/envs/resources'</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:call-template name="showMeter">
					<xsl:with-param name="f" select="$fraction"/>
				</xsl:call-template>
			</td>

			<td class="small" nowrap="1">
				&#160;
				<xsl:choose>
					<xsl:when test="$fraction &gt;= 0">
						<sw:text>
							<xsl:with-param name="prcnt" select="format-number($fraction, '#%')"/>
							%{prcnt} Space Used
						</sw:text>
					</xsl:when>
					<xsl:otherwise>
						<sw:text>Space Used: N/A</sw:text>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</xsl:if>
	</xsl:template>


	<sw:include href="/lib/vt/env-quota.xsl"/>
	<sw:include href="/lib/vz/ubcs.xsl"/>

</xsl:stylesheet>
