<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl math cred units"
exclude-result-prefixes="math cred ui local units"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:math="http://exslt.org/math"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
	xmlns:units	="http://www.swsoft.com/xsl/cp/units" 	
>

	<sw:include href="/lib/core/units-core.xsl"/>
	<sw:include href="/layout/ext-cluster.xsl"/>
  
  
  <xsl:template match="item"  mode="menu-tree">
    <xsl:param name="id-supplied" select="true()"/>
    <xsl:param name="section_id" select="'1'"/>
    <xsl:param name="level" select="'1'"/>
    <xsl:param name="parent" select="'undef'"/>
    <xsl:param name="css-prefix">Menu</xsl:param>
    <xsl:param name="open-all-branches" select="false()"/>
  	<xsl:param name="default_target" select="$def_target"/>
  	
  	    
    <xsl:variable name="item_id">
      <xsl:choose>
        <xsl:when test="item/@type ='units'"><xsl:value-of select="units:tree-dn(@id)"/></xsl:when>      
        <xsl:when test="$id-supplied"><xsl:value-of select="@id"/></xsl:when>
        <xsl:when test="$parent = 'undef'"><xsl:value-of select="$section_id"/>_<xsl:value-of select="position()"/></xsl:when><!-- flat-menu item -->
        <xsl:otherwise><xsl:value-of select="$parent"/>_<xsl:value-of select="position()"/></xsl:otherwise><!-- flat-menu item -->
      </xsl:choose>
    </xsl:variable>
    
    <!--<sw:die test="$item_id='ou=VlpMSW5mcmFzdHJ1Y3R1cmU=,ou=M2E0MTNmZTAtNTVmZi0yMjRlLWJhYmUtZTBiNWVlMDIwZGQw,dc=VlpM'"/>-->
    
    <xsl:variable name="element_target">
      <xsl:choose>
        <xsl:when test="string-length(@target) &gt; 0"><xsl:value-of select="@target"/></xsl:when>
        <xsl:otherwise><xsl:value-of select="$default_target"/></xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="href"><xsl:call-template name="href"/></xsl:variable>
		<xsl:choose>
	    <xsl:when test="@type = 'hint_area'">
	      <form style="border:none">
					<script language="JavaScript">
						document.write('<div id="contexthelp"><div style="border: 0px"><span class="hint"></span></div></div>');
					</script>
	      </form>
	    </xsl:when>
	    <xsl:otherwise>
			  <xsl:variable name="validItems" select="item"/>
			  <xsl:variable name="branch-state">
					<xsl:choose>
						<xsl:when test="$open-all-branches">Open</xsl:when>
						<xsl:when test=".//@open-default = 'true'">Open</xsl:when>
						<xsl:otherwise>Closed</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
		    <div id="{$item_id}" class="TreeBranch{$branch-state}">
					<table class="{$css-prefix}Item" id="item_{$item_id}" cellpadding="0" cellspacing="0" border="0" width="100%">
						<tr>
							<!-- Show level offset -->
							<xsl:if test="$level &gt; 1">
								<td style="width:{($level - 1) * 14}px;"><img src="/{$theme}/images/1x1.gif" border="0" width="{($level - 1) * 14}" height="16"/></td>
							</xsl:if>
							<!-- /Show level offset -->							
							
							<!-- Show +/- sign or empty offset -->
							<xsl:if test="$parent != 'undef'">
								<td style="width:16px;" align="right" class="MenuTreeNode">
									<xsl:if test="$validItems">
										<img  onclick="treeClick('{$item_id}')" style="cursor:hand;cursor:pointer" name="image_{$item_id}" id="img-{$item_id}" src="/{$theme}/images/{sw:if($branch-state = 'Closed', 'open','close')}_tree.gif"/>
									</xsl:if>
									<xsl:if test="not($validItems)">
										<img width="16" height="16" src="/{$theme}/images/1x1.gif"/>
									</xsl:if>                
								</td>
							</xsl:if>
							<!-- Show +/- sign or empty offset -->
							<xsl:variable name="onmouseover">
								<xsl:choose>
									<xsl:when test="$activeMode='vzcp'">_callTip('<xsl:value-of select="@tip"/>',event)</xsl:when>
									<xsl:otherwise>customTitle('a_img-<xsl:value-of select="$item_id"/>','<xsl:value-of select="@tip"/>')</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<xsl:variable name="onmousedown">
								<xsl:choose>
									<!--..dnd.. do not change ***[space]=[space]'[data]';*** construction - is critical for dnd-->
									<xsl:when test="item/@id='infrastructure.units'">cluster_dnd_id = '<xsl:value-of select="$item_id"/>';fitDND='@::unit.infrasctructure.farm@::';</xsl:when>
									<xsl:when test="item/@id='logical.units'">cluster_dnd_id = '<xsl:value-of select="$item_id"/>';fitDND='@::unit.logical.farm@::';</xsl:when>
								</xsl:choose>
							</xsl:variable>
							<xsl:variable name="oncontext">
								<xsl:choose>
									<xsl:when test="item/@id='infrastructure.units'">rML('infrastructure.unit.vz.vt','<xsl:value-of select="$item_id"/>','')</xsl:when>
									<xsl:when test="item/@id='logical.units'">rML('logical.unit.vz.vt','<xsl:value-of select="$item_id"/>','')</xsl:when>
								</xsl:choose>
							</xsl:variable>
							
							<xsl:if test="@icon">
								<td class="{$css-prefix}ItemImage">
									<a href="{$href}" target="{$element_target}" id="a_image_{$item_id}"
										onmousedown="{$onmousedown}"
										onmouseover="mRM=1;{$onmouseover}"
										onmouseout="mRM=0"
										oncontextmenu="{$oncontext}"
										name="drag_get"
									>
										<xsl:if test="$activeMode='vzcp'">
											<xsl:attribute name="onmouseout">_callTip()</xsl:attribute>
										</xsl:if>
										<xsl:attribute name="onclick">
											<xsl:choose>
												<xsl:when test="string(custom_script)"><xsl:value-of select="custom_script"/>;return false</xsl:when>
												<xsl:otherwise>showSelectedItem('item_<xsl:value-of select="$item_id"/>')</xsl:otherwise>
											</xsl:choose>
										</xsl:attribute>
										<xsl:variable name="icon">
											<xsl:choose>
												<xsl:when test="contains(@icon,'.gif')"><xsl:value-of select="@icon"/></xsl:when>
												<xsl:otherwise><xsl:value-of select="concat(@icon,'_16.gif')"/></xsl:otherwise>
											</xsl:choose>
										</xsl:variable>
										<img src="/{$theme}/icons/{$icon}" id="a_img-{$item_id}" border="0" width="16" height="16" hspace="0"/>
									</a>
								</td>
							</xsl:if>
							<td nowrap="1" class="{$css-prefix}ItemText">
								<xsl:choose>
									<xsl:when test="$href!=''">
											<a href="{$href}" target="{$element_target}" id="a_item_{$item_id}"
												onmousedown="{$onmousedown}"
												onmouseover="mRM=1;{$onmouseover}"
												onmouseout="mRM=0"
												oncontextmenu="{$oncontext}"
												name="drag_get"
											>
												<xsl:if test="activeMode='vzcp'">
													<xsl:attribute name="onmouseout">_callTip()</xsl:attribute>
												</xsl:if>											
												<xsl:attribute name="onclick">
													<xsl:choose>
														<xsl:when test="string(custom_script)"><xsl:value-of select="custom_script"/>;return false</xsl:when>
														<xsl:otherwise>showSelectedItem('item_<xsl:value-of select="$item_id"/>')</xsl:otherwise>
													</xsl:choose>
												</xsl:attribute>                                 
											<sw:text select="title/text()"/>
										</a>
									</xsl:when>
									<xsl:otherwise>
										<sw:text select="title/text()"/>
									</xsl:otherwise>
								</xsl:choose>
							</td>
		        </tr>
		       </table>
			
				<!-- Show Childs -->					
				<xsl:choose>
					<xsl:when test="item/@type = 'units'">
						<xsl:call-template name="local:farm">
							<xsl:with-param name="menu-dn" select="$item_id"/>
							<xsl:with-param name="section_id" select="$section_id"/>
							<xsl:with-param name="level" select="$level"/>
							<xsl:with-param name="parent" select="item/@id"/>
						</xsl:call-template>				
					</xsl:when>		
					<xsl:otherwise>
						<xsl:apply-templates select="exsl:node-set($validItems)" mode="menu-tree">
							<xsl:with-param name="section_id"><xsl:value-of select="$section_id"/></xsl:with-param>
							<xsl:with-param name="level"><xsl:value-of select="$level + 1"/></xsl:with-param>
							<xsl:with-param name="parent"><xsl:value-of select="$parent"/>_<xsl:value-of select="position()"/></xsl:with-param>
							<xsl:with-param name="css-prefix" select="$css-prefix"/>
							<xsl:with-param name="id-supplied" select="$id-supplied"/>
						</xsl:apply-templates>		        
					</xsl:otherwise>
				</xsl:choose>
				<!-- /Show Childs -->
				
			</div>		        
		</xsl:otherwise>
	</xsl:choose>


  </xsl:template>
  
  <xsl:template match="item" mode="cc-menu-tree-js">
    <xsl:param name="parent"/>
    <xsl:variable name="node"><xsl:value-of select="$parent"/>[<xsl:value-of select="position()"/>]</xsl:variable>
    <xsl:value-of select="$node"/> = new Array();
    <xsl:if test="screen">
      <xsl:value-of select="$node"/>[0] = new Array('<xsl:value-of select="@id"/>', <xsl:for-each select="screen">"<xsl:value-of select="@id"/>"<xsl:if test="not(position() = last())">,</xsl:if></xsl:for-each>);
    </xsl:if>
    <xsl:apply-templates select="item" mode="cc-menu-tree-js">
      <xsl:with-param name="parent"><xsl:value-of select="$node"/></xsl:with-param>
    </xsl:apply-templates>
  </xsl:template>
  
  <xsl:template match="item" mode="pp-menu-tree-js">
    <xsl:param name="parent"/>
    
    <xsl:variable name="node"><xsl:value-of select="$parent"/>[<xsl:value-of select="position()"/>]</xsl:variable>
    
    <xsl:value-of select="$node"/> = new Array();

    <!-- Scrern ids -->	
    <xsl:value-of select="$node"/>[0] = new Array (<xsl:for-each select="screen">"<xsl:value-of select="@id"/>"<xsl:if test="not(position() = last())">,</xsl:if></xsl:for-each>);
        
    <xsl:apply-templates select="item" mode="pp-menu-tree-js">
      <xsl:with-param name="parent"><xsl:value-of select="$node"/></xsl:with-param>
    </xsl:apply-templates>
  </xsl:template>
  
  <xsl:template name="local:farm">
		<xsl:param name="menu-dn"/>
		<xsl:param name="section_id"/>
		<xsl:param name="level" select="'0'"/>
		<xsl:param name="parent"/>
				
		<sw:die test="$menu-dn=''">
			menu-dn argument should be specified.
		</sw:die>
		
		<xsl:variable name="units" select="units:build-tree($menu-dn,true())"/>
		  	
  	<div id="dynamic_units_{$menu-dn}">
	  	<xsl:call-template name="show-units">
				<xsl:with-param name="units" select="$units/ui:cluster-unit"/>
				<xsl:with-param name="display-mode" select="'menu'"/>
				<xsl:with-param name="section_id" select="$section_id"/>
				<xsl:with-param name="level" select="$level"/>
				<xsl:with-param name="parent" select="$parent"/>
			</xsl:call-template>
		</div>
		<div id="dynamic_clock_{$menu-dn}" style="display:none;">
			&#160;<img width="16" border="0" height="16"  id="loading_indicator_{@id}" src="/{$theme}/icons/indicator.gif"/>&#160;<sw:text>Loading</sw:text>&#160;
		</div>
		<script type="text/javascript">
			var activeTreeItem = '';
		
			function loadVE(parent_dn, item_id, env_id, level){
				var is_loaded = document.getElementById('on_demand_'+item_id);
				if (is_loaded.value == 0){
					is_loaded.value = 1;
				}else{
					return false;
				}
				requestContent(
					'/vz/cp/farmdir/unitman/units/ves-dynamic?level='+level+'&amp;tree-id='+parent_dn+'&amp;eid='+env_id
					,showVE
					,'<xsl:value-of select="$ticket"/>'
					,'<xsl:value-of select="$ticketid"/>', null, item_id);
			}
			
			function reloadGroup(id,encoded_id, tree_id){
				activeTreeItem = id;
				var level = '<xsl:value-of select="$level"/>';
				var fu = document.getElementById('dynamic_units_'+tree_id);
				var fc = document.getElementById('dynamic_clock_'+tree_id);
				if (!fu || !fc){return false;}
				fu.style.display='none';
				fc.style.display='block';
				var url = <![CDATA['/vz/cp/farmdir/unitman/units/tree-dynamic?id='+encoded_id+'&level='+level+'&tree-id=']]>+tree_id;
				requestContent(
					url,receiveGroup
					,'<xsl:value-of select="$ticket"/>'
					,'<xsl:value-of select="$ticketid"/>');
			}
			
					<![CDATA[			
			function showVE(req, id){
				var content = req.readyState==4?req.responseText:'';					
				if(content!=''){
					var tree_id = content.substring(content.indexOf('<<<<<')+5,content.indexOf('>>>>>'));
					var fu = document.getElementById('dynamic_units_'+tree_id);
					var fc = document.getElementById('dynamic_clock_'+tree_id);
					if (!fu || !fc){
						//show error
						fu = document.getElementById('dynamic_units_'+id);
						fc = document.getElementById('dynamic_clock_'+id);
						if (!fu || !fc){return false;}
						fu.style.display='';
						fc.style.display='none';
						return false;
					}
					fu.innerHTML=content;
					fu.style.display='';
					fc.style.display='none';
				}
			}						
			
			function receiveGroup(req){
				var content = req.readyState==4?req.responseText:'';					
				if(content!=''){
					a = parseInt(content.indexOf('<<<<<')+5);
					b = parseInt(content.indexOf('>>>>>'));
					var tree_id = content.substring(a,b);

					var fu = document.getElementById('dynamic_units_'+tree_id);
					var fc = document.getElementById('dynamic_clock_'+tree_id);
					if (!fu || !fc){return false;}
					fu.innerHTML=content;
					fc.style.display='none';
					fu.style.display='block';
					open_childs = document.getElementById('loading_indicator_'+activeTreeItem)?false:true;
					initTree(activeTreeItem, open_childs);
					showSelectedItem('item-'+activeTreeItem);
					setTimeout("refreshLeftDIV('dynamic_units_"+tree_id+"')");
				}else{
					// TODO: Ooops....maybe we should reload all frameset?
				}					
			}
			]]>
		</script>
  </xsl:template>
  
  
</xsl:stylesheet>
    
