<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  >

  <xsl:template match="ui:screen" mode="layout-non-framed">
    <html>
      <xsl:call-template name="head"/>

      <xsl:call-template name="body-tag-open"/>
      <xsl:call-template name="sandclock"/>
      
      <table cellspacing="0" cellpadding="0" width="100%" height="100%" align="center" border="0">
        <!-- HEADER -->
        <tr>
          <td width="100%" colspan="2">
            <xsl:if test="$ticket">
              <xsl:call-template name="header"/>
            </xsl:if>
          </td>
        </tr>
        <!-- /HEADER -->
        
        <tr>
          <!-- MENU -->
          <td width="200" height="100%" valign="top" class="MenuPlace" style="border-right: 1px solid #4F9674">
            <xsl:if test="$ticket">
              <xsl:call-template name="nav_menu">
                <xsl:with-param name="screen-id" select="@id"/>
              </xsl:call-template>
            </xsl:if>
          </td>

          <!-- Main window -->
          <td width="100%" valign="top" align="left" style="border-top: 1px solid #4F9674">
            <table border="0" cellpadding="0" cellspacing="0" width="100%">
              <xsl:if test="$ticket">
                <!-- TitleBar -->
                <tr>
                  <td class="titleBar">
                    <xsl:call-template name="titlebar"/>
                  </td>
                </tr>
                <!-- Message -->
                <xsl:call-template name="opresult"/>
              </xsl:if>
              
              <!-- CONTENT -->
              <tr>
                <td class="Content">
                  <xsl:apply-templates select="." mode="vzcp"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <xsl:if test="ui:properties/ui:js-tail">
       	<xsl:copy-of select="ui:properties/ui:js-tail/child::node()"/>
      </xsl:if> 
       <xsl:if test="ui:properties/ui:contains-date-control">
       	<xsl:call-template name="ui:show-datetime-js"/>
       </xsl:if>
       <xsl:call-template name="ui:post-do-submit"/>
      <xsl:call-template name="body-tag-close"/>

    </html>

  </xsl:template>

  <!-- login screen -->
  <xsl:template match="ui:front-screen" mode="layout-non-framed">
    <html>
      <xsl:call-template name="head"/>
      <xsl:call-template name="body-tag-open"/>
      <xsl:apply-templates select="." mode="vzcp"/>
      <xsl:call-template name="body-tag-close"/>
    </html>
  </xsl:template>

</xsl:stylesheet>
