<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl browse html local"
	exclude-result-prefixes="ui html browse local global"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
 	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"  
	xmlns:html="http://www.swsoft.com/xsl/cp/html"  
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse" 
	xmlns:local="http://www.swsoft.com/xsl/cp/local" 	
	xmlns:global="http://www.swsoft.com/xsl/cp/global" 	
  >

	<sw:include href="/layout/lib/html.xsl"/>
	<sw:include href="/lib/cred-filter.xsl"/>

<!-- show no items in list message -->
<xsl:template mode="plesk" match="ui:browse-empty-msg">
	<xsl:param name="browse-title"/>

	<div style="padding:10px">
		<xsl:choose>
			<xsl:when test="@stop-sign = 'yes'">
				<xsl:call-template name="stopSign">
					<xsl:with-param name="body">
						<xsl:copy-of select="child::node()"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="name(../..) = 'ui:rows'">
						<xsl:copy-of select="child::node()"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="infoBox">
							<xsl:with-param name="info">
								<xsl:copy-of select="child::node()"/>
							</xsl:with-param>
							<xsl:with-param name="title" select="sw:if(string($browse-title),$browse-title,sw:text('No records'))"></xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</div>            
</xsl:template>

  <!-- custom control to show in browse -->
  <xsl:template mode="plesk" match="ui:custom-control">
    <img src="/{$theme}/images/1x1.gif" width="1" height="4"/><br/>
      <xsl:copy-of select="child::node()"/>
    <img src="/{$theme}/images/1x1.gif" width="1" height="4"/><br/>
  </xsl:template>


	<xsl:template mode="plesk" match="ui:browse">
    <xsl:variable name="div-rows-id" select="ui:filter/ui:browse-setup/@div-rows-id"/>
    <xsl:variable name="div-rows-height" select="ui:filter/ui:browse-setup/@div-rows-height"/>
    <xsl:variable name="post-only-rows" select="ui:filter/ui:browse-setup/@post-only-rows='true'"/>
    <xsl:variable name="filtered" select="count(ui:filter/ui:cols/ui:column[@value-src!='' or @value-from-src!='' or @value-to-src!=''])>0"/>
    <xsl:variable name="buttons" select="cred:filter-items(ui:browse-buttons//ui:button[
    	($global:move-newobj-btn-2toolbar and not(@new-obj-title)) or not($global:move-newobj-btn-2toolbar)
    ])"/>
    <xsl:variable name="have-rows" select="ui:filter/ui:browse-setup/@show-empty='true' or count(ui:filter/ui:browse-rows/ui:row)>0"/>
    <xsl:variable name="spec-btns" select="$buttons[@require-items='false']"/>
    <xsl:variable name="have-spec-btns" select="count($spec-btns)>0"/>    
	    
		
		<xsl:variable name="div-rows">
			<xsl:if test="$div-rows-id">
				<div id="{$div-rows-id}">
					<xsl:if test="$div-rows-height">
						<xsl:attribute name="style">height:<xsl:value-of select="$div-rows-height"/>px;overflow:auto;</xsl:attribute>
					</xsl:if>
				</div>
			</xsl:if>          
		</xsl:variable>
		<xsl:variable name="tr-tag"><tr/></xsl:variable>
		<xsl:variable name="td-tag"><td/></xsl:variable>

		<xsl:variable name="browse-width">
		  <xsl:call-template name="html:calc-width">
		    <xsl:with-param name="control" select="."/>
		    <xsl:with-param name="as-text" select="'1'"/>
		  </xsl:call-template>	
		</xsl:variable>
				
		<xsl:variable name="div">
			<xsl:if test="not($post-only-rows)">
				<div style="width:{$browse-width}"/>
			</xsl:if>          
		</xsl:variable>
	  	<!-- If parent is ui:rows we have table opened already and need td and tr for it -->		
		<xsl:if test="name(..) = 'ui:rows'">
			<xsl:copy-of select="html:tag-open($tr-tag)"/>
			<xsl:copy-of select="html:tag-open($td-tag)"/>
		</xsl:if>		
	
		<xsl:if test="not($post-only-rows)">
	  	<xsl:copy-of select="html:tag-open($div)"/>	 
	  </xsl:if>
			    		
    <!-- open form if requested -->
    <xsl:if test="not($post-only-rows)">
    	<xsl:apply-templates mode="form-open" select="ui:form"/>
    </xsl:if>
		<xsl:if test="not($have-rows) and $have-spec-btns">
			<xsl:call-template name="local:show-browse-buttons">
				<xsl:with-param name="buttons" select="$spec-btns"/>
			</xsl:call-template>
		</xsl:if>
	
		<input type="hidden" name="filter_action"/>
		<input type="hidden" name="_lf" value="{ui:filter/ui:browse-setup/@id}"/>

		<!-- Show script for list-related buttons -->
  	<script language="JavaScript">
  		function createButtonParam(button){
  			if(button=='') return;
  			newHiddenObj(button,'','1','defaultForm');
			}
  	
		  function btnListAction(button,oneclick){
			var url=document.defaultForm.action+'?'+button+'=1'+getPostData();
			if (url.length>1500 &amp;&amp; G_event.is_IE) {
				oneclick='';
				showSandclock();
				document.defaultForm.method='post';
			}
		  	if (oneclick=='true') {
					java_put( document.defaultForm.action+'?'+button+'=1', 'POST', null, button+'_ves', '' );
					refreshCheck(getNameByMatch('_checkall'),'');
				} else {
					createButtonParam(button);
					doSubmit();
				}
		  }
		</script>
		<!-- /Show script for list-related buttons -->


    <xsl:choose>            
      <xsl:when test="$have-rows or $filtered">
      	<xsl:variable name="cols-for-filter" select="ui:filter/ui:cols/ui:column[@filter!='']"/>
        
        	<!-- Is <ui:block> our parent? -->
        
          <!-- custom controls -->
          <xsl:if test="not($post-only-rows)">
	          <xsl:apply-templates mode="plesk" select="ui:custom-control"/>				
	          
	          <xsl:apply-templates select="ui:browse-js-array"/>		
	          <xsl:apply-templates select="ui:browse-js-many"/>		
	          <xsl:apply-templates select="ui:browse-js-one"/>	

          </xsl:if>          
					<xsl:choose>
						<xsl:when test="$have-rows">
							<xsl:if test="$cols-for-filter and not($post-only-rows)">
								<xsl:call-template name="browse:show-header-filter">
									<xsl:with-param name="filter" select="ui:filter"/>
									<xsl:with-param name="filtered-cols" select="$filtered"/>
								</xsl:call-template>
							</xsl:if>
							<xsl:if test="not($post-only-rows)">
								<xsl:call-template name="ui:show-browse-info"/>				
							</xsl:if>
							<xsl:if test="$buttons">
								<xsl:call-template name="local:show-browse-buttons">
									<xsl:with-param name="buttons" select="$buttons"/>
								</xsl:call-template>
							</xsl:if>				
		          <!-- SHOW BROWSE ROWS -->
		          <xsl:if test="$div-rows-id">
		          	<xsl:copy-of select="html:tag-open($div-rows)"/>	 
		          </xsl:if>
		          
		          <table border="0" cellpadding="0" cellspacing="0" class="list" id="global_list">
		          	<xsl:call-template name="html:calc-width">
									<xsl:with-param name="control" select="."/>
								</xsl:call-template>
		            <xsl:call-template name="browse:show">              
		              <xsl:with-param name="filter" select="ui:filter"/>  	
		              <xsl:with-param name="check_position" select="sw:if(ui:filter/ui:browse-setup/@select-on-right='true','right','left')"/>  	
		              <xsl:with-param name="oncontext"><xsl:value-of select="@oncontext"/></xsl:with-param>
		              <xsl:with-param name="oncontextplatform"><xsl:value-of select="@oncontextplatform"/></xsl:with-param>
		            </xsl:call-template>	         
		          </table>
		          
		          <xsl:if test="$div-rows-id">
		          	<xsl:copy-of select="html:tag-close($div-rows)"/>	 
		          </xsl:if>
		          <!-- /SHOW BROWSE ROWS -->
		          		          
	        	</xsl:when>
	        	<!--<xsl:when test="$have-spec-btns">
	        	</xsl:when>-->
	        	
						<xsl:when test="$filtered">
							<xsl:if test="$cols-for-filter and not($post-only-rows)">
								<xsl:call-template name="browse:show-header-filter">
									<xsl:with-param name="filter" select="ui:filter"/>
									<xsl:with-param name="filtered-cols" select="$filtered"/>
								</xsl:call-template>
							</xsl:if>	
							<div style="padding:10px">
								<sw:text>No results are matching your criteria.</sw:text>
							</div>				
						</xsl:when>
					</xsl:choose>
          
      	<xsl:if test="not($post-only-rows)">
        	<img src="/{$theme}/images/1x1.gif" width="1" height="10"/>
        </xsl:if>
      </xsl:when>
      <!-- /we have rows to show -->
      
      <!-- we have not rows to show, but we should show some list buttons -->
      <!--<xsl:when test="$have-spec-btns">
      	
      </xsl:when>-->

			<!-- we have not rows to show -->
      <xsl:otherwise>
        <xsl:apply-templates mode="plesk" select="ui:browse-empty-msg">
          <xsl:with-param name="browse-title" select="@title"/>
        </xsl:apply-templates>
      </xsl:otherwise>
      <!-- /we have not rows to show -->
      
    </xsl:choose>

    <xsl:if test="not($post-only-rows)">
    	<!-- show unavailability message -->
		  <xsl:apply-templates mode="vzcp" select="ui:nobuttons"/>
		
		  <xsl:apply-templates mode="form-close" select="ui:form"/>
		    
	  	<xsl:copy-of select="html:tag-close($div)"/>	 
	  </xsl:if>
	  	<!-- If parent is ui:rows we have table opened already and need td and tr for it -->
		<xsl:if test="name(..) = 'ui:rows'">
			<xsl:copy-of select="html:tag-close($td-tag)"/>
			<xsl:copy-of select="html:tag-close($tr-tag)"/>
		</xsl:if>		
  </xsl:template>

  <!-- form action controls -->
  <xsl:template mode="plesk" match="ui:browse-buttons">
  	<xsl:param name="items"/>
  	<xsl:variable name="have-rows" select="../ui:filter/ui:browse-setup/@show-empty='true'  or count(../ui:filter/ui:browse-rows/ui:row)>0"/>
  	<!--|-->
  	<table cellpadding="0" cellspacing="0" border="0" class="listControls">
  	<tr>	  	
	  	<xsl:apply-templates mode="plesk-browse-button" select="$items[$have-rows or @require-items='false']"/>
	  </tr>
	  </table>
		<script language="JavaScript">
		  function listAction(button){
		    var myHidden = document.createElement('input');
		    myHidden.setAttribute('type', 'hidden');
		    myHidden.setAttribute('value', 1);
		    myHidden.setAttribute('name', button);
		    myHidden.setAttribute('ID', 'ListButton');          
		    document.getElementById('defaultForm').appendChild(myHidden);          
		    
		    doSubmit();
		  }
		</script>
  </xsl:template>
  

  <!-- show form's list actions -->
  <xsl:template mode="plesk-browse-button" match="ui:button">
  	
  	<!--
  	<xsl:call-template name="ui:plesk-action"/>
  	-->
    <xsl:variable name="condition_token">
      <xsl:choose>
        <xsl:when test="string(@confirmation)">confirm('<xsl:value-of select="@confirmation"/>')</xsl:when>
        <xsl:otherwise>1!=0</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="action_token">
      <xsl:choose>
				<xsl:when test="@sandclock = 'false' or @oneclick = 'true'"></xsl:when>
        <xsl:otherwise>showSandclock();</xsl:otherwise>					  
      </xsl:choose>
      <xsl:if test="@submit-href">
				<xsl:choose>
					<xsl:when test="@oneclick = 'true'">
						document.defaultForm.action = '<xsl:value-of select="@submit-href"/>';
						btnListAction('<xsl:value-of select="@name"/>','true');
						document.defaultForm.target=''; return false;
					</xsl:when>
					<xsl:otherwise>
						createButtonParam('<xsl:value-of select="@name"/>');
						document.defaultForm.action = '<xsl:value-of select="@submit-href"/>';
						doSubmit(); return false;
					</xsl:otherwise>
				</xsl:choose>
      </xsl:if>
      <xsl:if test="@target">
    		document.defaultForm.target='<xsl:value-of select="@target"/>';
      </xsl:if>       
    </xsl:variable>
	
	<xsl:variable name="link">this.className = 'listActionItem'</xsl:variable>
	<xsl:variable name="linkover">this.className = 'listActionItemOver'</xsl:variable>		
    <td nowrap="nowrap" class="browseButton">
		<xsl:choose>
			<xsl:when test="@disabled = 'true'">
				<xsl:attribute name="onmouseover">this.className = 'browseButton'</xsl:attribute>
				<xsl:attribute name="onmouseout">this.className = 'browseButton'</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>	  
				<xsl:attribute name="onmouseover">this.className = 'browseButtonOver'</xsl:attribute>
				<xsl:attribute name="onmouseout">this.className = 'browseButton'</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="@disabled = 'true'">
				<div onmouseover="callTip('{@tip}',event)" onmouseout="{$link}; callTip('')" class="listActionItem">
				<img src="/{$theme}/icons/{@icon}_disabled_16.gif" style="vertical-align:middle; padding:3px 4px 3px 2px;" onmouseover="callTip('{@tip}_disabled',event)" onmouseout="callTip('')"/>
				<span class="inactive"><xsl:value-of select="."/></span>
				</div>				
			</xsl:when>
			<xsl:otherwise>
				<div onmouseover="{$linkover}; callTip('{@tip}',event)" onmouseout="{$link}; callTip('')" 
					class="listActionItem" style="cursor: pointer; cursor: hand;">
					<xsl:attribute name="onclick">
						<xsl:value-of select="@script"/>;
						if(<xsl:value-of select="$condition_token"/>) {
							<xsl:value-of select="$action_token"/>;
							btnListAction('<xsl:value-of select="@name"/>','<xsl:value-of select="@oneclick"/>');
							document.defaultForm.target=''; return false;
						} else {return false;}
					</xsl:attribute>
					<xsl:if test="contains($toolbar-mode,'icon')"><img src="/{$theme}/icons/{@icon}_16.gif" style="vertical-align:middle; padding:3px 4px 3px 2px;"/></xsl:if>
					<xsl:if test="contains($toolbar-mode,'text')"><xsl:value-of select="."/></xsl:if>
				</div>
			</xsl:otherwise>
		</xsl:choose>
    </td>
  </xsl:template>
  <!-- /show form's list actions -->

  <!-- form action controls -->
  <xsl:template name="ui:show-browse-info">
    <table border="0" cellpadding="3" cellspacing="0" width="100%" style="clear:both;">
      <tr>
      	<xsl:call-template name="ui:browse-list-paging">
      		<xsl:with-param name="filter" select="ui:filter"/>
      		<xsl:with-param name="title" select="@title"/>
      	</xsl:call-template>
      </tr>
    </table>
  </xsl:template>
  
  <!-- form action controls -->
	<xsl:template name="ui:browse-list-paging">
		<xsl:param name="filter"/>
		<xsl:param name="title"/>		
		<!--|-->
		<xsl:variable name="show-pager" select="not($filter/ui:browse-setup/@hide-filter-controls='true')"/>		
		<!--|-->
		<xsl:variable name="label">
			<xsl:choose>
				<xsl:when test="$filter/ui:coords/@total > $filter/ui:coords/@limit">
					<sw:text>
						<xsl:with-param name="from" select="$filter/ui:coords/@from"/>			
						<xsl:with-param name="to" select="$filter/ui:coords/@from + $filter/ui:coords/@count - 1"/>
						<xsl:with-param name="total" select="$filter/ui:coords/@total"/>
						%{from}-%{to} of %{total}
					</sw:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('(',$filter/ui:coords/@total,')')"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<xsl:variable name="col-checkboxes" select="$filter/ui:cols/ui:column[(@custom-hidden or not(@src-hidden='yes')) and (@title!='' or @filter-title!='')]"/>
		
		<!--|-->
  		<input type="hidden" name="from"/>
		<td nowrap="nowrap" style="padding-left:7px">
    			<xsl:value-of select="sw:if($filter/ui:browse-setup/@items-title,$filter/ui:browse-setup/@items-title,$title)"/>&#160;<xsl:value-of select="$label"/>
    		</td>
		
			<!-- Show Paging or placeholder-->
			<xsl:if test="not($show-pager)">
				<td width="100%">&#160;</td>	
			</xsl:if>
			<xsl:if test="$show-pager">
				<xsl:variable name="pages_">
					<xsl:call-template name="browse:make-paging">
						<xsl:with-param name="coords" select="$filter/ui:coords"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:variable name="pages" select="exsl:node-set($pages_)"/>	

			<td width="50%" nowrap="nowrap" align="right">
				<xsl:if test="$filter/ui:coords/@total > $filter/ui:coords/@limit">
					<!--|-->
					<!-- First -->
					<xsl:choose>
						<xsl:when test="not($pages/first-page)"><span class="inactive">&lt;&lt;&#160;<sw:text>First</sw:text></span></xsl:when>
						<xsl:otherwise>&#160;<a href="#" onClick="goPage({$pages/first-page/@from-item})">&lt;&lt;<sw:text>First</sw:text></a></xsl:otherwise>
					</xsl:choose>
					|							
					<!-- Prev -->
					<xsl:choose>
						<xsl:when test="not($pages/prev-page)"><span class="inactive">&lt;&#160;<sw:text>Prev</sw:text></span></xsl:when>
						<xsl:otherwise>&#160;<a href="#" onClick="goPage({$pages/prev-page/@from-item})">&lt;<sw:text>Prev</sw:text></a></xsl:otherwise>
					</xsl:choose>
					|							
					<!-- Pages -->
					<sw:text>
						<xsl:with-param name="curr-page" select="$pages/page[@is-current = '1']/@index"/>
						<xsl:with-param name="total-pags" select="ceiling($filter/ui:coords/@total div $filter/ui:coords/@limit)"/>
						Page %{curr-page} of %{total-pags}
					</sw:text>
					|
					<!-- Next -->
					<xsl:choose>
						<xsl:when test="not($pages/next-page)"><span class="inactive"><sw:text>Next</sw:text>&#160;&gt;</span></xsl:when>
						<xsl:otherwise>&#160;<a href="#" onClick="goPage({$pages/next-page/@from-item})"><sw:text>Next</sw:text>&gt;</a></xsl:otherwise>
					</xsl:choose>
					|
					<!-- Last -->
					<xsl:choose>
						<xsl:when test="not($pages/last-page)"><span class="inactive"><sw:text>Last</sw:text>&#160;&gt;&gt;</span></xsl:when>
						<xsl:otherwise>&#160;<a href="#" onClick="goPage({$pages/last-page/@from-item})"><sw:text>Last</sw:text>&gt;&gt;</a></xsl:otherwise>
					</xsl:choose>														
				<!-- /Next -->
		      	</xsl:if>		      	
		      	<!-- /Show Paging -->
			</td>
			<td width="50%" nowrap="nowrap" align="right">
	      		<sw:text>Per page:</sw:text><xsl:text>&#160;</xsl:text>
	      		<xsl:for-each select="$pages/pc-switch">
							<xsl:choose>				
								<xsl:when test="@items=$filter/ui:coords/@limit"><b><xsl:value-of select="@title"/></b></xsl:when>
								<xsl:otherwise><a href="#" onClick="switchPC({@items})"><xsl:value-of select="@title"/></a>&#160;</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="position()!= last()">&#160;|&#160;</xsl:if>
						</xsl:for-each>
						<input type="hidden" name="pc_switch"/>
						<script language="JavaScript">
			        function switchPC(items){
			      		document.defaultForm.filter_action.value='pc';			        
			        	document.defaultForm.pc_switch.value=items;
			        	document.defaultForm.action = '<xsl:value-of select="concat($baseurl,$filter/ui:browse-setup/@url)"/>';
			    			doSubmit();
				       }
					   </script>
			 </td>		   					   
	      	</xsl:if>
	
		<td nowrap="nowrap" style="padding-left:30px">
		<nobr>
			<!-- Customize List -->
				<xsl:variable name="custom-id" select="concat('div_customcols_',$filter/ui:browse-setup/@id)"/>
				<xsl:if test="contains($toolbar-mode,'icon')">
					<a href="#" onmouseover="callTip('customize_list',event)" onmouseout="callTip('')" onClick="switchCustomCols('{$custom-id}',!isCustomColsVisible	('{$custom-id}'));return false">
						<img src="/{$theme}/icons/select_cols_16.gif" style="margin:3px"/> 
					</a>
				</xsl:if>
				<xsl:if test="contains($toolbar-mode,'text')">
					<a href="#" onmouseover="callTip('customize_list',event)" onmouseout="callTip('')" onClick="switchCustomCols('{$custom-id}', !isCustomColsVisible	('{$custom-id}'));return false">
						<sw:text>Select Columns</sw:text>
					</a>
				</xsl:if>	<br/> 
					<div id="div_customcols_{$filter/ui:browse-setup/@id}" style="clear:both;display:none;position:absolute;width:150px;border: solid 1px;border-color:#D0D0BF;background-color:#F9F8F8;z-index:100">
						<table cellpadding="0" cellspacing="0" border="0" width="100%">
							<tr style="background-color:#ABBEEF">
								<td><img src="/{$theme}/images/1x1.gif" width="14" height="14" border="0"/></td>
								<td width="100%" align="center"><b><sw:text>Select Columns</sw:text></b></td>
								<td><a href="#" onClick="switchCustomCols('{$custom-id}',false);restoreCustomColsValues();return false"><img src="/{$theme}/icons/close.gif" width="14" height="14" alt="{sw:text('Close the 	customization window')}" border="0"/></a></td>
							</tr>
						</table>
						<br/>
						<table cellpadding="0" cellspacing="0" border="0" width="100%">
							<xsl:for-each select="$col-checkboxes">
								<tr>
									<td>&#160;</td>
									<td>
										<input type="hidden" id="src_custom_list_{position()}" value="{@id}"/>
										<xsl:choose>
											<xsl:when test="@nav-type='title'">
												<input type="hidden" id="_custom_list_{position()}" name="_custom_list" value="{@id}"/>
												<input type="checkbox" checked="yes" disabled="yes"/>
											</xsl:when>
											<xsl:otherwise>
												<input type="checkbox" id="_custom_list_{position()}" name="_custom_list" value="{@id}">
													<xsl:if test="not(@hidden='yes')">
														<xsl:attribute name="checked"/>
													</xsl:if>
												</input>
											</xsl:otherwise>
										</xsl:choose>
										&#160;<label for="_custom_list_{position()}"><xsl:value-of select="sw:if(@filter-title,@filter-title,@title)"/></label>
									</td>
								</tr>					
							</xsl:for-each>
						</table>
						<br/>
						<table cellpadding="0" cellspacing="0" border="0" width="100%">
							<tr>
								<td align="center">
									<a href='#' onclick="submitCustomCols('{$custom-id}');return false"><sw:text>Save</sw:text></a>
									&#160;
									<a href='#' onclick="switchCustomCols('{$custom-id}',false);restoreCustomColsValues();return false"><sw:text>Cancel</sw:text></a>
								</td>
							</tr>
						</table>
						<br/>
					</div>
					<script language="Javascript">align2right('<xsl:value-of select="$custom-id"/>');</script>
				<!-- /Customize List -->
			</nobr>
		</td>

		<xsl:variable name="filter-cols" select="count($filter/ui:cols/ui:column[@filter!=''])>0"/>
		<xsl:if test="$filter-cols">
			<td nowrap="nowrap">
			<nobr>
		      
			<!-- Show/Hide Search -->
				<xsl:variable name="filtered" select="count($filter/ui:cols/ui:column[@value-src!='' or @value-from-src!='' or @value-to-src!=''])>0"/>
				<xsl:variable name="show-hide" select="sw:if(
					not($filtered) and
					not(ui:filter/ui:int/@show-all='1') and 
					not(($browse-default-search-opened='true') and not($filter/ui:browse-setup/@search-opened='false')) and
					not($filter/ui:browse-setup/@search-opened='true'),
					'show','hide')"/>
				<xsl:if test="contains($toolbar-mode,'icon')">
					<a href="#" onmouseover="callTip('browse_showhide_filter',event)" onmouseout="callTip('')" onClick="showFilter()">
						<img id="filter_on_icon" src="/{$theme}/icons/{sw:if($show-hide = 'show','show','hide')}_search.gif" style="margin:3px"/>
					</a>
				</xsl:if>
				<xsl:if test="contains($toolbar-mode,'text')">
					<a href="#" onmouseover="callTip('browse_showhide_filter',event)" onmouseout="callTip('')" onClick="showFilter()">
	          				<span id="filter_on">
	          					<sw:text select="sw:if($show-hide = 'show', 'Show Search', 'Hide Search')"></sw:text>
				          	</span>
					</a>            	          
				</xsl:if>					
	      		<!-- /Show/Hide Search -->	      	
      		</nobr>
	      </td>
     	</xsl:if>
      
      <script language="JavaScript">
      	function isCustomColsVisible(div_id) {
      		div = document.getElementById(div_id);
      		return div.style.display!='none';
      	}
      	customColValues = new Array();
      	<xsl:for-each select="$col-checkboxes">
      		customColValues[<xsl:value-of select="position()"/>] = <xsl:value-of select="sw:if(@hidden='yes','false','true')"/>;
      	</xsl:for-each>
      	
      	<![CDATA[      	
      	function restoreCustomColsValues(){
      		for (var i=1;i<=customColValues.length;i++){
	      		el = document.getElementById('_custom_list_'+i);
      			if (el)
      				el.checked = customColValues[i];
      			
      		}
      	}

      	function CheckCustomCols(){
				var cols=document.getElementsByName('_custom_list');
				var ret=false;
				if (cols.length!='undefined') {
					for(i=0;i<cols.length;i++){
						if(cols[i].checked) {ret=true;}
					}
				}
				return ret;
		}
		]]>
      	function submitCustomCols(div_id){
			if (!CheckCustomCols()) {alert('<sw:text>Please select at least one column.</sw:text>'); return false;}
      		document.defaultForm.filter_action.value='customize_list_cols';
	      	document.defaultForm.action = '<xsl:value-of select="concat($baseurl,$filter/ui:browse-setup/@url)"/>';
	    		doSubmit();
	    	}
      	function switchCustomCols(div_id,show){
      		callTip('');
      		div = document.getElementById(div_id);
      		div.style.display=show?'':'none';
			align2right(div_id);
      	}
        function goPage(page){
        	document.defaultForm.from.value=page;
        	document.defaultForm.action = '<xsl:value-of select="concat($baseurl,$filter/ui:browse-setup/@url)"/>';
    			doSubmit();
        }
	    </script>
		<td width="100%"><img src="/{$theme}/images/1x1.gif" width="1" height="1"/></td>
	</xsl:template>
 
 <xsl:template name="local:show-browse-buttons">
 	<xsl:param name="buttons"/>
 	<div class="browseButtons">
	 	<table cellpadding="0" cellspacing="0" border="0">
		 	<tr>
				<xsl:apply-templates select="$buttons" mode="plesk-browse-button"/>
			</tr>
		</table>
	</div>	
 
 </xsl:template>


</xsl:stylesheet>
