<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw path html cred func"
exclude-result-prefixes="exsl ui html func path cred"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"  
  xmlns:html	="http://www.swsoft.com/xsl/cp/html"
  xmlns:func	="http://exslt.org/functions"	  
  xmlns:path	="http://www.swsoft.com/xsl/cp/path"
  xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
>


	<func:function name="html:plesk-is-return-my">
  	<xsl:param name="control"/>
  	<!--|-->
  	<xsl:variable name="last" select="$control/ancestor::ui:content//*[name()='ui:buttons']"/>  	
  	<func:result select="generate-id($control)=generate-id($last[position()=last()])"/>
  </func:function>

  <!-- display text -->
  <xsl:template mode="plesk" match="ui:oldtext">
	<div style="float:left;">
      	<xsl:copy-of select="./child::node()"/>&#160;
      </div>
  </xsl:template>
 
	<xsl:template mode="plesk" match="ui:actions">
		<table cellpadding="0" cellspacing="0" border="0">
			<xsl:call-template name="html:calc-width">
				<xsl:with-param name="control" select="."/>
			</xsl:call-template>

			<tr><td width="100%">

			<div class="toolsArea">
								
			<fieldset>
				<xsl:if test="not(@title)">
					<xsl:attribute name="class">noLegend</xsl:attribute>
				</xsl:if>
				<xsl:if test="string(@title)">
					<legend><xsl:value-of select="@title"/></legend>
				</xsl:if>
			
						<xsl:apply-templates mode="plesk" select="*"/>
					
			</fieldset>
			
			</div>
			</td></tr>
				</table>
		
	
	</xsl:template>

  <xsl:template match="ui:actions-set" mode="plesk">
  
  	
  	<xsl:variable name="actions" select="ui:action[
  		( not(@platform) or @platform=$platform ) and
  		( not(@cred) or cred:check(@cred) ) and 
  		( not(@sve) or $veid != 1 or (@sve!='deny')) and
  		( not(@auth-type) or (@auth-type=$auth-type))
  	]"/>
  	
  	<xsl:if test="$actions">
	    <table cellpadding="0" cellspacing="0" border="0" width="100%">
	      <tr>
	        <td>
	          <div class="screenButtons">
	          	<xsl:for-each select="$actions">
	            	<xsl:apply-templates mode="plesk" select="."/>
	            </xsl:for-each>
	          </div>
	        </td>        
	      </tr>
	    </table>
		</xsl:if>
  </xsl:template>

  

  <!-- actual show buttons -->
  <xsl:template mode="plesk" match="ui:buttons">    
		
    <table border="0" cellpadding="0" cellspacing="0" class="buttons">
    	<xsl:call-template name="html:calc-width">
				<xsl:with-param name="control" select="."/>
				<xsl:with-param name="error" select="'ui:buttons should be a child of ui:block or ui:browse'"/>
			</xsl:call-template>					

      <!-- show buttons -->
      <tr>
			  <xsl:if test="//ui:*[@required='true']">
			    <td nowrap="nowrap">
			    	<font color="#FF0000">*</font><img src="/{$theme}/images/1x1.gif" width="5" height="1"/> <sw:text>Required fields</sw:text>
			    </td>
			  </xsl:if>
        <td align="right" width="100%">
          <div class="uiButtons">
            <xsl:apply-templates mode="plesk" select="*"/>
          </div>
        </td>
      </tr>

			<xsl:variable name="show-return" select="html:plesk-is-return-my(.)"/>
      <xsl:if test="$show-return and not(//ui:properties/ui:no-uplevel)">
        <tr>
          <!-- show return button if any -->
          <xsl:apply-templates mode="plesk" select="//ui:properties/ui:return"/>
        </tr>
      </xsl:if>
    </table>

  </xsl:template>

  <!-- show warning about inability to show buttons -->
  <xsl:template mode="plesk" match="ui:nobuttons">

    <table border="0" cellpadding="0" cellspacing="0">
    	<xsl:call-template name="html:calc-width">
				<xsl:with-param name="control" select="."/>
				<xsl:with-param name="error" select="'ui:buttons should be a child of ui:block'"/>
			</xsl:call-template>					
      <tr>
        <td>
          <xsl:apply-templates select="ui:*"/>
          <xsl:copy-of select="node()[not(self::ui:*)]"/>
        </td>
      </tr>
      
      <xsl:variable name="show-return" select="html:vzcp-is-return-my(.)"/>
      <xsl:if test="$show-return and not(//ui:properties/ui:not-uplevel)">
        <tr>
          <!-- show return button if any -->
          <xsl:apply-templates mode="plesk" select="//ui:properties/ui:return"/>
        </tr>
      </xsl:if>
    </table>

  </xsl:template>


  <!-- Display Plesk-like icon -->
  <xsl:template mode="plesk" match="ui:action" name="ui:plesk-action">
    <xsl:variable name="form-name">
      <xsl:choose>
        <xsl:when test="ancestor::ui:form/@name"><xsl:value-of select="ancestor::ui:form/@name"/></xsl:when>
				<xsl:otherwise>defaultForm</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    
    <xsl:variable name="action-href" select="string(sw:if(@submit-href!='',@submit-href,@href))"/>
  
  	<!-- Todo: Implement optional disabled tips  -->
    <div class="common{sw:if(@disabled = 'true', 'Disabled','')}Button" onmouseover="callTip('{@tip}{sw:if(@disabled = 'true', '_disabled','')}',event)" onmouseout="callTip()">
        <xsl:choose>
        	<xsl:when test="@icon and contains(@icon,'.gif')">
        		<xsl:attribute name="style">background-image: url(/<xsl:value-of select="$theme"/>/icons/<xsl:value-of select="@icon"/>);</xsl:attribute>
        	</xsl:when>
          <xsl:when test="@image">
            <xsl:attribute name="style">background-image: url(/<xsl:value-of select="$theme"/>/images/<xsl:value-of select="@image"/><xsl:if test="@disabled = 'true'">_disabled</xsl:if>);</xsl:attribute>
          </xsl:when>
          <xsl:when test="@icon">
            <xsl:attribute name="style">background-image: url(/<xsl:value-of select="$theme"/>/icons/<xsl:value-of select="@icon"/><xsl:if test="@disabled = 'true'">_disabled</xsl:if>_32.gif);</xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="style">background-image: url(/<xsl:value-of select="$theme"/>/icons/file_manager<xsl:if test="@disabled = 'true'">_disabled</xsl:if>_32.gif);</xsl:attribute>
          </xsl:otherwise>
        </xsl:choose>
        
        <xsl:choose>
					<xsl:when test="@disabled='true'">
					</xsl:when>
	        <xsl:when test="$action-href!='' and not(@name)">
	          <xsl:attribute name="onclick">
	            <xsl:choose>
	              <xsl:when test="string(@target)">window.open('<xsl:value-of select="$action-href"/>','<xsl:value-of select="@target"/>');</xsl:when>
	              <xsl:otherwise>window.location.href='<xsl:value-of select="$action-href"/>';return false;</xsl:otherwise>
	            </xsl:choose>
	          </xsl:attribute>
	        </xsl:when>					
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="@onclick">
								<xsl:copy-of select="@onclick"/>
							</xsl:when>
							<xsl:when test="@vzpp-type='cancel'">
								<xsl:variable name="ret-href" select="path:href(path:prev(path:get()))"/>      
          				<xsl:attribute name="onclick">
          					window.location.href='<xsl:value-of select="$ret-href"/>';return false;
								</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>          	
								<xsl:variable name="on-press-ok">
									<xsl:if test="@id='ok'">
			          		<xsl:value-of select="//ui:event[@type='on-press-ok']"/>
									</xsl:if>
								</xsl:variable>
								<xsl:variable name="condition_token">
									<xsl:choose>
										<xsl:when test="string(@confirmation)">confirm('<xsl:value-of select="@confirmation"/>')</xsl:when>
										<xsl:otherwise>1!=0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>							
								<xsl:variable name="action_token">
									<xsl:choose>
										<xsl:when test="@sandclock = 'no' or (name()='ui:action' and not(@sandclock))"></xsl:when>
										<xsl:otherwise>showSandclock();</xsl:otherwise>					  
									</xsl:choose>
									buttonBoxSubmit('<xsl:value-of select="@name"/>','<xsl:value-of select="$form-name"/>','<xsl:value-of select="$action-href"/>');
								</xsl:variable>		        
								<xsl:attribute name="onclick"><xsl:value-of select="$on-press-ok"/><xsl:value-of select="@script"/>if (<xsl:value-of select="$condition_token"/>)		{<xsl:value-of select="$action_token"/> return true;}else{return false}; </xsl:attribute>		          
							</xsl:otherwise>
						</xsl:choose>		          
					</xsl:otherwise>
				</xsl:choose>
        
        <button>
          <xsl:if test="@disabled = 'true'">
          	<xsl:attribute name="disabled">1</xsl:attribute>
          </xsl:if>
          <xsl:value-of select="."/>
        </button>
        <span><xsl:value-of select="."/></span>
    </div>
  </xsl:template>

  <!-- display normal button -->
  <xsl:template mode="plesk" match="ui:button">
	<xsl:call-template name="ui:show-button">
      	<xsl:with-param name="btn" select="."/>
      </xsl:call-template>
  </xsl:template>

  <!-- do not show return button -->
  <xsl:template mode="plesk" match="ui:return">
  </xsl:template> 

<xsl:template mode="plesk" match="ui:description" name="ui:description">
	<xsl:param name="static-content"/>
	
	<xsl:variable name="content" select="sw:if($static-content, sw:text($static-content), ./child::node())"/>
	<table cellpadding="0" cellspacing="0" border="0" class="screenDescription" width="100%">
		<tr>
			<td>
				<xsl:choose>
					<xsl:when test="@show-alert='true'">
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td valign="center" style="padding-right:5px"><img src="/{$theme}/icons/exclamation_32.gif" width="32" height="32" border="0" /></td>
								<td valign="top">
									<xsl:copy-of select="$content"/>
								</td>
							</tr>
						</table>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="$content"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</table>
</xsl:template>


</xsl:stylesheet>
