<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
>

<!-- Generic popup -->
	<xsl:template match="ui:popup-screen">
	<xsl:variable name="refresh" select="ui:properties/ui:refresh"/>

	<!-- full query url with get parameters -->
	<xsl:variable name="query-url" select="concat(
		$requesturl,
		sw:if(string-length($request/http_request/env/parameter[name = 'QUERY_STRING']/value), '?', ''), $request/http_request/env/parameter[name = 'QUERY_STRING']/value)"/>
	<!-- http_request/env/parameter are XML-escaped so URL with &amp's needs to be unescaped before use if necessary -->
	<xsl:variable name="url" select="sw:if($refresh/@href, $refresh/@href, sw:html-unescape($query-url))"/>
	<xsl:variable name="url_ref" select="sw:if($refresh/@href_ref, $refresh/@href_ref, $query-url)"/>
	<html>
		<head>
			<xsl:if test="string(ui:properties/ui:refresh-type) != 'none' and $refresh/@timeout">
				<noscript>
					<META http-equiv="Refresh" content="{$refresh/@timeout}; URL={$url}"/>
				</noscript>
			</xsl:if>
<script type="text/javascript" src="/vz/js/common_script.js"></script>
<script type="text/javascript" src="/vz/js/vzcp_script.js"></script>
<script type="text/javascript" src="/vz/js/browser.js"></script>
<script type="text/javascript">
	function selfRefresh(url, time){
	<xsl:choose>
		<xsl:when test="$url_ref">
		setTimeout(function(){ customRefresh(url)},time);
		</xsl:when>
		<xsl:otherwise>
		setTimeout(function(){ delayedRefresh(self,url)},time);
		</xsl:otherwise>
	</xsl:choose>
	}

<![CDATA[         
				
	function customRefresh( URL ) {
		var str='';
		var openSTR='';
		var closeSTR='';
		for ( var i=0;i<document.images.length;i++ ) {
			if (document.images[i].src.indexOf('open_tree')!=-1) {closeSTR+=document.images[i].id+'|';}
			if (document.images[i].src.indexOf('close_tree')!=-1) {openSTR+=document.images[i].id+'|';}
		}

		if (URL.indexOf('?')!=-1) {if(URL.substr(URL.length-1)!='&') URL+='&';} else {URL+='?';}
		URL+='open_rft='+openSTR+'&close_rft='+closeSTR;
		location.href=URL;
	}
]]>

	function delayedRefresh(winObj,url){
		if (!winObj.closed){
	<xsl:choose>
		<xsl:when test="string(ui:properties/ui:refresh-type)='POST'">
			document.defaultForm.action = url;
			doSubmit();
		</xsl:when>
		<xsl:otherwise>
			winObj.location.href = url;
			winObj.location.reload();
		</xsl:otherwise>
	</xsl:choose>
		}
	}

	//wrapper
	function getTipText(string_id){
		<![CDATA[
		var myopen=opener;
		if (typeof(myopen.getTipText)=='function') { return myopen.getTipText(string_id); } else { return null; }
		]]>
	}
	
	function callTip(string_id, e){
		<xsl:choose>
			<xsl:when test="starts-with($layout, 'vzcc')">
				//TEMPORARY;
				var string_id=getTipText(string_id);
				if (string_id){
					fadingTips.tipOver(string_id, e) 
				} else {
					fadingTips.tipOut();
				}
			</xsl:when>
			<xsl:otherwise>
				//wrapper
				opener.callTip(string_id);
			</xsl:otherwise>
		</xsl:choose>
	}

	function delayedFixWidth() {
		var a = document.getElementById('myArea');
		var b = document.getElementById('myTable');
		if (a &amp;&amp; b) { b.style.width = (parseInt(a.offsetWidth)-19)+'px'; }
	}

	function resizeScrollingArea() {
		var win_height= 0;
		<![CDATA[
			if( typeof( window.innerWidth ) == 'number' ) {
			    //Non-IE
				win_height= window.innerHeight;
			} else if( document.documentElement && ( document.documentElement.clientWidth || document.documentElement.clientHeight ) ) {
				//IE 6+ in 'standards compliant mode'
				win_height= document.documentElement.clientHeight;
				//IE 7 scrollbars overlay div solution:
				if (navigator.appVersion.toLowerCase().indexOf('msie 7') != -1) {
					var b = document.getElementById('myTable');
					if (b) {
						b.style.width = '100%';
						setTimeout('delayedFixWidth()', 100);
					}
				}
			} else if( document.body && ( document.body.clientWidth || document.body.clientHeight ) ) {
				//IE 4 compatible
				win_height= document.body.clientHeight;
			}	
			el = document.getElementById('scrollArea');
			if(el){
				h = parseInt(win_height - 200);
				if (h<20) h=20;
				el.style.height = h+'px';
			}
		}	
	]]>
	</script>
	
	<title><xsl:value-of select="@title"/></title>
	<link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/>
	<link rel="stylesheet" type="text/css" href="/{$theme}/css_expand.css"/>
	<link rel="stylesheet" type="text/css" href="/{$theme}/plesk.css"/>
	<link rel="shortcut icon" href="/favicon.ico"/>
	</head>
	<body onresize="resizeScrollingArea()">
		<xsl:attribute name="onload">
			resizeScrollingArea();
			<xsl:if test="string(ui:properties/ui:refresh-type)!='none' and $refresh/@timeout">
				selfRefresh('<xsl:value-of select="$url"/>', <xsl:value-of select="$refresh/@timeout * 1000"/>);
			</xsl:if>
		</xsl:attribute>
	<!-- Popup page Title -->
	<table height="50" border="0" cellpadding="0" cellspacing="0" width="100%" class="popupHeader">
	<tr>
		<xsl:if test="@icon">
			<td height="50" valign="middle" style="padding-left:15px">
				<img src="/{$theme}/icons/task_32.gif" width="32" height="32" border="0" alt="Task Details" title="{sw:text('Task Details')}"/>
			</td>
		</xsl:if>
		<td><img src="/{$theme}/images/1x1.gif" width="5" height="1"/></td>
		<xsl:if test="@title">
			<td width="100%">
				<span class="screenTitle">
					<xsl:value-of select="@title"/>
				</span>
			</td>
		</xsl:if>

		<td>&#160;</td>
		<td align="right" nowrap="1" width="100%" class="uplevel">
			<small>
				<xsl:if test="not(ui:properties/ui:no-screenid)">
				<div style="padding:1px 1px 5px 1px; margin:0px;">
					<sw:text><xsl:with-param name="id" select="@id"/>Screen ID: %{id}</sw:text>
				</div>
				</xsl:if>
			<xsl:if test="not(ui:properties/ui:no-help)">
				<a href="javascript:open_help('{$baseurl}/help?topic={@id}')">
					<img src="/{$theme}/icons/help_16.gif" alt="{sw:text('Help')}" title="{sw:text('Help')}" 
						border="0" width="16" height="16" hspace="4" class="titleBarIcon"/></a>
				<span class="titlebarIconText"><a href="javascript:open_help('{$baseurl}/help?topic={@id}')"><sw:text>Help</sw:text></a></span>&#160;
			</xsl:if>
			<xsl:if test="string(ui:properties/ui:refresh-type)!='none'">
				<a href="{$url_ref}"><img src="/{$theme}/icons/refresh_16.gif" alt="{sw:text('Refresh this page')}"
					title="{sw:text('Refresh this page')}" border="0" width="16" height="16" hspace="4" class="titleBarIcon"/></a>
				<span class="titlebarIconText"><a href="{$url_ref}"><sw:text>Refresh</sw:text></a></span>
			</xsl:if>
			</small>
		</td>
	</tr>
	</table>
	<!-- /Popup page Title -->
	
	<xsl:apply-templates select="ui:tab-bar-custom|ui:tab-bar"/>
	<xsl:if test="not(ui:tab-bar-custom/ui:tab) and not(ui:tab-bar)"><div id="noTabs"></div></xsl:if>	

	<!-- Close button -->
	<table width="100%" border="0" cellpadding="15" cellspacing="0">
	<tr>
		<xsl:call-template name="default-form-open"/>
		<td>
			<xsl:apply-templates select="ui:content/*" mode="vzcp"/>
			<!-- Show 'Close'  button in the popup bottom-center only if there no ui:buttons -->
			<xsl:if test="not(ui:content//ui:button)">
				<br/>
				<div align="center">
					<xsl:variable name="btn">
						<ui:button tip="close_popup" onclick="window.close()"><sw:text>Close</sw:text></ui:button>
					</xsl:variable>
					<xsl:call-template name="ui:show-button">
						<xsl:with-param name="btn" select="exsl:node-set($btn)/ui:button"/>
					</xsl:call-template>
				</div>			
			</xsl:if>
		</td>
		<xsl:call-template name="default-form-close"/>	
	</tr>
	</table>
	<!-- /Close button -->	
	
	<xsl:if test="ui:properties/ui:js-tail">
		<xsl:copy-of select="ui:properties/ui:js-tail/child::node()"/>
	</xsl:if> 
	<xsl:call-template name="ui:post-do-submit"/>
	<div id="toolTip" class="toolTipArea" style="position:absolute; top:0;"></div>
	<xsl:call-template name="sandclock"/>
	</body>
	</html>
</xsl:template>

</xsl:stylesheet>

