<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->
  
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
>
<!-- Generic Screen -->
<xsl:template match="ui:simple-screen">
	<xsl:variable name="refresh" select="ui:properties/ui:refresh"/>
	<xsl:variable name="url" select="sw:if($refresh/@href, $refresh/@href, $requesturl)"/>
	
	<html>
	<head>
		<xsl:if test="$refresh/@timeout">
			<noscript>
			<META http-equiv="Refresh" content="{$refresh/@timeout}; URL={$url}"/>
			</noscript>
		</xsl:if>
	
		<script type="text/javascript" src="/vz/js/common_script.js"></script>
		<script type="text/javascript">
		//wrapper
			function detailsRefresher(obj, url, time){
				if(opener.top.detailsRefresher)
					opener.top.detailsRefresher(obj, url, time);
			}
			function callTip(string_id){
				opener.callTip(string_id)
			}
		// use this func to select menu item with any back color
			var activeElementId = '';
			function showSelectedItem(elementId){
				return true;
			}			
		</script>
		<title><xsl:value-of select="@title"/></title>
		<!-- <link rel="stylesheet" type="text/css" href="/{$theme}/vz.css"/> -->
		<link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/>
		<link rel="shortcut icon" href="/favicon.ico"/>
	</head>
	<body>
		<xsl:apply-templates select="ui:content/*" mode="vzcp"/>
	</body>
	</html>
</xsl:template>    

<xsl:template match="ui:simple-frame" mode="plesk">
	<html>
		<head>
			<link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/>
			<link rel="stylesheet" type="text/css" href="/{$theme}/plesk.css"/>		
			<script type="text/javascript" src="/vz/js/common_script.js"></script>		
			<script type="text/javascript">
				function detailsRefresher(obj, url, time){
				}
				function getTipText(string_id){
					return top.getTipText(string_id)
				}
				function callTip(string_id,e){
					<xsl:if test="sw:sesget('vzcc_tooltips') = 'false'">
					return false;
					</xsl:if>
					if (string_id) {fadingTips.tipOver(getTipText(string_id), e);} else {fadingTips.tipOut();}
				}
			</script>
		</head>
	
		<body>
			<div id="toolTip" class="toolTipArea"></div>
			<xsl:copy-of select="ui:properties/ui:html-body/@*"/> 
			<xsl:apply-templates select="ui:content/*" mode="plesk"/>		
		</body>
	</html>
</xsl:template>


</xsl:stylesheet>
