<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl units voc"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ve="http://www.swsoft.com/xsl/cp/ve"
  xmlns:hn="http://www.swsoft.com/xsl/cp/hn"
  xmlns:global="http://www.swsoft.com/xsl/cp/global"
  xmlns:units="http://www.swsoft.com/xsl/cp/units"
  xmlns:voc="http://www.swsoft.com/xsl/cp/voc"
  xmlns:env="http://www.swsoft.com/xsl/cp/env"
  >

	<sw:include href="/lib/panel/homepage.xsl"/>
	<sw:include href="/lib/vt/ve-core.xsl"/>
	<sw:include href="/lib/vt/hn-core.xsl"/>
	<sw:include href="/lib/vocabulary.xsl"/>

  <xsl:template name="vzcc-frameset">
    <html>
      <head>
        <link rel="shortcut icon" href="/favicon.ico"/>
        <script type="text/javascript" src="/vz/js/common_script.js"></script>
        <script type="text/javascript">
  function setPageTitle(title){
    document.title = title; 
  }

<![CDATA[
	function detailsRefresher(winObj,url, time){
		if (winObj.closed){
			winObj.flagDetailsReresh = 0;
			return
	}
	      
		if(winObj.flagDetailsRefresh == 0){
			winObj.flagDetailsRefresh = 1;
		}else{
			winObj.location = url;
		}
		thisObj = this;
		self.setTimeout(function(){ thisObj.delayedRefresh(winObj)},time);
	}
	   
	function delayedRefresh(winObj){
		if (!winObj.closed)
			winObj.location.reload()
  }
  
    function callScroll(){
      top.menu.callScroll();
    }
        
    function setScrollInIE(){
      if (navigator.appName == "Microsoft Internet Explorer" && document.documentElement && navigator.userAgent.indexOf ("Opera") == -1){
        var navL = top.menu.document.getElementById ("navArea");
        var winWidth = (top.menu.document.documentElement.clientWidth || top.menu.document.body.clientWidth);
        var winHeight = (top.menu.document.documentElement.clientHeight || top.menu.document.body.clientHeight);
        top.menu.document.body.scroll = (navL.clientHeight > winHeight || navL.clientWidth > winWidth) ? "yes" : "no";
      }
    }
    
    function getTipText(string_id){
    	return _c[string_id] || string_id
    }

    var _c = new Array;
	var _js= new Array;
]]>

          <xsl:for-each select="sw:document('tips.xml')/tips/tip">
						_c['<xsl:value-of select="@id"/>'] = "<xsl:value-of select="sw:html-escape(sw:text(./child::node()),'escape-dquote')"/>";
          </xsl:for-each>    

          <xsl:for-each select="sw:document('messages.xml')/messages/message">
						_js['<xsl:value-of select="@id"/>'] = "<xsl:value-of select="sw:html-escape(sw:text(./child::node()),'escape-dquote')"/>";
          </xsl:for-each>    

	var _dnd = new Array;
          <xsl:for-each select="sw:document('cc/menu.xml')/menu/drag-actions/action">
			a = new Object();
			a.name = '<xsl:value-of select="@name-id"/>';
			a.href = '<xsl:value-of select="sw:if(starts-with(@href,'$baseurl'), concat($baseurl,substring-after(string(@href),'$baseurl')), @href)"/>';
			a.target = '<xsl:value-of select="@target"/>';
			a.source = '<xsl:value-of select="source/@obj-type"/>';
			a.destination = '<xsl:value-of select="destination/@obj-type"/>';
			a.check_child = '<xsl:value-of select="destination/@child"/>';
			a.platform = '<xsl:value-of select="platform/@type"/>';
			_dnd.push(a);
          </xsl:for-each>    

    var _dyn = new Array;

<!--common-->
		_dyn['disabled']="&amp;nbsp;(<sw:text>Disabled</sw:text>)";
		_dyn['details']="<sw:text>Details</sw:text>";
		_dyn['tasks_found']="<sw:text>(%count% active task(s) running at the moment.)</sw:text>";
		_dyn['no_tasks']="<sw:text>(No active tasks at the moment.)</sw:text>";

<!--platform-->
		_dyn['platform']=new Array(
			Array('linux','icons/os_lin_16.gif'),
			Array('windows','icons/os_win_16.gif')
		);

<!--enabled-->
		_dyn['e0']="icons/green_16.gif";
		_dyn['e1']="icons/red_16.gif";

<!--alert-->
		_dyn['a0']="icons/green_16.gif";
		_dyn['a1']="icons/yellow_16.gif";
		_dyn['a2']="icons/red_16.gif";
		_dyn['a3']="icons/red_16.gif";

<!--small-alert-->
		_dyn['a_l0']="icons/alert_green_left_16.gif";
		_dyn['a_l1']="icons/alert_yellow_left_16.gif";
		_dyn['a_l2']="icons/alert_red_left_16.gif";
		_dyn['a_l3']="icons/alert_red_left_16.gif";

<!--command map-->
		var buttons_arr = new Array();
		<xsl:variable name="opers-obj" select="voc:object-operations()"/>
		<xsl:for-each select="$opers-obj/object">
			<xsl:for-each select="operation">
			<xsl:if test="env-state>0 and operator!='' and command!=''">
		buttons_arr.push(Array('<xsl:value-of select="sw:html-escape(../object-type,'escape-quote')"/>|<xsl:value-of select="sw:html-escape(operator,'escape-quote')"/>|<xsl:value-of select="sw:html-escape(command,'escape-quote')"/>','|<xsl:for-each select="env-state"><xsl:value-of select="."/>|</xsl:for-each>'));
			</xsl:if>
			</xsl:for-each>
		</xsl:for-each>

<!--VE status values-->
		var status_arr = new Array();
		<xsl:for-each select="$hn:state">
			_dyn['hn-<xsl:value-of select="vza-value"/>']="<xsl:value-of select="sw:html-escape(text-capitalized,'escape-dquote')"/>";
			_dyn['lf-hn-<xsl:value-of select="vza-value"/>']="icons/<xsl:value-of select="left-icon"/>";
			_dyn['list-hn-<xsl:value-of select="vza-value"/>']="icons/<xsl:value-of select="list-icon"/>";
		</xsl:for-each>
		<xsl:for-each select="$ve:state">
			_dyn['s<xsl:value-of select="vza-value"/>']="<xsl:value-of select="sw:html-escape(text-capitalized,'escape-dquote')"/>";
			_dyn['lf-<xsl:value-of select="@id"/>']="icons/<xsl:value-of select="left-icon"/>";
			<xsl:if test="vza-value!=''">
				status_arr['<xsl:value-of select="vza-value"/>']='<xsl:value-of select="@id"/>';
				_dyn['<xsl:value-of select="@id"/>']="icons/<xsl:value-of select="icon"/>";
			</xsl:if>
		</xsl:for-each>
		<xsl:for-each select="$ve:trans">
			_dyn['str-<xsl:value-of select="vza-value"/>']="<xsl:value-of select="sw:html-escape(text-capitalized,'escape-dquote')"/>";
			_dyn['lf-<xsl:value-of select="@id"/>']="icons/<xsl:value-of select="left-icon"/>";
			<xsl:if test="vza-value!=''">
				status_arr['tr-<xsl:value-of select="vza-value"/>']='<xsl:value-of select="@id"/>';
				_dyn['<xsl:value-of select="@id"/>']="icons/<xsl:value-of select="icon"/>";
			</xsl:if>
		</xsl:for-each>

<!--Operations values-->
		<xsl:variable name="operations" select="voc:get('operations', env:make-platform-ref(sw:local-hn-eid()))|sw:document('operations.xml')/operations/operation"/>
		<xsl:for-each select="$operations">
			_dyn['<xsl:value-of select="id"/>']="<xsl:value-of select="sw:html-escape(short,'escape-dquote')"/>";
		</xsl:for-each>
    
<!--TaskBar status values-->
		_dyn['stask-bar0']="<xsl:value-of select="sw:text('Other')"/>";
		_dyn['stask-bar1']="<xsl:value-of select="sw:text('Started')"/>";
		_dyn['stask-bar2']="<xsl:value-of select="sw:text('In Progress')"/>";
		_dyn['stask-bar3']="<xsl:value-of select="sw:text('Completed')"/>";
		_dyn['stask-bar4']="<xsl:value-of select="sw:text('Failed')"/>";
		_dyn['task-bar0']="icons/red_16.gif";
		_dyn['task-bar1']="icons/indicator.gif";
		_dyn['task-bar2']="icons/indicator.gif";
		_dyn['task-bar3']="icons/green_16.gif";
		_dyn['task-bar4']="icons/red_16.gif";

var globalPATH = new String('/<xsl:value-of select="$theme"/>/');
var baseURL = new String('<xsl:value-of select="$baseurl"/>');
var logicalDN = new String('<xsl:value-of select="units:logical-top-dn()"/>');
var infraDN = new String('<xsl:value-of select="units:infra-top-dn()"/>');
var DNDinfra = new String('<xsl:value-of select="substring-before(sw:uc(units:logical-top-dn()),',')"/>');
var DNDlogical = new String('<xsl:value-of select="substring-before(sw:uc(units:infra-top-dn()),',')"/>');

var runDYN = <xsl:value-of select="sw:if(sw:sesgetstr('vzcc_dynamic')='false','false','true')"/>;
var Dyn_enabled = <xsl:value-of select="sw:if(sw:sesgetstr('vzcc_dynamic')='false','false','true')"/>;
var Allow_tooltips = <xsl:value-of select="sw:if(sw:sesgetstr('vzcc_tooltips')='true','true','false')"/>;

function rightMenuXML(id,eid,name,obj) {
	switch(id) {
    <xsl:for-each select="sw:document('cc/menu.xml')/menu/context-menu">
    <xsl:variable name="id" select="@id"/>
	case '<xsl:value-of select="$id"/>': obj.rightMenu(obj.rightMenuCreateLevel(),'<xsl:value-of select="$id"/>',
		<xsl:for-each select="item">
			<xsl:variable name="op-url">
				<xsl:choose>
					<xsl:when test="not(@set-id)">
						<xsl:value-of select="sw:if(starts-with(@op-url,'$baseurl'), concat($baseurl,substring-after(string(@op-url),'$baseurl')), @op-url)"/>
					</xsl:when>
					<xsl:otherwise><xsl:value-of select="@params"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="check-op">
				<xsl:if test="@check-op-cmd"><xsl:value-of select="@check-op-obj"/>|<xsl:value-of select="@check-op-operator"/>|<xsl:value-of select="@check-op-cmd"/></xsl:if>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="not(@label-id)">
					'-',
					'<xsl:value-of select="@alone"/>',
					'<xsl:value-of select="@folder"/>',
				</xsl:when>
				<xsl:otherwise>
					_js['<xsl:value-of select="@label-id"/>'],
					<xsl:choose>
						<xsl:when test="@sub-menu">
							'rightMenuCallSub(\'<xsl:value-of select="@sub-menu"/>\')',
						</xsl:when>
						<xsl:otherwise>
							'rightMenuCall(\'<xsl:value-of select="$id"/>\',\'<xsl:value-of select="@op-message"/>\',\'<xsl:value-of select="$op-url"/>\',\''+eid+'\',\''+name+'\',\'<xsl:value-of select="@target"/>\',\'<xsl:value-of select="@set-id"/>\',\'<xsl:value-of select="@confirm"/>\',\'<xsl:value-of select="@label-id"/>\')',
						</xsl:otherwise>
					</xsl:choose>
					'<xsl:value-of select="@icon"/>',
					'<xsl:value-of select="@alone"/>',
					'<xsl:value-of select="@folder"/>',
					'<xsl:value-of select="@label-id"/>',
					'<xsl:value-of select="$check-op"/>',					
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		'@END');
		break;
    </xsl:for-each>
	}
}
        </script>
        <title><sw:text>Parallels Infrastructure Manager</sw:text></title>
      </head>
      
     
      <xsl:variable name="main_url">
        <xsl:choose>
          <xsl:when test="$auth-type = $global:auth-type-registration"><xsl:value-of select="$baseurl"/>/core/register/index</xsl:when>
          <xsl:when test="string(sw:sesget('frameset_url'))"><xsl:value-of select="$baseurl"/>/<xsl:value-of select="sw:sesget('frameset_url')"/><xsl:value-of select="sw:sesput('frameset_url','')"/></xsl:when>
          <xsl:when test="string-length(string($request/http_request/cookies/parameter[name = 'frameset_url']/value)) &gt; 0"><xsl:value-of select="$siteurl"/>/<xsl:value-of select="$request/http_request/cookies/parameter[name = 'frameset_url']/value"/></xsl:when>
          <xsl:otherwise><xsl:value-of select="sw:home-page()"/></xsl:otherwise>
        </xsl:choose>
      </xsl:variable>

	<frameset rows="51,*" frameborder="0" framespacing="0" border="0" TOPMARGIN="0" LEFTMARGIN="0" MARGINHEIGHT="0" MARGINWIDTH="0">
		<frame id="topframe" name="topframe" src="{$baseurl}/panel/vzcc/top" noresize="1" border="0" frameborder="0" scrolling="no"/>
		<frameset cols="210,*" frameborder="1" border="1" FRAMESPACING="2" noresize="0" TOPMARGIN="0" LEFTMARGIN="0" MARGINHEIGHT="0" MARGINWIDTH="0">
			<frame id="menu" name="menu" src="{$baseurl}/panel/vzcc/menu" onresize="callScroll()" scrolling="no"/>
			<frameset id="mainframe" rows="*,32" frameborder="1" border="1" FRAMESPACING="0" TOPMARGIN="0" LEFTMARGIN="0" MARGINHEIGHT="0" MARGINWIDTH="0">
				<frame id="main" name="main" src="{$main_url}" scrolling="yes"/>
				<frame id="taskbar" name="taskbar" src="{$baseurl}/panel/vzcc/taskbar" frameborder="1" border="1" scrolling="no" onresize="top.taskbar.taskbarResize()"/>
			</frameset>
		</frameset>
	</frameset>
 
    </html>
  </xsl:template>

</xsl:stylesheet>
