<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl browse html"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
 	xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"  
  xmlns:html="http://www.swsoft.com/xsl/cp/html"  
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse" 
  
  >
	
	<sw:include href="/layout/lib/html.xsl"/>

  <!-- show no items in list message -->
  <xsl:template mode="vzcp" match="ui:browse-empty-msg">
    <xsl:choose>
      <xsl:when test="@stop-sign = 'yes'">
        <xsl:call-template name="stopSign">
          <xsl:with-param name="body">
            <xsl:copy-of select="child::node()"/>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="infoBox">
          <xsl:with-param name="info">
            <xsl:copy-of select="child::node()"/>
          </xsl:with-param>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>        
  </xsl:template>


  <!-- display browse custom control -->
  <xsl:template mode="vzcp" match="ui:custom-control">
    <img src="/{$theme}/images/1x1.gif" width="1" height="1"/><br/>
    <xsl:copy-of select="child::node()"/>
    <img src="/{$theme}/images/1x1.gif" width="1" height="10"/><br/>
  </xsl:template>
   
  <xsl:template mode="vzcp" match="ui:browse">
  	
  	<xsl:variable name="div-rows-id" select="ui:filter/ui:browse-setup/@div-rows-id"/>
  	<xsl:variable name="div-rows-height" select="ui:filter/ui:browse-setup/@div-rows-height"/>
    <xsl:variable name="post-only-rows" select="ui:filter/ui:browse-setup/@post-only-rows='true'"/>
  	<xsl:variable name="filtered" select="count(ui:filter/ui:cols/ui:column[@value-src!='' or @value-from-src!='' or @value-to-src!=''])>0"/>
		<xsl:variable name="has-rows" select="count(ui:filter/ui:browse-rows/ui:row)>0"/>
		<xsl:variable name="has-spec-btns" select="ui:browse-buttons/ui:button[@require-items='false']"/>    
		  
  	<xsl:variable name="div-rows">
			<xsl:if test="$div-rows-id">
				<div id="{$div-rows-id}">
					<xsl:if test="$div-rows-height">
						<xsl:attribute name="style">height:<xsl:value-of select="$div-rows-height"/>px;overflow:auto;</xsl:attribute>
						<xsl:attribute name="class">scrollableArea</xsl:attribute>
					</xsl:if>
				</div>
			</xsl:if>          
		</xsl:variable>
		
		<xsl:variable name="browse-width">
		  <xsl:call-template name="html:calc-width">
		    <xsl:with-param name="control" select="."/>
		    <xsl:with-param name="as-text" select="'1'"/>
		  </xsl:call-template>	
		</xsl:variable>
		
		<xsl:variable name="div">
			<xsl:if test="not($post-only-rows)">
				<div style="clear:left;width:{$browse-width}"/>
			</xsl:if>          
		</xsl:variable>
		
    <!-- show list global buttons -->
    <xsl:if test="not($post-only-rows) and *[@type = 'list-global']">
      <xsl:apply-templates mode="vzcp" select="*[@type = 'list-global']">
        <xsl:with-param name="width" select="50"/>
        <xsl:with-param name="show-return" select="false()"/>
      </xsl:apply-templates>
      <br/>
    </xsl:if>
    
    <xsl:if test="not($post-only-rows)">
	  	<xsl:copy-of select="html:tag-open($div)"/>	 
	  </xsl:if>
    
    <!-- open form if requested -->
    <xsl:if test="not($post-only-rows)">
    	<xsl:apply-templates mode="form-open" select="ui:form"/>
    </xsl:if>
    
 		<input type="hidden" name="filter_action"/>
		<input type="hidden" name="_lf" value="{ui:filter/ui:browse-setup/@id}"/>
 		
			
    <xsl:choose>       
      <!-- we have rows to show -->
      <xsl:when test="$has-rows or $filtered">
		<!-- show filter box -->
		<xsl:if test="not($post-only-rows) and ui:filter/ui:cols/ui:column[@filter!='']">
			<xsl:call-template name="browse:show-header-filter">
				<xsl:with-param name="filter" select="ui:filter"/>
				<xsl:with-param name="filtered-cols" select="$filtered"/>
			</xsl:call-template>
		</xsl:if>
		<!-- /show filter box -->		
               
       <!-- custom controls -->
       <xsl:if test="not($post-only-rows)">
	       <xsl:apply-templates mode="vzcp" select="ui:custom-control"/>				
	       
	       <xsl:apply-templates select="ui:browse-js-array"/>		
	       <xsl:apply-templates select="ui:browse-js-many"/>	
	       <xsl:apply-templates select="ui:browse-js-one"/>	
	      </xsl:if>
       
       				 			 
				<xsl:choose>
					<xsl:when test="$has-rows">
					 	<xsl:variable name="cols-for-filter" select="ui:filter/ui:cols/ui:column[@filter!='']"/>

	          <!-- list-related buttons -->		          
	          <xsl:if test="not($post-only-rows)">
	          	<xsl:call-template name="ui:browse-list-nobuttons-vzcp">
	          		<xsl:with-param name="filter" select="ui:filter"/>
	          		<xsl:with-param name="title" select="@title"/>
	          	</xsl:call-template>
	          </xsl:if>
          	

		
	          <!-- SHOW BROWSE ROWS -->
	          <xsl:if test="$div-rows-id">
	          	<xsl:copy-of select="html:tag-open($div-rows)"/>	 
	          </xsl:if>
	          <table id="myTable" border="0" cellpadding="0" cellspacing="0" class="list">
	          	<xsl:call-template name="html:calc-width">
								<xsl:with-param name="control" select="."/>
							</xsl:call-template>
	            <xsl:call-template name="browse:show">              
	              <xsl:with-param name="filter" select="ui:filter"/>
	              <xsl:with-param name="check_position" select="'left'"/>
	            </xsl:call-template>	         
	          </table>
	          <xsl:if test="$div-rows-id">
	          	<xsl:copy-of select="html:tag-close($div-rows)"/>	 
	          </xsl:if>
	          <!-- /SHOW BROWSE ROWS -->
	          
        	</xsl:when>
        	<xsl:otherwise>
        		<br/>
			<sw:text>No results matching your criteria.</sw:text>
			<br/>
        	</xsl:otherwise>
        </xsl:choose>
         
        <xsl:if test="not($post-only-rows)">
        	<img src="/{$theme}/images/1x1.gif" width="1" height="10"/>
        </xsl:if>
      </xsl:when>
		
	    <xsl:otherwise>
	      <xsl:apply-templates mode="vzcp" select="ui:browse-empty-msg"/>
	    </xsl:otherwise>
    </xsl:choose>		  
    
    
    <xsl:if test="not($post-only-rows)">
	    <xsl:apply-templates mode="vzcp" select="ui:browse-buttons">
	    	<xsl:with-param name="hide-buttons" select="not($has-rows) and not($has-spec-btns)"></xsl:with-param>
	    </xsl:apply-templates>  
	
	    <!-- show unavailability message -->
	    <xsl:apply-templates mode="vzcp" select="ui:nobuttons"/>
	
	    <xsl:apply-templates mode="form-close" select="ui:form"/>
	    <xsl:copy-of select="html:tag-close($div)"/>	 
	  </xsl:if>

  </xsl:template>  
  
	<xsl:template name="ui:browse-list-nobuttons-vzcp">
		<xsl:param name="filter"/>
		<xsl:param name="title"/>
		
		<xsl:if test="not($filter/ui:browse-setup/@hide-filter-controls='true')">
			<table border="0" cellpadding="0" cellspacing="0" width="100%">
				<tr>
					<xsl:call-template name="ui:browse-list-paging">
						<xsl:with-param name="filter" select="$filter"/>
						<xsl:with-param name="title" select="$title"/>
					</xsl:call-template>
				</tr>
			</table>    
		</xsl:if>
	</xsl:template>
    
</xsl:stylesheet>
