<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw path html cred func"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
  xmlns:vzcp	="http://www.swsoft.com/xsl/cp/vzcp"
  xmlns:path	="http://www.swsoft.com/xsl/cp/path"
  xmlns:html	="http://www.swsoft.com/xsl/cp/html"
  xmlns:func	="http://exslt.org/functions"	  
  xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
>

	<func:function name="html:vzcp-is-return-my">
  	<xsl:param name="control"/>
  	<!--|-->
  	<xsl:variable name="last" select="$control/ancestor::ui:content//*[name()='ui:buttons' or name()='ui:browse-buttons']"/>  	
  	<func:result select="generate-id($control)=generate-id($last[position()=last()])"/>
  </func:function>

  <!-- display text -->
  <xsl:template mode="vzcp" match="ui:oldtext">
	<div style="float:left;margin-right:5px;">
      	<xsl:copy-of select="./child::node()"/>
      </div>
  </xsl:template>
 
  <!-- show tools  -->
  <xsl:template mode="vzcp" match="ui:actions">   	
    <xsl:apply-templates mode="vzcp" select="*">
    </xsl:apply-templates>
  </xsl:template>
  
  <!-- actual show buttons -->
  <xsl:template mode="vzcp" name="ui:buttons" match="ui:buttons|ui:actions-set|ui:browse-buttons"> 
  	<xsl:param name="hide-buttons" select="false()"/>
  	
  	
  	<xsl:variable name="items" select="*[
  		( not(@platform) or @platform=$platform ) and
  		( not(@cred) or cred:check(@cred) ) and 
  		( not(@sve) or $veid != 1 or (@sve!='deny')) and
  		( not(@auth-type) or (@auth-type=$auth-type))
  	]"/>
  
	<xsl:if test="$items">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-bottom:7px; clear: both">
			<tr>
				<td valign="top" width="50%">
					<div class="uiActions">
						<!-- xsl:attribute name="class">
							<xsl:choose>
								<xsl:when test="../ui:buttons">uiButtons</xsl:when>
								<xsl:when test="../ui:actions-set">uiActions</xsl:when>
								<xsl:when test="../ui:browse-buttons">uiBrowseButtons</xsl:when>
								<xsl:otherwise><xsl:value-of select="name()"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute -->
						<xsl:if test="not($hide-buttons)">
							<xsl:for-each select="$items">
								<xsl:apply-templates mode="vzcp" select="."/>        
							</xsl:for-each>
						</xsl:if>
					</div>
				</td>
				<!-- show return button if any -->	      
				<xsl:if test="not(ancestor::ui:actions)">
					<td align="right" valign="top" width="50%">
					      		
						<xsl:variable name="show-return" select="html:vzcp-is-return-my(.)"/>
						<xsl:if test="$show-return and not(//ui:properties/ui:no-uplevel)">
							<div class="uiButtons"><xsl:call-template name="vzcp:show-return"/></div>
						</xsl:if>
					</td>
				</xsl:if>	
			</tr>
		</table>
	</xsl:if>
  </xsl:template>
  
  <!-- show warning about inability to show buttons -->
  <xsl:template mode="vzcp" name="ui:nobuttons" match="ui:nobuttons">
    <xsl:param name="width" select="sw:if(@width, @width, '100%')"/>

    <table border="0" cellpadding="0" cellspacing="0" width="{$width}">
      <tr>
        <td>
          <xsl:call-template name="stopSign">
            <xsl:with-param name="body">
							<xsl:for-each select="child::node()">
								<xsl:choose>
									<xsl:when test="self::ui:*">
										<xsl:apply-templates select="."/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:copy-of select="."/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
	     			</xsl:with-param>
          </xsl:call-template>		
          <br/>
        </td>
      </tr>
      <xsl:variable name="show-return" select="html:vzcp-is-return-my(.)"/>
      <xsl:if test="$show-return and not(//ui:properties/ui:return)">
        <tr>
        	<td>
        	  <xsl:call-template name="vzcp:show-return"/>
        	</td>
        </tr>
      </xsl:if>
    </table>

  </xsl:template>
  
  <!-- display "action" button -->  
  <xsl:template mode="vzcp" match="ui:action">
	<xsl:variable name="style">
		<xsl:if test="@width and ($buttonType != 'images')">width:<xsl:value-of select="@width"/>px;</xsl:if>
		<xsl:if test="@disabled='true'">color:#999999;</xsl:if>          
	</xsl:variable>
	<xsl:choose>
		<xsl:when test="$js_on">
   			<xsl:variable name="form-name">
	      		<xsl:choose>
					<xsl:when test="ancestor::ui:form/@name"><xsl:value-of select="ancestor::ui:form/@name"/></xsl:when>
					<xsl:otherwise>defaultForm</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>  
			<xsl:variable name="name">		
				<xsl:choose>
					<xsl:when test="@name"><xsl:value-of select="@name"/></xsl:when>
					<xsl:when test="@type">_<xsl:value-of select="@type"/></xsl:when>
					<xsl:otherwise>_submit</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:if test="@type != 'short'">
		  		<td><img src="/{$theme}/images/1x1.gif" width="5" height="1"/></td>
			</xsl:if>
			<xsl:variable name="btn">
				<ui:button>
					<xsl:copy-of select="@*"/>
					<xsl:variable name="on-press-ok">
						<xsl:if test="@id='ok'">
		          				<xsl:value-of select="//ui:event[@type='on-press-ok']"/>
						</xsl:if>
					</xsl:variable>
					<xsl:variable name="condition_token">
						<xsl:choose>
							<xsl:when test="string(@confirmation)">confirm('<xsl:value-of select="sw:html-escape(@confirmation)"/>')</xsl:when>
							<xsl:otherwise>1!=0</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>							
					<xsl:variable name="action_token">
						<xsl:choose>
							<xsl:when test="@sandclock = 'false' or (name()='ui:action' and not(@sandclock))"></xsl:when>
							<xsl:otherwise>showSandclock();</xsl:otherwise>					  
						</xsl:choose>
						buttonBoxSubmit('<xsl:value-of select="@name"/>','<xsl:value-of select="$form-name"/>','<xsl:value-of select="@href"/>');
					</xsl:variable>		        
					<xsl:attribute name="onclick"><xsl:value-of select="$on-press-ok"/><xsl:value-of select="@script"/>if (<xsl:value-of select="$condition_token"/>)		{<xsl:value-of select="$action_token"/> return true;}else{return false}; </xsl:attribute>
					<xsl:value-of select="."/>
				</ui:button>
			</xsl:variable>

			<xsl:call-template name="ui:show-button">
				<xsl:with-param name="btn" select="exsl:node-set($btn)/ui:button"/>
			</xsl:call-template>
	</xsl:when>	
	<xsl:otherwise>
		<xsl:variable name="buttonHTML">
			<xsl:call-template name="ui:show-button">
				<xsl:with-param name="btn" select="."/>
			</xsl:call-template>			
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="/ui:screen/ui:properties/ui:no-default-form">
				<form action="{@href}" name="{@name}" id="{@name}">
					<xsl:copy-of select="exsl:node-set($buttonHTML)"/>
				</form>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="exsl:node-set($buttonHTML)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:otherwise>
	</xsl:choose>
  </xsl:template>


  <!-- display normal button -->
  <xsl:template mode="vzcp" match="ui:button">
	<xsl:call-template name="ui:show-button">
      	<xsl:with-param name="btn" select="."/>
      </xsl:call-template>
  </xsl:template>

  <!-- show return button -->
  <xsl:template name="vzcp:show-return">
  	<xsl:param name="control-name"/>

		<xsl:variable name="custom-path" select="$screen-root/ui:screen/ui:properties/ui:path"/>
		<xsl:variable name="parent" select="sw:if($custom-path,$custom-path/ui:item[count($custom-path/ui:item)-1],path:prev(path:get()))"/>
		<xsl:variable name="ret-href" select="path:href($parent)"/>
    <xsl:variable name="ret-tip" select="$parent/@tip"/>

		<xsl:choose>
			<!-- check have we are in <ui:popup-screen>-->
			<xsl:when test="/ui:popup-screen">
				<xsl:variable name="btn">
					<ui:button type="button" name="close" id="close" html-class="FormButton" tip="close_popup" onclick="window.close();">
						<sw:text>Cancel</sw:text>
					</ui:button>
				</xsl:variable>
				<xsl:call-template name="ui:show-button">
					<xsl:with-param name="btn" select="exsl:node-set($btn)/ui:button"/>
				</xsl:call-template>
			</xsl:when>
			<!-- check have we parent path -->
			<xsl:when test="$parent">
				<xsl:variable name="btn">
					<ui:button type="button" name="uplevel" id="uplevel" html-class="FormButtonInv" tip="{$ret-tip}" onclick="window.location.href='{$ret-href}';return false;">
						<sw:text>Upper Level</sw:text>
					</ui:button>
				</xsl:variable>
				<xsl:call-template name="ui:show-button">
					<xsl:with-param name="btn" select="exsl:node-set($btn)/ui:button"/>
				</xsl:call-template>
				<!--todo-nojs -->
			</xsl:when>
		</xsl:choose>
  </xsl:template> 
  
	<xsl:template name="vzcp:show-bottom-return">
		<xsl:param name="mode" select="''"/>
		<xsl:if test="not(//ui:browse-buttons/*) and not(//ui:buttons/*)">
			<br/>
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td><xsl:call-template name="vzcp:show-return"/></td>
				</tr>
			</table>
		</xsl:if>
	</xsl:template>


  <xsl:template mode="vzcp" match="ui:description">
  	<table cellpadding="0" cellspacing="0">
  		<xsl:call-template name="html:calc-width">
				<xsl:with-param name="control" select="."/>
				<xsl:with-param name="use-def-width" select="true()"/>
			</xsl:call-template>
  		<tr>
  			<xsl:if test="@show-alert='true'">
					<td valign="center" style="padding-right:5px"><img src="/{$theme}/icons/exclamation_32.gif" width="32" height="32" border="0" /></td>
				</xsl:if>
				<td valign="top">
  				<fieldset>
      			<xsl:copy-of select="./child::node()"/>
      		</fieldset>
      	</td>
      </tr>
    </table>
    <br/>
  </xsl:template>

</xsl:stylesheet>
