<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl units"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:units="http://www.swsoft.com/xsl/cp/units"
  >

	<sw:include href="/lib/panel/homepage.xsl"/>

  <xsl:template name="vzcp-frameset">
    <html>
      <head>
        <link rel="shortcut icon" href="/favicon.ico"/>
        <script type="text/javascript" src="/vz/js/common_script.js"></script>
        <script type="text/javascript" src="/vz/js/browser.js"></script>
        <script type="text/javascript">
  function setPageTitle(title){
    //alert('title = '+document.title);
    document.title = title; 
  }

<![CDATA[  
  function reloadManager(mode, time){
    if (!top.topframe) return false;
    
    top.reloadTime = time;
    if (mode != top.reloadMode){
      if(mode == 'transition'){
        window.setTimeout("if(top.topframe) top.topframe.location.reload()", time*1000)
      }else{
        top.topframe.location.reload();
      }
      top.reloadMode = mode;
      return true;
    }
    
    if ((mode == 'smart') && (top.topframe.smart_refresh_flag)){
      top.topframe.location.reload();
    }
  }

  function detailsRefresher(winObj,url, time){
    if (winObj.closed){
      winObj.flagDetailsReresh = 0;
	  return
	}
	      
    if(winObj.flagDetailsRefresh == 0){
      winObj.flagDetailsRefresh = 1;
    }else{
      winObj.location = url;
    }
      thisObj = this;
      self.setTimeout(function(){ thisObj.delayedRefresh(winObj)},time);
    }
	   
    function delayedRefresh(winObj){
	  if (!winObj.closed)
        winObj.location.reload()
    }
      
    function setScrollInIE(){
      if (navigator.appName == "Microsoft Internet Explorer" && document.documentElement && 	navigator.userAgent.indexOf ("Opera") == -1){
        var navL = top.menu.document.getElementById ("navArea");
        var winWidth = (top.menu.document.documentElement.clientWidth || top.menu.document.body.clientWidth);
        var winHeight = (top.menu.document.documentElement.clientHeight || top.menu.document.body.clientHeight);
        top.menu.document.body.scroll = (navL.clientHeight > winHeight || navL.clientWidth > winWidth) ? "yes" : "no";
      }
    }

      
    function showTip(textID){
      showTipText(_c[textID] || textID);
    }
      
    function showTipText(hint_text){
      var prefix = "<div><span class='hint'>";
      var suffix = "</span></div>";
      var msg = prefix + hint_text + suffix;
      changeInnerHTML('menu', 'contexthelp', msg);
    }
    
    function changeInnerHTML(frameID, elementID, txt){
      myframe = eval('top.'+frameID);
      if (!myframe)  return false;

      if (is.ns4) {
        if (!myframe.document ||
    		!myframe.document.layers ||
    		!myframe.document.layers[elementID] ||
    		!myframe.document.layers[elementID].document) {
    			return false;
    	}
    	lyrdoc = myframe.document.layers[elementID].document;
    	lyrdoc.open();
    	lyrdoc.write(txt);
    	lyrdoc.close();
      }
    
      if (is.ns5) {
        if (!myframe.document) {
    			return false;
    	}
    	lyrdoc = myframe.document.getElementById(elementID);
    	if (lyrdoc && lyrdoc.innerHTML)
    			lyrdoc.innerHTML = txt;
      }
    
      if (is.ie || is.opera) {
        if (!myframe.document ||
    		!myframe.document.all ||
    		!myframe.document.all[elementID] ||
    		!myframe.document.all[elementID].innerHTML) {
    			return false;
    	}
    	myframe.document.all[elementID].innerHTML = txt;
      }
      var el = myframe.document.getElementById(elementID);
      if(el) 
        el.innerHTML = txt;
      return false;
    }      

    var _c = new Array;
	var _js= new Array;
]]>

		<xsl:for-each select="sw:document('tips.xml')/tips/tip">
			_c['<xsl:value-of select="@id"/>'] = "<xsl:value-of select="sw:html-escape(sw:text(./child::node()),'escape-dquote')"/>";
		</xsl:for-each>    

          <xsl:for-each select="sw:document('messages.xml')/messages/message">
						_js['<xsl:value-of select="@id"/>'] = "<xsl:value-of select="sw:html-escape(sw:text(./child::node()),'escape-dquote')"/>";
          </xsl:for-each>    

	var _dnd = new Array;
          <xsl:for-each select="sw:document('cc/menu.xml')/menu/drag-actions/action">
			a = new Object();
			a.name = '<xsl:value-of select="@name-id"/>';
			a.href = '<xsl:value-of select="sw:if(starts-with(@href,'$baseurl'), concat($baseurl,substring-after(string(@href),'$baseurl')), @href)"/>';
			a.target = '<xsl:value-of select="@target"/>';
			a.source = '<xsl:value-of select="source/@obj-type"/>';
			a.destination = '<xsl:value-of select="destination/@obj-type"/>';
			a.check_child = '<xsl:value-of select="destination/@child"/>';
			a.platform = '<xsl:value-of select="platform/@type"/>';
			_dnd.push(a);
          </xsl:for-each>    
          
var globalPATH = new String('/<xsl:value-of select="$theme"/>/');
var baseURL = new String('<xsl:value-of select="$baseurl"/>');
var logicalDN = new String('<xsl:value-of select="sw:uc(units:logical-top-dn())"/>');
var DNDinfra = new String('<xsl:value-of select="substring-before(sw:uc(units:logical-top-dn()),',')"/>');
var DNDlogical = new String('<xsl:value-of select="substring-before(sw:uc(units:infra-top-dn()),',')"/>');

function rightMenuXML(id,eid,name,obj) {
	switch(id) {
    <xsl:for-each select="sw:document('cc/menu.xml')/menu/context-menu">
    <xsl:variable name="id" select="@id"/>
	case '<xsl:value-of select="$id"/>': obj.rightMenu(obj.rightMenuCreateLevel(),'<xsl:value-of select="$id"/>',
		<xsl:for-each select="item">
			<xsl:variable name="op-url">
				<xsl:choose>
					<xsl:when test="not(@set-id)">
						<xsl:value-of select="sw:if(starts-with(@op-url,'$baseurl'), concat($baseurl,substring-after(string(@op-url),'$baseurl')), @op-url)"/>
					</xsl:when>
					<xsl:otherwise><xsl:value-of select="@params"/></xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="not(@label-id)">
					'-',
					'<xsl:value-of select="@alone"/>',
					'<xsl:value-of select="@folder"/>',
				</xsl:when>
				<xsl:otherwise>
					_js['<xsl:value-of select="@label-id"/>'],
					<xsl:choose>
						<xsl:when test="@sub-menu">
							'rightMenuCallSub(\'<xsl:value-of select="@sub-menu"/>\')',
						</xsl:when>
						<xsl:otherwise>
							'rightMenuCall(\'<xsl:value-of select="$id"/>\',\'<xsl:value-of select="@op-message"/>\',\'<xsl:value-of select="$op-url"/>\',\''+eid+'\',\''+name+'\',\'<xsl:value-of select="@target"/>\',\'<xsl:value-of select="@set-id"/>\',\'<xsl:value-of select="@confirm"/>\',\'<xsl:value-of select="@label-id"/>\')',
						</xsl:otherwise>
					</xsl:choose>
					'<xsl:value-of select="@icon"/>',
					'<xsl:value-of select="@alone"/>',
					'<xsl:value-of select="@folder"/>',
					'<xsl:value-of select="@label-id"/>',
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		'@END');
		break;
    </xsl:for-each>
	}
}
        </script>

        <title>Virtuozzo Power Panels</title>
      </head>
      
     
      <xsl:variable name="main_url">
        <xsl:choose>
          <xsl:when test="string(sw:sesget('frameset_url'))"><xsl:value-of select="$baseurl"/>/<xsl:value-of select="sw:sesget('frameset_url')"/><xsl:value-of select="sw:sesput('frameset_url','')"/></xsl:when>
          <xsl:when test="string-length(string($request/http_request/cookies/parameter[name = 'frameset_url']/value)) &gt; 0"><xsl:value-of select="$siteurl"/>/<xsl:value-of select="$request/http_request/cookies/parameter[name = 'frameset_url']/value"/></xsl:when>
          <xsl:otherwise><xsl:value-of select="sw:home-page()"/></xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      
      <frameset rows="50,*" frameborder="no" framespacing="0" border="0">
       	<frame id="topframe" name="topframe" src="{$baseurl}/panel/vzpp/top" noresize="1" frameborder="0" scrolling="no"/>
      	<frameset cols="210,*" border="0" frameborder="0" framespacing="0">
      		<frame id="menu" name="menu" src="{$baseurl}/panel/vzpp/menu" noresize="1" frameborder="0" scrolling="auto" onresize="setScrollInIE()"/>
      		<frame id="main" name="main" src="{$main_url}" frameborder="0" scrolling="yes"/>
		</frameset>
	</frameset>
      
 
    </html>
  </xsl:template>

</xsl:stylesheet>
