<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func check voc user vt path env"
	xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl		="http://exslt.org/common"
	xmlns:func		="http://exslt.org/functions"	  
	xmlns:set		="http://exslt.org/sets"
	xmlns:sw		="http://www.swsoft.com/xsl/cp"
	xmlns:check		="http://www.swsoft.com/xsl/cp/check"
	xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"   
	xmlns:show		="http://www.swsoft.com/xsl/cp/show"
	xmlns:local 	="http://www.swsoft.com/xsl/cp/local"
	xmlns:voc		="http://www.swsoft.com/xsl/cp/voc"
	xmlns:vt		="http://www.swsoft.com/xsl/cp/vt"	
	xmlns:user		="http://www.swsoft.com/xsl/cp/user"
	xmlns:path			="http://www.swsoft.com/xsl/cp/path"
	xmlns:env		="http://www.swsoft.com/xsl/cp/env"	
	xmlns:str		="http://www.swsoft.com/xsl/cp/str"		
>

	<sw:include href="/lib/utils/error.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/core/user-attrs.xsl"/>

	<!-- Convert OS Template ID to OS Template Title -->
	<func:function name="sw:app-id2title">
		<xsl:param name="app-id"/>	
		<xsl:param name="app-version" select="false()"/>	
		<xsl:param name="app-empty-title" select="false()"/>	
		<xsl:param name="show-ez" select="false()"/>	
		
		<func:result>
			<xsl:choose>
				<xsl:when test="not($app-id) or $app-id=''">
					<!-- show empty OS -->
					<xsl:choose>
						<xsl:when test="$app-empty-title">
							<span class="inactive"><xsl:value-of select="$app-empty-title"/></span>
						</xsl:when>
						<xsl:otherwise>
							<span class="inactive"><sw:text>General OS</sw:text></span>
						</xsl:otherwise>
					</xsl:choose>
				<!-- /show empty OS -->
				</xsl:when>
				<xsl:when test="starts-with($app-id,'.')">
					<xsl:value-of select="concat(substring-after($app-id,'.'), sw:if($show-ez, concat('(', sw:text('EZ'), ')'), ''))"/>
				</xsl:when>
				<xsl:when test="$app-version and $app-version!=''">
					<xsl:value-of select="concat($app-id,' / ',$app-version)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$app-id"/>
				</xsl:otherwise>
			</xsl:choose>
		</func:result>		
	</func:function>

</xsl:stylesheet>
