<!--
     Copyright (c) SWsoft, 1999-2007
     All rights reserved.
  -->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl browse func local"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:error="http://www.swsoft.com/xsl/cp/error"
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse"
	xmlns:user-profile="http://www.swsoft.com/xsl/cp/user-profile"
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
	xmlns:dirm="http://www.swsoft.com/xsl/cp/dirm"	
	xmlns:func="http://exslt.org/functions"
>
	<sw:include href="/lib/globals.xsl" />
	<sw:include href="/lib/swa/dirm.xsl" />
	<sw:include href="/lib/core/user-profile.xsl"/>

	<func:function name="browse:init-settings">
	
		<xsl:variable name="user-profile-ref" select="user-profile:logged-ref()"/>
		<xsl:variable name="records" select="user-profile:load-objects($user-profile-ref,'BrowsersSettings',true(),'VZCPBrowsersSettings')"/>

		<xsl:choose>
			<!-- Error was occured -->
			<xsl:when test="$records[self::error]">
				<func:result select="$records"/>
			</xsl:when>
			<xsl:otherwise>
				<!-- Load settings per-screen -->
				<xsl:for-each select="$records">
					<xsl:if test="local:init-one-browse(.)"/>
				</xsl:for-each>
				<func:result select="/.."/>
			</xsl:otherwise>
		</xsl:choose>
		
	</func:function>	
	
	<func:function name="local:init-one-browse">
		<xsl:param name="obj"/>			
		
		<xsl:variable name="settings-rtf">
			<settings>				
	  		<xsl:if test="$obj/itemsOnPage!='' and $obj/itemsOnPage!=' '">
					<xsl:attribute name="items-on-page"><xsl:value-of select="$obj/itemsOnPage"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="$obj/sortColumn!='' and $obj/sortColumn!=' '">
					<xsl:attribute name="sort-column"><xsl:value-of select="$obj/sortColumn"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="$obj/sortDirection!='' and $obj/sortDirection!=' '">
					<xsl:attribute name="sort-direction"><xsl:value-of select="$obj/sortDirection"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="$obj/filterHiddenColumns!=' '">
					<xsl:for-each select="sw:split($obj/filterHiddenColumns,',')">
						<col id="{.}" filter-hidden="yes"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="$obj/filterVisibleColumns!=' '">				
					<xsl:for-each select="sw:split($obj/filterVisibleColumns,',')">
						<col id="{.}" hidden="yes"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="$obj/listHiddenColumns!=' '">
					<xsl:for-each select="sw:split($obj/listHiddenColumns,',')">
						<col id="{.}" hidden="yes"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="$obj/listVisibleColumns!=' '">				
					<xsl:for-each select="sw:split($obj/listVisibleColumns,',')">
						<col id="{.}" hidden="no"/>
					</xsl:for-each>
				</xsl:if>
			</settings>
		</xsl:variable>
					
		<xsl:if test="sw:sesput(concat('browse_',$obj/browseID),$settings-rtf)"/>
		
	</func:function>
	
</xsl:stylesheet>
