<!--
	Copyright (c) SWsoft, 1999-2007
	All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl local func dirm user-profile"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:func="http://exslt.org/functions"
	xmlns:exsl="http://exslt.org/common" 
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:local="http://www.swsoft.com/xsl/cp/local/lib/core/user-profile/init-settings"
	xmlns:user-profile="http://www.swsoft.com/xsl/cp/user-profile"
	xmlns:dirm="http://www.swsoft.com/xsl/cp/dirm"
>
	<!-- Includes -->
	<sw:include href="/lib/globals.xsl" />
	<sw:include href="/lib/swa/dirm.xsl" />
	<sw:include href="/lib/core/user-profile.xsl" />	

	<func:function name="user-profile:init-settings">
		<xsl:param name="ref" select="user-profile:logged-ref()"/>
		
		<xsl:choose>
			<xsl:when test="$ref/storage=$user-profile:storage-vearea">
				<func:result select="user-profile:init-settings-vearea($ref)"/>
			</xsl:when>
			<xsl:when test="$ref/storage=$user-profile:storage-dirm">
				<func:result select="user-profile:init-settings-dirm($ref)"/>
			</xsl:when>
		</xsl:choose>		
		
	</func:function>
	
	<func:function name="user-profile:init-settings-vearea">
		<xsl:param name="ref"/>
		
	</func:function>
	
	<func:function name="user-profile:init-settings-dirm">
		<xsl:param name="ref"/>
		
		<!-- Try to find existed profile -->
		<xsl:variable name="existed-obj" select="dirm:search($ref/dn,'',0)/obj[1]"/>	
		
		<!-- Create new prorfile -->
		<xsl:choose>
			<xsl:when test="not($existed-obj)">
				<!-- Prepare profile  -->
				<xsl:variable name="profile-rtf">
					<ref>
						<dn>
							<xsl:value-of select="$ref/dn" />
						</dn>
						<objectClass>VZCPUserProfile</objectClass>
					</ref>
					<data>
						<cn><xsl:value-of select="$ref/ref-id"/></cn>
						<userLogin><xsl:value-of select="$ref/login"/></userLogin>
						<xsl:if test="$ref/realm!=''">
							<userRealm><xsl:value-of select="$ref/realm"/></userRealm>
						</xsl:if>
						<xsl:if test="$ref/ve-eid!=''">
							<userVE><xsl:value-of select="$ref/ve-eid"/></userVE>
						</xsl:if>
					</data>
				</xsl:variable>
				<xsl:variable name="profile" select="exsl:node-set($profile-rtf)"/>
				<!-- /Prepare profile  -->
				<!-- Store Profile -->
				<xsl:variable name="dirm-resp" select="dirm:add-obj($profile)/packet/data"/>
				<func:result select="$dirm-resp/error|$dirm-resp/dirm/error"/>
				<!-- /Store Profile -->
			</xsl:when>
			<xsl:otherwise>
				<func:result select="/.."/>			
			</xsl:otherwise>
		</xsl:choose>
		
	</func:function>
	
</xsl:stylesheet>
