<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func cred html"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:html	="http://www.swsoft.com/xsl/cp/html"
  xmlns:func	="http://exslt.org/functions"
  xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui" 
  xmlns:url="http://www.swsoft.com/xsl/cp/url"   
  >

	<sw:include href="/lib/cred-filter.xsl"/>
	<sw:include href="/lib/utils/url.xsl"/>

	<xsl:param name="dashboard-source" select="sw:if($activeMode = 'vzcc', 'vzcc', 'vzpp')"/>
	<xsl:param name="dashboard-file" select="'dashboard.xml'"/>

	<!-- display whole dashboard -->
	<xsl:template name="dashboard">
		<xsl:param name="screen-id"/>
		<xsl:param name="is-compact" select="'false'"/>		
		
		
		<xsl:variable name="dashboard" select="."/>
		
		<xsl:variable name="dashboards" select="sw:document($dashboard-file, $dashboard-source)/dashboards/dashboard"/>
		<xsl:variable name="dashboards-filtered" select="$dashboards[(not(@type) or @type='dashboard') and ( @screen-id = $screen-id or @director-id=$screen-id)]"/>
		<xsl:choose>
			<xsl:when test="$is-compact = 'true'">
				<xsl:message>-<xsl:value-of select="$screen-id"/>[<sw:text select="."/>]</xsl:message>
				<ui:dashboard-compact>
					<xsl:for-each select="$dashboards-filtered">
						<xsl:variable name="validItems" select="cred:filter-items(item)"/>					
						<ui:dashboard-item icon="{@icon}" title="{sw:text(@name)}">
							<xsl:for-each select="$validItems">
								<ui:action-link href="{url:href(@href)}">
								 	<xsl:value-of select="text"/>
								</ui:action-link>
							</xsl:for-each>
						</ui:dashboard-item>
					</xsl:for-each>
				</ui:dashboard-compact>
			</xsl:when>
			<xsl:otherwise>
				<ui:dashboard/>			
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
