<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:error="http://www.swsoft.com/xsl/cp/error"
  >

  <sw:include href="../http/redirect.xsl"/>

  <xsl:template match="/">
    <xsl:call-template name="redirect">
      <xsl:with-param name="location">
        <xsl:choose>
          <xsl:when test="/packet/cookie/redirect"><xsl:value-of select="/packet/cookie/redirect"/></xsl:when>
          <xsl:otherwise><xsl:value-of select="$requesturl"/></xsl:otherwise>
        </xsl:choose>
      </xsl:with-param>
    </xsl:call-template>

    <xsl:choose>
      <!-- exec fail -->
      <xsl:when test="/packet/data//error">
        <xsl:variable name="det">
          <xsl:value-of select="/packet/cookie/msg/error"/>
          <xsl:text>&#10;</xsl:text>
          <xsl:value-of select="/packet/data//error/message"/>
        </xsl:variable>
        <xsl:if test="error:put(string(/packet/cookie/msg/error),string($det))"/>
      </xsl:when>

      <!-- executed binary fail -->
      <xsl:when test="/packet/data/progm/exec/status != 0">
        <xsl:variable name="det">
          <xsl:value-of select="/packet/cookie/msg/error"/>
          <xsl:text>&#10;</xsl:text>
          <xsl:value-of select="sw:base64-decode(/packet/data/progm/exec/output)"/>
        </xsl:variable>
        <xsl:if test="error:put(string(/packet/cookie/msg/error),string($det))"/>    
      </xsl:when>

      <!-- operation ok -->
      <xsl:when test="/packet/data/progm/exec/status = 0">
        <xsl:value-of select="sw:sesput('msg', string(/packet/cookie/msg/ok))"/>
      </xsl:when>

    </xsl:choose>

    <xsl:if test="/packet/cookie/operation">
      <xsl:value-of select="sw:sesput('operation', string(/packet/cookie/operation))"/>
    </xsl:if>

  </xsl:template>

</xsl:stylesheet>
