<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  >
<xsl:template name="frameset_redirect">
  <html>
    <head>
      <script language="JavaScript">
        <xsl:choose>
          <xsl:when test="(sw:sesget('old_layout') = 'framed') and ($layout = 'framed')">
            top.location.href = '<xsl:value-of select="$baseurl"/>';
          </xsl:when>
          <xsl:when test="(sw:sesget('old_layout') = 'framed') and ($layout != 'framed')">
            top.location.href = '<xsl:value-of select="$baseurl"/>/<xsl:value-of select="sw:sesget('frameset_url')"/>';
          </xsl:when>          
          <xsl:when test="(sw:sesget('old_layout') != 'framed') and ($layout = 'framed')">
            top.location.href = '<xsl:value-of select="$baseurl"/>';
          </xsl:when>          
          <xsl:when test="(sw:sesget('old_layout') != 'framed') and ($layout != 'framed')">
            <!-- That case should be catched in document, normally -->
            top.location.href = '<xsl:value-of select="$baseurl"/>/<xsl:value-of select="sw:sesget('frameset_url')"/>';
          </xsl:when>          
          <xsl:otherwise>
            <!-- Don' know what to do --> 
          </xsl:otherwise>
        </xsl:choose>
      </script>
    </head>
    <body>
      <noscript>
        <xsl:variable name="redirect-to">
          <xsl:choose>
            <xsl:when test="(sw:sesget('old_layout') = 'framed') and ($layout = 'framed')">
                <xsl:value-of select="$baseurl"/>
            </xsl:when>
            <xsl:when test="(sw:sesget('old_layout') = 'framed') and ($layout != 'framed')">
              <xsl:value-of select="$baseurl"/>/<xsl:value-of select="sw:sesget('frameset_url')"/>
            </xsl:when>          
            <xsl:when test="(sw:sesget('old_layout') != 'framed') and ($layout = 'framed')">
              <xsl:value-of select="$baseurl"/>
            </xsl:when>
            <xsl:when test="(sw:sesget('old_layout') != 'framed') and ($layout != 'framed')">
              <!-- That case should be catched in document, normally -->
              <xsl:value-of select="$baseurl"/>/<xsl:value-of select="sw:sesget('frameset_url')"/>
            </xsl:when>          
            <xsl:otherwise>
              <!-- Don' know what to do --> 
            </xsl:otherwise>
          </xsl:choose>      
        </xsl:variable>
        <sw:text>
          <xsl:with-param name="aopen">&lt;a target="_top" href="<xsl:value-of select="$redirect-to"/>"&gt;</xsl:with-param>
          <xsl:with-param name="aclose">&lt;/a&gt;</xsl:with-param>            
          The JavaScript support is turned off in your browser. You have to %{aopen}click here%{aclose} to reload the frameset.
        </sw:text>
      </noscript>
    </body>
  </html>
</xsl:template>

</xsl:stylesheet>
