<!--
  Copyright (c) Parallels, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl math cred env"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:math="http://exslt.org/math"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:show  ="http://www.swsoft.com/xsl/cp/show"
	xmlns:vzenv		="http://www.swsoft.com/xsl/cp/vzenv"
	xmlns:env		="http://www.swsoft.com/xsl/cp/env"
	xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
>

	<sw:include href="/lib/panel/homepage.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/> 
	<sw:include href="/layout/lib/resources-bar.xsl"/> 
	<sw:include href="/layout/lib/env.xsl"/> 	
  
  <xsl:template name="header">
  	<xsl:variable name="eid" select="sw:ve-eid()"/>
  	<xsl:variable name="env" select="env:get-env($eid)/env"/>
  	
    <table cellspacing="0" cellpadding="0" width="100%" border="0">
	    <script language="JavaScript">
	<![CDATA[
	    function callTip(text_id){
	      if (top.main && top.main.callTip){
	        top.main.callTip(text_id);
	      }
	    }
	]]> 
	    </script>     
      <tr>
        <td nowrap="nowrap">
          <a href="{sw:home-page()}" target="{$def_target}"  onmouseover="callTip('index_screen',event)" onmouseout="callTip()">
           <img src="/{$theme}/images/logo_pim.gif" width="168" height="36" style="margin:0px 0px 0px 15px" alt="{sw:text('Parallels Power Panel')}" title="{sw:text('Parallels Power Panel')}" border="0" />
          </a>
        </td>

        <td nowrap="nowrap" valign="middle" align="center" width="100%">
	  <div id="veStatusBarContainer">
          <table cellpadding="0" cellspacing="0" border="0" class="veStatusBar">
            <tr>
              <xsl:call-template name="ui:show-resource-icon"/>
              <td nowrap="nowrap" class="veName" valign="middle">
                  <sw:text>
                    <xsl:with-param name="id">
                      <xsl:if test="not(sw:sesget('hostname'))">
                        <xsl:text>#</xsl:text><xsl:value-of select="$env/virtual_config/veid"/>
                      </xsl:if>
                      <xsl:value-of select="sw:sesget('hostname')"/>                
                    </xsl:with-param>
                    Container %{id}
                  </sw:text>
                  <xsl:text>  </xsl:text>
              </td>
              <td nowrap="nowrap" style="padding-right:8px" valign="middle">
                <div id="ve_state">
                  <div><span class="hint">
                  <xsl:call-template name="ui:current-ve-status">
                    <xsl:with-param name="is-compact" select="true()"/>
                  </xsl:call-template></span></div>
                </div>
              </td>
	       			<xsl:call-template name="ui:show-resource-bar">
	          		<xsl:with-param name="show-icon" select="false()"/>
							</xsl:call-template>
            </tr>
          </table>
        </div>
        </td>
        <td width="100%" align="right" valign="middle" class="HeaderRight" nowrap="nowrap">
          <small class="copyrightMenu">
            <sw:text>Copyright &#169; 1999-2008 by Parallels<br/>All rights reserved</sw:text>
          </small>
        </td>
        <td><img src="/{$theme}/images/1x1.gif" width="10" height="49" style="vertical-align:auto"/></td>
      </tr>
    </table>

  </xsl:template>  

  <sw:include href="../lib/vz/ubcs.xsl"/>  
  
</xsl:stylesheet>
    
