<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:user-profile="http://www.swsoft.com/xsl/cp/user-profile"
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
>

	<sw:include href="/lib/core/user-profile.xsl"/>

	<!-- get homepage for current layout -->
	<func:function name="sw:home-page">
		<xsl:variable name="user-home-id"
			select="string(user-profile:get-attr(user-profile:logged-ref(),'homeScreenID'))"/>
		<func:result>
			<xsl:choose>
				<xsl:when
					test="$config/vzcpcon/openweb/default-page!=''">
					<xsl:value-of
						select="$config/vzcpcon/openweb/default-page"/>
				</xsl:when>
				<xsl:when test="$activeMode = 'plesk'">
					<xsl:value-of select="$baseurl" />
					/panel/plesk/index
				</xsl:when>
				<xsl:when
					test="$activeMode = 'vzcc' and $user-home-id!=''">
					<xsl:value-of
						select="local:screen-id2url($user-home-id)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of
						select="local:screen-id2url($config/vzcpcon/home-default[@panel=$activeMode])"/>
				</xsl:otherwise>
			</xsl:choose>
		</func:result>
	</func:function>

	<func:function name="local:screen-id2url">
		<xsl:param name="screen-id"/>
		<xsl:variable name="screens-repository"
			select="sw:document('screens.xml')"/>
		<xsl:variable name="screen"
			select="$screens-repository//screen[@id=$screen-id]"/>
		<func:result
			select="sw:if($screen/link/@href,$screen/link/@href,$screen/@href)"/>
	</func:function>

</xsl:stylesheet>
