<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func local panel"
	xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl		="http://exslt.org/common"
	xmlns:sw			="http://www.swsoft.com/xsl/cp"
	xmlns:env			="http://www.swsoft.com/xsl/cp/env"
	xmlns:ve			="http://www.swsoft.com/xsl/cp/ve"	
	xmlns:plesk		="http://www.swsoft.com/xsl/cp/plesk"
	xmlns:user		="http://www.swsoft.com/xsl/cp/user"
	xmlns:vzenv		="http://www.swsoft.com/xsl/cp/vzenv"
	xmlns:local		="http://www.swsoft.com/xsl/cp/local"	
	xmlns:func		="http://exslt.org/functions"
	xmlns:server_group="http://www.swsoft.com/xsl/cp/server_group"
	xmlns:panel		="http://www.swsoft.com/xsl/cp/panel"  
	xmlns:units		="http://www.swsoft.com/xsl/cp/units" 		
	xmlns:user-profile	="http://www.swsoft.com/xsl/cp/user-profile" 	
	xmlns:browse	="http://www.swsoft.com/xsl/cp/browse" 			
>
	<sw:include href="/lib/core/units-core.xsl"/>	
	<sw:include href="/lib/core/browse/init-settings.xsl"/>	
	<sw:include href="/lib/core/user-profile/init-settings.xsl"/> 	
	<sw:include href="/lib/core/user-profile.xsl"/> 		
	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/vt/ve-core.xsl"/>
	<sw:include href="/lib/plesk/core.xsl"/>
	<sw:include href="/lib/vz/vzenv-core.xsl"/>
	<sw:include href="/lib/swa/server-group.xsl"/>
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/progm.xsl"/>
	<sw:include href="/lib/globals.xsl"/>
	<sw:include href="/lib/psa_auth.xsl"/>
	<sw:include href="/lib/vza/tem.xsl"/>

	<xsl:template name="panel:process-login">

		<xsl:if test="vzenv:update-ve-info(env:get-env(sw:ve-eid()))"/>
		
		<!-- Init user profile -->
		<xsl:if test="local:process(user-profile:init-settings())"/>	
		<xsl:if test="local:process(browse:init-settings())"/>
		
		<!-- Load user profile -->
		<xsl:variable name="profile" select="user-profile:get(user-profile:logged-ref())"/>		
		<xsl:if test="sw:sesputstr('menu-depth', sw:if($profile/menuDepth!='',$profile/menuDepth,'ves'))"/>		
		<xsl:if test="sw:sesputstr('toolbar-mode', sw:if($profile/toolbarMode!='',$profile/toolbarMode,'icontext'))"/>		
		
		<xsl:if test="$activeMode = 'vzcc'">
			<xsl:if test="sw:sesputstr('vzcc_banners', sw:if($profile/showBanners!='',$profile/showBanners,'true'))"/>
			<xsl:if test="sw:sesputstr('vzcc_tooltips', sw:if($profile/tooltipsMode!='',$profile/tooltipsMode,'true'))"/>
			<xsl:if test="sw:sesputstr('vzcc_dynamic', sw:if($profile/dynamicUpdates!='',$profile/dynamicUpdates,'true'))"/>
			<xsl:if test="units:set-current-dn(units:infra-top-dn())"/>
		</xsl:if>
		
		<xsl:if test="$activeMode != 'vzcc'">
			<!-- update env info -->
			<xsl:variable name="now-env" select="vzenv:set-current(sw:ve-eid(),true())"/>			

			<!-- PLESK SECTION -->
			<!-- detect plesk's presence -->
			<xsl:variable name="vzve-plesk-status" select="plesk:detect-plesk(sw:ve-eid())"/>
			<!--  login to plesk only in corresonding modes -->
			<xsl:if test="$vzve-plesk-status/installed and (ve:context-state() = $env-state/running) and $request/http_request/env/parameter[name = 'VZCP_MODE_PLESK']/value">
				<xsl:call-template name="plesk:make-login-plesk"/>
			</xsl:if>
		</xsl:if>		

	</xsl:template>
	
	<func:function name="local:process">
		<xsl:param name="data"/>
		<xsl:if test="$data[self::error]">
			<sw:die>
				<xsl:value-of select="$data/message"/>
			</sw:die>
		</xsl:if>
	</func:function>


</xsl:stylesheet>
