<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl summary"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:summary="http://www.swsoft.com/xsl/cp/summary"
	xmlns:func="http://exslt.org/functions">

	<xsl:variable name="summary:action-width" select="'25%'" />

	<xsl:template match="summary" mode="summary:show">
		<ui:block>
			<ui:rows class="Summary">
				<xsl:copy-of select="@title" />
				<xsl:apply-templates mode="summary:show" />
			</ui:rows>
		</ui:block>
	</xsl:template>


	<xsl:template match="entry" mode="summary:show">
		<ui:row style="vertical-align:top">
			<xsl:apply-templates mode="summary:show" />
		</ui:row>
	</xsl:template>

	<xsl:template match="raw" mode="summary:show">
		<xsl:apply-templates mode="summary:show" />
	</xsl:template>

	<xsl:template match="ui:rows|ui:block" mode="summary:show">
		<xsl:element name="{name()}">
			<xsl:copy-of select="@*" />
			<xsl:apply-templates mode="summary:show" />
		</xsl:element>
	</xsl:template>

	<xsl:template match="ui:row" mode="summary:show">
		<ui:row style="vertical-align:top">
			<xsl:copy-of select="@*" />
			<xsl:apply-templates mode="summary:show" />
			<xsl:if test="count(*) &lt; 3">
				<ui:cell cell-width="{$summary:action-width}" />
			</xsl:if>
		</ui:row>
	</xsl:template>


	<xsl:template match="ui:cell-actions" mode="summary:show">
		<ui:cell-actions cell-width="{$summary:action-width}">
			<xsl:copy-of select="@*" />
			<xsl:copy-of select="node()" />
		</ui:cell-actions>
	</xsl:template>

	<xsl:template match="ui:*" mode="summary:show">
		<xsl:copy-of select="." />
	</xsl:template>

	<xsl:template match="label" mode="summary:show">
		<ui:cell-label>
			<xsl:value-of select="node()" />
		</ui:cell-label>
	</xsl:template>

	<xsl:template match="data" mode="summary:show">
		<ui:cell>
			<xsl:copy-of select="node()" />
		</ui:cell>
		<xsl:if test="not(../action)">
			<ui:cell cell-width="{$summary:action-width}" />
		</xsl:if>
	</xsl:template>

	<xsl:template match="action[*]" mode="summary:show">
		<ui:cell-actions cell-width="{$summary:action-width}">
			<xsl:copy-of select="node()" />
		</ui:cell-actions>
	</xsl:template>

	<xsl:template match="action[text()]" mode="summary:show">
		<ui:cell cell-width="{$summary:action-width}">
			<xsl:copy-of select="node()" />
		</ui:cell>
	</xsl:template>

</xsl:stylesheet>