<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func alertm" 
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
  xmlns:func		="http://exslt.org/functions"
  xmlns:alertm	="http://www.swsoft.com/xsl/cp/alertm"
  xmlns:env     ="http://www.swsoft.com/xsl/cp/env"
>  

	<sw:include href="/lib/vt/env-core.xsl"/>
	
  <func:function name="alertm:get">
		<xsl:param name="eid"/>
		<xsl:param name="full-access" select="false()"/>
		<xsl:variable name="eid-info" select="env:eid2info($eid)"/>
		<xsl:variable name="dst-hnode-eid">
			<xsl:choose>
				<xsl:when test="$eid-info/obj-type = 'hn.vz.vt'">
					<!-- request to get alert for hnode -->
					<xsl:value-of select="sw:master-eid()"/>
				</xsl:when>
				<xsl:otherwise>
					<!-- request to get alert for VE -->
					<xsl:value-of select="$eid-info/hn-eid"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
    <xsl:variable name="req">
      <packet>
        <target>alertm</target>
        <dst>
	        <host>
	        	<xsl:value-of select="$dst-hnode-eid"/>
	        </host>
        </dst>
        <data>
          <alertm>
            <get_alerts>
              <eid_list>
                <eid><xsl:value-of select="$eid"/></eid>
              </eid_list>
            </get_alerts>
          </alertm>
        </data>
        <xsl:if test="$full-access">
					<vzcpauth/>        
				</xsl:if>
      </packet>
    </xsl:variable>
    <xsl:variable name="rc" select="sw:xchg($req)"/>
		<func:result select="sw:xchg($req)/packet/data/alertm"/>
	</func:function>
	 
</xsl:stylesheet>
