<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func dyn trace env-samplem"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:func	="http://exslt.org/functions"
  xmlns:dyn		="http://exslt.org/dynamic"
  xmlns:env-samplem		="http://www.swsoft.com/xsl/cp/env-samplem"
  xmlns:trace					="http://www.swsoft.com/xsl/cp/trace"
  xmlns:vt						="http://www.swsoft.com/xsl/cp/vt"  
  xmlns:sample				="http://www.swsoft.com/xsl/cp/sample"   
>  
 	<sw:include href="/lib/vt/env-core.xsl"/>
  
   <!-- List Samples-->
  <func:function name="env-samplem:list-samples">    
  	<xsl:param name="type"/> <!-- virtuozzo-->  	
  	<xsl:param name="hn-eid" select="''"/>  	
  	<xsl:param name="sample-platform" select="'all'"/>  	<!-- windows.i386 or linux.i386 -->
  	<xsl:param name="ve-eid" select="''"/>  	  	
  	
  	<sw:die test="not($type) or ($type='')">
  		Error in env-samplem:list-samples.
  		Type should be defined.
  	</sw:die>
  	
    <xsl:variable name="req">
      <packet>
				<target>env_samplem</target>
				<xsl:copy-of select="sw:hn-dst($hn-eid)"/>
				<data>
					<env_samplem>
						<get_sample_conf>
							<xsl:if test="$ve-eid!=''">
								<eid><xsl:value-of select="$ve-eid"/></eid>
							</xsl:if>
						</get_sample_conf>
					</env_samplem>
				</data>
				<vzcpauth/>
      </packet>
    </xsl:variable>
    
    <xsl:variable name="all-samples" select="sw:xchg($req)/packet/data/env_samplem/sample_conf"/>
    
    <xsl:choose>
    	<xsl:when test="$sample-platform='all'">
		    <func:result select="$all-samples"/>   
		  </xsl:when>
		  <xsl:otherwise>
		    <func:result select="$all-samples[sample:sample2platform(.)=$sample-platform]"/>   		  	
		  </xsl:otherwise>    
		</xsl:choose>		    
  </func:function>
  
  <!-- List HN templates -->
  <func:function name="env-samplem:get-sample">    
  	<xsl:param name="id" select="''"/>
  	<xsl:param name="hn-eid" select="''"/>
    <xsl:variable name="req">
      <packet>
				<target>env_samplem</target>
				<xsl:copy-of select="sw:hn-dst($hn-eid)"/>
				<data>
					<env_samplem>
						<get_sample_conf>
							<xsl:if test="$id!=''">
								<id><xsl:value-of select="$id"/></id>
							</xsl:if>
						</get_sample_conf>
					</env_samplem>
				</data>
				<vzcpauth/>
      </packet>
    </xsl:variable>
    
    <func:result select="sw:xchg($req)/packet/data/env_samplem/sample_conf"/>   
  </func:function>

</xsl:stylesheet>
