<!--
  Copyright (c) 2003, 2004, 2005, 2006 by SWsoft
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
  xmlns:func		="http://exslt.org/functions"
  xmlns:perfmon	="http://www.swsoft.com/xsl/cp/perfmon"
>  

	<!-- get info about perfmon class 
		input:
			eid - eid of hnode or ve, only string allowed
			class -  string or node-set. 
	-->
  <func:function name="perfmon:get">
  	<xsl:param name="eid"/>
  	<xsl:param name="class"/>
    <xsl:variable name="req">
			<packet>
				<target>perf_mon</target>
				<xsl:copy-of select="sw:hn-dst($eid)"/>
				<data>
					<perf_mon>
						<get>  
							<eid_list>
								<eid>
									<xsl:value-of select="$eid"/>
								</eid>
							</eid_list>
							<xsl:choose>
								<xsl:when test="exsl:object-type($class) = 'node-set'">
									<xsl:for-each select="$class">
										<class>
											<name>
												<xsl:value-of select="string(.)"/>
											</name>
										</class>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>
									<class>
										<name>
											<xsl:value-of select="$class"/>
										</name>
									</class>								
								</xsl:otherwise>
							</xsl:choose>
						</get>
					</perf_mon>
				</data>
      </packet>
    </xsl:variable>
    <func:result select="sw:xchg($req)/packet/data/perf_mon"/>
	</func:function>

</xsl:stylesheet>
