<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common" 
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:func="http://exslt.org/functions"
	xmlns:scheduler="http://www.swsoft.com/xsl/cp/scheduler"
>
	
	<func:function name="scheduler:list">		
		<xsl:param name="task-ids"/>

		<xsl:variable name="req">
			<packet>
				<target>scheduler</target>
				<data>
					<scheduler>
						<list/>	
					</scheduler>
				</data>
			</packet>
		</xsl:variable>	
		
		<xsl:variable name="data" select="sw:xchg($req)/packet/data"/>
		<xsl:variable name="error" select="$data/error|$data/scheduler/error"/>
		<xsl:choose>
			<xsl:when test="$error">
				<func:result select="$error"/>
			</xsl:when>
			<xsl:otherwise>
				<func:result select="$data/scheduler/task"/>
			</xsl:otherwise>
		</xsl:choose>
		
	</func:function>	
	
</xsl:stylesheet>
