<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
  xmlns:xsl				="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl			="http://exslt.org/common"
  xmlns:sw				="http://www.swsoft.com/xsl/cp"
  xmlns:system		="http://www.swsoft.com/xsl/cp/system"
  xmlns:func			="http://exslt.org/functions"  
>

  <!-- Read vzagent config 
  	Arguments
  		hn-eid (optional)
  -->
  <func:function name="system:get-configuration">
		<xsl:param name="hn-eid" select="''"/>
    <xsl:variable name="req">
      <packet>
 	      <xsl:copy-of select="sw:env-dst($hn-eid)"/> 
        <data>
          <system>
            <get_configuration/>
         </system>
       </data>
     </packet>
   </xsl:variable>
   <func:result select="sw:xchg($req)"/>
 </func:function>

	<func:function name="system:get-master-eid"> 	
		<xsl:variable name="data" select="system:get-configuration()/packet/data"/>
		<func:result select="sw:if($data/server_group/configuration/master,$data/server_group/configuration/master/id,$data/system/configuration/id)"/>
	</func:function>

	<!-- retrun current connect hnode eid -->	
	<func:function name="system:get-local-eid"> 	
    <xsl:variable name="req">
      <packet>
        <data>
          <system>
            <get_eid/>
         </system>
       </data>
     </packet>
   </xsl:variable>
   <func:result select="sw:xchg($req)/packet/data/system/eid"/>
 </func:function>

	<!-- return text i18n string about current node Role
		if group config:
			if node master - 'Master'
			if node not master - 'Slave'
		if not group config: empty string
	-->	
	<func:function name="system:get-node-role">
		<xsl:param name="hn-eid"/>
		<xsl:variable name="data" select="system:get-configuration($hn-eid)/packet/data"/>
		<func:result>
			<xsl:choose>
				<xsl:when test="$data/server_group/configuration/master/id">
					<!-- its' vz group case -->
					 <xsl:value-of select="sw:if($data/server_group/configuration/master/id = $hn-eid,'Master','Slave')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="''"/>
				</xsl:otherwise>
			</xsl:choose>
		</func:result>		 
	</func:function>

</xsl:stylesheet>
