<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func vzcpsummary"
    xmlns:xsl					="http://www.w3.org/1999/XSL/Transform" 
    xmlns:exsl				="http://exslt.org/common"
    xmlns:sw					="http://www.swsoft.com/xsl/cp" 
    xmlns:func				="http://exslt.org/functions"
	  xmlns:units				="http://www.swsoft.com/xsl/cp/units"     
    xmlns:vzcpsummary	="http://www.swsoft.com/xsl/cp/vzcpsummary"
>
	<sw:include href="/lib/core/units-core.xsl"/>		

	<func:function name="vzcpsummary:get-env-summary">
		<xsl:param name="eid" select="sw:master-eid()"/> 
		<xsl:variable name="req">
			<packet>
      	<target>vzcpsummarym</target>
				<data>
					<vzcpsummarym>
						<get_env_summary>
							<filter>
								<env>
									<eid><xsl:value-of select="$eid"/></eid>
								</env>
							</filter>
						</get_env_summary>
					</vzcpsummarym>
				</data>
			</packet>
		</xsl:variable>

		<xsl:variable name="resp" select="sw:xchg($req)"/>
		<xsl:variable name="resp-error" select="$resp/packet/data/error|$resp/packet/data/vzcpsummarym/error"/>
		
		<xsl:choose>
			<xsl:when test="$resp-error">
				<func:result select="$resp-error"/>
			</xsl:when>
			<xsl:otherwise>
				<func:result select="$resp/packet/data/vzcpsummarym/summary"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>

	<func:function name="vzcpsummary:get-unit-summary">
		<xsl:param name="dn" select="''"/> 
		<xsl:variable name="req">
			<packet>
      	<target>vzcpsummarym</target>
				<data>
					<vzcpsummarym>
						<get_unit_summary>
							<xsl:if test="($dn!='' and not(units:are-dns-equal($dn,units:infra-top-dn()))) or true()">				
								<filter>
									<unit>
										<dn><xsl:value-of select="units:decode-dn($dn)"/></dn>
									</unit>
									<group>env_platform_type</group>
									<group>env_vt_type</group>
									<group>env_status_type</group>
									<group>env_alerted_type</group>
								</filter>
							</xsl:if>
						</get_unit_summary>
					</vzcpsummarym>
				</data>
			</packet>
		</xsl:variable>

		<xsl:variable name="resp" select="sw:xchg($req)"/>
		<xsl:variable name="resp-error" select="$resp/packet/data/error|$resp/packet/data/vzcpsummarym/error"/>
		
		<xsl:choose>
			<xsl:when test="$resp-error">
				<func:result select="$resp-error"/>
			</xsl:when>
			<xsl:otherwise>
				<func:result select="$resp/packet/data/vzcpsummarym/summary"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>

	<sw:include href="/lib/common.xsl"/>

</xsl:stylesheet>
