<!--
		 Copyright (c) SWsoft, 1999-2007
		 All rights reserved.
   -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl date cred dirm users func local"
	xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl		="http://exslt.org/common"
	xmlns:func		="http://exslt.org/functions"
	xmlns:date		="http://exslt.org/dates-and-times"	
	xmlns:sw			="http://www.swsoft.com/xsl/cp"
	xmlns:cred  	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local		="http://www.swsoft.com/xsl/cp/local"
	xmlns:users		="http://www.swsoft.com/xsl/cp/users"
	xmlns:dirm		="http://www.swsoft.com/xsl/cp/dirm"
>
	
	<sw:include href="/lib/swa/dirm.xsl"/>	
		
	<!-- Return users, all or required  -->
	<!--
	Params
		filter-id: nodeset or ID string or empty string
	Result
		/
			obj[]/
					cn/
					...
	-->
	<func:function name="users:list"> 		
		<xsl:param name="filter-id" select="''"/>
		<xsl:param name="id-attr" select="'cn'"/>
	
		<xsl:variable name="filter">
			<xsl:choose>				
				<xsl:when test="exsl:object-type($filter-id)='node-set'">
					<xsl:value-of select="dirm:set2filter($filter-id,$id-attr)"/>
				</xsl:when>
				<xsl:when test="exsl:object-type($filter-id)='string' and $filter-id!=''">
					<xsl:value-of select="dirm:string2filter($filter-id,$id-attr)"/>
				</xsl:when>
			</xsl:choose>
		</xsl:variable>

		<xsl:variable name="users" select="dirm:search(
			$def-users-dn,$filter
		)"/>		
		<func:result select="$users"/>		
	</func:function>
	
	<func:function name="users:name2txt">
		<xsl:param name="name"/>
		<xsl:param name="email" select="''"/>
		
		<xsl:choose>
			<xsl:when test="$name!='' and $email!=''">
				<func:result select="concat($name,' &lt;',$email,'&gt;')"/>
			</xsl:when>
			<xsl:when test="$name='' and $email!=''">
				<func:result select="concat(sw:text('Unnamed'),' &lt;',$email,'&gt;')"/>
			</xsl:when>			
			<xsl:otherwise>
				<func:result select="sw:text('Unnamed')"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>	

	<!-- find user sid by login -->
  <func:function name="users:login2sid">  
  	<xsl:param name="user-login"/>
		<xsl:variable name="users" select="users:list($user-login)"/>
		<func:result select="$users/obj/objectSid"/>
	</func:function>
	
	<!-- find user login by sid-->
  <func:function name="users:sid2login">  
  	<xsl:param name="user-sid"/>
		<xsl:variable name="users" select="users:list($user-sid,'objectSid')"/>
		<func:result select="$users/obj/cn"/>
	</func:function>
	
</xsl:stylesheet>
