<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func trace path"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:func="http://exslt.org/functions"
  xmlns:trace="http://www.swsoft.com/xsl/cp/trace"
  xmlns:path	="http://www.swsoft.com/xsl/cp/path"
  >
  
  <sw:include href="/layout/lib/path.xsl"/>

	<!-- check if screen with ID there is in path -->
	<func:function name="trace:find-screen">
		<xsl:param name="screen-id"/>
		<xsl:variable name="path" select="path:get()"/>		
		<func:result select="$path[@id=$screen-id]"/>
	</func:function>
	
	<!-- check if screen with ID there is in path -->
	<func:function name="trace:screens">				
		<func:result select="path:get()"/>
	</func:function>

	<!--
		Set branch value.
		Arguments
			branch-id
			branch-value
		Result
			none
	-->
	<func:function name="trace:set-branch">
		<xsl:param name="branch-id"/>
		<xsl:param name="branch-value"/>		
		<xsl:if test="sw:sesputstr(concat('branch-',$branch-id),string($branch-value))"/>
	</func:function>

	<!-- return branch value -->
	<func:function name="trace:get-branch">
		<xsl:param name="branch-id"/>
		<xsl:variable name="branch-get" select="$request/http_request/get/parameter[ name='branch' ]/value"/>		
		<xsl:choose>
			<xsl:when test="substring-before($branch-get,',')=$branch-id">
				<func:result select="
					substring-after($branch-get,',')
				"/>
			</xsl:when>
			<xsl:otherwise>
				<func:result select="sw:sesgetstr(concat('branch-',$branch-id))"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>

	<!-- check if screen with ID there is in path -->
	<func:function name="trace:check-branch">
		<xsl:param name="branch-id"/>
		<xsl:param name="road-direct"/>		
		<func:result select="trace:get-branch($branch-id)=$road-direct"/>
	</func:function>
	
	<!-- Return selected road for some branch -->
	<func:function name="trace:find-road">
		<xsl:param name="branch-id"/>
		<xsl:variable name="branch-get" select="$request/http_request/get/parameter[ name='branch' ]/value"/>		
		<xsl:choose>
			<xsl:when test="substring-before($branch-get,',')=$branch-id">
				<func:result select="
					substring-after($branch-get,',')
				"/>
			</xsl:when>
			<xsl:otherwise>
				<func:result select="sw:sesgetstr(concat('branch-',$branch-id))"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>
	

</xsl:stylesheet>
    
