<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:action="http://www.swsoft.com/xsl/cp/action"
>

	<xsl:template name="action:make-packet">
		<xsl:param name="path"/>
		<xsl:param name="input"/>
		<xsl:param name="cookie"/>
		<xsl:param name="run-async" select="true()"/>
		<xsl:param name="ticket-param" select="''"/>
		<xsl:param name="client-ip-param" select="''"/>

		<packet log="on" priority="3000">
			<xsl:if test="$run-async">
				<xsl:attribute name="progress">on</xsl:attribute>
			</xsl:if>
			<target>xslt</target>
			<cookie>
				<xsl:copy-of select="$cookie"/>
			</cookie>
			<data>
				<xslt>
					<process>
						<stylesheet>
							<path>
								<xsl:value-of select="$path"/>
							</path>
						</stylesheet>
						<input>
							<xsl:value-of
								select="sw:base64-encode(sw:text($input))"/>
						</input>
						<session>
							<ip>
							<xsl:choose>
								<xsl:when
									test="$client-ip-param!=''">
									<xsl:value-of
										select="$client-ip-param"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of
										select="$request/http_request/env/parameter[name = 'REMOTE_ADDR']/value"/>
  									</xsl:otherwise>
  								</xsl:choose>
  							</ip>
							<ticket>
								<xsl:choose>
									<xsl:when test="$ticket-param!=''">
										<xsl:value-of
											select="$ticket-param" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$ticket" />
									</xsl:otherwise>
								</xsl:choose>
							</ticket>
						</session>
					</process>
				</xslt>
			</data>
		</packet>
	</xsl:template>

</xsl:stylesheet>
