<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:file="http://www.swsoft.com/xsl/cp/file"
>
	<func:function name="file:path4vza">
		<xsl:param name="path"/>
		<xsl:param name="trail" select="true()"/>
		<func:result>
			<xsl:choose>
				<xsl:when test="substring($path,3,1)=':'">
					<xsl:variable name="s0" select="substring( $path,2,string-length($path)-1 )"/>
					<xsl:variable name="last" select="substring($s0,string-length($s0),1)"/>
					<xsl:variable name="s" select="sw:re-replace(
						$s0,'/','\','g'
					)"/>
					<xsl:value-of select="sw:if($trail and $s!='' and $last!='\' and $last!='/',concat($s,'\'),$s)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="last" select="substring($path,string-length($path),1)"/>
					<xsl:value-of select="sw:if($trail and $last!='/',concat($path,'/'),$path)"/>
				</xsl:otherwise>
			</xsl:choose>
		</func:result>
	</func:function>
	
	<func:function name="file:path4screen">
		<xsl:param name="path"/>
		
		<func:result>
			<xsl:choose>
				<xsl:when test="substring($path,3,1)=':'">
					<xsl:variable name="s0" select="substring( $path,2,string-length($path)-1 )"/>
					<xsl:variable name="last" select="substring($s0,string-length($s0),1)"/>
					<xsl:variable name="s" select="sw:re-replace(
						$s0,'/','\','g'
					)"/>
					<xsl:value-of select="sw:if($s!='' and $last!='\' and $last!='/',concat($s,'\'),$s)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$path"/>
				</xsl:otherwise>
			</xsl:choose>
		</func:result>
	</func:function>

	<func:function name="file:make-full-path">
		<xsl:param name="path"/>
		<xsl:param name="name"/>
		<xsl:param name="platform-windows"/>

		<xsl:variable name="delim"
			select="sw:if($platform-windows,'\','/')"/>
		<xsl:variable name="path-refine"
			select="sw:re-match($path,'^(.+)[\\/]$',i)[2]"/>

		<xsl:variable name="fullpath">
			<xsl:choose>
				<xsl:when test="string($path-refine) = ''">
					<xsl:value-of
						select="concat($path,sw:if($name = '','',$delim),$name)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of
						select="concat($path-refine,sw:if($name = '','',$delim),$name)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<func:result select="$fullpath"/>
	</func:function>
</xsl:stylesheet>
