<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func local"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:format="http://www.swsoft.com/xsl/cp/format"
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
>

	<!-- display full date accoring with locale and current system locale policy -->
	<func:function name="format:date-time">
		<xsl:param name="date"/>
		<func:result select="sw:strftime($date, sw:if($langObj/date-time,$langObj/date-time,'%c'))"/>
	</func:function>

	<!-- display date accoring with locale and current system locale policy -->
	<func:function name="format:date-date">
		<xsl:param name="date"/>
		<func:result select="sw:strftime($date, sw:if($langObj/date,$langObj/date,'%x'))"/>
	</func:function>

	<!-- transform vzagent date to date time presentation -->
	<xsl:template match="date|time">
		<xsl:value-of
			select="sw:strftime(sw:vzatime2utime(.),sw:if($langObj/date-time,$langObj/date-time,'%c'))"/>
	</xsl:template>

</xsl:stylesheet>
