<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:url="http://www.swsoft.com/xsl/cp/url"
>
	<!-- Add GET parameters to URL -->
	<func:function name="url:extend">
		<xsl:param name="url" />
		<xsl:param name="parameters" />
		<func:result
			select="concat($url,sw:if(contains($url,'?'),'&amp;','?'),$parameters)"/>
	</func:function>

	<!-- perfurm substitution for the href attribute from static xml files -->
	<func:function name="url:href">
		<xsl:param name="href"/>
	  	<xsl:param name="reset-paths" select="false()"/>
	
		<xsl:variable name="based">  	
			<xsl:choose>
				<xsl:when test="contains($href, '$baseurl')">
					<xsl:value-of select="concat($baseurl, substring-after($href, '$baseurl'))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$href"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<func:result>
			<xsl:choose>
				<xsl:when test="not($reset-paths)">
					<xsl:value-of select="$based"/>
				</xsl:when>
				<xsl:when test="contains($based, '?')">
					<xsl:value-of select="concat($based,'&amp;path=reset')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat($based,'?path=reset')"/>
				</xsl:otherwise>
			</xsl:choose>
		</func:result>
	</func:function>


</xsl:stylesheet>
