<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func voc env hwm action"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func="http://exslt.org/functions"
	xmlns:env="http://www.swsoft.com/xsl/cp/env"
	xmlns:ve="http://www.swsoft.com/xsl/cp/ve"	
	xmlns:hwm="http://www.swsoft.com/xsl/cp/hwm"
	xmlns:voc="http://www.swsoft.com/xsl/cp/voc"
	xmlns:action="http://www.swsoft.com/xsl/cp/action"
>

	<sw:include href="/lib/vt/ve-core.xsl"/>
	<sw:include href="/lib/utils/action.xsl"/>	
	
	<func:function name="env:action-stop">
  	<xsl:param name="eid-list"/><!-- list of eid -->
  	<xsl:param name="fast" select="false()"/>
  	
  	<func:result>
  		<xsl:call-template name="action:make-packet">
  			<xsl:with-param name="path" select="'actions/vt/envs/stop.xsl'"/>
  			<xsl:with-param name="cookie">
					<msg>
						<sched><sw:text>The Containers have been scheduled for stopping.</sw:text></sched>
						<error><sw:text>Failed to stop the Containers.</sw:text></error>
					</msg>
					<operation>stop_ve</operation>
					<redirect-last/>
				</xsl:with-param>
				<xsl:with-param name="input">
					<data>
						<xsl:copy-of select="ve:eids2nodes($eid-list)"/>
						<xsl:if test="$fast">
							<fast/>
						</xsl:if>
					</data>
  			</xsl:with-param>
			</xsl:call-template>
  	</func:result>

  </func:function>

	<func:function name="env:action-suspend">
		<xsl:param name="eid-list"/><!-- list of eid -->

		<func:result>
			<xsl:call-template name="action:make-packet">
				<xsl:with-param name="path" select="'actions/vt/envs/suspend.xsl'"/>
				<xsl:with-param name="cookie">
					<msg>
						<sched>
							<sw:text>The Containers have been scheduled to be suspended.</sw:text>
						</sched>
						<error>
							<sw:text>Failed to suspend the Containers.</sw:text>
						</error>
					</msg>
					<operation>suspend_ve</operation>
					<redirect-last/>
				</xsl:with-param>
				<xsl:with-param name="input">
					<data>
						<xsl:copy-of select="ve:eids2nodes($eid-list)"/>
					</data>
				</xsl:with-param>
			</xsl:call-template>
		</func:result>

	</func:function>
	
	<func:function name="env:action-start">
  	<xsl:param name="eid-list"/><!--  -->
  	
  	<func:result>
  		<xsl:call-template name="action:make-packet">
  			<xsl:with-param name="path" select="'actions/vt/envs/start.xsl'"/>
  			<xsl:with-param name="cookie">
					<msg>
						<sched><sw:text>The Containers have been scheduled for starting.</sw:text></sched>
						<error><sw:text>Failed to start the Containers.</sw:text></error>
					</msg>
					<operation>start_ve</operation>
					<redirect-last/>
				</xsl:with-param>
				<xsl:with-param name="input">
					<data>
						<xsl:copy-of select="ve:eids2nodes($eid-list)"/>
					</data>
  			</xsl:with-param>
			</xsl:call-template>
  	</func:result>

  </func:function>

	<func:function name="env:action-restart">
  	<xsl:param name="eid-list"/><!-- <ve><id><hw></ve> -->
  	
  	<func:result>
  		<xsl:call-template name="action:make-packet">
  			<xsl:with-param name="path" select="'actions/vt/envs/restart.xsl'"/>
  			<xsl:with-param name="cookie">
					<msg>
						<sched><sw:text>The Containers have been scheduled for restarting.</sw:text></sched>
						<error><sw:text>Failed to restart the Containers.</sw:text></error>
					</msg>
					<operation>restart_ve</operation>
					<redirect-last/>
				</xsl:with-param>
				<xsl:with-param name="input">
					<data>
						<xsl:copy-of select="ve:eids2nodes($eid-list)"/>
					</data>
  			</xsl:with-param>
			</xsl:call-template>
  	</func:result>

  </func:function>
  
  <func:function name="env:action-backup">
  	<xsl:param name="eid-list"/><!-- <ve><id><hw></ve> -->
  	
  	<func:result>
  		<xsl:call-template name="action:make-packet">
  			<xsl:with-param name="path" select="'actions/vt/envs/backup.xsl'"/>
  			<xsl:with-param name="cookie">
					<msg>
						<sched><sw:text>The Containers have been scheduled for backing up.</sw:text></sched>
						<error><sw:text>Failed to back up the Containers.</sw:text></error>
					</msg>
					<operation>backip_ve</operation>
					<redirect-last/>
				</xsl:with-param>
				<xsl:with-param name="input">
					<data>
						<xsl:copy-of select="ve:eids2nodes($eid-list)"/>
					</data>
  			</xsl:with-param>
			</xsl:call-template>
  	</func:result>

  </func:function>


</xsl:stylesheet>
