<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func env"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:func	="http://exslt.org/functions"
	xmlns:env		="http://www.swsoft.com/xsl/cp/env"
>

	<sw:include href="/lib/vt/env-core.xsl"/>
	
	<func:function name="env:cmd-stop">
  	<xsl:param name="eid"/>
  	<xsl:param name="fast" select="false()"/>
		<xsl:variable name="packet-target" select="env:get-target($eid)"/>
  	<func:result>
  		<packet log="on" progress="on">
				<target><xsl:value-of select="$packet-target"/></target>
				<xsl:copy-of select="sw:hn-dst($eid)"/>
				<cookie>
					<msg>
						<sched><sw:text>The Container has been scheduled for stopping.</sw:text></sched>
						<error><sw:text>Failed to stop the Container.</sw:text></error>
					</msg>
					<operation>stop_ve</operation>
					<redirect-last/>
				</cookie>
				<data>
					<xsl:element name="{$packet-target}">
						<stop>
							<eid><xsl:value-of select="$eid"/></eid>
							<xsl:if test="$fast">
                <force/>
              </xsl:if>
						</stop>
					</xsl:element>
				</data>
			</packet>
  	</func:result>
  </func:function>

  
  <func:function name="env:cmd-start">
  	<xsl:param name="eid"/>
		<xsl:variable name="packet-target" select="env:get-target($eid)"/>  	
  	<func:result>
  		<packet log="on" progress="on">
				<target><xsl:value-of select="$packet-target"/></target>
  			<xsl:copy-of select="sw:hn-dst($eid)"/>
  			<cookie>
  				<msg>
  					<sched>
  						<sw:text>The Container has been scheduled for starting.</sw:text>
  					</sched>
  					<error>
  						<sw:text>Failed to start the Container.</sw:text>
  					</error>
  				</msg>
  				<operation>start_ve</operation>
  				<redirect-last />
  			</cookie>
  			<data>
					<xsl:element name="{$packet-target}">
  					<start>
  						<eid>
  							<xsl:value-of select="$eid"/>
  						</eid>
  					</start>
  				</xsl:element>
  			</data>
  		</packet>
  	</func:result>
  </func:function>


  <func:function name="env:cmd-restart">
  	<xsl:param name="eid"/>  	
		<xsl:variable name="packet-target" select="env:get-target($eid)"/>
  	<func:result>
  		<packet log="on" progress="on">
				<target><xsl:value-of select="$packet-target"/></target>
				<xsl:copy-of select="sw:hn-dst($eid)"/>
				<cookie>
					<msg>
						<sched><sw:text>The Container has been scheduled for restarting.</sw:text></sched>
						<error><sw:text>Failed to restart the Container.</sw:text></error>
					</msg>
					<operation>restart_ve</operation>
					<redirect-last/>
				</cookie>
				<data>
					<xsl:element name="{$packet-target}">
						<restart>
							<eid><xsl:value-of select="$eid"/></eid>
						</restart>
					</xsl:element>
				</data>
			</packet>
  	</func:result>
  </func:function>
	

</xsl:stylesheet>
