<!-- Copyright (c) SWsoft, 1999-2007 All rights reserved. -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func browse tem env-samplem cred envm vzaconfig licensem"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:func="http://exslt.org/functions" 
  xmlns:env="http://www.swsoft.com/xsl/cp/env"
  xmlns:units			="http://www.swsoft.com/xsl/cp/units" 
  xmlns:ve				="http://www.swsoft.com/xsl/cp/ve"  
  xmlns:vt				="http://www.swsoft.com/xsl/cp/vt"  
  xmlns:env-samplem="http://www.swsoft.com/xsl/cp/env-samplem"
  xmlns:tem="http://www.swsoft.com/xsl/cp/tem"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
  xmlns:envm				="http://www.swsoft.com/xsl/cp/envm"
  xmlns:vzaconfig="http://www.swsoft.com/xsl/cp/vzaconfig"
  xmlns:browse="http://www.swsoft.com/xsl/cp/browse"
  xmlns:licensem="http://www.swsoft.com/xsl/cp/licensem"
>
	<sw:include href="/lib/swa/envm.xsl"/>	
	<sw:include href="/lib/swa/env-samplem.xsl"/>
	<sw:include	href="/lib/core/browse-filter-vza.xsl"/> 
	<sw:include href="/lib/vzaconfig.xsl"/>
	<sw:include href="/lib/core/units-core.xsl"/>		
	<sw:include	href="/lib/vt/ve-core.xsl"/> 
	
 	<xsl:template name="env:get-browse-cols">
		<xsl:param name="show-os" select="true()"/>
		<xsl:param name="show-url" select="false()"/>
		<xsl:param name="state" select="false()"/>
		<xsl:param name="ext-cols" select="''"/>
		<xsl:param name="compact-mode" select="false()"/>
		
		<xsl:variable name="hidden-attr" select="sw:if($compact-mode,'yes','no')"/>
		
		<xsl:copy-of select="$ext-cols"/>
		<ui:column id="id-int" vza-id="env.vconfig.veid" 
			show-url="{sw:if($show-url,'yes','no')}" 
			data-type="int" 
			title="{sw:text('ID')}" filter="auto"
			custom-hidden="yes"
			custom-filter-hidden="yes"
		/>
		<ui:column id="title" vza-id="env.title" nav-type="title"
			filter="auto"
			show-url="{sw:if($show-url,'yes','no')}" title="{sw:text('Name')}"
		/> 
		<ui:column id="name" vza-id="env.vconfig.name"	hidden="yes"
		/> 
		<ui:column id="hostname" vza-id="env.vconfig.hostname"
			show-url="{sw:if($show-url,'yes','no')}" title="{sw:text('Hostname')}" 
			custom-hidden="yes"
			custom-filter-hidden="yes"			
		/> 		
		<ui:column id="description" vza-id="env.vconfig.description"
			title="{sw:text('Description')}" 
			filter="auto"
			custom-hidden="yes"
		/>
		<ui:column id="ips" vza-id="env.vconfig.ip_text" data-type="ip" title="{sw:text('IP Address')}" filter="auto" custom-filter-hidden="yes"
		/>
		<ui:column id="env-parent" vza-id="env.parent_hostname" title="{sw:text('Hardware Node')}"
			filter="auto"
			custom-hidden="yes"
			custom-filter-hidden="yes"
		/>
		<ui:column id="ve-vt-type" vza-id="env.config.type" apply-templates="yes" title="{sw:text('VT')}"
			filter-title="{sw:text('Technology')}"
			custom-hidden="yes"
			custom-filter-hidden="yes"
		/>
		<ui:column id="platform-os" title="{sw:text('Platform')}" vza-id="env.vconfig.os.platform"
			filter="select" apply-templates="yes" align="center" custom-filter-hidden="yes" filter-uncase="true"
		>
			<xsl:copy-of select="vt:vza-platform-oses()"/>
		</ui:column>
		
		<ui:column id="ve-arch" vza-id="env.vconfig.architecture" title="{sw:text('Architecture')}"
			filter="auto"
			custom-hidden="yes"
			custom-filter-hidden="yes"
		/>
		
		<xsl:if test="$show-os">
			<!--
			<ui:column id="base_set" vza-id="env.vconfig.os_template.name" title="{sw:text('OS Template')}" post-apply-templates='yes' filter="auto"
			-->
			<ui:column id="base_set" vza-id="env.vconfig.os.name" title="{sw:text('Operating System')}" post-apply-templates="yes" filter="auto"/>			
		</xsl:if>
		<ui:column id="ve-template" title="{sw:text('Original Sample')}" 
			vza-id="env.vconfig.base_sample" 
			filter="auto" 
			apply-templates="no"
			custom-filter-hidden="yes"
			custom-hidden="{$hidden-attr}"
		/>

		<ui:column id="ve-customized" vza-id="env.vconfig.config_customized" hidden="yes"/>
		<ui:column id="offline_management" vza-id="env.vconfig.offline_management" hidden="yes"/>
		<ui:column id="parent-eid" vza-id="env.parent_eid" hidden="yes">
			<!-- some hackish way to select HN and VE -->
			<ui:cond expr="!="><xsl:value-of select="$env:empty-eid"/></ui:cond>
		</ui:column>
		<ui:column id="env-type" vza-id="env.vconfig.type" hidden="yes"/>
 		<ui:column id="env-cpu" title="{sw:text('CPU')}" vza-id="env.resource.cpu.percent" 
			align="left" apply-templates="yes"
			custom-hidden="yes"
		/>
		
		<ui:column id="env-disk" title="{sw:text('Disk')}" vza-id="env.resource.disk.percent" 
			align="left" apply-templates="yes" 
			 custom-filter-hidden="yes"
			custom-hidden="{$hidden-attr}"			 
		/>
		<ui:column id="env-disk-usage"  vza-id="env.resource.disk.usage" hidden="yes"/>
 		<ui:column id="env-disk-limit"  vza-id="env.resource.disk.limit" hidden="yes"/>
 		
		<ui:column id="env-memory" title="{sw:text('Memory')}" vza-id="env.resource.memory.percent" 
			align="left" apply-templates="yes" 
			 custom-filter-hidden="yes"
			custom-hidden="{$hidden-attr}"			 
		/>
		<ui:column id="env-memory-usage"  vza-id="env.resource.memory.usage" hidden="yes"/>
 		<ui:column id="env-memory-limit"  vza-id="env.resource.memory.limit" hidden="yes"/>
 		
		<ui:column id="alert-type-icon" vza-id="env.alert_type" 
			filter-group="ve-status"
			title="{sw:text('Alert')}" align="center" apply-templates="yes" filter="select"
			custom-hidden="yes" custom-filter-hidden="yes"
		>
			<ui:filter-option value="0" title="{sw:text('Green Zone')}"/>
			<ui:filter-option value="1" title="{sw:text('Yellow Zone')}"/>
			<ui:filter-option value="2" title="{sw:text('Red Zone')}"/>
			<ui:filter-option type="custom" value-custom="!='0'" value="ra" title="{sw:text('Require Attention')}"/>			
		</ui:column>
		<ui:column filter-group="ve-status" id="ve-enabled" title="{sw:text('Enabled')}"
			align="center" vza-id="env.vconfig.disabled" apply-templates="yes"
			filter="select"
			custom-hidden="yes" custom-filter-hidden="yes"
		 >
			<ui:filter-option value="0" title="{sw:text('Enabled')}"/>
			<ui:filter-option value="1" title="{sw:text('Disabled')}"/>
		</ui:column>
		<ui:column filter-group-title="{sw:text('Filter')}" 
			id="ve-status" vza-id="env.state" apply-templates="yes"
			title="{sw:text('Status')}" align="left"
		>  
			<xsl:choose>
				<xsl:when test="$state">
					<xsl:attribute name="value"><xsl:value-of select="$state"/></xsl:attribute>
					<xsl:attribute name="filter">equal</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="filter">select</xsl:attribute>
					<xsl:call-template name="ve:get-states"/>
				</xsl:otherwise>
			</xsl:choose>
		</ui:column>
		<ui:column id="transition" vza-id="env.transition" filter="select"
			hidden="yes"  filter-group="ve-status"
		>
			<!-- commented due to VZA bug #85201  vza-sort-with="ve-status" vza-sort-ord="1" -->
			<ui:filter-option type="custom" value-custom="!='{$env-trans/none}'" value="true"  title="{sw:text('In Transition')}"/>
			<!--
			 filter-group="ve-status" filter="select"
			<xsl:call-template name="env:get-transitions"/>
			-->
		</ui:column>		
		<ui:column id="env-state-check-alt" for-checkbox-alt="yes" hidden="yes" apply-templates="yes"/>
	</xsl:template>

	<xsl:template name="env:fill-filter">
		<xsl:param name="filter-rtf"/>	
		<xsl:param name="filter-hn-eid" select="''"/>			
		<xsl:param name="filter-dn" select="''"/>
		
		<xsl:variable name="checked-dn">
			<xsl:if test="not(string($filter-dn)='') and not(units:are-dns-equal($filter-dn,units:infra-top-dn()))">
				<xsl:value-of select="$filter-dn"/>
			</xsl:if>
		</xsl:variable>
		
		<xsl:call-template name="browse:fill-from-vza">
			<xsl:with-param name="filter"		select="exsl:node-set($filter-rtf)"/>
			<xsl:with-param name="sql-where">
				<xsl:if test="not(vzaconfig:show-sve())">
					<xsl:copy-of select="ve:get-veid-range-filter($filter-hn-eid)" />
					<xsl:if test="$checked-dn!='' or $filter-hn-eid!=''"> AND </xsl:if>
				</xsl:if>		
				<xsl:if test="not(string($filter-hn-eid)='')">
				 (pager.env.parent_eid='<xsl:value-of select="sw:sql-escape($filter-hn-eid)"/>' )
				</xsl:if>
				<xsl:if test="$checked-dn!=''">
					<xsl:if test="not(string($filter-hn-eid)='')">
						AND
					</xsl:if>
				 (pager.env.eid in (unit '<xsl:value-of select="sw:sql-escape(units:decode-dn($checked-dn))"/>',recursive) )					
				</xsl:if>
			</xsl:with-param>
			<xsl:with-param name="die-on-error" select="false()"/>
		</xsl:call-template>
		
	</xsl:template>
		
	<xsl:template name="env:browse">
		<xsl:param name="browse-url"/>
		<xsl:param name="filter-dn" select="''"/>	
		<xsl:param name="filter-hn-eid" select="''"/>			
		<xsl:param name="first-buttons" select="/.."/>
		<xsl:param name="ext-cols" select="/.."/>
		
		<xsl:variable name="ve-context">
			<xsl:choose>
				<xsl:when test="$filter-hn-eid!=''">hn</xsl:when>
				<xsl:when test="$filter-dn!=''">unit</xsl:when>				
			</xsl:choose>
		</xsl:variable>
		
		<xsl:variable name="filter-rtf">
			<xsl:call-template name="browse:init-filter">
				<xsl:with-param name="browse">
					<ui:browse-setup id="unit-envs" url="{$browse-url}"
						select-on-left="true"
						search-opened = "true"
						items-title="{sw:text('Containers')}" 
					>
						<ui:item-click action="open" obj-type-col="ve-vt-type" ext-href="?context={$ve-context}"/>					
					</ui:browse-setup>
	        <ui:cols sorting-col="title" sorting-direction="asc">
	         	<xsl:call-template name="env:get-browse-cols">
	         		<xsl:with-param name="ext-cols">
	         			<ui:column id="id" hidden="yes" vza-id="env.eid" nav-type="id">
						    	<xsl:attribute name="for-select">yes</xsl:attribute>
		         		</ui:column>
		         		<xsl:copy-of select="$ext-cols"/>
	        		</xsl:with-param>
	        		<xsl:with-param name="show-url"	select="true()"/>
	        	</xsl:call-template>
	        </ui:cols>
				</xsl:with-param>
			</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="filter-data-rtf">
		<xsl:call-template name="env:fill-filter">
				<xsl:with-param name="filter-rtf" select="$filter-rtf"/>
				<xsl:with-param name="filter-dn" select="$filter-dn"/>
				<xsl:with-param name="filter-hn-eid" select="$filter-hn-eid"/>
			</xsl:call-template>
	</xsl:variable>
	<xsl:variable name="filter" select="exsl:node-set($filter-data-rtf)"/>
	
	<xsl:choose>
		<xsl:when test="$filter[error]">
			<ui:operation-problem>
				<ui:descr>
					<sw:text>Unable to list the Containers.</sw:text>
				</ui:descr>
				<xsl:variable name="listing-error" select="$filter/error/code='420'"/>	
				<xsl:choose>
					<xsl:when test="$listing-error and $filter-dn!=''">
						<ui:type>custom</ui:type>
						<ui:reason>
							<sw:text>
								<xsl:with-param name="folder" select="units:dn2title($filter-dn)"/>
								The current folder (%folder) was deleted or renamed.
							</sw:text>
						</ui:reason>
						<ui:solution>Select another folder.</ui:solution>	
					</xsl:when>
					<xsl:when test="$listing-error and $filter-hn-eid!=''">
						<ui:type>custom</ui:type>
						<ui:reason>
							<sw:text>
								The current Hardware Node was unregistered from the Virtuozzo Group.
							</sw:text>
						</ui:reason>
						<ui:solution>Select another Hardware Node.</ui:solution>	
					</xsl:when>
					<xsl:otherwise>
						<ui:type>vza-error</ui:type>
						<ui:vza-error>
							<xsl:copy-of select="$filter/error/*"/>
						</ui:vza-error>					
					</xsl:otherwise>
				</xsl:choose>
			</ui:operation-problem>
		</xsl:when>
		<xsl:otherwise>
			<ui:browse>
				<xsl:attribute name="title">
					<sw:text>Containers</sw:text>
				</xsl:attribute>
	
				<xsl:attribute name="oncontext">list.ve.vz.vt</xsl:attribute>
				<xsl:attribute name="oncontextplatform">platform-os</xsl:attribute>

				<ui:filter>
					<xsl:copy-of select="$filter-data-rtf"/>
				</ui:filter>
	
				<ui:browse-js-array name="vttype">
					<ui:warn><sw:text>You can perform this operation on Virtuozzo Containers only.</sw:text></ui:warn>
					<xsl:for-each select="$filter//ui:row[env-vt-type !='virtuozzo']/id">
						<ui:value><xsl:value-of select="."/></ui:value>
					</xsl:for-each>
				</ui:browse-js-array>
	
				<ui:browse-js-many>
					<ui:warn>
						<sw:text>
							To perform any action on the Containers in this list, you have to select at least one.
						</sw:text>
					</ui:warn>
				</ui:browse-js-many>
	
				<ui:browse-js-one>
					<ui:warn><sw:text>Please select one Container</sw:text></ui:warn>
				</ui:browse-js-one>
			
				<ui:browse-buttons>
					<xsl:copy-of select="$first-buttons"/>
	
					<xsl:if test="true()">
						<ui:button tip="start_env" icon="env_start" script="if (!atLeastOne()) return false;"
							name="start" submit-href="/vz/cp/vt/envs/list-control" oneclick="true"
						>
							<sw:text>Start</sw:text>
						</ui:button>
						<ui:button-menu id="vzve.stop.menu" label="{sw:text('Stop')}">
							<ui:button tip="stop_env" icon="env_stop" script="if (!atLeastOne()) return false;"
								name="stop" submit-href="/vz/cp/vt/envs/list-control" oneclick="true"
							>
								<sw:text>Stop</sw:text>
							</ui:button>
							<ui:button tip="fast_stop_env" icon="env_faststop" script="if (!atLeastOne()) return false;"
								name="fast_stop" submit-href="/vz/cp/vt/envs/list-control" oneclick="true"
							>
								<sw:text>Power Off</sw:text>
							</ui:button>
						</ui:button-menu>
						
						<xsl:choose>
							<xsl:when test="string($filter-hn-eid)=''">
								<xsl:if test="$filter//ui:row[platform-os ='Linux']">
									<ui:button tip="suspend_ves" icon="env_suspend"
										confirmation="{sw:text('Are you sure you want to suspend the selected Container(s)?')}"
										script="if (!atLeastOne()) return false;" name="suspend" 
										submit-href="/vz/cp/vt/envs/list-control" oneclick="true">
										<sw:text>Suspend</sw:text>
									</ui:button>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<ui:button tip="suspend_ves" icon="env_suspend"
									confirmation="{sw:text('Are you sure you want to suspend the selected Container(s)?')}"
									script="if (!atLeastOne()) return false;" name="suspend" 
									submit-href="/vz/cp/vt/envs/list-control" hn-platform="linux" oneclick="true">
									<sw:text>Suspend</sw:text>
								</ui:button>
							</xsl:otherwise>
						</xsl:choose>
							<ui:button type="list-selection" tip="restart" icon="env_restart"
								submit-href="/vz/cp/vt/envs/list-control" oneclick="true"
								script="if (!atLeastOne()) return false;" name="restart">
								<sw:text>Restart</sw:text>
							</ui:button>
							<ui:button-menu id="vzve.login.menu" group="vzve.login.menu" label="{sw:text('Login')}">
						</ui:button-menu>
					</xsl:if>
				</ui:browse-buttons>
		
				<ui:browse-buttons>
					<xsl:if test="true()">
						<ui:button tip="change_ves" icon="configure" submit-href="{$baseurl}/vzdir/infrman/envs/list-change"
							script="if(!check_vttype_array()) return false;if (!atLeastOne()) return false;" name="change">
							<sw:text>Configure</sw:text>
						</ui:button>
					</xsl:if>
				</ui:browse-buttons>
		
				<ui:browse-buttons>
					<xsl:if test="true()">
						<ui:button tip="backup_ves" icon="backup_new"
							submit-href="{$baseurl}/vt/backups/new?env-set=selected-multi" script="if (!atLeastOne()) return false;" name="backup">
							<sw:text>Back Up</sw:text>
						</ui:button>
					</xsl:if>
		
						<ui:button tip="migrate_ves" icon="env_migration"
							script="if(!check_vttype_array()) return false;if (!atLeastOne()) return false;"
							name="migrate" submit-href="{$baseurl}/vzdir/infrman/envs/list-migrate">
							<sw:text>Migrate</sw:text>
						</ui:button>
		
					<xsl:if test="true()">
						<ui:button tip="clone_ves" icon="env_clone" script="if (!atLeastOne()) return false;"
							name="clone" submit-href="{$baseurl}/vzdir/infrman/envs/list-clone">
							<sw:text>Clone</sw:text>
						</ui:button>
					</xsl:if>
				</ui:browse-buttons>
				
				<ui:browse-buttons>
					<ui:button tip="destroy_ves" icon="delete" script="if (!atLeastOne()) return false;"
						submit-href="/vz/cp/vt/envs/list-control"
						name="destroy"
					>
						<sw:text>Delete</sw:text>
					</ui:button>
				</ui:browse-buttons>
		
				<ui:browse-empty-msg>
					<sw:text>There are no available Containers.</sw:text>
				</ui:browse-empty-msg>
	
			</ui:browse>
			</xsl:otherwise>
			
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
