<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw func exsl"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
	xmlns:func		="http://exslt.org/functions"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
	xmlns:env			="http://www.swsoft.com/xsl/cp/env"
	xmlns:perfmon	="http://www.swsoft.com/xsl/cp/perfmon"
  >

	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/swa/perfmon.xsl"/>	

	<func:function name="env:get-memory">
  	<xsl:param name="eid"		select="''"/>
	  <xsl:variable name="obj-type" select="env:eid2info($eid)/obj-type"/>
	  <xsl:variable name="counter-mem" select="env:obj-type2counter-name($obj-type,'mem')"/>
		<xsl:variable name="class">
			<xsl:value-of select="$counter-mem"/>
		</xsl:variable>
		<xsl:variable name="mem-counter" select="perfmon:get($eid,$class)/data/class[name = $class]/instance"/>
		<xsl:variable name="mem-used" select="$mem-counter/counter[name = 'counter_memory_used']/value/cur"/>
		<xsl:variable name="mem-total" select="$mem-counter/counter[name = 'counter_memory_limit']/value/cur"/>
		<xsl:variable name="req-rc-rtf">
			<used>
				<xsl:value-of select="$mem-used"/>
			</used>
			<free>
				<xsl:value-of select="sw:if($mem-total - $mem-used &gt;0,$mem-total - $mem-used,0)"/>
			</free>
			<fraction>
				<xsl:value-of select="$mem-used div $mem-total"/>
			</fraction>
			<total>
				<xsl:value-of select="$mem-total"/>
			</total>
		</xsl:variable>
		<func:result select="exsl:node-set($req-rc-rtf)"/>
	</func:function>		
	
</xsl:stylesheet>

