<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:vzenv="http://www.swsoft.com/xsl/cp/vzenv"
  xmlns:func="http://exslt.org/functions"
  >
  
  <!-- get packet for setting per-VE private data -->
  <xsl:template name="vzenv:get-put-cmd">
    <xsl:param name="value"/>
    <xsl:param name="eid" select="sw:ve-eid()"/>
    <xsl:param name="name" select="'vzcp'"/>
		<!--|-->
    <vzaenvm>
      <put_private>
        <eid><xsl:value-of select="$eid"/></eid>
        <name><xsl:value-of select="$name"/></name>
        <value>
          <xsl:variable name="txt">
            <sw:text disable-text-normalize="indent" select="$value"/>
            <xsl:text>&#10;</xsl:text>
          </xsl:variable>
          <xsl:value-of select="sw:base64-encode($txt)"/>
        </value>
      </put_private>
    </vzaenvm>
  </xsl:template>

  <!-- store per-VE private data -->
  <func:function name="sw:put-private">
    <xsl:param name="value"/>
    <xsl:param name="eid" select="sw:ve-eid()"/>
    <xsl:param name="name" select="'vzcp'"/>
    <xsl:variable name="req">
	    <packet>
	    	<target>vzaenvm</target>
	    	<xsl:copy-of select="sw:hn-dst($eid)"/>
	      <data>
					<xsl:call-template name="vzenv:get-put-cmd">
						<xsl:with-param name="value" select="$value"/>
						<xsl:with-param name="eid" select="$eid"/>
						<xsl:with-param name="name" select="$name"/>
					</xsl:call-template>
				</data>
				<vzcpauth/>
			</packet>
    </xsl:variable>
    <func:result select="boolean(sw:xchg($req)/packet/data/vzaenvm/ok)"/>
  </func:function>

  <!-- retrive per-VE private data -->
  <func:function name="sw:get-private">
    <xsl:param name="eid" select="sw:ve-eid()"/>
    <xsl:param name="name" select="'vzcp'"/>

    <xsl:variable name="req">
      <packet>
        <target>vzaenvm</target>
				<xsl:copy-of select="sw:hn-dst($eid)"/>
        <data>
          <vzaenvm>
            <get_private>
              <eid><xsl:value-of select="$eid"/></eid>
              <name><xsl:value-of select="$name"/></name>
            </get_private>
          </vzaenvm>
        </data>
			<vzcpauth/>
      </packet>
    </xsl:variable>

    <xsl:variable name="rsp" select="sw:xchg($req)/packet/data/vzaenvm/value"/>
    <xsl:choose>
    	<xsl:when test="not($rsp) or string($rsp)=''">
    		<func:result select="/.."/>
    	</xsl:when>
    	<xsl:otherwise>
		    <func:result select="sw:node-set(sw:base64-decode($rsp))"/>
    	</xsl:otherwise>
    </xsl:choose>

  </func:function>
  
  
</xsl:stylesheet>
