<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw func exsl"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
	xmlns:func		="http://exslt.org/functions"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
	xmlns:env			="http://www.swsoft.com/xsl/cp/env"
	xmlns:perfmon	="http://www.swsoft.com/xsl/cp/perfmon"
  >

	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/swa/perfmon.xsl"/>	

	<!-- get current disk quota value -->
  <func:function name="env:get-quota">
  	<xsl:param name="eid"		select="''"/>
	  <xsl:variable name="obj-type" select="env:eid2info($eid)/obj-type"/>
	  <xsl:variable name="counter-disk" select="env:obj-type2counter-name($obj-type,'disk')"/>
		<xsl:variable name="class">
			<xsl:value-of select="$counter-disk"/>
		</xsl:variable>
		<xsl:variable name="disk-counter" select="perfmon:get($eid,$class)/data/class[name = $class]/instance"/>
    <xsl:variable name="ubcs-old-format-rtf">
    	<ve_quota>
      	<xsl:for-each select="$disk-counter/counter">
          <xsl:choose>
          	<xsl:when test="name = 'diskspace'">
          		<xsl:element name="diskspace">
          			<cur>
          				<xsl:value-of select="value/cur"/>
          			</cur>
								<xsl:variable name="diskspace-soft" select="../counter[name = 'diskspace_soft']/value/cur"/>
								<xsl:variable name="diskspace-hard" select="../counter[name = 'diskspace_hard']/value/cur"/>
          			<soft>
          				<xsl:value-of select="$diskspace-soft"/>
          			</soft>          			
          			<hard>
          				<xsl:value-of select="$diskspace-hard"/>	
          			</hard>
          			<total>
          				<xsl:value-of select="sw:if($diskspace-soft != '', $diskspace-soft, $diskspace-hard)"/>	
          			</total>
          		</xsl:element>
          	</xsl:when>
          	<xsl:when test="name = 'diskinodes'">
          		<xsl:element name="diskinodes">
          			<cur>
          				<xsl:value-of select="value/cur"/>
          			</cur>
								<xsl:variable name="diskinodes-soft" select="../counter[name = 'diskinodes_soft']/value/cur"/>
								<xsl:variable name="diskinodes-hard" select="../counter[name = 'diskinodes_hard']/value/cur"/>
          			<soft>
          				<xsl:value-of select="$diskinodes-soft"/>
          			</soft>          			
          			<hard>
          				<xsl:value-of select="$diskinodes-hard"/>	
          			</hard>
          			<total>
          				<xsl:value-of select="sw:if($diskinodes-soft != '', $diskinodes-soft, $diskinodes-hard)"/>	
          			</total>
          		</xsl:element>
          	</xsl:when>
          	<xsl:when test="name = 'quotaugidlimit'">
          		<xsl:element name="quotaugidlimit">
          			<cur>
          				<xsl:value-of select="value/cur"/>
          			</cur>
          			<hard>
          				<xsl:value-of select="../counter[name = 'quotaugidlimit_hard']/value/cur"/>	
          			</hard>
          		</xsl:element>
          	</xsl:when>          	          	
          </xsl:choose>
      	</xsl:for-each>
      </ve_quota>
    </xsl:variable>
    <func:result select="exsl:node-set($ubcs-old-format-rtf)"/>    
  </func:function>

</xsl:stylesheet>

