<!-- Copyright (c) SWsoft, 1999-2007 All rights reserved. -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func voc"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:func="http://exslt.org/functions" 
  xmlns:env="http://www.swsoft.com/xsl/cp/env"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:voc		="http://www.swsoft.com/xsl/cp/voc"  
  xmlns:browse="http://www.swsoft.com/xsl/cp/browse" 
>
	<sw:include href="/lib/vocabulary.xsl"/>		
	<sw:include	href="/lib/vt/env-core.xsl"/> 

	<!-- Transform ENVs NODESET to RTF with ui:list-item data -->
	<func:function name="env:envs2ui-items">
		<xsl:param name="envs"/>
		<func:result>					
			<xsl:for-each select="$envs">				
				<xsl:sort select="env:env2title(.)"/>
				<ui:list-item id="{eid}" title="{env:env2title(.)}"/>
			</xsl:for-each>
		</func:result>
	</func:function>

	<xsl:template name="env:multi-selector">
		<xsl:param name="eids"/>
		<xsl:param name="size" select="'20'"/>
		<xsl:param name="control-id" select="'envs'"/>
		<xsl:param name="hn-eid" select="''"/>
		<xsl:param name="parent-dn" select="''"/>
		<xsl:param name="state" select="''"/>
		<xsl:param name="os" select="''"/>
		<xsl:param name="platform" select="''"/>
		<xsl:param name="architecture" select="''"/>
		<xsl:param name="required" select="false()"/>
		
		<xsl:variable name="envs" select="env:get-env($eids)/env"/>
		
		<ui:row>
			<ui:cell-list-picker id="{$control-id}" size="{$size}" style="width:400px;" add-title="{sw:text('Add Containers')}" required="{$required}"
				script-add="open_details('{$baseurl}/vt/envs/select-popup?id={$control-id}&amp;hn={$hn-eid}&amp;dn={$parent-dn}&amp;state={$state}&amp;os={$os}&amp;platform={$platform}&amp;arch={$architecture}&amp;mode=list', 'env_selector',null,700);"
			>
				<xsl:copy-of select="env:envs2ui-items($envs)"/>
			</ui:cell-list-picker>
		</ui:row>				
	
	</xsl:template>
	
	<xsl:template name="env:show-links">
		<xsl:param name="eids"/>
		
		<xsl:for-each select="$eids">
			<xsl:if test="position()!=1"><ui:text>,&#160;</ui:text></xsl:if>
			<ui:env-eid-link>
				<xsl:value-of select="."/>
			</ui:env-eid-link>			
		</xsl:for-each>
		<xsl:if test="count($eids)&gt;1">
			<ui:text>
				&#160;<sw:text>
					<xsl:with-param name="total" select="count($eids)"/>
					%total Container(s) in total
				</sw:text>
			</ui:text>
		</xsl:if>
	</xsl:template>
		
</xsl:stylesheet>
