<!-- Copyright (c) SWsoft, 1999-2007 All rights reserved. -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func tem voc cred"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:func="http://exslt.org/functions" 
  xmlns:vt="http://www.swsoft.com/xsl/cp/vt"  
  xmlns:env="http://www.swsoft.com/xsl/cp/env"
  xmlns:ve="http://www.swsoft.com/xsl/cp/ve"
  xmlns:env-samplem="http://www.swsoft.com/xsl/cp/env-samplem"
  xmlns:tem="http://www.swsoft.com/xsl/cp/tem"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
  xmlns:voc		="http://www.swsoft.com/xsl/cp/voc"  
  xmlns:envm	="http://www.swsoft.com/xsl/cp/envm"
  xmlns:global	="http://www.swsoft.com/xsl/cp/global"
  xmlns:vzaconfig="http://www.swsoft.com/xsl/cp/vzaconfig"
>
	<sw:include href="/lib/vocabulary.xsl"/>
	<sw:include href="/lib/swa/envm.xsl"/>	
	<sw:include href="/lib/swa/env-samplem.xsl"/>		
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/vzaconfig.xsl"/>
	
	<!-- VE Constansts -->
	<xsl:variable name="ve:state-rtf">
		<state id="running">
			<vza-value><xsl:value-of select="$env-state/running"/></vza-value>
			<text-capitalized><sw:text>Running</sw:text></text-capitalized>			
			<text><sw:text>running</sw:text></text>
			<left-icon>ve_vz_running_16.gif</left-icon>
			<icon>env_state_running.gif</icon>
		</state>	
		<state id="not_running">
			<vza-value-not><xsl:value-of select="$env-state/running"/></vza-value-not>
			<text-capitalized><sw:text>Not Running</sw:text></text-capitalized>			
			<text><sw:text>not running</sw:text></text>
			<left-icon>ve_vz_disabled_16.gif</left-icon>
			<icon>env_state_stopped.gif</icon>
		</state>	
		<state id="offline">
			<vza-value><xsl:value-of select="$env-state/unknown"/></vza-value>
			<text-capitalized><sw:text>Offline</sw:text></text-capitalized>
			<text><sw:text>offline</sw:text></text>	
			<left-icon>ve_offline_16.gif</left-icon>
			<icon>env_state_inact.gif</icon>
		</state>
		<state id="nonexisting" skip-filter="yes">
			<vza-value><xsl:value-of select="$env-state/unexist"/></vza-value>
			<text-capitalized><sw:text>Non-existent</sw:text></text-capitalized>
			<text><sw:text>non-existent</sw:text></text>	
			<left-icon>ve_offline_16.gif</left-icon>
			<icon>env_state_inact.gif</icon>
		</state>
		<state id="down" skip-filter="yes">
			<vza-value><xsl:value-of select="$env-state/down"/></vza-value>
			<vza-value><xsl:value-of select="$env-state/config"/></vza-value>
			<text-capitalized><sw:text>Down</sw:text></text-capitalized>
			<text><sw:text>down</sw:text></text>	
			<left-icon>ve_vz_down_16.gif</left-icon>
			<icon>env_state_stopped.gif</icon>
		</state>
		<state id="suspended">
			<vza-value><xsl:value-of select="$env-state/suspended"/></vza-value>		
			<text-capitalized><sw:text>Suspended</sw:text></text-capitalized>
			<text><sw:text>suspended</sw:text></text>			
			<left-icon>ve_vz_suspended_16.gif</left-icon>
			<icon>env_state_suspended.gif</icon>
		</state>
		<state id="repairing">
			<vza-value><xsl:value-of select="$env-state/repairing"/></vza-value>			
			<text-capitalized><sw:text>Repairing</sw:text></text-capitalized>
			<text><sw:text>repairing</sw:text></text>
			<left-icon>ve_vz_repairing_16.gif</left-icon>
			<icon>env_state_manage.gif</icon>
		</state>
		<state id="mounted">
			<vza-value><xsl:value-of select="$env-state/mounted"/></vza-value>				
			<text-capitalized><sw:text>Mounted</sw:text></text-capitalized>
			<text><sw:text>mounted</sw:text></text>			
			<left-icon>ve_vz_mounted_16.gif</left-icon>
			<icon>env_state_mounted.gif</icon>
		</state>		
	</xsl:variable>
	<xsl:variable name="ve:state" select="exsl:node-set($ve:state-rtf)/state"/>

	<xsl:variable name="ve:trans-rtf">
		<state id="creating">
			<vza-value><xsl:value-of select="$env-trans/creating"/></vza-value>
			<text-capitalized><sw:text>Creating</sw:text></text-capitalized>
			<text><sw:text>creating</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="mounting">
			<vza-value><xsl:value-of select="$env-trans/mounting"/></vza-value>
			<text-capitalized><sw:text>Mounting</sw:text></text-capitalized>
			<text><sw:text>mounting</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="starting">
			<vza-value><xsl:value-of select="$env-trans/starting"/></vza-value>
			<text-capitalized><sw:text>Starting</sw:text></text-capitalized>
			<text><sw:text>starting</sw:text></text>
			<left-icon>ve_vz_trans_running_16.gif</left-icon>
			<icon>env_state_starting.gif</icon>
		</state>
		<state id="restarting">
			<vza-value><xsl:value-of select="$env-trans/restarting"/></vza-value>
			<text-capitalized><sw:text>Restarting</sw:text></text-capitalized>
			<text><sw:text>restarting</sw:text></text>
			<left-icon>ve_vz_trans_running_16.gif</left-icon>
			<icon>env_state_starting.gif</icon>
		</state>
		<state id="stopping">
			<vza-value><xsl:value-of select="$env-trans/stopping"/></vza-value>
			<text-capitalized><sw:text>Stopping</sw:text></text-capitalized>
			<text><sw:text>stopping</sw:text></text>
			<left-icon>ve_vz_trans_stopping_16.gif</left-icon>
			<icon>env_state_stoping.gif</icon>
		</state>
		<state id="umounting">
			<vza-value><xsl:value-of select="$env-trans/umounting"/></vza-value>
			<text-capitalized><sw:text>Unmounting</sw:text></text-capitalized>
			<text><sw:text>unmounting</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="destroying">
			<vza-value><xsl:value-of select="$env-trans/destroying"/></vza-value>
			<text-capitalized><sw:text>Deleting</sw:text></text-capitalized>
			<text><sw:text>deleting</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="moving">
			<vza-value><xsl:value-of select="$env-trans/moving"/></vza-value>
			<text-capitalized><sw:text>Moving</sw:text></text-capitalized>
			<text><sw:text>moving</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="cloning">
			<vza-value><xsl:value-of select="$env-trans/cloning"/></vza-value>
			<text-capitalized><sw:text>Cloning</sw:text></text-capitalized>
			<text><sw:text>cloning</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="migrating">
			<vza-value><xsl:value-of select="$env-trans/migrating"/></vza-value>
			<text-capitalized><sw:text>Migrating</sw:text></text-capitalized>
			<text><sw:text>migrating</sw:text></text>
			<left-icon>ve_vz_trans_migrating_16.gif</left-icon>
			<icon>env_state_migrating.gif</icon>
		</state>
		<state id="starting-repair">
			<vza-value><xsl:value-of select="$env-trans/starting-repair"/></vza-value>
			<text-capitalized><sw:text>Starting repair</sw:text></text-capitalized>
			<text><sw:text>starting repair</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="stopping-repair">
			<vza-value><xsl:value-of select="$env-trans/stopping-repair"/></vza-value>
			<text-capitalized><sw:text>Stopping repair</sw:text></text-capitalized>
			<text><sw:text>stopping repair</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="setting">
			<vza-value><xsl:value-of select="$env-trans/setting"/></vza-value>
			<text-capitalized><sw:text>Setting</sw:text></text-capitalized>
			<text><sw:text>setting</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="updating">
			<vza-value><xsl:value-of select="$env-trans/updating"/></vza-value>
			<text-capitalized><sw:text>Updating</sw:text></text-capitalized>
			<text><sw:text>updating</sw:text></text>
			<left-icon>ve_vz_trans_updating_16.gif</left-icon>
			<icon>env_state_updating.gif</icon>
		</state>
		<state id="backing-up">
			<vza-value><xsl:value-of select="$env-trans/backing-up"/></vza-value>
			<text-capitalized><sw:text>Backing up</sw:text></text-capitalized>
			<text><sw:text>backing up</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="restoring">
			<vza-value><xsl:value-of select="$env-trans/restoring"/></vza-value>
			<text-capitalized><sw:text>Restoring</sw:text></text-capitalized>
			<text><sw:text>restoring</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="reinstalling">
			<vza-value><xsl:value-of select="$env-trans/reinstalling"/></vza-value>
			<text-capitalized><sw:text>Reinstalling</sw:text></text-capitalized>
			<text><sw:text>reinstalling</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="suspending">
			<vza-value><xsl:value-of select="$env-trans/suspending"/></vza-value>
			<text-capitalized><sw:text>Suspending</sw:text></text-capitalized>
			<text><sw:text>suspending</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="resuming">
			<vza-value><xsl:value-of select="$env-trans/resuming"/></vza-value>
			<text-capitalized><sw:text>Resuming</sw:text></text-capitalized>
			<text><sw:text>resuming</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
		<state id="check-updating">
			<vza-value><xsl:value-of select="$env-trans/check-updating"/></vza-value>
			<text-capitalized><sw:text>Checking for updates</sw:text></text-capitalized>
			<text><sw:text>checking for updates</sw:text></text>
			<left-icon>ve_vz_trans_other_16.gif</left-icon>
			<icon>state_other_process.gif</icon>
		</state>
	</xsl:variable>
	<xsl:variable name="ve:trans" select="exsl:node-set($ve:trans-rtf)/state"/>
	<!-- /VE Constansts -->	

	<!-- Read POST data from env list and return nodeset -->
	<!-- was env: post2eids -->
	<func:function name="ve:post2eids">
		<xsl:param name="check-src" select="false()"/>
		<xsl:choose>
			<xsl:when test="$check-src">
				<xsl:param name="env-src" select="sw:param('env-src')"/>
				<xsl:choose>
					<xsl:when test="$env-src='context'">
						<func:result select="sw:ve-eid()"/>
					</xsl:when>
					<xsl:when test="$env-src='get'">
						<func:result select="sw:param('id')"/>
					</xsl:when>
					<xsl:otherwise>
						<func:result select="sw:param('id')"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<func:result select="sw:param('id')"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>

	<!-- Convert nodeset to eid list -->
	<!-- was env: eids2nodes -->
	<func:function name="ve:eids2nodes">
		<xsl:param name="nodes"/>
		<xsl:variable name="res-rtf">
			<xsl:choose>
				<xsl:when test="exsl:object-type($nodes)!='node-set'">
					<xsl:copy-of select="ve:eid2nodes($nodes)"/>					
				</xsl:when>
			</xsl:choose>
			<xsl:for-each select="$nodes">
				<eid><xsl:value-of select="."/></eid>
			</xsl:for-each>
		</xsl:variable>
		<func:result select="exsl:node-set($res-rtf)/eid"/>
	</func:function>
	
	<!-- Convert eid to nodesets list -->
	<!-- was env: eid2nodes -->
	<func:function name="ve:eid2nodes">
		<xsl:param name="eid"/>
		<xsl:variable name="res-rtf">
			<eid><xsl:value-of select="$eid"/></eid>
		</xsl:variable>
		<func:result select="exsl:node-set($res-rtf)/eid"/>
	</func:function>

	<!-- Convert eids to nodeset with parent-eid info -->
	<!-- was env: eids2envs -->
	<func:function name="ve:eids2envs">		
		<xsl:param name="eids"/>						
				
		<xsl:variable name="res-rtf">	
			<xsl:for-each select="$eids">
				<env>
					<xsl:copy-of select="env:eid2info(.)"/>
					<!--
					<eid>
						<xsl:value-of select="eid"/>
					</eid>
					<title>
						<xsl:value-of select="env:env2title(.)"/>
					</title>
					<hostname>
						<xsl:value-of select="virtual_config/hostname"/>
					</hostname>
					<num-id>
						<xsl:value-of select="virtual_config/veid"/>
					</num-id>
					<hn-eid>
						<xsl:value-of select="parent_eid"/>
					</hn-eid>
					-->
				</env>
			</xsl:for-each>
		</xsl:variable>
		
		<func:result select="exsl:node-set($res-rtf)/env"/>
		
	</func:function>

	<!-- 
		Change current VE
		Arguments:
			envid
		Result
			env or empty nodeset
	-->
	<!-- was env: set-current -->
	<func:function name="ve:set-current">	
		<xsl:param name="new-eid"/>
		<xsl:param name="check-existsing"/>
		
		<xsl:choose>			
			<xsl:when test="$new-eid=''"> 
				<func:result select="''"/>				
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="env" select="env:get-env($new-eid)/env"/>

				<!-- check and update env info -->
				<xsl:choose>			
					<xsl:when test="
						($check-existsing and  (not($env/status/*) 
						or ($env/status/state=$env-state/unexist)) )
						or ($env/config/type = 'generic') 
					">
						<xsl:if test="sw:sesputstr('eid','')"/>
						<func:result select="/.."/>				
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="sw:sesputstr('eid',$new-eid)"/>
						<!-- update VE information in session -->
						<xsl:if test="ve:update-ve-info($env)"/>				
						<func:result select="$env"/>				
					</xsl:otherwise>
				</xsl:choose>			
				<!-- /check and update env info -->
			</xsl:otherwise>
		</xsl:choose>
		
	</func:function>
	
  <!-- 
  	update ENV data in session 
  	Returns
  		env or empty nodeset
  -->
  <!-- was env: update-env-info -->
  <func:function name="ve:update-ve-info">
    <xsl:param name="env"/>
	  <xsl:if test="sw:sesput('env-info',1)"/>
    <func:result select="$env"/>
  </func:function> 
 
	<!--
		Get templates installed into ENV 
	-->
	<!-- was env: get-env-templates -->
	<func:function name="ve:get-env-templates">
		<xsl:param name="env"/>
		
		<xsl:choose>
			<xsl:when test="$env/virtual_config/template/*">
				<xsl:variable name="result">
					<xsl:copy-of select="$env/virtual_config/template"/>
				</xsl:variable>
				<func:result select="exsl:node-set($result)"/>
			</xsl:when>
			<xsl:otherwise>
				<func:result select="/.."/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>
	
	<!-- was env: get-sample-info -->
	<func:function name="ve:get-sample-info">
		<xsl:param name="show-descr" select="true()"/>
		<xsl:param name="template"/>
		<xsl:param name="template-customized"/>
		
		<xsl:variable name="ve-tmpl">
			<xsl:choose>
				<xsl:when test="$template">
					<!--|-->
					<id>
						<xsl:value-of select="$template"/>
					</id>
					<customized>
						<xsl:value-of select="$template-customized"/>
					</customized>
					<xsl:if test="$show-descr">
						<descr>
							<xsl:value-of select="sw:base64-decode(env-samplem:get-sample($template)/comment)"/>
						</descr>
					</xsl:if>
					<!--|-->
				</xsl:when>
				<xsl:otherwise>				
					<xsl:variable name="config" select="env:get-env(sw:ve-eid())/env/virtual_config"/>
					<!--|-->
					<id>
						<xsl:value-of select="$config/origin_sample"/>
					</id>
					<customized>
						<xsl:value-of select="$config/config_customized"/>
					</customized>
					<xsl:if test="$show-descr">
						<descr>
							<xsl:value-of select="sw:base64-decode(env-samplem:get-sample($config/origin_sample)/comment)"/>
						</descr>
					</xsl:if>
					<!--|-->
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!--|-->
		<func:result select="exsl:node-set($ve-tmpl)"/>
	</func:function>
	
	<!-- was env: group-by-hn -->
	<func:function name="ve:group-by-hn">		
		<xsl:param name="ves"/>						
		<func:result select="$ves[not(hn-eid=preceding-sibling::*/hn-eid)]/hn-eid"/>
	</func:function>
	
	<!-- was env: group-by-platform -->
	<func:function name="ve:envs2platforms">		
		<xsl:param name="envs"/>
		
		<xsl:variable name="vza-platforms-rtf">
			<xsl:for-each select="$envs">
				<platform><xsl:value-of select="ve:ve2platform(.)"/></platform>
			</xsl:for-each>
		</xsl:variable>
		
		<func:result select="exsl:node-set($vza-platforms-rtf)/platform[not(.=preceding-sibling::*)]"/>
	</func:function>
  
  <!-- was env: get-vzprivate-range 
  	Arguments
  		hn-eid (optional)
  -->
  <func:function name="ve:get-vzprivate-range">
		<xsl:param name="hn-eid" select="''"/>
  
		<xsl:variable name="vzprivrange" select="envm:get-vt-settings($hn-eid)/parameter[id='vzprivrange']/value" />
    <xsl:variable name="min" select="number(substring-before($vzprivrange,' '))"/>
    <xsl:variable name="max" select="number(substring-after($vzprivrange,' '))"/>
    <xsl:variable name="res">
      <xsl:if test="$min &gt;= 0 and $max &gt;= $min">
			  <vzprivrange>
				  <min>
  					<xsl:value-of select="$min"/>
	  			</min>
		  		<max>
			  		<xsl:value-of select="$max"/>
				  </max>
  			</vzprivrange>
      </xsl:if>
    </xsl:variable>
		<func:result select="exsl:node-set($res)/vzprivrange" />
	</func:function>

		
	<func:function name="ve:get-veid-range-filter">
		<xsl:param name="hn-eid" select="''"/>
		<xsl:param name="vzprivrange" select="''" />
		<func:result>
			(
				(pager.env.vconfig.veid = '') OR (pager.env.vconfig.veid!=1)
			)
		</func:result>
	</func:function>
	
	<!-- Convert VE numeric status into text representation  
		Arguments:
			state - numeric VZA state.
		Resut
			info - nodeset with VE State information
				@id
				text
				text-capitalizard
	-->
	<func:function name="ve:state2info">
		<xsl:param name="state"/>
		<xsl:variable name="state-descr" select="$ve:state[vza-value=$state]"/>
		<xsl:choose>
			<!-- Handle known state -->
			<xsl:when test="$state-descr">
				<func:result select="$state-descr"/>
			</xsl:when>
			<!-- Handle unknown state -->
			<xsl:otherwise>
				<func:result select="$ve:state[vza-value=$env-state/unknown]"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>	
	
	<!--
		Translate VE states (in vzcp translation) to ui:filter-option list
	-->
	<xsl:template name="ve:get-states">
		<xsl:for-each select="$ve:state">
			<xsl:if test="not(@skip-filter)">
				<ui:filter-option value="{@id}" title="{text-capitalized}">
					<xsl:choose>
						<xsl:when test="vza-value">
							<xsl:attribute name="type">in</xsl:attribute>			
							<xsl:for-each select="vza-value">
								<ui:filter-option-value><xsl:value-of select="."/></ui:filter-option-value>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="vza-value-not">
							<xsl:attribute name="type">custom</xsl:attribute>			
							<xsl:attribute name="value-custom">!='<xsl:value-of select="vza-value-not"/>'</xsl:attribute>
						</xsl:when>
					</xsl:choose>
				</ui:filter-option>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<!-- Transform VE state/transition pair into text representation 
		Arguments:
			state - VE state, in VZA integer format
			transition - VE transition, in VZA integer format	
		Result
			text
	-->
	<func:function name="ve:status2text">
		<xsl:param name="state"/>
		<xsl:param name="transition"/>
		
		<xsl:variable name="state-info" select="ve:state2info($state)"/>
		
		<xsl:choose>
			<xsl:when test="$transition and ($transition != $env-trans/unknown)">
				<func:result>
					<xsl:variable name="transition-text">
						<sw:text select="name($env-trans/*[.=$transition])" domain="vzagent-vocabulary"/>
					</xsl:variable>
					<sw:text>
						<xsl:with-param name="state" select="$state-info/text"/>
						<xsl:with-param name="transition" select="$transition-text"/>						
						The Container is %{state}(%{transition}) at the moment.
					</sw:text>
				</func:result>
			</xsl:when>
			<xsl:otherwise>
				<func:result>
					<sw:text>
						<xsl:with-param name="state" select="$state-info/text"/>
						The Container is %{state} at the moment.
					</sw:text>
				</func:result>
			</xsl:otherwise>
		</xsl:choose>
		
	</func:function>

</xsl:stylesheet>
