<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:local="http://www.swsoft.com/xsl/local"
>

	<xsl:template match="/">
		<packet>
			<xsl:apply-templates select="packet/event"/>
		</packet>
	</xsl:template>


	<xsl:template match="event">

		<xsl:variable name="status_type" select="message/parameter[position()=1]/parameter/name[.='type']"/>
		<xsl:variable name="status_dec">
			<xsl:if test="$status_type/../message!=''"><xsl:value-of select="sw:base64-decode($status_type/../message)"/></xsl:if>
		</xsl:variable>

		<xsl:variable name="get-message" select="message/message"/>

		<xsl:variable name="get-message-params">
			<xsl:variable name="mess" select="message"/>
			<xsl:variable name="eid-list" select="eid_list"/>
			<xsl:if test="$mess/message">
				<xsl:variable name="base" select="sw:split(sw:base64-decode($mess/message),'%')"/>
				<xsl:for-each select="$base">
					<xsl:variable name="cur" select="."/>
					<xsl:if test="not(position() mod 2)">
						<xsl:variable name="by-name" select="$mess/parameter/name[.=$cur]"/>
						<xsl:variable name="cont" select="$by-name/../message"/>
						<xsl:choose>
							<xsl:when test="$cur='env'"><xsl:value-of select="sw:base64-encode(local:make-eid-list($eid-list))"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="$cont"/></xsl:otherwise>
						</xsl:choose>,</xsl:if>
				</xsl:for-each>
			</xsl:if>
		</xsl:variable> 
		
		<xsl:variable name="ve-list">
			<xsl:if test="$status_dec='virtuozzo'">
				<xsl:for-each select="eid_list/eid"><xsl:value-of select="."/>,</xsl:for-each>
			</xsl:if>
		</xsl:variable> 

		<xsl:variable name="hn-list">
			<xsl:if test="$status_dec='generic'">
				<xsl:for-each select="eid_list/eid"><xsl:value-of select="."/>,</xsl:for-each>
			</xsl:if>
		</xsl:variable> 

		<!--
		0		1		2				3				4				5			6			7		8		9		10	 11	 12	 13	 14	 15	 16	..
		%id,%type,%base64_started,%base64_operation,%base64_message,%base64_object,%state,%details_id,%hn_list,%ve_list,	,	,	,	,	,	,%mess-params
		-->
		<result><xsl:value-of select="id"/>,<xsl:value-of select="sw:if(status=1 and not(contains(id,'/')),'new','')"/>task,<xsl:value-of select="sw:base64-encode(time)"/>,<xsl:value-of select="sw:base64-encode(op)"/>,<xsl:value-of select="$get-message"/>,,<xsl:value-of select="status"/>,<xsl:value-of select="id"/>,<xsl:value-of select="sw:base64-encode($hn-list)"/>,<xsl:value-of select="sw:base64-encode($ve-list)"/>,,,,,,,<xsl:value-of select="normalize-space($get-message-params)"/></result>

	</xsl:template>

	<func:function name="local:make-eid-list">
		<xsl:param name="envs"/>
		<func:result>env|<xsl:for-each select="$envs/eid"><xsl:value-of select="."/>|</xsl:for-each></func:result>
	</func:function>

</xsl:stylesheet>
