<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func local cred desktop env"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
  xmlns:local		="http://www.swsoft.com/xsl/cp/local"
  xmlns:func		="http://exslt.org/functions"
  xmlns:cred		="http://www.swsoft.com/xsl/cp/cred"
  xmlns:desktop	="http://www.swsoft.com/xsl/cp/desktop"
  xmlns:env			="http://www.swsoft.com/xsl/cp/env"
  xmlns:vzenv		="http://www.swsoft.com/xsl/cp/vzenv" 
  xmlns:vzhn="http://www.swsoft.com/xsl/cp/vzhn"
  >
	<!-- Imports -->
	<sw:include	href="/lib/vzcc/desktop.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/vz/vzenv-core.xsl"/>	
	<sw:include href="/lib/vz/vzhn-core.xsl"/>	
	<!-- /Imports -->

  	<xsl:variable name="fav-ids" select="local:fav-unpack(string(sw:param('_new_fav_ids')))"/>
	<xsl:variable name="fav-type" select="sw:param('_new_fav_type')"/>
	<xsl:variable name="old-desktop" select="desktop:load()"/>
  
  
	<xsl:output method="xml"/>
	<xsl:template match="/">
  		<packet>
  			<xsl:if test="$fav-type">
				<xsl:variable name="new-desktop">
					<desktop>
						<xsl:copy-of select="$old-desktop/*[not(self::favorites)]"/>
						<favorites>
							<xsl:copy-of select="$old-desktop/favorites/item"/>
							<xsl:for-each select="$fav-ids">
								<xsl:if test="not(. = $old-desktop/favorites/item/id)">
									<item type="{$fav-type}">
										<xsl:variable name="index" select="position()"/>
										<id>
											<xsl:value-of select="."/>
										</id>
										<comment/>
									</item>
								</xsl:if>
							</xsl:for-each>							
						</favorites>
					</desktop>
				</xsl:variable>
				<xsl:if test="desktop:save($new-desktop)"/>
				<cookie>
					<msg>
						<set-ok><sw:text>The new favorite has been added.</sw:text></set-ok>
					</msg>
				</cookie>
			</xsl:if>	
    		</packet>
	</xsl:template>

	<func:function name="local:fav-unpack">
		<xsl:param name="data"/>
		<xsl:choose>
			<xsl:when test="$data = 'false' or $data=''">
				<func:result>
				</func:result>				
			</xsl:when>
			<xsl:otherwise>
				<func:result select="sw:split($data,',')"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>

	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/globals.xsl"/>  
</xsl:stylesheet>
