<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func cred"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
  xmlns:error		="http://www.swsoft.com/xsl/cp/error"
  xmlns:func		="http://exslt.org/functions"
	xmlns:cred 		="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local		="http://www.swsoft.com/xsl/cp/local"
	xmlns:tasks		="http://www.swsoft.com/xsl/cp/tasks"
	xmlns:jobs		="http://www.swsoft.com/xsl/cp/jobs"
>
  <sw:include href="/lib/common.xsl"/>
  <sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/core/jobs/core.xsl"/>		 

  <xsl:output method="xml"/>

  <xsl:variable name="id-from"	select="sw:param('id-from')"/>

	<xsl:template match="/">
		<sw:noauth-redirect select="not(cred:check('vzcp.full_control'))"/>
		<xsl:variable name="id">
			<xsl:choose>
				<xsl:when test="$id-from='selected-one'">
					<xsl:value-of select="sw:param('id')[1]"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="sw:sesgetstr('job-id')"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<xsl:choose>

			<!-- Check selected items -->
			<xsl:when test="$id=''">
				<xsl:if test="error:put(sw:text('Please select the required task.'),'')"/>
				<packet/>
			</xsl:when>
        
			<!-- Run task -->
			<xsl:otherwise>
				<xsl:copy-of select="local:get-packet-run($id)"/>
				<xsl:if test="sw:response('lib/opredirect.xsl')"/>	
			</xsl:otherwise>

      </xsl:choose>
  </xsl:template>
  
  <func:function name="local:get-packet-run">
  	<xsl:param name="id"/>
  	
  	<xsl:variable name="job" select="jobs:find-by-id($id)"/>  	
		<xsl:variable name="packet" select="$job/decoded-packet/packet"/>
  	
 		<func:result>
 			<packet log="on" progress="on">
				<xsl:copy-of select="$packet/target"/>
        <cookie>
        	<xsl:copy-of select="$packet/cookie/*[self::msg or self::operation]"/>
					<redirect-last/>
				</cookie>			
				<xsl:copy-of select="$packet/data"/>
			</packet>
 		</func:result>
  </func:function> 
 
</xsl:stylesheet>
