<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func cred local securitym"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" xmlns:error="http://www.swsoft.com/xsl/cp/error"
	xmlns:func="http://exslt.org/functions" xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
	xmlns:securitym="http://www.swsoft.com/xsl/cp/securitym">

	<xsl:output method="xml"/>

	<sw:include href="/lib/swa/securitym.xsl"/>

	<!-- check permissions to this page -->
	<xsl:variable name="cr-role" select="cred:check('vzcp.virtuozzo_group.security.roles')"/>

	<xsl:template match="/">
		<xsl:choose>
			<xsl:when
				test="(sw:param('delete') and not($cr-role)) or (sw:param('clone') and not($cr-role))">
				<!-- no delete cred -->
				<packet/>
			</xsl:when>

			<!-- Check selected templates -->
			<xsl:when test="not(sw:param('id'))">
				<xsl:if test="error:put(sw:text('Please select at least one role.'),'')"/>
				<packet/>
			</xsl:when>

			<!-- Delete -->
			<xsl:when test="sw:param('delete')">
				<xsl:copy-of
					select="securitym:action-delete-roles(sw:param('id'))"/>
				<xsl:if test="sw:response('lib/opredirect.xsl')"/>
			</xsl:when>

			<!-- Clone -->
			<xsl:when test="sw:param('clone')">
				<xsl:copy-of
					select="securitym:action-clone-roles(sw:param('id'))"/>
				<xsl:if test="sw:response('lib/opredirect.xsl')"/>
			</xsl:when>

			<!-- Unknown post -->
			<xsl:otherwise>
				<packet/>
			</xsl:otherwise>

		</xsl:choose>
	</xsl:template>

	<!-- credentials -->
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/cred.xsl"/>

</xsl:stylesheet>
