<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func cred local units"
	xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl		="http://exslt.org/common"
	xmlns:sw			="http://www.swsoft.com/xsl/cp"
	xmlns:units		="http://www.swsoft.com/xsl/cp/units"
	xmlns:error			="http://www.swsoft.com/xsl/cp/error"
	xmlns:func		="http://exslt.org/functions"
	xmlns:cred 		="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local		="http://www.swsoft.com/xsl/cp/local"
>
	<sw:include href="/lib/core/units-core.xsl"/>

	<xsl:output method="xml"/>
  
	<xsl:template match="/">
	
		<!-- Init parent dn -->
		<xsl:variable name="top-level" select="sw:param('top')"/>
		<xsl:variable name="parent-dn">			
			<xsl:variable name="dn-session" select="units:current-dn()"/>			
			<xsl:variable name="tree-get" select="sw:param('tree-id')"/>
			<xsl:variable name="dn-get" select="sw:base64-decode(sw:param('id'))"/>
			<xsl:choose>
				<xsl:when test="$tree-get!=''">
					<xsl:variable name="units-top" select="units:tree-dn($tree-get)"/>
					<xsl:if test="units:set-current-dn($units-top)"/>
					<xsl:value-of select="$units-top"/>
				</xsl:when>
				<xsl:when test="$dn-get!=''">
					<xsl:if test="units:set-current-dn($dn-get)"/>
					<xsl:value-of select="$dn-get"/>
				</xsl:when>
				<xsl:when test="$dn-session!=''">					
					<xsl:value-of select="$dn-session"/>
				</xsl:when>				
				<xsl:otherwise>
					<sw:die>Uknown conditions.</sw:die>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!-- /Init parent dn -->

		<!-- Check autoredirection to another tab -->
		<xsl:variable name="redirect"	select="units:tab-redirect('unit.farm','summary')"/>
		<xsl:choose>
			<xsl:when test="$redirect=''">
				<packet />
			</xsl:when>			
			<xsl:otherwise>
				<xsl:copy-of select="$redirect"/>
				<xsl:if test="sw:response('lib/opredirect.xsl')" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

  
  <!-- credentials -->
  <sw:include href="/lib/common.xsl"/>
  <sw:include href="/lib/cred.xsl"/>  
 
</xsl:stylesheet>
