<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! TODO: DROP FROM CVS !!!!!!!!!!!!!!!!!
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func vzenv env cred action"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:error="http://www.swsoft.com/xsl/cp/error"
  xmlns:hwm="http://www.swsoft.com/xsl/cp/hwm"
  xmlns:vzenv="http://www.swsoft.com/xsl/cp/vzenv"
  xmlns:env="http://www.swsoft.com/xsl/cp/env"
  xmlns:func="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
  xmlns:action	="http://www.swsoft.com/xsl/cp/action"
  xmlns:local		="http://www.swsoft.com/xsl/cp/local"
>

	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/utils/action.xsl"/>

  <xsl:output method="xml"/>

  <!-- check permissions to this page -->
	<xsl:variable name="cr-start-stop"			select="cred:check('/farmdir/unitsman/manage')"/>
	
	<xsl:variable name="selected-items" select="sw:param('id')"/>

	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="(sw:param('start') or sw:param('stop')) and not($cr-start-stop)">	
				<!-- no start_stop cred -->
				<packet/>
			</xsl:when>
	    <!-- Check selected items -->
	    <xsl:when test="not($selected-items)">
	      <xsl:if test="error:put(sw:text('Please select at least one item.'),'')"/>
	      <packet/>
	    </xsl:when>
	
	    <!-- Start Items -->
	    <xsl:when test="sw:param('start')">
				<xsl:choose>
	        <xsl:when test="error:is-empty()">
		         <xsl:copy-of select="local:packet-start($selected-items)"/>
	    		  <xsl:if test="sw:response('lib/opredirect.xsl')"/>	
	  	    </xsl:when>
	    	  <xsl:otherwise>
	      	  <packet/>
	  	    </xsl:otherwise>
	    	</xsl:choose>
	    </xsl:when>
	    <!-- /Start Items -->
	    
	    <!-- Stop Items -->
	    <xsl:when test="sw:param('stop')">
				<xsl:choose>
	        <xsl:when test="error:is-empty()">
		         <xsl:copy-of select="local:packet-stop($selected-items)"/>
	    		  <xsl:if test="sw:response('lib/opredirect.xsl')"/>	
	  	    </xsl:when>
	    	  <xsl:otherwise>
	      	  <packet/>
	  	    </xsl:otherwise>
	    	</xsl:choose>
	    </xsl:when>
	    <!-- /Stop Items -->
	
	    <!-- Unknown post -->
	    <xsl:otherwise>
	      <packet/>
	    </xsl:otherwise>
	
	  </xsl:choose>
  </xsl:template>    

	
  <func:function name="local:packet-start">
  	<xsl:param name="items"/>
  	<func:result>  	
  		<xsl:call-template name="action:make-packet">
  			<xsl:with-param name="path" select="'actions/farmdir/unitman/units/start.xsl'"/>
  			<xsl:with-param name="cookie">
					<msg>
						<sched>Group units have been scheduled for starting.</sched>
						<error>Failed to start the group units.</error>
					</msg>
					<operation>start_farm_units</operation>
					<redirect-last/>
				</xsl:with-param>
				<xsl:with-param name="input">
					<data>
						<xsl:for-each select="$items">
							<id><xsl:value-of select="."/></id>
						</xsl:for-each>
					</data>
  			</xsl:with-param>
			</xsl:call-template>
  	</func:result>
  </func:function>
  
  <func:function name="local:packet-stop">
  	<xsl:param name="items"/>
  	<func:result>  	
  		<xsl:call-template name="action:make-packet">
  			<xsl:with-param name="path" select="'actions/farmdir/unitman/units/stop.xsl'"/>
  			<xsl:with-param name="cookie">
					<msg>
						<sched>Group units have been scheduled for stoping.</sched>
						<error>Failed to stop the group units.</error>
					</msg>
					<operation>stop_farm_units</operation>
					<redirect-last/>
				</xsl:with-param>
				<xsl:with-param name="input">
					<data>
						<xsl:for-each select="$items">
							<id><xsl:value-of select="."/></id>
						</xsl:for-each>
					</data>
  			</xsl:with-param>
			</xsl:call-template>
  	</func:result>
  </func:function>
    

  <sw:include href="/lib/cred.xsl"/>
  <sw:include href="/lib/common.xsl"/>
 
</xsl:stylesheet>
