<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func cred local units"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
  xmlns:units		="http://www.swsoft.com/xsl/cp/units"
  xmlns:error			="http://www.swsoft.com/xsl/cp/error"
  xmlns:func		="http://exslt.org/functions"
	xmlns:cred 		="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
>
	<sw:include href="/lib/core/units-core.xsl"/>

  <xsl:output method="xml"/>

  <!-- check permissions to this page -->
	<xsl:variable name="unit-id"	select="units:current-dn()"/>			
	<xsl:variable name="cr-delete"	select="cred:check-unit('vzcp.units.manage',$unit-id) 
		or cred:check-unit('vzcp.unit.subunits.manage',units:dn2parent($unit-id))"/>
  
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when
				test="not($cr-delete)">
				<!-- no delete cred -->
				<xsl:if test="error:put(sw:text('The removal is not allowed.'),'')"/>
				<packet />
			</xsl:when>			

			<!-- Check Unit ID -->
			<xsl:when test="not($unit-id!='')">
				<xsl:if test="error:put(sw:text('Please select some folder.'),'')" />
				<packet />
			</xsl:when>
			
			<!-- Delete one Unit -->
			<xsl:when test="$unit-id!=''">
				<xsl:copy-of select="local:get-packet-delete-one()" />
				<xsl:if test="units:set-current-dn(units:dn2parent($unit-id))"/>
				<xsl:if test="sw:response('lib/opredirect.xsl')" />
			</xsl:when>
			
			<xsl:otherwise>
				<sw:die>No one Folder ID was specified</sw:die>
			</xsl:otherwise>
			
		</xsl:choose>
	</xsl:template>
  
  <func:function name="local:get-packet-delete-one">
  	<xsl:if test="sw:sesput('frameset_reload_farmdir',units:dn2parent(units:current-dn()))"/>
  	<func:result>
  		<packet>
				<target>infrastructurem</target>
				<cookie>
	        <msg>
	          <ok><sw:text>The folder has been removed.</sw:text></ok>
	          <error><sw:text>Failed to remove the folder.</sw:text></error>
	        </msg>
	        <redirect-last/>
	      </cookie>	
				<data>
					<infrastructurem>
						<del>							
							<name><xsl:value-of select="units:decode-dn($unit-id)"/></name>
						</del>
					</infrastructurem>
				</data>
			</packet>
  	</func:result>
  </func:function>  
  
  <!-- credentials -->
  <sw:include href="/lib/common.xsl"/>
  <sw:include href="/lib/cred.xsl"/>  
 
</xsl:stylesheet>
