<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl panel"
	xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl		="http://exslt.org/common"
	xmlns:sw			="http://www.swsoft.com/xsl/cp"
	xmlns:panel			="http://www.swsoft.com/xsl/cp/panel"	
 >
  
  	<sw:include href="/lib/common.xsl"/>
  	<sw:include href="/lib/panel/login.xsl"/>  	
	
	<xsl:output method="xml"/>

	<xsl:template match="/"> 
  	
		<packet/>
		
		<xsl:call-template name="panel:process-login"/>
		
		<xsl:if test="sw:sesputstr('js_mode', string($request/http_request/post/parameter[name = 'js_mode']/value))"/>
		<xsl:if test="sw:sesputstr('java_mode', string($request/http_request/post/parameter[name = 'java_mode']/value))"/>
		<!-- check cookies for imporant session variables-->
		<xsl:if test="string($request/http_request/cookies/parameter[name = 'vzcpRefreshPeriod']/value)">
			<xsl:if test="sw:sesput('refresh_period',string($request/http_request/cookies/parameter[name = 'vzcpRefreshPeriod']/value))"/>
		</xsl:if>

		<xsl:variable name="old-timezone" select="string($request/http_request/cookies/parameter[name = 'vzcpTimeZone']/value)"/>
		<xsl:if test="sw:document('zones.xml')/time-zones/time-zone[@id = $old-timezone]">
			<xsl:if test="sw:sesputstr('active_tz',$old-timezone)"/>
			<xsl:if test="sw:sesputstr('selected_tz',$old-timezone)"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
