<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw request securitym cred"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" xmlns:request="http://www.swsoft.com/xsl/cp/request"
	xmlns:securitym="http://www.swsoft.com/xsl/cp/securitym" xmlns:cred="http://www.swsoft.com/xsl/cp/cred">

	<sw:include href="/lib/swa/securitym.xsl"/>

	<xsl:template match="/">
		<sw:noauth-redirect select="not(cred:check('vzcp.virtuozzo_group.security.roles'))"/>
		<xsl:choose>
			<xsl:when test="sw:param('delete')">
				<xsl:variable name="principal-assignments-rtf">
					<xsl:for-each select="sw:param('id')">
						<xsl:variable name="assignment" select="sw:split(.,'|')"/>
						<xsl:if test="count($assignment) = 2">
							<principal-assignment>
								<role>
									<xsl:value-of select="$assignment[2]"/>
								</role>
								<member>
									<xsl:value-of select="$assignment[1]"/>
								</member>
							</principal-assignment>
						</xsl:if>
					</xsl:for-each>
				</xsl:variable>
				<xsl:copy-of
					select="securitym:action-delete-principal-assignments(exsl:node-set($principal-assignments-rtf)/principal-assignment)"/>
				<xsl:if test="sw:response('lib/opredirect.xsl')"/>
			</xsl:when>
			<xsl:otherwise>
				<redirect-last/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/cred.xsl"/>

</xsl:stylesheet>
