<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func cred request securitym"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" xmlns:error="http://www.swsoft.com/xsl/cp/error"
	xmlns:func="http://exslt.org/functions" xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
	xmlns:request="http://www.swsoft.com/xsl/cp/request"
	xmlns:securitym="http://www.swsoft.com/xsl/cp/securitym">

	<sw:include href="/lib/swa/securitym.xsl"/>

	<xsl:output method="xml"/>

	<!-- check permissions to this page -->
	<xsl:variable name="cr-manage" select="cred:check('vzcp.virtuozzo_group.security.usergroups')"/>

	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="sw:param('delete') and not($cr-manage)">
				<!-- no delete cred -->
				<packet/>
			</xsl:when>

			<!-- Check selected templates -->
			<xsl:when test="not(sw:param('id'))">
				<xsl:if test="error:put(sw:text('Please select at least one permission.'),'')"/>
				<packet/>
			</xsl:when>

			<!-- Delete -->
			<xsl:when test="sw:param('delete')">
				<xsl:variable name="principal-assignments-rtf">
					<xsl:for-each select="sw:param('id')">
						<xsl:variable name="assignment" select="sw:split(.,'|')"/>
						<xsl:if test="count($assignment) = 2">
							<principal-assignment>
								<role>
									<xsl:value-of select="$assignment[2]"/>
								</role>
								<member>
									<xsl:value-of select="$assignment[1]"/>
								</member>
							</principal-assignment>
						</xsl:if>
					</xsl:for-each>
				</xsl:variable>
				<xsl:copy-of
					select="securitym:action-delete-principal-assignments(
						exsl:node-set($principal-assignments-rtf)/principal-assignment,
						securitym:scope(sw:param('obj-id'),sw:param('obj-type')))"/>
				<xsl:if test="sw:response('lib/opredirect.xsl')"/>
			</xsl:when>

			<!-- Unknown post -->
			<xsl:otherwise>
				<packet/>
			</xsl:otherwise>

		</xsl:choose>
	</xsl:template>

	<!-- credentials -->
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/cred.xsl"/>


</xsl:stylesheet>
