<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func cred local"
	xmlns:xsl				="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl			="http://exslt.org/common"
	xmlns:sw				="http://www.swsoft.com/xsl/cp"
	xmlns:error			="http://www.swsoft.com/xsl/cp/error"
	xmlns:func			="http://exslt.org/functions"
	xmlns:cred 			="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local			="http://www.swsoft.com/xsl/cp/local"
  xmlns:backups		="http://www.swsoft.com/xsl/cp/backups"	
  xmlns:env				="http://www.swsoft.com/xsl/cp/env"	
  xmlns:vzenv			="http://www.swsoft.com/xsl/cp/vzenv"	
>
  <sw:include	href="/lib/vt/env-core.xsl"/> 
  <sw:include href="/lib/vt/backups-core.xsl"/>
	<sw:include href="/lib/vz/vzenv-core.xsl"/>  

	<xsl:output method="xml"/>
  
	<xsl:template match="/">
	
    
    <!-- set new ID from GET -->
		<xsl:variable name="get-id" select="sw:param('id')"/>
		<xsl:if test="$get-id">
			<xsl:if test="sw:sesputstr('vz-backup-id',sw:base64-decode($get-id))"/>
		</xsl:if>
		<!-- /set new ID from GET -->  	
	
		<xsl:choose>
			<!-- special workaround for #95532 fix -->
			<xsl:when test="sw:param('load-eid')='true'">
				<sw:die test="not($get-id!='')"/>
				<xsl:variable name="backup-id" select="sw:base64-decode($get-id)"/>
			
				<xsl:variable name="backup" select="backups:find-backup($backup-id)"/>		
				<xsl:variable name="ve-eid" select="$backup/eid"/>
				<xsl:variable name="ve" select="env:get-env($ve-eid)/env"/>
							
				<!-- Check for VE existing -->
				<xsl:choose>
					<xsl:when test="$ve and $ve/status/state!=$env-state/unexist">
						<xsl:variable name="now-env" select="vzenv:set-current($ve-eid,true())"/>
					</xsl:when>
					<xsl:otherwise>
						<packet>
							<cookie>
								<redirect><xsl:value-of select="concat($baseurl,'/vt/backups/backup-deleted?id=',sw:escape($get-id))"/></redirect>
							</cookie>
						</packet>
						<xsl:if test="sw:response('lib/opredirect.xsl')" />
					</xsl:otherwise>
				</xsl:choose>
				
			</xsl:when>
			<!--/-->
		</xsl:choose>


	</xsl:template>

  
  <!-- credentials -->
  <sw:include href="/lib/common.xsl"/>
  <sw:include href="/lib/cred.xsl"/>  
 
</xsl:stylesheet>
