<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred env request func local"
	xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl	="http://exslt.org/common"
  xmlns:func	="http://exslt.org/functions"	  	
	xmlns:str		="http://exslt.org/strings"  
	xmlns:sw		="http://www.swsoft.com/xsl/cp"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"	
	xmlns:error	="http://www.swsoft.com/xsl/cp/error"
	xmlns:request	="http://www.swsoft.com/xsl/cp/request"
	xmlns:cred	="http://www.swsoft.com/xsl/cp/cred"
	xmlns:env	="http://www.swsoft.com/xsl/cp/env"
	xmlns:vzenv	="http://www.swsoft.com/xsl/cp/vzenv"
	xmlns:backups	="http://www.swsoft.com/xsl/cp/backups"
>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include	href="/lib/vt/backups-core.xsl"/>

  <xsl:output method="xml"/>

	<xsl:variable name="cmd"  select="sw:param('cmd')"/>
	<xsl:variable name="id-src"  select="sw:param('id-src')"/>
	
  <xsl:template match="/">
				
		<xsl:variable name="backups" select="local:init-ids()"/>		
    <xsl:variable name="doRenew"  select="$cmd='renew'"/>
    <xsl:variable name="doRemove" select="($cmd='remove' or $cmd='remove-all' or $cmd='remove') and $backups"/>
        
		<xsl:choose>
				
			<!-- remove backup command -->
			<xsl:when test="$doRemove">
	    	<xsl:choose>
		    	<xsl:when test="error:is-empty()">
		    		<xsl:choose>
		    			<xsl:when test="$cmd='remove'">
								<xsl:copy-of select="backups:get-packet-remove($backups,false(),sw:if($id-src='session','prev',''))"/>				  
							</xsl:when>
							<xsl:otherwise>
								<xsl:copy-of select="backups:get-packet-remove($backups,true())"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="sw:response('lib/opredirect.xsl')"/>
	      			</xsl:when>
					<xsl:otherwise>
						<packet/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>

			<!-- renew backup command -->
			<xsl:when test="$doRenew">
				<xsl:choose>
					<xsl:when test="error:is-empty()">
					<!-- ref to nodeset of <backup><ve-eid/><backup-id/></backup-id></backup>  -->
						<xsl:variable name="arg-backups-rtf">
							<xsl:for-each select="backups:find-backups($backups)">
								<xsl:variable name="backup" select="."/>	
								<xsl:variable name="env" select="backups:find-env-info($backup)/env"/>
								<backup>
									<backup-id><xsl:value-of select="$backup/id"/></backup-id>
									<ve-eid><xsl:value-of select="$env/eid"/></ve-eid>
								</backup>
							</xsl:for-each>
						</xsl:variable>
						<xsl:copy-of select="backups:new-action($backup-env-eids, $backups)"/>
						<xsl:if test="sw:response('lib/opredirect.xsl')"/>
					</xsl:when>
					<xsl:otherwise>
						<packet/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>

			<!-- get backups listing -->
			<xsl:otherwise>
				<packet/>
			</xsl:otherwise>

		</xsl:choose>

  </xsl:template>
 	
	<func:function name="local:init-ids">
		<xsl:choose>
			<xsl:when test="$id-src='session'">
				<xsl:variable name="id-rtf">
					<id>
						<xsl:value-of select="sw:sesgetstr('vz-backup-id')"/>
					</id>
				</xsl:variable>
				<func:result select="exsl:node-set($id-rtf)/id"/>
			</xsl:when>
			<xsl:otherwise>
				<func:result select="sw:param('id')"/>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>
 	
  <sw:include href="/lib/cred.xsl"/>
  <sw:include href="/lib/common.xsl"/>

</xsl:stylesheet>
