<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0"
	extension-element-prefixes="sw exsl sw func local cred"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:error="http://www.swsoft.com/xsl/cp/error"	
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
	xmlns:global="http://www.swsoft.com/xsl/cp/global"
	xmlns:env	="http://www.swsoft.com/xsl/cp/env"
>

	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>

	<xsl:output method="xml"/>
	<xsl:template match="/">
	
		<xsl:variable name="hn-eid" select="sw:base64-decode(sw:param('id'))"/>
		<xsl:variable name="hn-env" select="env:eid2info($hn-eid)"/>
		<xsl:variable name="hn-spec" select="$global:classes/class[@vzcp-type=$hn-env/obj-type]"/>		
	
		<packet>
			<cookie>	        
				<redirect> 
					<xsl:choose>
						<xsl:when test="$hn-eid!='' and $hn-env and $hn-spec">
							<xsl:value-of select="concat(
								$baseurl,
								$hn-spec/actions/action[@id='open']/@href,
								'?',
								sw:html-unescape($request/http_request/env/parameter[name = 'QUERY_STRING']/value)
							)"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:if test="error:put(sw:text('The requested Hardware Node could not be found.'))"/>
							<xsl:value-of select="concat($baseurl,'/vt/hns/index')"/>
						</xsl:otherwise>
					</xsl:choose>
				</redirect>
			</cookie>					
		</packet>			
	
		<xsl:if test="sw:response('lib/opredirect.xsl')"/>
		
	</xsl:template>
	
</xsl:stylesheet>
