<!--
		 Copyright (c) SWsoft, 1999-2007
		 All rights reserved.
   -->

<xsl:stylesheet version="1.0"
	extension-element-prefixes="sw exsl cred local licensem vzhn func show desktop env vzenv format html"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:func="http://exslt.org/functions"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
	xmlns:licensem="http://www.swsoft.com/xsl/cp/licensem"
	xmlns:env="http://www.swsoft.com/xsl/cp/env"
	xmlns:vzenv="http://www.swsoft.com/xsl/cp/vzenv"
	xmlns:vzhn="http://www.swsoft.com/xsl/cp/vzhn"
	xmlns:show="http://www.swsoft.com/xsl/cp/show"
	xmlns:desktop="http://www.swsoft.com/xsl/cp/desktop"
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse"
	xmlns:ve="http://www.swsoft.com/xsl/cp/ve"
	xmlns:format="http://www.swsoft.com/xsl/cp/format"
	xmlns:html="http://www.swsoft.com/xsl/cp/html"
>

	<!-- Includes -->
	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/cred-filter.xsl"/>
	<sw:include href="/lib/vzcc/desktop.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/vz/vzenv-apps.xsl"/>
	<sw:include href="/lib/vz/vzenv-core.xsl"/>
	<sw:include href="/lib/vz/vzhn-core.xsl"/>
	<sw:include href="/lib/vz/vzhn-info.xsl"/>
	<sw:include href="/lib/utils/format-datetime.xsl"/>
	<sw:include href="/layout/lib/html.xsl"/>
	<!-- /Includes -->

	<xsl:variable name="user-data" select="desktop:load()"/>
	<xsl:variable name="fav-cookie"
		select="string(sw:param('vzcp-favorites-tab'))"/>

	<xsl:template match="/">
		<ui:screen id="03.00.00.05.00" icon="desktop">
			<ui:properties>
				<ui:js-tail>
					<script language="JavaScript">
					img_delete = new Image();
					img_undelete = new Image();
					img_delete.src = '/<xsl:value-of select="$theme"/>/icons/del_red.gif';
					img_undelete.src = '/<xsl:value-of select="$theme"/>/icons/del_grey.gif';					
					
					function reloadFavs(fav_type,ids, comments, cmd){
						var my_cmd = cmd?cmd:'add';
						var my_comments = comments?comments:' ';
						<![CDATA[var data = 'fav-type='+fav_type+'&cmd='+my_cmd+'&ids='+ids+'&comments='+my_comments;]]>
						var fu = document.getElementById('content_favs_'+fav_type);
						var fl = document.getElementById('fav_loading_'+fav_type);
						fu.style.display='none';
						fl.style.display='block';		
						requestContent(
							'/vz/cp/core/desktop/favorites-dynamic'
							,receiveFavs
							,'<xsl:value-of select="$ticket"/>'
							,'<xsl:value-of select="$ticketid"/>'
							,data
							);
					}
					
					<![CDATA[
					function receiveFavs(req){
						var content = req.readyState==4?req.responseText:'';
						//alert(req.readyState);
						if(content!=''){
							var fav_type = content.substring(content.indexOf('<<<<<')+5,content.indexOf('>>>>>'));			
							var fu = document.getElementById('content_'+fav_type);
							var fl = document.getElementById('fav_loading_'+fav_type);
							fu.innerHTML=content;
							fl.style.display='none';
							//fu.className='favoritesBlock';
							footerInit(fav_type);
						}else{
							// TODO: Ooops....maybe we should reload all frameset?
						}					
					}
					
					function addFavs(fav_type, ids){
						document.defaultForm._new_fav_type.value = fav_type;
						document.defaultForm._new_fav_ids.value = ids;
						document.defaultForm.submit();
					}
					
					function customize_favs(id){
						var el = document.getElementById('content_favs_'+id);
						
						if (el && el.className == 'favList'){
							el.className = 'favEdit';
							document.getElementById('footer_view_'+id).style.display = 'none';
							document.getElementById('footer_edit_'+id).style.display = '';
						}
					}
					
					function save_favs(id){
						comments = document.getElementsByName(id +'-comment');
						items = new Array();
						items[0] = new Array(); //id
						items[1] = new Array(); //comments
						for(var i=0; i< comments.length; i++ )	{
							if(!comments[i].disabled){
								items[0][items[0].length] = comments[i].id;
								items[1][items[1].length] = comments[i].value;
							}
						}
						reloadFavs(id, items[0].join(','), items[1].join(','),'edit');
						
					
						document.getElementById('footer_view_'+id).style.display = '';
						document.getElementById('footer_edit_'+id).style.display = 'none';						
						var el = document.getElementById('content_favs_'+id);
						if (el){
							el.className = 'favList';
						}
					}
					
					function cancel_favs(id){
						document.getElementById('footer_view_'+id).style.display = '';
						document.getElementById('footer_edit_'+id).style.display = 'none';						
						var el = document.getElementById('content_favs_'+id);
						if (el){
							el.className = 'favList';
						}
					}
					
					function delete_fav(id){
						img = document.getElementById('img-'+id);
						link_cell = document.getElementById('cell-'+id);
						input = document.getElementById(id);
						if (img.src == img_delete.src){
							img.src =  img_undelete.src;
							link_cell.className = 'favDeleted';
							input.disabled = true;
						}else{
							img.src =  img_delete.src;
							link_cell.className = '';
							input.disabled = false;						
						}
					}
					]]>	
					</script>
				</ui:js-tail>
				<ui:description>
					<xsl:choose>
						<xsl:when test="$activeMode='vzcp'">
							<sw:text>Welcome to Parallels Power Panel.</sw:text>
						</xsl:when>
						<xsl:otherwise>
							<sw:text>Welcome to Parallels Infrastructure Manager.</sw:text>
						</xsl:otherwise>
					</xsl:choose>
				</ui:description>
			</ui:properties>

			<ui:content>
				<ui:desktop-block>

					<xsl:variable name="sections-left" select="$user-data/sections/section[@pos='left']"/>
					<xsl:if test="$sections-left">
						<xsl:call-template name="local:show-desktop-col">
							<xsl:with-param name="sections" select="$sections-left"/>
							<xsl:with-param name="user-data" select="$user-data"/>
							<xsl:with-param name="column" select="'left'"/>
						</xsl:call-template>
					</xsl:if>

					<xsl:variable name="sections-right" select="$user-data/sections/section[@pos='right']"/>
					<xsl:if test="$sections-right">
						<xsl:call-template name="local:show-desktop-col">
							<xsl:with-param name="sections" select="$sections-right"/>
							<xsl:with-param name="user-data" select="$user-data"/>
							<xsl:with-param name="column" select="'right'"/>
						</xsl:call-template>
					</xsl:if>
				</ui:desktop-block>
			</ui:content>
		</ui:screen>
	</xsl:template>

	<xsl:template match="ui:fav-type" mode="fav-footer">
		<div id="footer_{@id}">
			<xsl:choose>
				<xsl:when test="$fav-cookie">
					<xsl:if test="@id != $fav-cookie">
						<xsl:attribute name="style">display:none</xsl:attribute>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="position() != 1">
						<xsl:attribute name="style">display:none</xsl:attribute>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
			<div id="footer_view_{@id}" class="FooterView">
				<a href="/" onclick="open_details('{@popup-url}');return false;">
					<img src="/{$theme}/icons/favorites_16.gif" 
						style="margin:0px 5px 5px 0px;" width="16" height="16" border="0"/>
				</a>							
				<a href="/" onclick="open_details('{@popup-url}');return false;">
					<sw:text select="@add-string"/>
				</a>
				&#160;|&#160;<span class="FooterCustomizeLink">
					<a href="/" onclick="customize_favs('{@id}'); return false;">
						<img alt="Manage favorites" title="Manage favorites" src="/{$theme}/icons/setup_16.gif" 
							style="margin:0px 4px 4px 0px;" width="16" height="16" border="0"/>
					</a>
					<a href="/" onclick="customize_favs('{@id}'); return false;">
						<sw:text>Manage favorites</sw:text>
					</a>
				</span>
			</div>
			<div id="footer_edit_{@id}" class="FooterEdit" style="display:none">
				<a href="/" onclick="save_favs('{@id}');return false">
					<sw:text>Save Changes</sw:text>
				</a>
				&#160;|&#160;
				<a href="/" onclick="cancel_favs('{@id}');return false">
					<sw:text>Discard Changes</sw:text>
				</a>
			</div>
		</div>
	</xsl:template>

	<!-- Show desktop central column -->
	<xsl:template name="local:show-desktop-col">
		<xsl:param name="sections"/>
		<xsl:param name="user-data"/>
		<xsl:param name="column"/>

		<ui:desktop-col>
			<xsl:for-each select="$sections">
				<xsl:choose>
					<xsl:when test="@id='vzpp-env'">
						<xsl:if
							test="
							$activeMode='vzcp'
							and $user-data/vzpp-env/show='true'
						">
							<xsl:call-template name="local:show-vzpp-env">
								<xsl:with-param name="user-data" select="$user-data"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:when>
					<xsl:when test="@id='vzpp-download'">
						<xsl:if
							test="
							$activeMode='vzcp'
							and $user-data/vzpp-download/show='true'
						">
							<xsl:call-template name="local:show-vzpp-download">
								<xsl:with-param name="user-data" select="$user-data"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:when>
					<xsl:when test="@id='memo'">
						<xsl:if test="$user-data/memo/show='true'">
							<xsl:call-template name="local:show-memo">
								<xsl:with-param name="user-data" select="$user-data"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:when>
					<xsl:when test="@id='actions'">
						<xsl:if test="$user-data/actions/show='true'">
							<xsl:call-template name="local:show-actions">
								<xsl:with-param name="user-data" select="$user-data"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:when>
					<xsl:when test="@id='vz-hn'">
						<xsl:if
							test="
							$activeMode='vzcc' and cred:check('vzcp.hn')
							and $user-data/vz-hn/show='true'
						">
							<xsl:call-template name="local:show-vz-hn">
								<xsl:with-param name="user-data" select="$user-data"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:when>
					<xsl:when test="@id='vz-lics'">
						<xsl:if
							test="
							$activeMode='vzcc' and cred:check('vzcp.license')
							and $user-data/vz-lics/show='true'
						">
							<xsl:call-template name="local:show-vz-licences">
								<xsl:with-param name="user-data" select="$user-data"/>
							</xsl:call-template>
						</xsl:if>
					</xsl:when>
					<xsl:when test="@id = 'favorites'">
						<xsl:call-template name="local:show-favorites">
							<xsl:with-param name="user-data" select="$user-data"/>
						</xsl:call-template>
					</xsl:when>
				</xsl:choose>
			</xsl:for-each>
		</ui:desktop-col>
	</xsl:template>
	<!-- /Show desktop central column -->

	<xsl:template name="local:show-favorites">
		<xsl:param name="user-data" select="$user-data"/>

		<xsl:variable name="fav-types">
			<ui:fav-type id="ve.vz.vt" title="{sw:text('Containers')}" popup-url="{$baseurl}/vt/envs/select-popup?id=envs&amp;mode=callback" item-url="/vz/cp/vzdir/infrman/envs/env?" add-string="{sw:text('Add a new Container')}"/>
			<ui:fav-type id="hn.vz.vt" title="{sw:text('Hardware Nodes')}" popup-url="{$baseurl}/vt/hns/select-popup?id=envs&amp;mode=callback" item-url="/vz/cp/vt/hns/hn?" add-string="{sw:text('Add a new Hardware Node')}"/>
		</xsl:variable>

		<ui:desktop-rows title="{sw:text('Favorites')}" id="favorites">
			<ui:row-favorites>
				<xsl:apply-templates select="exsl:node-set($fav-types)" mode="fav-body">
					<xsl:with-param name="user-data" select="$user-data"/>
				</xsl:apply-templates>
			</ui:row-favorites>
			<ui:desktop-footer align="right">
				<xsl:apply-templates select="exsl:node-set($fav-types)" mode="fav-footer"/>
				<script language="JavaScript">
						function footerInit(id){
							var content = document.getElementById('content_favs_'+id);
							var footer_view = document.getElementById('footer_view_'+id);
							if (content.className == 'favList'){
								footer_view.className = 'FooterView';
							}else{
								footer_view.className = 'FooterViewEmpty';
							}
						}
						<xsl:for-each select="exsl:node-set($fav-types)/ui:fav-type">
							footerInit('<xsl:value-of select="@id"/>');
						</xsl:for-each>
					</script>
				<input type="hidden" name="_new_fav_type"/>
				<input type="hidden" name="_new_fav_ids"/>
			</ui:desktop-footer>
		</ui:desktop-rows>
	</xsl:template>

	<xsl:template match="ui:fav-type" mode="fav-body">
		<xsl:param name="user-data" select="$user-data"/>

		<xsl:variable name="id" select="@id"/>
		<xsl:variable name="item-url" select="@item-url"/>
		<ui:js-tab title="{@title}" id="{$id}">
			<ui:favorites id="{$id}">
				<xsl:variable name="envs" select="env:get-env($user-data/favorites/item[@type=$id]/id)"/>
				<xsl:for-each select="$envs/env">
					<xsl:variable name="eid" select="eid"/>
					<ui:favorite-item disable-edit="'false'" id="{$eid}">
						<ui:fav-link href="{$item-url}id={sw:base64-encode($eid)}">
							<xsl:choose>
								<!-- Bad hardcoded ids, find a way to remove it -->
								<xsl:when test="$id = 've.vz.vt'">
									<xsl:value-of select="env:env2title(.)"/>
								</xsl:when>
								<xsl:when test="$id = 'hn.vz.vt'">
									<xsl:value-of select="env:env2title(.)"/>
								</xsl:when>
								<xsl:otherwise>
									<sw:die>
										Error in ui:fav-type
										Unknown favorite type
									</sw:die>
								</xsl:otherwise>
							</xsl:choose>
						</ui:fav-link>
						<ui:fav-note>
							<xsl:value-of select="$user-data/favorites/item[id=$eid]/comment"/>
						</ui:fav-note>
					</ui:favorite-item>
				</xsl:for-each>
			</ui:favorites>
		</ui:js-tab>
	</xsl:template>


	<xsl:template name="local:show-memo">
		<xsl:param name="user-data"/>

		<ui:desktop-rows title="{sw:text('Memo')}" id="memo">
			<ui:row>
				<ui:cell-text>
					<span id="memo_view">
						<sw:text lang="C" select="html:plain2html(sw:html-unescape($user-data/memo/text))"/>
					</span>
					<textarea id="memo_edit" cols="60" rows="10" style="display:none">
						<xsl:value-of select="sw:html-unescape($user-data/memo/text)"/>
					</textarea>
					<input type="hidden" id="memo_copy"/>
				</ui:cell-text>
			</ui:row>
			<ui:desktop-footer align="right">
				<div id="memo_action_saving" style="display:none">
					<img id="memo_saving_img" width="16" border="0" height="16"
						src="/{$theme}/icons/indicator.gif"/>&#160;
					<sw:text>Saving...</sw:text>
				</div>
				<div id="memo_action_view">
					<a href="setup" onclick="memoEdit(); return false;">
						<img alt="Edit Memo" title="Edit Memo" src="/{$theme}/icons/edit_16.gif" 
							style="margin:0px 4px 3px 0px;" width="16" height="16" border="0"/>
					</a>
					<a href="setup" onclick="memoEdit(); return false;" 
						onmouseover="callTip('edit_memo',event)" onmouseout="callTip('')">
							<sw:text>Edit Memo</sw:text>
					</a>
				</div>
				<div id="memo_action_editing" style="display:none">
					<nobr>
						<a href="setup" onclick="return memoSave();" onmouseover="callTip('save_memo',event)"
							onmouseout="callTip('')">
							<sw:text>Save Changes</sw:text>
						</a>
					&#160;
					<a href="setup" onclick="return memoCancel();"
							onmouseover="callTip('cancel_memo',event)" onmouseout="callTip('')">
							<sw:text>Discard Changes</sw:text>
						</a>
					</nobr>
				</div>
				<script language="JavaScript">
					function memoEdit(){
						edit = document.getElementById('memo_edit');
						view = document.getElementById('memo_view');
						copy = document.getElementById('memo_copy');

						copy.value = edit.value;
													
						hideObj('memo_action_view');
						showObj('memo_action_editing');
						
						view.style.display='none';
						edit.style.display='block';			
						
						return false;				
					}
					function memoSave(){
						edit = document.getElementById('memo_edit');
						view = document.getElementById('memo_view');
				
						edit.value = edit.value.replace(/\r\n|\n/g, '<br/>');
						view.innerHTML = edit.value;
						
						view.style.display='block';
						edit.style.display='none';
							
						hideObj('memo_action_editing');
						hideObj('memo_action_view');
						showObj('memo_action_saving');
						
						var text = escape(edit.value);
						requestContent('/vz/cp/core/desktop/memo-dynamic?text='+text,memoSaved
							,'<xsl:value-of select="$ticket"/>'
							,'<xsl:value-of select="$ticketid"/>',edit.value);

						return false;
					}
					function memoCancel(){
						
						document.getElementById('memo_edit').value = document.getElementById('memo_copy').value;
						edit.style.display='none';
							
						hideObj('memo_action_saving');
						hideObj('memo_action_editing');
						showObj('memo_action_view');
						showObj('memo_view');
							
						return false;
					}
					function memoSaved(q){
						// switch actions
						
						hideObj('memo_action_editing');							
						hideObj('memo_action_saving');
						showObj('memo_action_view');
						
						return false;
					}
				</script>
			</ui:desktop-footer>
		</ui:desktop-rows>
	</xsl:template>

	<xsl:template name="local:show-vz-hn">
		<xsl:param name="user-data"/>

		<!-- Load data -->
		<xsl:variable name="hn-data" select="vzhn:load-desktop-info(sw:master-eid())"/>
		<!-- /Load data -->

		<ui:desktop-rows title="{sw:text('Hardware Node')}" id="hwnode">
			<xsl:for-each select="$hn-data/group/resource">
				<ui:row>
					<ui:cell-label>
						<span class="label"><xsl:value-of select="name"/></span>
					</ui:cell-label>
					<ui:cell-value>
						<xsl:choose>
							<xsl:when test="$user-data/vz-hn/show-links='true' and for-desktop/@href">
								<a href="{for-desktop/@href}">
									<xsl:value-of select="value"/>
								</a>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="value"/>
							</xsl:otherwise>
						</xsl:choose>
					</ui:cell-value>
				</ui:row>
			</xsl:for-each>
		</ui:desktop-rows>
	</xsl:template>

	<xsl:template name="local:show-actions">
		<xsl:param name="user-data"/>

		<xsl:variable name="screens-repository" select="sw:document('screens.xml')"/>

		<ui:desktop-rows title="{sw:text('Actions')}" id="actions">

			<xsl:variable name="items">
				<xsl:for-each select="$user-data/actions/screen-id">
					<xsl:variable name="screen-id" select="."/>
					<xsl:variable name="screen" select="$screens-repository//screen[@id=$screen-id]"/>
					<xsl:for-each select="cred:filter-items($screen[
							link and (not(link/@panel) or link/@panel = $activeMode)
					])[link]">
						<xsl:variable name="href" select="sw:if(link/@href,link/@href,@href)"/>
						<xsl:variable name="title" select="sw:if(link/@title,link/@title,@title)"/>

						<ui:cell-dashboard-item href="{$href}" icon="{@icon}" title="{$title}" cell-width="50%">
							<xsl:value-of select="link/description"/>
						</ui:cell-dashboard-item>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:variable>
			<xsl:for-each select="exsl:node-set($items)/*[(position() mod 2) != 0]">
				<ui:row>
					<xsl:copy-of select="."/>
					<xsl:copy-of select="following-sibling::*[1]"/>
				</ui:row>
			</xsl:for-each>
			<xsl:if test="not($user-data/actions/screen-id)">
				<ui:row>
					<ui:cell-text>
						<sw:text>
							No action configured.
						</sw:text>
					</ui:cell-text>
				</ui:row>
			</xsl:if>
		</ui:desktop-rows>
	</xsl:template>

	<xsl:template name="local:show-vzpp-env">
		<xsl:param name="user-data"/>

		<xsl:variable name="eid" select="sw:ve-eid()"/>
		<xsl:variable name="env" select="env:get-env($eid)/env"/>

		<ui:desktop-rows title="{sw:text('Container Summary')}" id="vzpp-env">

			<ui:row>
				<ui:cell-label>
					<sw:text>ID</sw:text>
				</ui:cell-label>
				<ui:cell-value>
					<xsl:value-of select="$env/virtual_config/veid"/>
				</ui:cell-value>
			</ui:row>
			<ui:row>
				<ui:cell-label>
					<sw:text>Hostname</sw:text>
				</ui:cell-label>
				<ui:cell-value>
					<xsl:choose>
						<xsl:when test="$env/virtual_config/hostname">
							<xsl:value-of select="$env/virtual_config/hostname"/>
						</xsl:when>
						<xsl:otherwise>
							<span class="inactive">
								<sw:text>Not Assigned</sw:text>
							</span>
						</xsl:otherwise>
					</xsl:choose>
				</ui:cell-value>
			</ui:row>
			<ui:row>
				<ui:cell-label>
					<sw:text>Status</sw:text>
				</ui:cell-label>
				<ui:cell-value>
					<ui:current-ve-status/>
				</ui:cell-value>
			</ui:row>
			<ui:row>
				<ui:cell-label>
					<sw:text>IP Address(es)</sw:text>
				</ui:cell-label>
				<ui:cell-value>
					<xsl:choose>
						<xsl:when test="sw:sesget('iplist')">
							<xsl:value-of select="sw:sesget('iplist')"/>
						</xsl:when>
						<xsl:otherwise>
							<span class="inactive">
								<sw:text>Not Assigned</sw:text>
							</span>
						</xsl:otherwise>
					</xsl:choose>
				</ui:cell-value>
			</ui:row>
			<xsl:call-template name="vzenv:show-os-apps">
				<xsl:with-param name="env" select="$env"/>
			</xsl:call-template>
		</ui:desktop-rows>
	</xsl:template>

	<xsl:template name="local:show-vzpp-download">
		<xsl:param name="user-data"/>

		<ui:desktop-rows title="{sw:text('Download')}" id="vzpp-download">

			<ui:row>
				<ui:cell>
					<ui:download-box/>
				</ui:cell>
			</ui:row>

		</ui:desktop-rows>
	</xsl:template>

	<!-- Show VZ License Block -->
	<xsl:template name="local:show-vz-licences">
		<xsl:param name="user-data"/>

		<xsl:variable name="all-licenses" select="licensem:get()"/>
		<xsl:variable name="hw-lic"
			select="$all-licenses/license[parameter[name = 'CLASS' and sw:base64-decode(value) = 'VZSRV']]"/>
		<xsl:variable name="grp-lic"
			select="$all-licenses/license[parameter[name = 'CLASS' and sw:base64-decode(value) = 'VZGROUP']]"/>
		<xsl:variable name="hw-lic-color">
			<xsl:choose>
				<xsl:when test="count($hw-lic) = 0">red</xsl:when>
				<xsl:otherwise>green</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="grp-lic-color">
			<xsl:choose>
				<xsl:when test="count($grp-lic) = 0">red</xsl:when>
				<xsl:otherwise>green</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>

		<!-- Post controls -->
		<ui:desktop-rows title="{sw:text('Virtuozzo Licenses')}" id="vzlic">
			<!-- HW License -->
			<ui:row>
				<ui:cell-text cell-with="50%">
					<span class="label">Server License</span>
				</ui:cell-text>
				<ui:cell align="right">
					<img src="/{$theme}/icons/{$hw-lic-color}_16.gif" width="16" height="16" border="0" hspace="2"/>
				</ui:cell>
				<ui:cell-text cell-with="50%">
					<xsl:choose>
						<xsl:when test="count($hw-lic) = 0">
							<sw:text>Not Installed</sw:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="$hw-lic">
								<xsl:value-of select="sw:text(licensem:value('status'))"/> (expires on: <xsl:value-of select="licensem:time-value('expiration')"/>)
							</xsl:for-each>
						</xsl:otherwise>
					</xsl:choose>				
				</ui:cell-text>	
			</ui:row>
			<!-- /HW License -->
			<!-- VZGROUP License -->
			<ui:row>
				<ui:cell-text cell-with="50%">
					<span class="label">Group License</span>
				</ui:cell-text>
				<ui:cell align="right">
					<img src="/{$theme}/icons/{$grp-lic-color}_16.gif" width="16" height="16" border="0" hspace="2"/>
				</ui:cell>
				<ui:cell-text cell-with="50%">
					<xsl:choose>
						<xsl:when test="count($grp-lic) = 0"><sw:text>Not Installed</sw:text></xsl:when>
						<xsl:otherwise>
							<xsl:for-each select="$grp-lic">
								<xsl:value-of select="sw:text(licensem:value('status'))"/> (expires on: <xsl:value-of select="licensem:time-value('expiration')"/>)
							</xsl:for-each>						
						</xsl:otherwise>
					</xsl:choose>				
				</ui:cell-text>	
			</ui:row>			
			<!-- /VZGROUP License -->
			<!-- Actions -->
			<ui:desktop-footer align="right">
				<a href="/vz/cp/core/licenses/index">
					<img alt="Manage Licenses" title="Manage Licenses" src="/{$theme}/icons/license_16.gif" 
						style="margin:0px 4px 3px 0px;" width="16" height="16" border="0"/>
				</a>
				<a href="/vz/cp/core/licenses/index">
					<sw:text>Manage Licenses</sw:text>
				</a>				
			</ui:desktop-footer>
			<!-- /Actions -->
		</ui:desktop-rows>
		<!-- /Post controls -->
	</xsl:template>

	<func:function name="local:show-lic-date">
		<xsl:param name="date"/>
		<xsl:variable name="utime" select="sw:vzatime2utime($date)"/>
		<xsl:choose>
			<xsl:when test="$utime &gt; 0">
				<func:result select="format:date-time($utime)"/>
			</xsl:when>
			<xsl:otherwise>
				<func:result>
					<sw:text>Never</sw:text>
				</func:result>
			</xsl:otherwise>
		</xsl:choose>
	</func:function>
	<!-- /Show VZ License Block -->

	<sw:include href="/lib/swa/licensem.xsl"/>

	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/lib/globals.xsl"/>

</xsl:stylesheet>
