<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl sw func local cred desktop"
  xmlns:xsl			="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl		="http://exslt.org/common"
  xmlns:sw			="http://www.swsoft.com/xsl/cp"
  xmlns:local		="http://www.swsoft.com/xsl/cp/local"
  xmlns:func		="http://exslt.org/functions"
	xmlns:cred		="http://www.swsoft.com/xsl/cp/cred"
	xmlns:ui		="http://www.swsoft.com/xl/cp/ui"
	xmlns:desktop	="http://www.swsoft.com/xsl/cp/desktop"
>
	<!-- Imports -->
	<sw:include	href="/lib/vzcc/desktop.xsl"/>
	<!-- /Imports -->

	<xsl:template mode="screen" match="/">
		<ui:body-screen>
			<ui:content>			
				<xsl:variable name="new-text" select="sw:param('text')"/>
				<xsl:variable name="old-desktop" select="desktop:load()"/>
				<xsl:variable name="new-desktop">
					<desktop>
						<xsl:copy-of select="$old-desktop/*[not(self::memo)]"/>
						<memo>
							<xsl:copy-of select="$old-desktop/memo/*[not(self::text)]"/>
							<text><xsl:value-of select="$new-text" disable-output-escaping="no"/></text>
						</memo>
					</desktop>
				</xsl:variable>
				<xsl:if test="desktop:save($new-desktop)"/>
				<ui:raw>
					ok
				</ui:raw>
			</ui:content>
		</ui:body-screen>
										
  </xsl:template>
  
	<!-- includes -->
  <sw:include href="/lib/screen.xsl"/>

</xsl:stylesheet>
