<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred local show voc env jobs xsi vzat error browse"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:error="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse"   
	xmlns:show	="http://www.swsoft.com/xsl/cp/show"   
	xmlns:voc		="http://www.swsoft.com/xsl/cp/voc"   		
	xmlns:env				="http://www.swsoft.com/xsl/cp/env"   	
	xmlns:jobs 			="http://www.swsoft.com/xsl/cp/jobs"
	xmlns:xsi				="http://www.w3.org/2001/XMLSchema-instance"	
	xmlns:backups		="http://www.swsoft.com/xsl/cp/backups"		
	xmlns:vzat			="http://www.swsoft.com/webservices/vza/4.0.0/vzatypes"	
 >
 
 	<!-- Import required modules -->
 	<sw:include href="/lib/core/jobs/core.xsl"/>
 	<sw:include href="/lib/core/units-core.xsl"/>
 	<sw:include href="/lib/vt/env-core.xsl"/>
 	<sw:include href="/lib/vt/env-select.xsl"/>
	<sw:include href="/lib/vt/backups-forms.xsl"/>			 	
 	
 	<!-- /Import required modules -->

  <xsl:param name="wiz_code" 					select="'jobs_manage'"/>
  
	<xsl:variable name="step_data"			select="wiz:getStep()"/>
	<xsl:variable name="step"						select="$step_data/@id"/>
	<xsl:variable name="screen-id"			select="$step_data/@screen-id"/>
  <xsl:variable name="form" 					select="sw:sesget($wiz_data)"/>

	<xsl:param name="access-denied"			select="$step_data/@cred and not(cred:check($step_data/@cred))"/>
  
  <!-- Wizard, Step 'Start' -->
  <xsl:template name="step_start">
  	<ui:screen id="{$screen-id}">
  	
	    <ui:properties>
	      <ui:refresh-type>none</ui:refresh-type>
	      <ui:form-get/>
	      <ui:description mandatory="yes">
	        <sw:text>
	        	On this screen you can select the action that will be performed within the scope of the new task.
	        </sw:text>
	      </ui:description>      
	    </ui:properties>
	    
	    <ui:content>
	      <ui:hidden name="step" value="start"/>    
	      <ui:block mode="view">
	      	
		   		<ui:rows title="{sw:text('Task Action')}">
		   				   			
		  			<!-- Backup VEs -->
	 					<ui:row>
		 					<ui:cell-radio name="category" id="category_vz_backup_ves" value="vz.backup.ves" checked="{$form/job/category='vz.backup.ves'}"/>
							<ui:cell cell-width="100%" align="left">
								<img src="/{$theme}/icons/backup_restore_16.gif" border="0" width="16" height="16"/>
								&#160;<b><sw:text>Back Up Containers</sw:text></b>
							</ui:cell>
						</ui:row>
						<ui:row>
							<ui:cell/>
							<ui:cell cell-width="100%">
								<sw:text>
									Create a new task for Containers to be backed up periodically. On the next step you will be able to select the Containers and configure the task details.</sw:text>
							</ui:cell>
						</ui:row>			
						<!-- /Backup VEs -->
						
						<!-- Restart VEs -->
	 					<ui:row>
		 					<ui:cell-radio name="category" id="category_vz_restart_ves" value="vz.restart.ves" checked="{$form/job/category='vz.restart.ves'}"/>
							<ui:cell cell-width="100%" align="left">
								<img src="/{$theme}/icons/restart_16.gif" border="0" width="16" height="16"/>
								&#160;<b><sw:text>Restart Containers</sw:text></b>
							</ui:cell>
						</ui:row>
						<ui:row>
							<ui:cell/>
							<ui:cell cell-width="100%">
								<sw:text>
									Create a new task for Containers to be restarted periodically. On the next step you will be able to select the Containers and configure the task details.</sw:text>
							</ui:cell>
						</ui:row>			
						<!-- /Restart VEs -->
						
					</ui:rows>
					
	        <ui:buttons>
	        	<xsl:call-template name="wiz:showButtons">
	        		<xsl:with-param name="submit-title" select="sw:text('Next')"/>
							<xsl:with-param name="next-title" select="sw:text('Next')"/>	        		
	        	</xsl:call-template>
	        </ui:buttons>
	        
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template> 
  
  <!-- Step "Backup Envs" -->
  <xsl:template name="step_vz-backup-ves">   				
  
  	<ui:screen id="{$screen-id}">
  	
	    <ui:properties>
	      <ui:form-get/>	    
	      <ui:refresh-type>none</ui:refresh-type>    
	      <ui:contains-date-control/>
	    </ui:properties>
	    
	    <ui:content>
	      <ui:hidden name="step" value="vz-backup-ves"/>    
	      <ui:block mode="edit">
	      	
	      	<xsl:call-template name="local:show-date"/>
	      
	      	<!-- Envs -->
	      	<ui:rows>				
	      		<xsl:attribute name="title">
							<sw:text>Back Up Containers</sw:text>
						</xsl:attribute>  
						
						<xsl:call-template name="env:multi-selector">						
							<xsl:with-param name="eids" select="$form/job/ves/eid"/>
							<xsl:with-param name="size" select="10"/>
						</xsl:call-template>
					</ui:rows>
				
					<ui:rows title="{sw:text('Backup Options')}">
						<xsl:call-template name="backups:edit-backup-options">
							<xsl:with-param name="options" select="$form/job/specific/backup-options"/>
							<xsl:with-param name="show-server-default" select="true()"/>
						</xsl:call-template>
					</ui:rows>					
					
					<ui:rows title="{sw:text('Exclude From Backup')}" separate-tables="true">					
						<xsl:call-template name="backups:edit-backup-paths">
							<xsl:with-param name="data" select="$form/job/specific/backup-exclude"/>
							<xsl:with-param name="list-type" select="'exclude'"/>
							<xsl:with-param name="allow-exclude-system-and-hidden" select="true()"/>
							<xsl:with-param name="show-ve-paths-selector" select="false()"/>							
						</xsl:call-template>
					</ui:rows>
					
					<ui:rows title="{sw:text('Include in Backup')}" separate-tables="true">					
						<xsl:call-template name="backups:edit-backup-paths">
							<xsl:with-param name="data" select="$form/job/specific/backup-include"/>
							<xsl:with-param name="list-type" select="'include'"/>
						</xsl:call-template>
					</ui:rows>
	      
	        <ui:buttons>
	        	<xsl:call-template name="wiz:showButtons">
	        		<xsl:with-param name="submit-title" select="sw:text('Save')"/>
							<xsl:with-param name="next-title" select="sw:text('Next')"/>	        		
	        	</xsl:call-template>
	        </ui:buttons>
	        
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template>  
  <!-- /Step "Backup Envs" -->
  
  <!-- Step "Restart Envs" -->
  <xsl:template name="step_vz-restart-ves">   				
  
  	<ui:screen id="{$screen-id}">
  	
	    <ui:properties>
 	      <ui:form-get/> 
	      <ui:refresh-type>none</ui:refresh-type>    
	      <ui:contains-date-control/>
	    </ui:properties>
	    
	    <ui:content>
	      <ui:hidden name="step" value="vz-restart-ves"/>    
	      <ui:block mode="edit">
	      	
	      	<xsl:call-template name="local:show-date"/>
	      
	      	<!-- Envs -->
	      	<ui:rows>				
	      		<xsl:attribute name="title">
							<sw:text>Restart Containers</sw:text>
						</xsl:attribute>  
						<xsl:call-template name="env:multi-selector">
							<xsl:with-param name="eids" select="$form/job/ves/eid"/>
							<xsl:with-param name="size" select="10"/>							
						</xsl:call-template>
					</ui:rows>
		      
	        <ui:buttons>
	        	<xsl:call-template name="wiz:showButtons">
	        		<xsl:with-param name="submit-title" select="sw:text('Save')"/>
							<xsl:with-param name="next-title" select="sw:text('Next')"/>	        		
	        	</xsl:call-template>
	        </ui:buttons>
	        
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template>  
  <!-- /Step "Restart Envs" -->
  
  <!-- Show Date Controls -->
  <xsl:template name="local:show-date">
  
  	<xsl:variable name="timer" select="$form/job/timer"/>
  
  	<!-- Predefine some constants -->
  	<xsl:variable name="def-days-rtf">
			<day pos="1" id="1"><sw:text>Monday</sw:text></day>
			<day pos="2" id="2"><sw:text>Tuesday</sw:text></day>
			<day pos="3" id="3"><sw:text>Wednesday</sw:text></day>
			<day pos="4" id="4"><sw:text>Thursday</sw:text></day>
			<day pos="5" id="5"><sw:text>Friday</sw:text></day>
			<day pos="6" id="6"><sw:text>Saturday</sw:text></day>
			<day pos="7" id="7"><sw:text>Sunday</sw:text></day>		
		</xsl:variable>
		<xsl:variable name="def-days" select="exsl:node-set($def-days-rtf)/day"/>
		<xsl:variable name="def-months-rtf">
			<item><sw:text>January</sw:text></item>
			<item><sw:text>February</sw:text></item>
			<item><sw:text>March</sw:text></item>
			<item><sw:text>April</sw:text></item>
			<item><sw:text>May</sw:text></item>
			<item><sw:text>June</sw:text></item>
			<item><sw:text>July</sw:text></item>
			<item><sw:text>August</sw:text></item>
			<item><sw:text>September</sw:text></item>
			<item><sw:text>October</sw:text></item>
			<item><sw:text>November</sw:text></item>
			<item><sw:text>December</sw:text></item>			
		</xsl:variable>
		<xsl:variable name="def-months" select="exsl:node-set($def-months-rtf)/item"/>
		<!-- /Predefine some constants -->				
    
  	<!-- Task Title -->
  	<ui:rows title="{sw:text('Task Configuration')}"  separate-tables="true">
  		<ui:row>
				<ui:cell-label>
      		<sw:text>Title</sw:text>
      	</ui:cell-label>
				<ui:cell-input id="title" required="true" maxlength="100"
					value="{$form/job/title}"
				/>							
			</ui:row>
			<ui:row>
				<ui:cell-label>
      		<sw:text>Enabled</sw:text>
      	</ui:cell-label>
				<ui:cell-check id="enabled" checked="{$form/job/enabled='true'}"/>	
			</ui:row>			
			<ui:row>
				<ui:cell-label>
      		<sw:text>Description</sw:text>
      	</ui:cell-label>
      </ui:row>
      <ui:row>
      	<ui:cell-inputblock id="description" maxlength="10000" rows="4" width="52">
					<xsl:value-of select="$form/job/description" />
				</ui:cell-inputblock>
			</ui:row>
		</ui:rows>
		<ui:rows separate-tables="true">
			<xsl:attribute name="title">
				<xsl:choose>
					<xsl:when test="$form/job/id">
						<sw:text>Next Run</sw:text>
					</xsl:when>
					<xsl:otherwise>
						<sw:text>First Run</sw:text>
					</xsl:otherwise>
				</xsl:choose>
      </xsl:attribute>
      <xsl:call-template name="jobs:edit-timer-time">
      	<xsl:with-param name="timer" select="$timer"/>
      </xsl:call-template>
  	</ui:rows>
  		      	
  	<!-- Recurrence -->
  	<ui:rows title="{sw:text('Recurrence Pattern')}" separate-tables="true">
  		
  		<!-- Pattern -->
  		<ui:row table-width="none">
  			<!--/-->
				<ui:cell-radio id="recurrence_type_none" name="recurrence_type" value="none"
					checked="{$timer/recurrence-type='none'}" align="left"
					onclick="enableTaskDiv('task_none')"
				>
					<label for="recurrence_type_none">
						&#160;<sw:text>Run once</sw:text>
					</label>
				</ui:cell-radio>
      	<!--/-->
				<ui:cell-radio id="recurrence_type_daily" name="recurrence_type" value="daily"
					checked="{$timer/recurrence-type='daily'}" align="left"
					onclick="enableTaskDiv('task_daily')"
				>
					<label for="recurrence_type_daily">
						&#160;<sw:text>Daily</sw:text>
					</label>
				</ui:cell-radio>
				<!--/-->
				<ui:cell-radio id="recurrence_type_weekly" name="recurrence_type" value="weekly"
					checked="{$timer/recurrence-type='weekly'}"
					onclick="enableTaskDiv('task_weekly')"
				>
					<label for="recurrence_type_weekly">
						&#160;<sw:text>Weekly</sw:text>
					</label>
				</ui:cell-radio>
				<!--/-->
				<!--
				<ui:cell-radio id="recurrence_type_monthly" name="recurrence_type" value="monthly"
					checked="{$form/task/recurrence-type='monthly'}"
					onclick="enableTaskDiv('task_monthly')"
				>
					<nobr>
						<label for="recurrence_type_monthly">
							<sw:text>Monthly</sw:text>
						</label>
					</nobr>
				</ui:cell-radio>
				-->
				<!--/-->
			</ui:row>
			<!-- /Pattern -->
		</ui:rows>
		<!-- Daily -->
		<xsl:variable name="is-daily" select="$timer/recurrence-type='daily'"/>
		<ui:rows title="{sw:text('Repeat Daily')}"
			div_id="task_daily" div_display="{sw:if($is-daily,'block','none')}"
		>						
			<ui:row table-width="none">
				<ui:cell-radio id="daily_every" name="daily_type" value="every"
					checked="{$timer/daily-type='every'}"								
				>								
				</ui:cell-radio>
				<ui:cell-text>
					<nobr>
						<label for="daily_every">
							<sw:text>Every</sw:text>
						</label>
					</nobr>
				</ui:cell-text>
				<ui:cell-input id="daily_every_days" maxlength="5" width="10"
					value="{$timer/daily-every-days}" align="left"
				>
					&#160;
					<nobr>
						<label for="daily_every_days">
							<sw:text>day(s)</sw:text>
						</label>
					</nobr>
				</ui:cell-input>
			</ui:row>
			<ui:row table-width="none">
				<ui:cell-radio id="daily_weekday" name="daily_type" value="weekday"
					checked="{$timer/daily-type='weekday'}"
				>								
				</ui:cell-radio>
				<ui:cell-text>
					<nobr>
						<label for="daily_weekday">
							<sw:text>Every weekday</sw:text>
						</label>
					</nobr>
				</ui:cell-text>							
			</ui:row>
			<ui:row table-width="none">
				<ui:cell-radio id="daily_sunday" name="daily_type" value="sunday"
					checked="{$timer/daily-type='sunday'}"
				>								
				</ui:cell-radio>
				<ui:cell-text>
					<nobr>
						<label for="daily_sunday">
							<sw:text>Every weekend day</sw:text>
						</label>
					</nobr>
				</ui:cell-text>							
			</ui:row>
		</ui:rows>
		<!-- /Daily -->
		<!-- Weekly -->
		<xsl:variable name="is-weekly" select="$timer/recurrence-type='weekly'"/>
		<ui:rows title="{sw:text('Repeat Weekly')}"
			div_id="task_weekly" div_display="{sw:if($is-weekly,'block','none')}"
		>	
			<ui:row table-width="none">
				<ui:cell-text close="false" colspan="4"><sw:text>Recur every</sw:text>&#160;&#160;</ui:cell-text>
				<ui:cell-input open="false" id="weekly_weeks" maxlength="5" width="10"
					value="{$timer/weekly-weeks}"
				>
					&#160;
					<nobr>
						<sw:text>week(s) on:</sw:text>
					</nobr>
				</ui:cell-input>
			</ui:row>																
			<!-- Show first 4 days -->	
			<ui:row table-width="none">														
				<xsl:for-each select="$def-days">
					<xsl:sort select="@pos"/>
					<xsl:variable name="id" select="@id"/>
					<xsl:if test="position()&lt;5">
						<ui:cell-check id="weekly_day{@id}" value="{$id}" name="weekly_day" 
							checked="{$timer/weekly-day=$id}"
						>
							<nobr>
								<label for="weekly_day{@id}">
									&#160;<xsl:value-of select="."/>
								</label>
							</nobr>
						</ui:cell-check>
					</xsl:if>
				</xsl:for-each>							
				<ui:cell-text/>
			</ui:row>	
			<!-- /Show first 4 days -->
			<!-- Show last 3 days -->	
			<ui:row table-width="none">														
				<xsl:for-each select="$def-days">
					<xsl:sort select="@pos"/>
					<xsl:variable name="id" select="@id"/>
					<xsl:if test="position()&gt;4">
						<ui:cell-check id="weekly_day{@id}" value="{$id}" name="weekly_day" 
							checked="{$timer/weekly-day=$id}"
						>
							<nobr>
								<label for="weekly_day{@id}">
									&#160;<xsl:value-of select="."/>
								</label>
							</nobr>
						</ui:cell-check>
					</xsl:if>
				</xsl:for-each>							
			</ui:row>	
			<!-- /Show last 3 days -->	
		</ui:rows>
		<!-- /Weekly -->
		
			<!-- End  -->
		<xsl:variable name="is-repeat" select="$timer/recurrence-type!='none'"/>
		<ui:rows title="{sw:text('End Date')}"
			separate-tables="true"
			div_id="task_end" div_display="{sw:if($is-repeat,'block','none')}"
		>	
			<ui:row table-width="none">
				<ui:cell-radio id="end_mode_none" name="end_mode" value="none"
					checked="{$timer/end-mode='none'}"
				>								
				</ui:cell-radio>
				<ui:cell-text>
					<nobr>
						<label for="end_mode_none">
							<sw:text>No end date</sw:text>
						</label>
					</nobr>
				</ui:cell-text>	
			</ui:row>
			<ui:row table-width="none">
				<ui:cell-radio id="end_mode_date" name="end_mode" value="date"
					checked="{$timer/end-mode='date'}"
				>								
				</ui:cell-radio>
				<ui:cell-text>
					<nobr>
						<label for="end_mode_date">
							<sw:text>End Date</sw:text>
						</label>
					</nobr>
				</ui:cell-text>	
				<ui:cell type="date" id="end_date" 
					value="{$timer/end-date}"
				/>	
			</ui:row>
		</ui:rows>
		<!-- /End -->	
	
		<!-- Common script -->
  	<ui:java-script>
  		var task_divs=new Array(
  			'task_daily','task_weekly'
  		);
  		function enableTaskDiv(id){
  			var div = null;
      	for(i=0;i&lt;(task_divs.length);i++){
      		div = document.getElementById(task_divs[i]);
      		if(div){
      			div.style.display = (id == task_divs[i]?'block':'none');
      		}
      	}
      	div = document.getElementById('task_end');
      	div.style.display = (id != 'task_none'?'block':'none');			      	
      }
  	</ui:java-script>
  	<!-- /Common script -->	      		      
      	
  </xsl:template>  
  <!-- /Show Date Controls -->
  
  
	<!-- main document handler -->
	<xsl:template mode="screen" match="/">
			<xsl:choose>
				<xsl:when test="$step = 'start'">
					<xsl:call-template name="step_start"/>
				</xsl:when>
				<xsl:when test="$step = 'vz-backup-ves'">
					<xsl:call-template name="step_vz-backup-ves"/>
				</xsl:when>
				<xsl:when test="$step = 'vz-restart-ves'">
					<xsl:call-template name="step_vz-restart-ves"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="step_start"/>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>			
	
	<!-- UI modules -->
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/wizard.xsl"/>
	
	<!-- System modulges -->
	<sw:include href="/lib/common.xsl"/>			

		
</xsl:stylesheet>
