<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred local show voc env hn"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:error="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
	xmlns:show	="http://www.swsoft.com/xsl/cp/show"   
	xmlns:voc		="http://www.swsoft.com/xsl/cp/voc"   		
	xmlns:env	="http://www.swsoft.com/xsl/cp/env"   	
	xmlns:hn	="http://www.swsoft.com/xsl/cp/hn"   	
	xmlns:licenses="http://www.swsoft.com/xsl/cp/licenses"  	
	xmlns:licensem="http://www.swsoft.com/xsl/cp/licensem"  
 >
 
 	<!-- Import required modules -->
	<sw:include href="/lib/swa/licensem.xsl"/>	

 	<sw:include href="/lib/vt/env-core.xsl"/>
 	<!-- /Import required modules -->

  <xsl:param name="wiz_code" 					select="'transfer_license_core'"/>
  
	<xsl:variable name="step_data"			select="wiz:getStep()"/>
	<xsl:variable name="step"						select="$step_data/@id"/>
	<xsl:variable name="screen-id"			select="$step_data/@screen-id"/>
  <xsl:variable name="form" 					select="sw:sesget($wiz_data)"/>

  
	<!-- Step "Transfer" -->
  <xsl:template name="step_transfer">
  
  	<!-- Preload some data -->
  	<xsl:variable name="hn-title">
  		<xsl:choose>
  			<xsl:when test="$form/hn/eid!=''">
  				<xsl:value-of select="env:env2title(env:get-env($form/hn/eid)/env)"/>
  			</xsl:when>
  		</xsl:choose>
  	</xsl:variable>  	
  	<!-- /Preload some data -->  
  
  	<ui:screen id="{$screen-id}">
  	
	    <ui:properties>
	      <ui:refresh-type>none</ui:refresh-type>
	      <ui:form-get/>    
	      <ui:description>
			<img src="/{$theme}/icons/exclamation_32.gif" width="32" height="32" border="0" align="left" style="padding-right:5px"/>
	      	<sw:text>
	      		<xsl:with-param name="br">&lt;br/&gt;</xsl:with-param>
	      	
	      			Keep in mind that you should stop using the license on the Source Node after
submitting the license transfer request.%{br}Please consult the Virtuozzo
documentation and license agreement for details.
	      	</sw:text>	
	      </ui:description>
	    </ui:properties>
	    
	    <ui:content>
	      <ui:hidden name="step" value="transfer"/>    
	      <ui:block mode="edit">
					
					<ui:rows title="{sw:text('Destination Hardware Node')}">
						<ui:row>
							<ui:cell-label>
								<sw:text>Hardware Node</sw:text>
							</ui:cell-label>
							<ui:cell-selector id="hn" align="left" value="{$hn-title}" required="true"
								code-value="{$form/hn/eid}"
								link-tip="select_hn" 
								link-onclick="open_details('{$baseurl}/vt/hns/select-one-popup?id=hn');return false;"
								link-caption="{sw:text('Select...')}"				      
							/>
						</ui:row>
					</ui:rows>
					
					<xsl:if test="$form/license/file-based">
						<ui:rows title="{sw:text('License Activation Key')}">
							<ui:row>
								<ui:cell-label>
									<sw:text>Activation Key</sw:text>
								</ui:cell-label>
								<ui:cell-input id="key" required="true" value="{$form/key}"/>
							</ui:row>
						</ui:rows>
					</xsl:if>
	      
	        <ui:buttons>
	        	<xsl:call-template name="wiz:showButtons">
	        		<xsl:with-param name="submit-sandclock" select="false()"/>	        		
	        	</xsl:call-template>
	        </ui:buttons>
	        
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template> 
  
	<!-- main document handler -->
	<xsl:template mode="screen" match="/">
			<xsl:choose>
				<xsl:when test="$step = 'transfer'">
					<xsl:call-template name="step_transfer"/>
				</xsl:when>
				<xsl:otherwise>
					<sw:die>
						Uknown step id
					</sw:die>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>			
	
	<!-- UI modules -->
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/wizard.xsl"/>
	
	<!-- System modules -->
	<sw:include href="/lib/common.xsl"/>			

		
</xsl:stylesheet>
