<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred swa-mailer"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:error	="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz		="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func	="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:swa-mailer  ="http://www.swsoft.com/xsl/cp/swa-mailer"
	xmlns:vzhn  ="http://www.swsoft.com/xsl/cp/vzhn"	
 >
	<!-- VZL functionality modules -->	
	<sw:include href="/lib/swa/swa-mailer.xsl"/>
	<sw:include href="/lib/vz/vzhn-core.xsl"/>

  <!-- check permissions to show this page -->
	<xsl:variable name="cred"						select="cred:check('vzcp.support.messaging')"/>

  <xsl:param name="wiz_code" 					select="'config-ordering'"/>
  
	<xsl:variable name="step_data"			select="wiz:getStep()"/>
	<xsl:variable name="step"						select="$step_data/@id"/>

  <xsl:param name="access-denied" 		select="not($cred)"/>

	<xsl:variable name="form" select="sw:sesget($wiz_data)"/>
  
  <!-- Wizard, General Step  -->
  <xsl:template name="step_gen">
  	<ui:screen  id="{$step_data/@screen-id}">
  	
    <ui:properties>
      <ui:refresh-type>none</ui:refresh-type>
      <ui:form-get/>
    </ui:properties>

    <ui:content>
      <ui:hidden name="step" value="gen"/>    
      <ui:block mode="edit">
      	
   			<ui:rows title="{sw:text('General')}">
   				<ui:row>	
   					<ui:cell-check id="enabled" checked="{$form/mail-config/notify}" close="false"/>
   					<ui:cell-text open="false">
	        		<sw:text>Enable Email Notifications</sw:text>
	        	</ui:cell-text>
					</ui:row>
					<!-- Check email configuration -->
					<xsl:if test="not(swa-mailer:email-enabled()) or false()">
						<xsl:if test="vzhn:set-current(sw:master-eid(),'default')"/>
						<ui:row>	
	   					<ui:cell-text cols="2" offset="3">
	   						<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0"/>&#160;
		        		<sw:text>Warning! Email proxy settings are not configured.</sw:text>
		        	</ui:cell-text>
						</ui:row>
						<ui:row>	
							<ui:cell-text cols="2" offset="3">
	   						<a href="/vz/cp/vzdir/infrman/hns/proxy/config">
		        			<sw:text>Configure email proxy settings</sw:text>
		        		</a>
		        	</ui:cell-text>
						</ui:row>
					</xsl:if>
					<!-- /Check email configuration -->
				</ui:rows>	
					
				<!-- System Email -->
				<ui:rows title="{sw:text('System Email Account')}" separate-tables="true">					
   				<ui:row>	
   					<ui:cell-text colspan="2">
   						<ui:text-disabled>
   							<sw:text>
   								Parallels Infrastructure Manager will send email notifications from this email account.
   							</sw:text>
   						</ui:text-disabled>
   					</ui:cell-text>
					</ui:row>	
   				<ui:row>	
   					<ui:cell-label>
	        		<sw:text>Email User Name</sw:text>
	        	</ui:cell-label>
	        	<ui:cell-input id="system_name" maxlength="255" value="{$form/mail-config/accounts/system/name}"/>
					</ui:row>	
   				<ui:row>	
   					<ui:cell-label>
	        		<sw:text>Email Address</sw:text>
	        	</ui:cell-label>
   					<ui:cell-input id="system_email" maxlength="255" value="{$form/mail-config/accounts/system/email}"/>
					</ui:row>						
				</ui:rows>
				<!-- /System Email -->
				
				<!-- Administrator Email -->
				<ui:rows title="{sw:text('Administrator Email Account')}" separate-tables="true">					
   				<ui:row>	
   					<ui:cell-text colspan="2">
   						<ui:text-disabled>
   							<sw:text>
   								The system will send administrative notifications to this email account.
   							</sw:text>
   						</ui:text-disabled>
   					</ui:cell-text>
					</ui:row>	
   				<ui:row>	
   					<ui:cell-label>
	        		<sw:text>Email User Name</sw:text>
	        	</ui:cell-label>
   					<ui:cell-input id="admin_name" maxlength="255" value="{$form/mail-config/accounts/admin/name}"/>
					</ui:row>	
   				<ui:row>	
   					<ui:cell-label>
	        		<sw:text>Email Address</sw:text>
	        	</ui:cell-label>
   					<ui:cell-input id="admin_email" maxlength="255" value="{$form/mail-config/accounts/admin/email}"/>
					</ui:row>						
				</ui:rows>
				<!-- /System Email -->
				
        <ui:buttons>
        	<xsl:call-template name="wiz:showButtons"/>
        </ui:buttons>
        
     	</ui:block>
    </ui:content>   
    </ui:screen>
  </xsl:template>
  
  
	<!-- main document handler -->
	<xsl:template mode="screen" match="/">
	
		<xsl:choose>
			<xsl:when test="$step = 'gen'">
				<xsl:call-template name="step_gen"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="step_gen"/>
			</xsl:otherwise>
			
		</xsl:choose>
	
	</xsl:template>
	
	<!-- Includes -->	
	<!-- UI modules -->
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/wizard.xsl"/>

	<!-- System modules -->
	<sw:include href="/lib/vocabulary.xsl"/>			
		
	<!-- /Includes -->	
	
</xsl:stylesheet>
