<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred swa-mailer"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:error	="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz		="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func	="http://exslt.org/functions"
  xmlns:local ="http://www.swsoft.com/xsl/cp/local"  
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:swa-mailer  ="http://www.swsoft.com/xsl/cp/swa-mailer"
	xmlns:vzhn  ="http://www.swsoft.com/xsl/cp/vzhn"	
 >
	<!-- VZL functionality modules -->	
	<sw:include href="/lib/swa/swa-mailer.xsl"/>
	<sw:include href="/lib/vz/vzhn-core.xsl"/>

	<xsl:param name="access-denied" select="not(  cred:check('vzcp.support.messaging')   )"/>

	<!-- main document handler -->
	<xsl:template mode="screen" match="/">

		<xsl:variable name="mail-config" select="swa-mailer:get-config()"/>
		

		<ui:screen  id="03.01.03.01.00">
  	
			<ui:tab-bar id="setup.messaging" current-tab="messaging"/>
			<ui:properties>
				<ui:form-get/>
				<ui:description width="full">
					<sw:text>On this screen you can view the current status of the Parallels Infrastructure Manager email messaging. If you wish to customize the email address Parallels Infrastructure Manager will use for system notifications and the Parallels Infrastructure Manager administrator's email address, or to enable/disable the email messaging, click Configure.</sw:text>
				</ui:description>
			</ui:properties>
			<ui:content>
				<ui:block>
					<ui:rows title="{sw:text('Notifications')}" separate-tables="true">
						<ui:row>
							<ui:cell-label><sw:text>Status</sw:text></ui:cell-label>
							<ui:cell-text>
								<ui:icon name="{sw:if($mail-config/notify = 'true','green','grey')}"/>
								&#160;<xsl:value-of select="sw:if($mail-config/notify = 'true',sw:text('Enabled'),sw:text('Disabled'))"/>
							</ui:cell-text>
						</ui:row>
					</ui:rows>
					<ui:rows title="{sw:text('Accounts')}" separate-tables="true">
						<ui:row>
							<ui:cell-label><sw:text>System Account</sw:text></ui:cell-label>
							<ui:cell-text><xsl:copy-of select="local:show-email($mail-config/accounts/system/name, $mail-config/accounts/system/email)"/></ui:cell-text>
						</ui:row>
						<ui:row>
							<ui:cell-label><sw:text>Administrative Account</sw:text></ui:cell-label>
							<ui:cell-text><xsl:copy-of select="local:show-email($mail-config/accounts/admin/name, $mail-config/accounts/admin/email)"/></ui:cell-text>
						</ui:row>
					</ui:rows>

					<ui:buttons>
						<ui:button tip="configure_messaging" sandclock="false" icon="preferences" type="ok"
							submit-href="{$baseurl}/core/messaging/configure"
						>
							<sw:text>Configure</sw:text>
						</ui:button>
					</ui:buttons>        
				</ui:block>
			</ui:content>   
		</ui:screen>
	</xsl:template>

	<func:function name="local:show-value">
		<xsl:param name="value"/>	
		<func:result>
			<xsl:choose>
				<xsl:when test="string($value)=''">
					<span class="inactive"><sw:text>Not specified</sw:text></span>
				</xsl:when>
				<xsl:otherwise><xsl:value-of select="$value"/></xsl:otherwise>
			</xsl:choose>
		</func:result>
	</func:function>
	
	<func:function name="local:show-email">
		<xsl:param name="name"/>
		<xsl:param name="address"/>		
		<func:result>
			<xsl:value-of select="$name"/>
			<xsl:if test="string($address)">
				&lt;<xsl:value-of select="$address"/>&gt;
			</xsl:if>	
		</func:result>
	</func:function>



	<!-- Includes -->	
	<!-- UI modules -->
	<sw:include href="/lib/screen.xsl"/>

	<!-- System modules -->
	<sw:include href="/lib/vocabulary.xsl"/>			
		
	<!-- /Includes -->	
	
</xsl:stylesheet>
