<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred auth local"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:error	="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz		="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func	="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:auth  ="http://www.swsoft.com/xsl/cp/auth"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
	xmlns:search="http://www.swsoft.com/xsl/cp/search"
	xmlns:html	="http://www.swsoft.com/xsl/cp/html"	
 >

	<sw:include href="/lib/core/search/screen-finder.xsl"/>	  

  <xsl:template mode="screen" match="/">
  	<xsl:variable name="screen-id" select="$request/http_request/post/parameter[name = 'screen_id']/value"/>
  	<xsl:variable name="screen-title" select="$request/http_request/post/parameter[name = 'screen_title']/value"/>
  	<xsl:variable name="screen-description" select="$request/http_request/post/parameter[name = 'screen_description']/value"/>
  
		<ui:screen id="17.00.00.00.00">
  	
	    <ui:properties>
	      <ui:refresh-type>none</ui:refresh-type>
	    </ui:properties>
	    
	    <ui:tab-bar id="support" current-tab="screen-finder"/>  
	    <ui:content>
	      <ui:block mode="edit" width="max">
	      
					<ui:rows title="{sw:text('Find Screen')}">
						<ui:row>			
							<ui:cell-label><sw:text>By ID</sw:text></ui:cell-label>
							<ui:cell-input value="{$screen-id}" id="screen_id" maxlength="14"/>
						</ui:row>	
						<ui:row>			
							<ui:cell-label><sw:text>By Title</sw:text></ui:cell-label>
							<ui:cell-input value="{$screen-title}" id="screen_title" maxlength="200"/>
						</ui:row>	
						<ui:row>			
							<ui:cell-label><sw:text>By Description</sw:text></ui:cell-label>
							<ui:cell-input value="{$screen-description}" id="screen_description" maxlength="200"/>
						</ui:row>	
					</ui:rows>
					
	        <ui:buttons>
	        	<ui:button id="ok" type="ok" tip="wizard_finish" name="submit_">      	
	      			<sw:text>Find Screen</sw:text>
	      		</ui:button>
	        </ui:buttons>

					<xsl:variable name="screens" select="sw:document('screens.xml')"/>
	        
	        <!-- Search by Screen ID -->
	        <xsl:if test="$screen-id!=''">		        
		        <xsl:variable name="screen" select="$screens//screen[@id=$screen-id]"/>
		     
						<xsl:choose>
							<xsl:when test="$screen">
								<xsl:for-each select="$screen">
									<xsl:call-template name="search:show-screen">
										<xsl:with-param name="screen"	select="."/>
										<xsl:with-param name="screens"	select="$screens"/>
									</xsl:call-template>
			     			</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="error:put(sw:text('No screen can be found with the ID you entered.'),'','screen_id')"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<!-- /Search by Screen ID -->
					
					<!-- Search by Screen Title -->
	        <xsl:if test="$screen-title!=''">		        
		        <xsl:variable name="screen" select="$screens//screen[contains(sw:uc(@title),sw:uc($screen-title)) or contains(sw:uc(@full-title),sw:uc($screen-title))]"/>
		     		     		
		     		<xsl:choose>
		     			<xsl:when test="$screen">
		     				<xsl:for-each select="$screen">
									<xsl:call-template name="search:show-screen">
										<xsl:with-param name="screen"	select="."/>
										<xsl:with-param name="screens"	select="$screens"/>
									</xsl:call-template>
			     			</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="error:put(sw:text('No screen can be found with the title you entered.'),'','screen_title')"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<!-- /Search by Screen ID -->
					
					<!-- Search by Screen Description -->
	        <xsl:if test="$screen-description!=''">		        
		        <xsl:variable name="screen" select="$screens//screen[contains(sw:uc(info),sw:uc($screen-description))]"/>
		     
						<xsl:choose>
							<xsl:when test="$screen">
								<xsl:for-each select="$screen">
									<xsl:call-template name="search:show-screen">
										<xsl:with-param name="screen"	select="."/>
										<xsl:with-param name="screens"	select="$screens"/>
									</xsl:call-template>
			     			</xsl:for-each>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="error:put(sw:text('No screen can be found with the description you entered.'),'','screen_description')"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<!-- /Search by Screen ID -->
	     
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template>
  
    
	<!-- Includes -->	
	<!-- UI modules -->
	<sw:include href="/lib/screen.xsl"/>

	<!-- System modules -->
	<sw:include href="/lib/vocabulary.xsl"/>

	
	<!-- /Includes -->	
	
</xsl:stylesheet>
