<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred form local browse"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"
  xmlns:error	="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz		="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func	="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse"   
	xmlns:form	="http://www.swsoft.com/xsl/cp/form"
 >
	
	<xsl:param name="wiz_code" select="'sm-user'"/>
  
	<xsl:variable name="step_data"	select="wiz:getStep()"/>
	<xsl:variable name="step"				select="$step_data/@id"/>
	<xsl:variable name="screenid"		select="$step_data/@screenid"/>

  <xsl:variable name="form" select="sw:sesget($wiz_data)"/>
    
  <!-- Wizard, Step 'General Settings' -->
  <xsl:template name="step_gen">
  	<ui:screen id="{$screenid}">
  		
  		<ui:properties>
  			<ui:form-get/>
  			<ui:refresh-type>none</ui:refresh-type>
			<ui:description mandatory="yes" width="full">
			 <sw:text>
			  On this screen you can set or change your user authentication and personal data.
			 </sw:text>
			</ui:description>
  		</ui:properties>
  		
  		<ui:tab-bar id="user.profile" current-tab="personal"/>
  		
  		<ui:content>
  			<ui:hidden name="step" value="gen"/>    
  			<ui:block mode="edit">      	   		
  				
  				<ui:rows title="{sw:text('Security Data')}">
  					<ui:row>
  						<ui:cell-label>
  							<sw:text>Login</sw:text>
  						</ui:cell-label>
  						<ui:cell-text>
  							<xsl:value-of select="$form/src/login"/>
  						</ui:cell-text>
  					</ui:row>
  					<xsl:if test="$form/src/is-system-realm='true' 
  						or $form/src/is-editable-realm='true'">
  						<ui:row>
  							<ui:cell-label>
  								<sw:text>Password</sw:text>
  							</ui:cell-label>
  							<ui:cell-input mode-password="true" id="pwd" maxlength="64">
  								<xsl:attribute name="value"><xsl:value-of select="$form/gen/pwd"/></xsl:attribute>
  							</ui:cell-input>
  						</ui:row>
  						<ui:row>
  							<ui:cell-label>
  								<sw:text>Retype the password</sw:text>
  							</ui:cell-label>
  							<ui:cell-input mode-password="true" id="pwd_re" maxlength="64">
  								<xsl:attribute name="value"><xsl:value-of select="$form/gen/pwd_re"/></xsl:attribute>
  							</ui:cell-input>
  						</ui:row>   		  						
  					</xsl:if>
  				</ui:rows>
  				
  				<ui:rows title="{sw:text('Personal Data')}">
  					<ui:row>
  						<ui:cell-label>
  							<sw:text>Full Name</sw:text>
  						</ui:cell-label>
  						<ui:cell-input id="displayName" value="{$form/user/displayName}" 
  							disabled="{sw:if($form/src/is-editable-realm='true','false','true')}"/>
  					</ui:row>
  					<!--
  					<ui:row>
  						<ui:cell-label>
  							<sw:text>Description</sw:text>
  						</ui:cell-label>
  						<xsl:choose>
  							<xsl:when test="$form/src/is-editable-realm='true'">
  								<ui:cell-input id="description" value="{$form/user/description}"/>  								
  							</xsl:when>
  							<xsl:otherwise>
  								<ui:cell-text><xsl:value-of select="$form/user/description"/></ui:cell-text>
  							</xsl:otherwise>
  						</xsl:choose>
  					</ui:row>
  					-->
						<xsl:if test="$form/src/mail-editable">  					
							<ui:row>
								<ui:cell-label>
									<sw:text>Email</sw:text>
								</ui:cell-label>
								<ui:cell-input id="mail" maxlength="255" width="50" value="{$form/gen/mail}"/>  								
							</ui:row>				
						</xsl:if>
  				</ui:rows>
  				
  				<xsl:if test="$form/src/is-editable-realm='true' 
  					or $form/src/is-system-realm='true'">
  					<ui:buttons>
  						<xsl:call-template name="wiz:showButtons">
  							<xsl:with-param name="show-cancel" select="false()"/>
  						</xsl:call-template>
  					</ui:buttons>
  				</xsl:if>
  				
  			</ui:block>
  			
  			<!-- VE Popup will post selected VEs into this hidden -->
  			<ui:hidden name="ve_add_ids"/>
  			
  		</ui:content>   
  	</ui:screen>  			
  	
  </xsl:template>
 
  
	<!-- main document handler -->
	<xsl:template mode="screen" match="/">
	
			<xsl:choose>
			
				<xsl:when test="$step = 'gen'">
					<xsl:call-template name="step_gen"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="step_gen"/>
				</xsl:otherwise>
				
			</xsl:choose>
		
	</xsl:template>
	
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/wizard.xsl"/>
	<sw:include href="../../../layout/forms-list.xsl"/>	

	<sw:include href="/lib/vocabulary.xsl"/>			
	
	
	
</xsl:stylesheet>
