<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred local show voc env hn units"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:error="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse"   
	xmlns:show	="http://www.swsoft.com/xsl/cp/show"   
	xmlns:voc		="http://www.swsoft.com/xsl/cp/voc"   		
	xmlns:env	="http://www.swsoft.com/xsl/cp/env"   	
	xmlns:hn	="http://www.swsoft.com/xsl/cp/hn"   	
	xmlns:units	="http://www.swsoft.com/xsl/cp/units"   	
 >
 
 	<!-- Import required modules -->
 	<sw:include href="/lib/core/units-core.xsl"/>
 	<sw:include href="/lib/vt/env-core.xsl"/>
 	<sw:include href="/lib/vt/env-select.xsl"/>
 	<sw:include href="/lib/vt/hn-core.xsl"/>
 	<sw:include href="/lib/vt/hn-select.xsl"/>
 	<sw:include href="/lib/farmdir/unitman/add/vz.xsl"/> 	
 	<!-- /Import required modules -->

  <xsl:param name="wiz_code" 					select="'cluster_add'"/>
  
	<xsl:variable name="step_data"			select="wiz:getStep()"/>
	<xsl:variable name="step"						select="$step_data/@id"/>
	<xsl:variable name="screen-id"			select="$step_data/@screen-id"/>
  <xsl:variable name="form" 					select="sw:sesget($wiz_data)"/>

	<xsl:param name="access-denied"	
		select="not(cred:check-unit('vzcp.unit.subunits.manage',$form/def/parent-dn))"/>
  
  <!-- Wizard, Step 'Start' -->
  <xsl:template name="step_start">
  	<ui:screen id="{$screen-id}">
  	
	    <ui:properties>
	    	<ui:form-get/>
	      <ui:refresh-type>none</ui:refresh-type>
	      <ui:description  mandatory="yes">
	        <sw:text>
	        	On this screen you can choose the type of items which will be added below the cluster unit.
	        </sw:text>
	      </ui:description>      
	    </ui:properties>
	    
	    <ui:content>
	      <ui:hidden name="step" value="start"/>    
	      <ui:block mode="view">
	      	
		   		<ui:rows title="{sw:text('Select Items Type')}">
		   		
		   			<!-- Unit -->
	 					<ui:row>
		 					<ui:cell-radio name="childs_type" id="childs_type_unit" value="unit.farm" checked="{$form/childs-type='unit.farm'}"/>
							<ui:cell cell-width="100%" align="left">
								<img src="/{$theme}/icons/file_manager_16.gif" border="0" width="16" height="16"/>
								&#160;<b><sw:text>Logical Unit</sw:text></b>
							</ui:cell>
						</ui:row>
						<ui:row>
							<ui:cell/>
							<ui:cell cell-width="100%">								
								<sw:text>
									<xsl:with-param name="parent" select="$form/def/parent-title"/>
									Specify a unit to create and add it as a child to "%{parent}".
								</sw:text>
							</ui:cell>
						</ui:row>			
						<!-- /Unit -->						
						
						<!-- Virtuozzo Env -->
	 					<ui:row>
		 					<ui:cell-radio name="childs_type" id="childs_type_env" value="env.core.vt" checked="{$form/childs-type='env.core.vt'}"/>
							<ui:cell cell-width="100%" align="left">
								<img src="/{$theme}/icons/env_running.gif" border="0" width="16" height="16"/>
								&#160;<b><sw:text>Container(s)</sw:text></b>
							</ui:cell>
						</ui:row>
						<ui:row>
							<ui:cell/>
							<ui:cell cell-width="100%">
								<sw:text>
									<xsl:with-param name="parent" select="$form/def/parent-title"/>
									Select some of the existing Containers and add them as children to "%{parent}".
								</sw:text>
							</ui:cell>
						</ui:row>			
						<!-- /Virtuozzo Env -->
						
						<!-- Virtuozzo HN -->
	 					<ui:row>
		 					<ui:cell-radio name="childs_type" id="childs_type_hn" value="hn.core.vt" checked="{$form/childs-type='hn.core.vt'}"/>
							<ui:cell cell-width="100%" align="left">								
								<img src="/{$theme}/icons/nav_server.gif" border="0" width="16" height="16"/>
								&#160;<b><sw:text>Virtuozzo Hardware Node(s)</sw:text></b>
							</ui:cell>
						</ui:row>
						<ui:row>
							<ui:cell/>
							<ui:cell cell-width="100%">								
								<sw:text>
									<xsl:with-param name="parent" select="$form/def/parent-title"/>
									Select some of the available Virtuozzo Hardware Nodes and add them as children to "%{parent}".
								</sw:text>
							</ui:cell>
						</ui:row>			
						<!-- /Virtuozzo HN -->
						
					</ui:rows>
					
	        <ui:buttons>
	        	<xsl:call-template name="wiz:showButtons">
	        		<xsl:with-param name="submit-title" select="sw:text('Next')"/>
							<xsl:with-param name="next-title" select="sw:text('Next')"/>	        		
	        	</xsl:call-template>
	        </ui:buttons>
	        
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template>
  
	<!-- Step "Select VZ HNs" -->
  <xsl:template name="step_select_hns">
  
  	<ui:screen id="{$screen-id}">
  	
	    <ui:properties>
	      <ui:refresh-type>none</ui:refresh-type>    
	    </ui:properties>
	    
	    <ui:content>
	      <ui:hidden name="step" value="select_hns"/>    
	      <ui:block mode="edit">
					
					<ui:rows>
	      		<xsl:attribute name="title">
							<sw:text>Hardware Nodes</sw:text>
						</xsl:attribute>
						<ui:row>
							<ui:cell-text>
								<sw:text>
									<xsl:with-param name="parent" select="$form/def/parent-title"/>
									Please select the Hardware Nodes to be added to the %{parent} folder.
								</sw:text>
							</ui:cell-text>
						</ui:row>						  
						<xsl:call-template name="hn:multi-selector">						
							<xsl:with-param name="eids" select="$form/hns/eid"/>
						</xsl:call-template>
					</ui:rows>
	      
	        <ui:buttons>
	        	<xsl:call-template name="wiz:showButtons">
	        		<xsl:with-param name="submit-title" select="sw:text('Save')"/>
	        		<xsl:with-param name="submit-sandclock" select="false()"/>	        		
							<xsl:with-param name="next-title" select="sw:text('Next')"/>	        		
	        	</xsl:call-template>
	        </ui:buttons>
	        
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template> 
  
  <!-- Step "Specify Unit" -->
  <xsl:template name="step_specify_unit">
  
  	<xsl:variable name="current-tree" select="units:dn2tree($form/def/parent-dn)"/>  		
  	<xsl:variable name="folder-types" select="units:folder-types()[not(@tree) or @tree=$current-tree]"/>  	
  	
  	<ui:screen id="{$screen-id}">
  	
	    <ui:properties>
	      <ui:refresh-type>none</ui:refresh-type>
	      <ui:description  mandatory="yes">
	        <sw:text>
	        	Specify the name and the type (icon) of the new folder. The folder will be created on the current infrastructure level, which you can see above the 'Add Folder' screen title. You will be able to populate the created folder with Hardware Nodes and Containers for their group managing.
	        </sw:text>
	      </ui:description>      
	    </ui:properties>
	    
	    <ui:content>
	      <ui:hidden name="step" value="specify_unit"/>    
	      <ui:block mode="edit">
	      
	      	<ui:rows title="{sw:text('Folder Title')}">	   			      	
						<ui:row>
							<ui:cell-label cell-width="10px" >
					        		<sw:text></sw:text>
					        	</ui:cell-label>
							<ui:cell-input id="title" required="true"  maxlength="1000" 
								value="{$form/unit/title}"
							/>
						</ui:row>						
					</ui:rows>	 
	      
	      	<xsl:choose>
	      		<xsl:when test="count($folder-types)=1">
	      			<ui:hidden name="type" value="{$folder-types[1]/@type}" />
	      		</xsl:when>
	      		<xsl:when test="count($folder-types) &gt; 1">
			      	<ui:rows title="{sw:text('Folder Icon')}">	   			      	
			      		<xsl:for-each select="$folder-types">
				      		<ui:row>
					 					<ui:cell-radio name="type" id="type_{position()}" value="{@type}" checked="{@type = 1}"/>
										<ui:cell cell-width="100%" align="left">
											<img src="/{$theme}/icons/{@icon}_16.gif" border="0" width="16" height="16"/>
											&#160;<xsl:value-of select="@title"/>
										</ui:cell>
									</ui:row>
								</xsl:for-each>
			      	</ui:rows>
			      </xsl:when>
			      <xsl:otherwise>
			      	<sw:die>
			      		No any avaiable folder icons for tree <xsl:value-of select="$current-tree"/>
			      	</sw:die>
			      </xsl:otherwise>
			   	</xsl:choose>
	      
	        <ui:buttons>
	        	<xsl:call-template name="wiz:showButtons">
	        		<xsl:with-param name="submit-title" select="sw:text('Save')"/>
	        		<xsl:with-param name="submit-sandclock" select="false()"/>	        		
							<xsl:with-param name="next-title" select="sw:text('Next')"/>	        		
	        	</xsl:call-template>
	        </ui:buttons>
	        
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template>  
  
  
	<!-- Step "Select Envs" -->
	<xsl:template name="step_select_envs">
  
		<ui:screen id="{$screen-id}">
  	
			<ui:properties>
				<ui:refresh-type>none</ui:refresh-type>    
			</ui:properties>
	    
			<ui:content>
				<ui:hidden name="step" value="select_envs"/>    
				<ui:block mode="edit">
		      	    	      
			      	<ui:rows>
						<xsl:attribute name="title">
							<sw:text>Containers</sw:text>
						</xsl:attribute> 
						<ui:row>
							<ui:cell-text>
								<sw:text>
									<xsl:with-param name="parent" select="$form/def/parent-title"/>
									Please select the Containers to be added to the %{parent} folder.
								</sw:text>
							</ui:cell-text>
						</ui:row>
						<xsl:call-template name="env:multi-selector">						
							<xsl:with-param name="eids" select="$form/envs/eid"/>
						</xsl:call-template>
					</ui:rows>
				      
					<ui:buttons>
				        	<xsl:call-template name="wiz:showButtons">
							<xsl:with-param name="submit-title" select="sw:text('Save')"/>
							<xsl:with-param name="submit-sandclock" select="false()"/>	        		
							<xsl:with-param name="next-title" select="sw:text('Next')"/>	        		
						</xsl:call-template>
					</ui:buttons>
		        
				</ui:block>
			</ui:content>   
		</ui:screen>
	</xsl:template>  
  
	<!-- main document handler -->
	<xsl:template mode="screen" match="/">
			<xsl:choose>
				<xsl:when test="$step = 'start'">
					<xsl:call-template name="step_start"/>
				</xsl:when>
				<xsl:when test="$step = 'select_hns'">
					<xsl:call-template name="step_select_hns"/>
				</xsl:when>
				<xsl:when test="$step = 'select_envs'">
					<xsl:call-template name="step_select_envs"/>
				</xsl:when>
				<xsl:when test="$step = 'specify_unit'">
					<xsl:call-template name="step_specify_unit"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="step_start"/>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>			
	
	<!-- UI modules -->
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/wizard.xsl"/>
	
	<!-- System modules -->
	<sw:include href="/lib/common.xsl"/>			

		
</xsl:stylesheet>
