<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred func perms"
	xmlns:func="http://exslt.org/functions" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common" xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui" xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:perms="http://www.swsoft.com/xsl/cp/perms" xmlns:units="http://www.swsoft.com/xsl/cp/units">

	<sw:include href="/lib/sysdir/securman/perms-ui.xsl"/>
	<sw:include href="/lib/core/units-core.xsl"/>
	<xsl:param name="access-denied" select="not(cred:check('vzcp.virtuozzo_group.security.roles'))"/>

	<!-- check permissions to show this page -->
	<xsl:template mode="screen" match="/">
		<xsl:if test="not($access-denied)">
			<xsl:variable name="unit-id" select="units:current-dn()"/>
			
			<ui:screen id="10.00.00.01.09">
				
				<ui:properties>
					<ui:form-get/>
					<ui:description width="full">
						<sw:text>
							On this screen you can view a list of permissions, create a new permission, or delete an existing one. A permission is a role assigned to some user (group) and defining the set of operations this user (group) is allowed to perform in the context of all the objects included in the current folder.
						</sw:text>
					</ui:description>
				</ui:properties>
				
				<xsl:call-template name="units:define-unit-toolbars"/>
				<ui:tab-bar id="unit" current-tab="security"/>
				<ui:content>
					<xsl:call-template name="perms:show-obj-perms">
						<xsl:with-param name="screen-url" select="'/farmdir/unitman/units/perms/index'"/>
						<xsl:with-param name="action-url"
							select="concat($baseurl,'/sysdir/securman/perms/obj-list-control')"/>
						<xsl:with-param name="item-url" select="/.."/>
						<xsl:with-param name="obj-id" select="$unit-id"/>
						<xsl:with-param name="obj-type" select="'unit.farm'"/>
					</xsl:call-template>
				</ui:content>
				
			</ui:screen>
		</xsl:if>
	</xsl:template>


	<sw:include href="/lib/screen.xsl"/>

</xsl:stylesheet>
