<!--
	Copyright (c) SWsoft, 1999-2007
	All rights reserved.
-->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred trace func units local"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:func			="http://exslt.org/functions"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp" 
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred" 
	xmlns:trace="http://www.swsoft.com/xsl/cp/trace"
	xmlns:local="http://www.swsoft.com/xsl/cp/local"
	xmlns:units="http://www.swsoft.com/xsl/cp/units"
>

	<sw:include href="/lib/core/units-core.xsl"/>
	<sw:include href="/lib/core/units-tree.xsl"/>
	<sw:include href="/layout/ext-cluster.xsl"/>	
	
	<xsl:variable name="selected-get" select="sw:base64-decode(sw:param('id'))"/>	
	<xsl:variable name="level" select="sw:param('level')"/>
	<xsl:variable name="tree-dn" select="sw:param('tree-id')"/>

	<!-- search vzenv screen in path -->
	<xsl:template mode="screen" match="/">
		<ui:body-screen>			
			<ui:content>
				<ui:raw>
					<xsl:call-template name="local:tree"/>
					<xsl:comment><![CDATA[<<<<<]]><xsl:value-of select="$tree-dn"/><![CDATA[>>>>>]]></xsl:comment>					
				</ui:raw>
			</ui:content>
		</ui:body-screen>			
	</xsl:template>	

	<xsl:variable name="parent">
		<xsl:choose>
			<xsl:when test="units:are-dns-equal($tree-dn,units:infra-top-dn())">infrastructure.units</xsl:when>
			<xsl:when test="units:are-dns-equal($tree-dn,units:logical-top-dn())">logical.units</xsl:when>
			<xsl:otherwise>other</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:template name="local:tree">
		<xsl:variable name="units" select="units:build-tree($tree-dn,true())"/>			
		<xsl:call-template name="show-units">
			<xsl:with-param name="units" select="$units/ui:cluster-unit"/>
			<xsl:with-param name="selected-item" select="$selected-get"/>
			<xsl:with-param name="display-mode" select="'menu'"/>
			<xsl:with-param name="level" select="sw:if(($level &gt; 0), $level, 0)"/>
			<xsl:with-param name="parent" select="$parent"/>
		</xsl:call-template>
	</xsl:template>		

	<sw:include href="/lib/screen.xsl"/>

</xsl:stylesheet>
