<!--
    Copyright (c) SWsoft, 1999-2007
    All rights reserved.
-->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sw="http://www.swsoft.com/xsl/cp"
    xmlns:exsl="http://exslt.org/common" xmlns:ui="http://www.swsoft.com/xsl/cp/ui">
    
    <xsl:template mode="screen" match="/">
        <xsl:variable name="tool" select="sw:if($activeMode = 'vzcc', 'cc', 'pp')"/>
        <xsl:variable name="index" select="concat($tool,'/',$active_lang_id,'/','indexpage.xml')"/>
        <xsl:variable name="deflang"
            select="sw:document('languages.xml')/languages/language[default]/id"/>
        <xsl:variable name="defindex" select="concat($tool,'/',$deflang,'/','indexpage.xml')"/>

        <xsl:variable name="indexdoc" select="sw:document($index,'help','noerror')"/>

        <xsl:variable name="rfc-index">
            <xsl:choose>
                <xsl:when test="not($indexdoc)">
                    <xsl:apply-templates mode="filter" select="sw:document($defindex,'help')/tree/*"
                    />
                </xsl:when>
                <xsl:otherwise>
                    <xsl:apply-templates mode="filter" select="$indexdoc/tree/*"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>

        <ui:simple-screen>
            <ui:content>
                <ui:tree-help>
                    <xsl:copy-of select="exsl:node-set($rfc-index)/*"/>
                </ui:tree-help>
            </ui:content>
        </ui:simple-screen>
    </xsl:template>

    <xsl:template match="item" mode="filter">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
            <xsl:element name="title">
                <xsl:value-of select="@name"/>
            </xsl:element>
            <xsl:apply-templates mode="filter" select="*"/>
        </xsl:copy>
    </xsl:template>

    <sw:include href="../lib/globals.xsl"/>
    <sw:include href="/lib/screen.xsl"/>
</xsl:stylesheet>
