<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sw="http://www.swsoft.com/xsl/cp"
    xmlns:exsl="http://exslt.org/common" xmlns:ui="http://www.swsoft.com/xsl/cp/ui">
    <xsl:template mode="screen" match="/">
        <xsl:variable name="tool" select="sw:if($activeMode = 'vzcc', 'cc', 'pp')"/>
        <xsl:variable name="toc" select="concat($tool,'/',$active_lang_id,'/','toc.xml')"/>
        <xsl:variable name="deflang"
            select="sw:document('languages.xml')/languages/language[default]/id"/>
        <xsl:variable name="deftoc" select="concat($tool,'/',$deflang,'/','toc.xml')"/>
        
        <xsl:variable name="tocdoc" select="sw:document($toc,'help','noerror')"/>
        
        <xsl:variable name="rfc-tocdoc">
            <xsl:choose>
                <xsl:when test="not($tocdoc)">
                    <xsl:apply-templates mode="filter" select="sw:document($deftoc,'help')/tree/*[*]"/>
                    <xsl:apply-templates mode="filter" select="sw:document($deftoc,'help')/tree/*[not(*)]"/>                    
                </xsl:when>
                <xsl:otherwise>
                    <xsl:apply-templates mode="filter" select="$tocdoc/tree/*[*]"/>
                    <xsl:apply-templates mode="filter" select="$tocdoc/tree/*[not(*)]"/>
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        
        <ui:simple-screen>
            <ui:content>
                <ui:tree-help target="BODY">
                    <xsl:copy-of select="exsl:node-set($rfc-tocdoc)/*"/>
                </ui:tree-help>
            </ui:content>
        </ui:simple-screen>
    </xsl:template>

    <xsl:template match="item" mode="filter">
        <xsl:copy>
            <xsl:copy-of select="@*"/>
            <xsl:element name="title"><xsl:value-of select="@name"/></xsl:element>
            <xsl:apply-templates mode="filter" select="*"/>
        </xsl:copy>
    </xsl:template>

    <sw:include href="../lib/globals.xsl"/>
    <sw:include href="/lib/screen.xsl"/>
</xsl:stylesheet>
