<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl units env securitym"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:units="http://www.swsoft.com/xsl/cp/units"
	xmlns:env="http://www.swsoft.com/xsl/cp/env"
	xmlns:securitym="http://www.swsoft.com/xsl/cp/securitym"
>

	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/core/units-core.xsl"/>

	<xsl:output method="xml"/>

	<!-- Request parameters -->
	<xsl:variable name="type" select="$request/http_request/get/parameter[name = 'type']/value"/>
	<xsl:variable name="menu-id" select="$request/http_request/get/parameter[name = 'menu']/value"/>
	<xsl:variable name="oid" select="$request/http_request/get/parameter[name = 'obj']/value"/>
	<xsl:variable name="obj-id" select="sw:if($oid='list','',$oid)"/>

	<xsl:template match="/">
		<xsl:variable name="scope-rtf">
				<xsl:choose>
					<xsl:when test="$type='ve' or $type='hw'">
						<xsl:copy-of select="securitym:env-scope($obj-id)/*"/>
					</xsl:when>
					<xsl:when test="$type='unit'">
						<xsl:copy-of select="securitym:unit-scope($obj-id)"/>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
		</xsl:variable>
		<xsl:variable name="scope" select="exsl:node-set($scope-rtf)"/>		
		<data>
		[script]
			var tmt='<xsl:value-of select="$type"/>';
			var tmm='<xsl:value-of select="$menu-id"/>';
			var tmo='<xsl:value-of select="$obj-id"/>';
			var tmc=0;
			<xsl:for-each select="sw:document('cc/menu.xml')/menu/context-menu[@id=$menu-id]/item">
				<xsl:if test="@label-id!='-' and ( @cred or @security-op-id )">
					<xsl:variable name="sc" select="sw:if(@security-obj-type!='',$scope,/..)"/>
					<xsl:if test="( @security-op-id and not(securitym:check-operation(@security-op-id,$sc)) ) 
						or ( @cred and not(securitym:check-access(@cred,$sc)) )">
						authCheck.base['<xsl:value-of select="$menu-id"/>|<xsl:value-of select="$oid"/>'].rights[tmc++]='<xsl:value-of select="@label-id"/>';
					</xsl:if>
				</xsl:if>
			</xsl:for-each>
		[/script]
		</data>
	</xsl:template>

	<sw:include href="/lib/globals.xsl"/>
	<sw:include href="/lib/vocabulary.xsl"/>

</xsl:stylesheet>
