
<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl local user"
	xmlns:xsl=	"http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl=	"http://exslt.org/common"
	xmlns:sw=	"http://www.swsoft.com/xsl/cp"
	xmlns:ui=	"http://www.swsoft.com/xsl/cp/ui"
	xmlns:authm="http://www.swsoft.com/xsl/cp/authm"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"	
	xmlns:user="http://www.swsoft.com/xsl/cp/user"
	xmlns:browse ="http://www.swsoft.com/xsl/cp/browse"
	xmlns:env="http://www.swsoft.com/xsl/cp/env"
  >

	<sw:include href="/lib/panel/homepage.xsl"/>
	<sw:include href="/lib/swa/authm.xsl"/>
		
	<sw:include href="/lib/core/browse-filter-raw.xsl"/>
	<sw:include href="/lib/vt/env-core.xsl"/>	

	<xsl:template match="/">

		<xsl:variable name="browse_request">
			<packet>
				<target>op_log</target>
				<data>
					<op_log>
						<get_ops>
							<current/>
							<status/>
						</get_ops>
					</op_log>
				</data>
			</packet>    
		</xsl:variable>							
					
		<xsl:variable name="browse_result" select="sw:xchg($browse_request)"/>
		<xsl:variable name="list" select="$browse_result/packet/data/op_log/progress[not(parent_id)]"/>
		<xsl:variable name="counter" select="count($list)"/>

		<ui:simple-frame>
			<ui:properties>
				<ui:html-body onresize="taskbarResize()"/>
			</ui:properties>
			<ui:content>
				<ui:task-bar-header counter="{$counter}"/>
				<ui:block width="full">
					<!-- Prepare Browse -->
					<xsl:variable name="filter_init_">
						<xsl:call-template name="browse:init-filter">
							<xsl:with-param name="browse">
								<ui:browse-setup id="global_list" post-only-rows="true" show-empty="true"/>
								<ui:cols sorting-direction="desc">
									<ui:column id="started" data-type="datetime"  sorting="no" title="{sw:text('Started')}"/>
									<ui:column id="task-op" apply-templates="yes" sorting="no" title="{sw:text('Operation')}"/>
									<ui:column id="task-message" apply-templates="no" sorting="no" title="{sw:text('Message')}"/>
									<ui:column id="env-list" apply-templates="yes" sorting="no" title="{sw:text('Object')}"/>
									<ui:column id="task-status" apply-templates="yes" sorting="no" title="{sw:text('Status')}">
								</ui:column>
								<ui:column id="task-details" apply-templates="yes" sorting="no" title=""/>
								</ui:cols>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:variable>
	
					<xsl:variable name="filter">
						<xsl:call-template name="browse:fill-filter">
							<xsl:with-param name="filter" select="exsl:node-set($filter_init_)"/>
							<xsl:with-param name="rows">					
								<ui:browse-rows>
									<xsl:for-each select="$list">
										<ui:row>
											<started><xsl:value-of select="time"/></started>
											<xsl:copy-of select="id"/>
											<task-op><xsl:copy-of select="op/node()"/></task-op>
											<task-message></task-message>
											<env-list>
												<xsl:if test="eid_list/eid">
													<xsl:for-each select="eid_list/eid">
														<ui:env-eid-link>
															<xsl:value-of select="."/>
														</ui:env-eid-link>
													</xsl:for-each>
												</xsl:if>
											</env-list>
											<task-status><xsl:copy-of select="status/node()"/></task-status>
											<task-details/>
										</ui:row> 
									</xsl:for-each> 
								</ui:browse-rows>
							</xsl:with-param>        					
						</xsl:call-template>
					</xsl:variable>
	
					<!-- /Prepare Browse -->
					<ui:browse title="{sw:text('Active Tasks')}">
						<ui:filter>
							<xsl:copy-of select="$filter"/>
						</ui:filter>
					</ui:browse>  						
				</ui:block>
				
			</ui:content>
		</ui:simple-frame>
	</xsl:template>
	

	<sw:include href="/lib/globals.xsl"/>
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/layout/ext-taskbar.xsl"/>	

</xsl:stylesheet>
