
<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl local user"
	xmlns:xsl=	"http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl=	"http://exslt.org/common"
	xmlns:sw=	"http://www.swsoft.com/xsl/cp"
	xmlns:ui=	"http://www.swsoft.com/xsl/cp/ui"
	xmlns:authm="http://www.swsoft.com/xsl/cp/authm"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"	
	xmlns:user="http://www.swsoft.com/xsl/cp/user"
  >

	<sw:include href="/lib/panel/homepage.xsl"/>
	<sw:include href="/lib/swa/authm.xsl"/>
		
		
	<xsl:template match="/">
		<sw:die test="not(  $activeMode='vzcc'  )">
			Access denied
		</sw:die>

		<ui:raw>
			<html>
				<head>
					<link rel="stylesheet" type="text/css" href="/{$theme}/top.css"/>
					<link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/>
					<link rel="stylesheet" type="text/css" href="/{$theme}/banners.css"/>
					<script type="text/javascript" src="/vz/js/common_script.js"/>
				</head>
				
				<body marginheight="0" marginwidth="0" topmargin="0" leftmargin="0" class="topFrame">
					<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0" height="48">
						<!-- HEADER  id="header" -->
						<tr> 
							<td width="100%">
								<table cellspacing="0" cellpadding="0" width="100%" border="0">
									<tr>
										<td>
											<a href="{sw:home-page()}" target="{$def_target}">
												<img id="topLogo" src="/{$theme}/images/logo_pim.gif" width="170" height="40" vspace="3" hspace="15" alt="{sw:text('Parallels Infrastructure Manager')}" title="{sw:text('Parallels Infrastructure Manager')}" border="0"/>
											</a>
										</td>
										<td width="100%" align="right" valign="middle" class="HeaderRight">
											<table border="0">
												<tr>
													<xsl:call-template name="local:global-search"/>
													<td style="white-space:nowrap;">
													<small>
														<sw:text>Logged in as</sw:text>
														<xsl:variable name="user" select="authm:get-user(sw:login()/login)"/>
														<xsl:variable name="name" select="sw:if($user, normalize-space($user/data/displayName), '')"/>
														<b>&#160;<xsl:value-of select="sw:if($name != '',$name, $login)"/></b>
													</small>
												</td>
												<td nowrap="nowrap">
													<small>
														<a target="main" href="{$baseurl}/core/settings/panel" title="{sw:text('Manage your profile.')}">
															<img src="/{$theme}/icons/top_user_16.gif" width="16" height="16" hspace="5" border="0"/>
															<sw:text>User Profile</sw:text>
														</a>
													</small>
												</td>
												<td nowrap="nowrap">
													<small>
													<a target="_top" href="{$baseurl}/logout" onclick="" title="{sw:text('Sign out of Parallels Infrastructure Manager.')}">
														<img src="/{$theme}/icons/logout_16.gif" width="16" height="16" hspace="5" border="0"/>
														<sw:text>Sign Out</sw:text>
													</a>														
													</small>
												</td>
												</tr>
											</table>
										</td>
										
										<td>
											<table border="0" cellpadding="0" cellspacing="0">
											<tr>
												<td>
													<img src="/{$theme}/images/1x1.gif" width="10" height="1"/>
												</td>
												
											<xsl:if test="$config/vzcpcon/banners">
												<td id="banners_td" align="right" style="display:{sw:if(sw:sesgetstr('vzcc_banners')='false','none','block')}">
													<table border="0" cellpadding="0" cellspacing="0">
													<tr>
														<xsl:for-each select="$config/vzcpcon/banners/banner">
															<td style="padding-left:5px">
																<xsl:variable name="banner">
																	<ui:banner image="{normalize-space(image)}" url="{normalize-space(url)}" >
																		<sw:text select="body/child::node()"/>
																	</ui:banner>
																</xsl:variable>
																<xsl:apply-templates select="exsl:node-set($banner)/ui:banner"/>
															</td>
														</xsl:for-each>
													</tr>
													</table>
												</td>
												<td style="padding-left:10px">
													<img id="banners_pic" src="/{$theme}/images/barr_{sw:if(sw:sesgetstr('vzcc_banners')='false','lt','gt')}.gif"
													onclick="document.getElementById('banners_td').style.display=(document.getElementById('banners_td').style.display=='none')?'':'none';

													var pic=this.src;
													if (pic.indexOf('arr_lt')==-1) this.src=pic.replace(/arr_gt/,'arr_lt'); else this.src=pic.replace(/arr_lt/,'arr_gt');
													var request = window.AJAXRequest();
													if (!request) return;
													var URI='{$baseurl}/core/settings/panel-dynamic?vzcc_banners=';
													URI+=document.getElementById('banners_td').style.display=='none'?'0':'1';
													request.open( 'GET', URI, true );
													request = window.AJAXRequestHeader( request, '' );"
													style="cursor:pointer" 
													title="{sw:text('Show/hide the buttons pane.')}"/>
												</td>
										</xsl:if>
										
											</tr>
											</table>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<!-- /HEADER -->
					</table>
				</body>
			</html>
		</ui:raw>
	</xsl:template>
	
	<xsl:template name="local:global-search">
		<xsl:variable name="def-text" select="sw:html-escape(sw:text('Search whole system'),'escape-all')"/>
		<td style="white-space:nowrap;padding-right:15px">
			<table cellpadding="0" cellspacing="0" border="0" title="{sw:text('Search for the entered string in the properties of Hardware Nodes, Containers, templates, and backups.')}">
				<tr>
					<td><img src="/{$theme}/images/1x1.gif" width="2" height="16" border="0"/></td>
					<td><input id="globalSearchField" class="globalSearchDefault" value="{$def-text}" onfocus="if(this.value=='{$def-text}') this.value = '';this.className='globalSearch'" onKeyPress="if(event.keyCode == 13) return top.main.globalSearch(this.value)" name="global_search"/></td>
					<td><img style="cursor:hand;cursor:pointer" src="/{$theme}/icons/top_search_16.gif" width="16" height="16" hspace="1" onclick="return top.main.globalSearch(document.getElementById('globalSearchField').value)"/></td>
					<td><img src="/{$theme}/images/1x1.gif" width="2" height="16" border="0"/></td>
				</tr>
			</table>
		</td>	
	</xsl:template>

	<sw:include href="/lib/globals.xsl"/>
	<!--<sw:include href="/lib/header.xsl"/>-->
	<sw:include href="/lib/common.xsl"/>
	<sw:include href="/layout/ext-banner.xsl"/>	

</xsl:stylesheet>
