<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:ve="http://www.swsoft.com/xsl/cp/ve"
  >
	<xsl:output method="xml" encoding="UTF-8"/>

	<xsl:template match="/">
		<ui:raw>
			<html>
				<head>
					<link rel="stylesheet" type="text/css" href="/{$theme}/top.css"/>
					<link rel="stylesheet" type="text/css" href="/{$theme}/common.css"/>        
					<script language="JavaScript">
					function topMux(){
					<xsl:choose>
						<!-- Trasition - always refreshin' -->
						<xsl:when test="ve:context-transition()">
							top.reloadMode = 'transition';
							top.reloadTime = 30;
						</xsl:when>
						<xsl:when test="$refresh_period &gt; 0">
							<!-- State, Refresh by timer -->
							top.reloadMode = 'timer';
							top.reloadTime= '<xsl:value-of select="$refresh_period"/>';
						</xsl:when>
						<xsl:otherwise>
							<!-- State, Smart resfresh (click+timer) -->     
							top.reloadMode = 'smart';
							top.reloadTime = 60;       
						</xsl:otherwise>
					</xsl:choose>
					var time = top.reloadTime * 1000;     
					if (top.reloadMode == 'smart'){
					window.smart_refresh_flag = 0;     
					setTimeout ("if(top.topframe) top.topframe.smart_refresh_flag = 1;", time);
					}else{
					setTimeout("if(top.topframe) top.topframe.location.reload()",time);
					}
					}
					
					</script>
				</head>
				<body marginheight="0" marginwidth="0" topmargin="0" leftmargin="0" onload="topMux();" class="topFrame">
					<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0" id="header">
						<!-- HEADER -->
						<tr>
							<td width="100%">
								<xsl:call-template name="header"/>
							</td>
						</tr>
						<!-- /HEADER -->
					</table>
				</body>
			</html>
		</ui:raw>
	</xsl:template>


	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/globals.xsl"/>
  <sw:include href="/lib/header.xsl"/>
  <sw:include href="/lib/cred.xsl"/>
  <sw:include href="/lib/common.xsl"/>

</xsl:stylesheet>
