<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<!--
  SSO Proxied Authentication Handler
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl swa-mailer func local"
  xmlns:xsl      ="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl  ="http://exslt.org/common"
  xmlns:sw    ="http://www.swsoft.com/xsl/cp"
  xmlns:ui    ="http://www.swsoft.com/xsl/cp/ui"
  xmlns:swa-mailer="http://www.swsoft.com/xsl/cp/swa-mailer"
  xmlns:local ="http://www.swsoft.com/xsl/cp/local"
  xmlns:func  ="http://exslt.org/functions"
  xmlns:authm ="http://www.swsoft.com/xsl/cp/authm"
  xmlns:http  ="http://www.swsoft.com/xsl/cp/http"
  xmlns:vzenv ="http://www.swsoft.com/xsl/cp/vzenv"
  xmlns:env   ="http://www.swsoft.com/xsl/cp/env"
  >

  <xsl:output method="html"/>

  <sw:include href="/lib/globals.xsl"/>
  <sw:include href="/lib/sso.xsl"/>
  <sw:include href="/lib/swa/authm.xsl"/>

  <!-- input parameters -->
  <xsl:variable name="user-name" select="/http_request/*[self::post or self::get]/parameter[name = 'user_name']/value"/>
  <xsl:variable name="password"  select="/http_request/*[self::post or self::get]/parameter[name = 'password' ]/value"/>
  <!-- attempt to authenticate on all realms -->
  <xsl:variable name="all-realms" select="authm:list-realms()"/>
  <xsl:variable name="sid"        select="sw:get-sid($user-name, $password, $all-realms)"/>


  <!-- output plain text HTTP response -->
  <xsl:template match="/"> 
		<xsl:text select="$all-realms"/>
    <xsl:choose>   
      <xsl:when test="$sid">
        <http:header>
          <name>Status</name>
          <value>200 OK</value>
        </http:header>
        <http:header>
          <name>Content-type</name>
          <value>text/plain</value>
        </http:header>
				<xsl:text>user_id = </xsl:text><xsl:value-of select="concat(sw:base64-encode($user-name),'_',$sid)"/>
      </xsl:when>
      <xsl:otherwise>
        <!-- Headers: HTTP/1.0 204 No Content -->
        <http:header>
          <name>Status</name>
          <value>204 No Content</value>
        </http:header>      
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


</xsl:stylesheet>
