<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl browse cred authm groups dirm request"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:browse="http://www.swsoft.com/xsl/cp/browse" 
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"   
  xmlns:env="http://www.swsoft.com/xsl/cp/env" 
  xmlns:hwm="http://www.swsoft.com/xsl/cp/hwm"
  xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
  xmlns:authm  ="http://www.swsoft.com/xsl/cp/authm"
	xmlns:groups ="http://www.swsoft.com/xsl/cp/groups"
  xmlns:dirm  ="http://www.swsoft.com/xsl/cp/dirm"
  xmlns:request	="http://www.swsoft.com/xsl/cp/request"
>
	<sw:include href="/lib/swa/dirm.xsl"/>
	<sw:include href="/lib/swa/authm.xsl"/>
	<sw:include href="/lib/sysdir/securman/groups.xsl"/>	


  <!-- check permissions to show this page -->
	<xsl:template mode="screen" match="/">
		<xsl:variable name="control-id" select="sw:param('control-id')"/>
		<xsl:variable name="id-attr-get" select="sw:param('id-attr')"/>
		<xsl:variable name="id-attr" select="sw:if($id-attr-get!='',$id-attr-get,'cn')"/>
		
		<ui:popup-screen id="03.01.01.04.08" cred="vzcp.virtuozzo_group.security.usergroups" title="{sw:text('Group Selector')}" icon="group">
	
	    <ui:properties>
	      <ui:form-get/>
	    	<ui:js-tail>
					<script language="JavaScript">
						function selectGroup(id,title){								
							parent.opener.document.defaultForm.<xsl:value-of select="$control-id"/>.value=id; 
							parent.opener.document.defaultForm.<xsl:value-of select="$control-id"/>_title.value=title; 
							window.close();
						}				
					</script>
	    	</ui:js-tail>
	    	<ui:description>
	    		<sw:text>
	    			Click on the required group to select it.
	    		</sw:text> 
	    	</ui:description>
	    </ui:properties>

	    <ui:content>
	    
				<!-- Prepare Filter -->
				<xsl:variable name="filter_init_">
					<xsl:call-template name="browse:init-filter">
						<xsl:with-param name="browse">
							<ui:browse-setup id="group-selector-one" 
								url="/sysdir/securman/groups/select-one-popup?id-attr={$id-attr}&amp;control-id={$control-id}" 
								item-url="#" item-onclick-jsfunc="selectGroup"
								items-title="{sw:text('Groups')}">
							</ui:browse-setup>
							
							<ui:cols sorting-col="name">
								<ui:column id="id" nav-type="id" for-url="yes" hidden="yes"
			        		for-onclick="yes"
			        	/>
			        	<ui:column id="name" title="{sw:text('Name')}" filter="auto"
			        		show-url="yes" nav-type="title"
			        	>
								</ui:column>			        	
			        	<ui:column id="description" title="{sw:text('Description')}" filter="auto"/>
			        	<!--<ui:column id="enabled" data-type="bool" title="{sw:text('Enabled')}" filter="auto"/>-->
			        </ui:cols>										      
						</xsl:with-param>
					</xsl:call-template>
		    </xsl:variable>
		    
		    <xsl:variable name="browse_result" select="authm:get-groups()/authm"/>
		    
		    <xsl:variable name="filter">
		    	<xsl:call-template name="browse:fill-filter">
						<xsl:with-param name="filter" select="exsl:node-set($filter_init_)"/>
						<xsl:with-param name="rows">					
			        <ui:browse-rows>
			        	<xsl:for-each select="$browse_result/group">
			        		<xsl:variable name="group" select="dirm:attrs2nodes(data)"/>
			            <ui:row>
			            	<name><xsl:value-of select="$group/cn"/></name>
			              <id>
											<xsl:value-of select="$group/*[name()=$id-attr]"/>
										</id>
										<description>
											<xsl:value-of select="$group/description"/>
										</description>
										<!--<enabled><xsl:value-of select="sw:if(disabled='1',0,1)"/></enabled>-->
			            </ui:row>
			          </xsl:for-each> 
		        	</ui:browse-rows>
		        </xsl:with-param>    
					</xsl:call-template>
		    </xsl:variable>
		    
		
				<ui:block width="full">
		
		      <ui:browse>
		      	<xsl:attribute name="title"><sw:text>Groups</sw:text></xsl:attribute>    
		        
		        <ui:filter>
		        	<xsl:copy-of select="$filter"/>
		        </ui:filter>
		
		        <ui:browse-empty-msg>
		          <sw:text>No group could be found.</sw:text>
		        </ui:browse-empty-msg>        
		
		      </ui:browse>
		     
	
		  	</ui:block>
	    </ui:content>          

    </ui:popup-screen>

  </xsl:template>  

	<sw:include href="/lib/screen.xsl"/>

	<sw:include href="/lib/core/browse-filter-raw.xsl"/>
	<sw:include href="/lib/vza/hwm.xsl"/>
	<sw:include href="/lib/vzaconfig.xsl"/>
	<sw:include href="/lib/vocabulary.xsl"/>
	  
</xsl:stylesheet>
