<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	extension-element-prefixes="sw exsl browse cred authm perms" xmlns:exsl="http://exslt.org/common"
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse" xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui" xmlns:authm="http://www.swsoft.com/xsl/cp/authm"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred" xmlns:users="http://www.swsoft.com/xsl/cp/users"
	xmlns:perms="http://www.swsoft.com/xsl/cp/perms"
	xmlns:securitym="http://www.swsoft.com/xsl/cp/securitym">

	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/swa/authm.xsl"/>
	<sw:include href="/lib/swa/securitym.xsl"/>
	<sw:include href="/lib/sysdir/securman/perms-ui.xsl"/>

	<xsl:param name="access-denied" select="not(cred:check('vzcp.virtuozzo_group.security.roles'))"/>

	<xsl:template mode="screen" match="/">
		<ui:screen id="24.00.00.00.03">

			<ui:properties>
				<ui:form-get/>
				<ui:description width="full">
					<sw:text>
						On this screen you can view a list of permissions, create a new permission, or delete an existing one. A permission is a role assigned to some user (group) and defining the set of operations this user (group) is allowed to perform globally in Parallels Infrastructure Manager. If you wish to assign a role to a user or group for a particular Hardware Node or Container only, or for a group of these objects in a left-menu folder, please go to the Security tab of the corresponding Hardware Node/Container/folder.
					</sw:text>
				</ui:description>
			</ui:properties>

			<ui:toolbar id="global.add.permission"/>
			<ui:tab-bar id="security" current-tab="global"/>
			<ui:content>
				<xsl:call-template name="perms:show-obj-perms">
					<xsl:with-param name="screen-url" select="'/sysdir/securman/perms/global'"/>
					<xsl:with-param name="action-url" select="'global'"/>
					<xsl:with-param name="item-url" select="/.."/>
					<xsl:with-param name="obj-id" select="'vzcp'"/>
					<xsl:with-param name="obj-type" select="'vzcp'"/>
				</xsl:call-template>
			</ui:content>
		</ui:screen>
	</xsl:template>

	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/vocabulary.xsl"/>

</xsl:stylesheet>
