<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred local show voc env units roles"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:error="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
	xmlns:browse="http://www.swsoft.com/xsl/cp/browse"   
	xmlns:show	="http://www.swsoft.com/xsl/cp/show"   
	xmlns:voc		="http://www.swsoft.com/xsl/cp/voc"   		
	xmlns:env	="http://www.swsoft.com/xsl/cp/env"   	
	xmlns:units ="http://www.swsoft.com/xsl/cp/units"
	xmlns:roles	="http://www.swsoft.com/xsl/cp/roles"
 >
 
 	<!-- Import required modules -->
 	<sw:include href="/lib/vt/env-core.xsl"/>
 	<sw:include href="/lib/vt/env-select.xsl"/>
 	<sw:include href="/lib/farmdir/unitman/add/vz.xsl"/>
 	<sw:include href="/lib/sysdir/securman/roles.xsl"/>	
 	<!-- /Import required modules -->

  <xsl:param name="wiz_code" select="'securman-user-perms-add'"/>
  
	<xsl:variable name="step_data"			select="wiz:getStep()"/>
	<xsl:variable name="step"						select="$step_data/@id"/>
	<xsl:variable name="screen-id"			select="$step_data/@screen-id"/>
  <xsl:variable name="form" 					select="sw:sesget($wiz_data)"/>

 
	<!-- Step "Start" -->
  <xsl:template name="step_start">
  
  	<ui:screen id="{$screen-id}">
  	
	    <ui:properties>
	      <ui:form-get/>
	      <ui:refresh-type>none</ui:refresh-type>    
	    </ui:properties>
	    
	    <ui:content>
	      <ui:hidden name="step" value="start"/>    
	      <ui:block mode="edit">
					
					<ui:rows title="{sw:text('Assign Roles')}">
						<xsl:variable name="roles" select="roles:list()"/>
						<xsl:if test="not($roles/obj)">
							<ui:row>
								<ui:cell colspan="2">
									<sw:text>No roles have been configured in Parallels Infrastructure Manager yet.</sw:text>
								</ui:cell>
							</ui:row>
						</xsl:if>
						<xsl:if test="$roles/obj">
							<ui:row>
								<ui:cell-list-selector id="roles" size="12" colspan="2">
									<xsl:for-each select="$roles/obj">
										<xsl:sort select="title"/>
										<xsl:variable name="id" select="roleId"/>
										<ui:item value="{$id}" selected="{sw:if($form/roles/id=$id,true(),false())}">
											<xsl:value-of select="title"/>
											<xsl:if test="isEnabled!='TRUE'">
												(<sw:text>Disabled</sw:text>)
											</xsl:if>
										</ui:item>
									</xsl:for-each>
								</ui:cell-list-selector>
							</ui:row>					
						</xsl:if>
					</ui:rows>
					
					<ui:rows id="show_envs" status-def="0" status="{$form/envs/show}" closed-text="{sw:text('Click to set up access to Containers.')}">
	      		<xsl:attribute name="title">
							<sw:text>Access to Virtuozzo Containers</sw:text>
						</xsl:attribute>  
						<xsl:call-template name="env:multi-selector">
							<xsl:with-param name="eids" select="$form/envs/eid"/>
							<xsl:with-param name="size" select="5"/>
							<xsl:with-param name="control-id" select="'envs'"/>
						</xsl:call-template>
					</ui:rows>
					
					<ui:rows id="show_vzhns" status-def="0" status="{$form/vzhns/show}" closed-text="{sw:text('Click to set up access to Hardware Nodes.')}">
	      		<xsl:attribute name="title">
							<sw:text>Access to Virtuozzo Hardware Nodes</sw:text>
						</xsl:attribute>  
						<xsl:call-template name="local:post-chosen-vzhns">						
							<xsl:with-param name="size" select="5"/>
							<xsl:with-param name="control-id" select="'vzhns'"/>
						</xsl:call-template>
					</ui:rows>
	      
	        <ui:buttons>
	        	<xsl:call-template name="wiz:showButtons">
	        		<xsl:with-param name="submit-title" select="sw:text('Save')"/>
	        		<xsl:with-param name="submit-sandclock" select="false()"/>	        		
							<xsl:with-param name="next-title" select="sw:text('Next')"/>	        		
	        	</xsl:call-template>
	        </ui:buttons>
	        
	     	</ui:block>
	    </ui:content>   
    </ui:screen>
  </xsl:template> 
  
	<!-- main document handler -->
	<xsl:template mode="screen" match="/">
			<xsl:choose>
				<xsl:when test="$step = 'start'">
					<xsl:call-template name="step_start"/>
				</xsl:when>			
				<xsl:otherwise>
					<xsl:call-template name="step_start"/>
				</xsl:otherwise>
			</xsl:choose>
	</xsl:template>			
	
	<!-- UI modules -->
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/wizard.xsl"/>
	
	<!-- System modules -->
	<sw:include href="/lib/common.xsl"/>			

		
</xsl:stylesheet>
