<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:func="http://exslt.org/functions"
	xmlns:wiz="http://www.swsoft.com/xsl/cp/wiz"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:cred="http://www.swsoft.com/xsl/cp/cred"
	xmlns:security="http://www.swsoft.com/xsl/cp/security"
>

	<sw:include href="/lib/cred.xsl"/>
	<sw:include href="/lib/core/security/core-ui.xsl"/>

	<xsl:param name="wiz_code" select="'sm-realm-manage'"/>

	<xsl:variable name="step_data" select="wiz:getStep()"/>
	<xsl:variable name="step" select="$step_data/@id"/>
	<xsl:variable name="form" select="sw:sesget($wiz_data)"/>

	<xsl:param name="access-denied"
		select="not(cred:check('vzcp.virtuozzo_group.security.realms'))"/>
		
	<xsl:template name="step_gen">
		<xsl:variable name="realm" select="$form/gen/realm"/>

		<ui:screen id="03.01.01.05.03">
			<ui:properties>
				<ui:refresh-type>none</ui:refresh-type>
				<ui:description mandatory="yes">
					<sw:text>
					On this screen you can edit the current settings of the authentication database.
					</sw:text>
				</ui:description>
			</ui:properties>

			<ui:content>
				<ui:hidden name="step" value="gen"/>
				<ui:block mode="edit">
					<xsl:call-template name="security:realm-edit-form">
						<xsl:with-param name="realm" select="$form/gen/realm"/>
					</xsl:call-template>
					<ui:buttons>
						<xsl:call-template name="wiz:showButtons"/>
					</ui:buttons>
				</ui:block>
			</ui:content>
		</ui:screen>
	</xsl:template>
	
	<xsl:template mode="screen" match="/">
		<xsl:choose>
			<xsl:when test="$step = 'gen'">
				<xsl:call-template name="step_gen"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="step_gen"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/wizard.xsl"/>

</xsl:stylesheet>
