<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl set cred env units backups licensem"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:sw="http://www.swsoft.com/xsl/cp"
	xmlns:str="http://exslt.org/strings"
	xmlns:set="http://exslt.org/sets"
	xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
	xmlns:backups="http://www.swsoft.com/xsl/cp/backups" 
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:env  ="http://www.swsoft.com/xsl/cp/env"
	 xmlns:units ="http://www.swsoft.com/xsl/cp/units"
	xmlns:licensem="http://www.swsoft.com/xsl/cp/licensem" 
>
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/core/units-core.xsl"/>
	<sw:include href="/lib/vt/backups-list.xsl"/>

	<!-- show backups listing -->
	<xsl:template mode="screen" match="/">
  
		<!-- Init data -->	
		<xsl:variable name="parent-dn" select="units:current-dn()"/>		
		<!-- /Init Data -->
   
		<ui:screen id="23.00.00.00.00">
			<ui:properties>
	    	<ui:form-get/>			
				<ui:contains-date-control/>
			</ui:properties>
			
			<xsl:call-template name="units:define-unit-toolbars"/>

			<ui:tab-bar id="unit" current-tab="backups"/>
			<ui:content>
				<ui:block width="full">		
					<!-- show backups listing -->
					<xsl:call-template name="backups:browse">
						<xsl:with-param name="browse-url" select="'/vt/backups/index'"/>
						<xsl:with-param name="filter-dn" select="$parent-dn"/>
					</xsl:call-template>
				</ui:block>
			</ui:content>
		</ui:screen>

	</xsl:template>

  <sw:include href="/lib/screen.xsl"/>
  <sw:include href="/lib/vocabulary.xsl"/>

</xsl:stylesheet>
