<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred units env"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"  
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"   
  xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
  xmlns:units ="http://www.swsoft.com/xsl/cp/units"
  xmlns:env="http://www.swsoft.com/xsl/cp/env" 
>	
	<sw:include href="/lib/vt/env-core.xsl"/>
	<sw:include href="/lib/vt/env-list.xsl"/>
	<sw:include href="/lib/core/units-core.xsl"/>

	<xsl:template mode="screen" match="/">	
	
		<!-- Init data -->	
		<xsl:variable name="parent-dn" select="units:current-dn()"/>		
		<xsl:variable name="tree-logical" select="units:is-tree-logical($parent-dn)"/>			
	  <!-- /Init Data -->

		<ui:screen id="10.00.00.01.07">

	    <ui:properties>
			<ui:include-js>right_click.js</ui:include-js>
	      <ui:form-get/>
	    </ui:properties>
	      
			<xsl:call-template name="units:define-unit-toolbars"/>
		
			<ui:tab-bar id="unit" current-tab="ves"/>
    	<ui:content>    	    	    
    		<ui:block width="full">					
    			<xsl:call-template name="env:browse">
    				<xsl:with-param name="browse-url" select="'/vt/envs/index'"/>
    				<xsl:with-param name="filter-dn" select="$parent-dn"/>
						<xsl:with-param name="first-buttons">
							<ui:browse-buttons>
								<ui:button type="list-selection" tip="new_env" icon="env_new" require-items="false"
									new-obj-title="{sw:text('Container')}"
									submit-href="{$baseurl}/vt/envs/new"
								>
									<sw:text>New Container</sw:text>
								</ui:button>	
								<xsl:if test="$tree-logical">
				  				<ui:button tip="unit_remove_envs" icon="delete"
				  					submit-href="/vz/cp/vt/envs/remove"
					  				script="if (!atLeastOne()) return false;"	
				  				>
				  					<sw:text>Remove</sw:text>
				  				</ui:button>
						  	</xsl:if>	
					  	</ui:browse-buttons>
    				</xsl:with-param>
    			</xsl:call-template>
      	</ui:block>
    	</ui:content>          
		</ui:screen>
	
  </xsl:template>  

	<sw:include href="/lib/screen.xsl"/>

	<sw:include href="/lib/vocabulary.xsl"/>
	  
</xsl:stylesheet>
