<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->
<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl env"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"   
  xmlns:env="http://www.swsoft.com/xsl/cp/env"   
>

	<sw:include href="/lib/vt/env-core.xsl"/>		  

  <xsl:template mode="screen" match="/">
		<xsl:choose>
			<xsl:when test="sw:param('destroy')">

				<ui:screen id="10.00.00.01.12">
					<ui:properties>
						<ui:width value="fixed"/>
						<ui:refresh-type>none</ui:refresh-type>
						<ui:description  mandatory="yes">
						   <sw:text>
                This is the last possibility to cancel the Container(s) deleting. Confirm if you really want to delete them. All private data in the deleted Container(s) will be lost.
               </sw:text>
						</ui:description>
						<ui:form action="list-control"/>
					</ui:properties>

					<xsl:variable name="good-ve" select="/packet/env[not(status/transition) and not(status/state=$env-state/repairing)]"/>
					<xsl:variable name="bad-ve" select="/packet/env[status/transition or status/state=$env-state/repairing]"/>

					<ui:content>
						<ui:block mode="edit">
							<ui:rows title="{sw:text('Delete Container')}" separate-tables="true">
								<xsl:if test="$bad-ve">
									<ui:row>
										<ui:cell>
											<img src="/{$theme}/icons/alert_red.gif" width="16" height="16" border="0"/>&#160;
											<sw:text>
												The following Container(s) are currently being processed and cannot be deleted:
											</sw:text>										
											<ul>
											<xsl:for-each select="$bad-ve">												
												<li>													
													<xsl:value-of select="env:env2title(.)"/>
												</li>												
											</xsl:for-each>
											</ul>
										</ui:cell>								
									</ui:row>
								 </xsl:if>
													
								<xsl:if test="$good-ve">							
									<ui:row>
										<ui:cell>											
											<sw:text>The Container(s) to be deleted:</sw:text>										
											<ul>
											<xsl:for-each select="$good-ve">												
												<li><xsl:value-of select="env:env2title(.)"/></li>
												<input type="hidden" name="id" value="{eid}"/>
											</xsl:for-each>
											</ul>
										</ui:cell>								
									</ui:row>
									
									<ui:row>
										<ui:cell-check id="confirm"/>
										<ui:cell align="left" cell-width="100%">
											<sw:text>Yes, I want to delete the Container(s).</sw:text>																				
										</ui:cell>
									</ui:row>
								
								</xsl:if>																								
								<xsl:if test="not($good-ve) and not($bad-ve)">	
								
								</xsl:if>												
							</ui:rows>
						
							<ui:buttons>
								<xsl:if test="$good-ve">
									<ui:button type="ok" tip="destroy_ve" name="stop_destroy_ve" 
										script="if(!document.defaultForm.confirm.checked) alert('{sw:html-escape(sw:text('You must confirm the deletion'),'escape-quote')}'); return document.defaultForm.confirm.checked;"
										sandclock="true"><sw:text>Delete</sw:text></ui:button>
								</xsl:if>
								<ui:button type="cancel"
									sandclock="false" tip="wizard_cancel">
									<sw:text>Cancel</sw:text>
								</ui:button>
							</ui:buttons>							
						</ui:block>
					</ui:content>
		 
				</ui:screen>
				
			</xsl:when>
			<xsl:otherwise>
				<ui:redirect path="last"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<sw:include href="/lib/screen.xsl"/>
	
</xsl:stylesheet>
