<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl browse cred"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:browse="http://www.swsoft.com/xsl/cp/browse" 
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"   
  xmlns:env="http://www.swsoft.com/xsl/cp/env" 
  xmlns:hwm="http://www.swsoft.com/xsl/cp/hwm"
  xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
>
	<sw:include href="/lib/vt/env-list.xsl"/>
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/core/browse-filter-vza.xsl"/>
	<sw:include href="/lib/vocabulary.xsl"/>
	


  <!-- check permissions to show this page -->
	<xsl:template mode="screen" match="/">
	
		<xsl:variable name="parent-id" select="sw:param('parent-id')"/>
		
    <ui:popup-screen id="11.00.00.02.01" title="{sw:text('Container Selector')}" icon="env">
	
	    <ui:properties>
	    	<ui:js-tail>
					<script language="JavaScript">
						function selectVE(eid,title){								
							parent.opener.document.defaultForm.<xsl:value-of select="$parent-id"/>.value=eid; 
							parent.opener.document.defaultForm.<xsl:value-of select="$parent-id"/>_title.value=title; 
							window.close();
						}				
					</script>
	    	</ui:js-tail>
	    </ui:properties>

	    <ui:content>
	    
				<!-- Prepare Filter -->
				<xsl:variable name="filter-init-rtf">
					<xsl:call-template name="browse:init-filter">
						<xsl:with-param name="browse">
							<ui:browse-setup id="ve-selector-one" 
								url="/vt/envs/select-one-popup?parent-id={$parent-id}" 
								item-url="#" item-onclick-jsfunc="selectVE"
								items-title="{sw:text('Containers')}">
							</ui:browse-setup>
			        <ui:cols sorting-col="title">
			         	<xsl:call-template name="env:get-browse-cols">
			         		<xsl:with-param name="compact-mode" select="true()"/>			         	
			         		<xsl:with-param name="ext-cols">
				         		<ui:column id="id" vza-id="env.eid" nav-type="id" hidden="yes" for-onclick="yes"/>
			        		</xsl:with-param>			         		
			        		<xsl:with-param name="show-url" select="true()"/>
			         	</xsl:call-template>
			        </ui:cols>
						</xsl:with-param>
					</xsl:call-template>
		    </xsl:variable>
		    
		    <xsl:variable name="filter-rtf">
		    	<xsl:call-template name="env:fill-filter">
						<xsl:with-param name="filter-rtf" select="$filter-init-rtf"/>
					</xsl:call-template>
		    </xsl:variable>
		
				<ui:block width="full">
		
		      <ui:browse>
		      	<xsl:attribute name="title"><sw:text>Containers</sw:text></xsl:attribute>    
		        
		        <ui:filter>
		        	<xsl:copy-of select="$filter-rtf"/>
		        </ui:filter>
		
		        <ui:browse-empty-msg>
		          <sw:text>No Container could be found.</sw:text>
		        </ui:browse-empty-msg>        
		
		      </ui:browse>
		     
	
		  	</ui:block>
	    </ui:content>          

    </ui:popup-screen>

  </xsl:template>  

</xsl:stylesheet>
