<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl cred units hn"
  xmlns:xsl		="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl	="http://exslt.org/common"
  xmlns:sw		="http://www.swsoft.com/xsl/cp"  
  xmlns:ui		="http://www.swsoft.com/xsl/cp/ui"   
	xmlns:licensem="http://www.swsoft.com/xsl/cp/licensem"  
  xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
  xmlns:units ="http://www.swsoft.com/xsl/cp/units"
  xmlns:hn		="http://www.swsoft.com/xsl/cp/hn" 
>	
	<sw:include href="/lib/swa/licensem.xsl"/>
	<sw:include href="/lib/vt/hn-core.xsl"/>
	<sw:include href="/lib/vt/hn-list.xsl"/>
	<sw:include href="/lib/core/units-core.xsl"/>		   	

	<xsl:template mode="screen" match="/">	
	
		<!-- Init data -->	
		<xsl:variable name="parent-dn" select="units:current-dn()"/>		
		<xsl:variable name="tree-logical" select="units:is-tree-logical($parent-dn)"/>			
	  <!-- /Init Data -->

		<ui:screen id="10.00.00.01.08">
			<ui:properties>
				<ui:include-js>right_click.js</ui:include-js>
				<ui:form-get/>
			</ui:properties>
			
			<xsl:call-template name="units:define-unit-toolbars"/>
			
			<ui:tab-bar id="unit" current-tab="hns"/>
    	<ui:content>    	    	    
    		<ui:block width="full">					
    			<xsl:call-template name="hn:browse">
    				<xsl:with-param name="browse-url" select="'/vt/hns/index'"/>
    				<xsl:with-param name="filter-dn" select="$parent-dn"/>
    				<xsl:with-param name="first-buttons">
  						<ui:browse-buttons>    					
								<ui:button type="list-selection" tip="register_hw" icon="hw_node_new" require-items="false"
									new-obj-title="{sw:text('Hardware Node')}" cred="vzcp.virtuozzo_group.manage"
									submit-href="{$baseurl}/vt/hns/new?branch=hn-home,unit"
								>
									<sw:text>New Hardware Node</sw:text>
								</ui:button>
								<xsl:if test="not($tree-logical)">
									<ui:button tip="unit_move_hns" icon="move"
										submit-href="/vz/cp/vt/hns/move"
										script="if (!atLeastOne()) return false;"
									>
										<sw:text>Move</sw:text>
									</ui:button>			  			
								</xsl:if>
								<xsl:if test="$tree-logical">
									<ui:button tip="unit_remove_hns" icon="delete"
										submit-href="/vz/cp/vt/hns/remove"
										script="if (!atLeastOne()) return false;"
									>
										<sw:text>Remove</sw:text>
									</ui:button>			  			
								</xsl:if>
							</ui:browse-buttons>								
    				</xsl:with-param>
    			</xsl:call-template>
      	</ui:block>
    	</ui:content>          
		</ui:screen>
	
  </xsl:template>  

	<sw:include href="/lib/screen.xsl"/>

	<sw:include href="/lib/vocabulary.xsl"/>
	  
</xsl:stylesheet>
