<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
-->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl func wiz cred local units"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:error="http://www.swsoft.com/xsl/cp/error"
  xmlns:wiz="http://www.swsoft.com/xsl/cp/wiz"
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"
  xmlns:func="http://exslt.org/functions"
	xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
	xmlns:local	="http://www.swsoft.com/xsl/cp/local"
	xmlns:units ="http://www.swsoft.com/xsl/cp/units"
>
	<sw:include href="/lib/core/units-core.xsl"/>		  

  <xsl:param 		name="wiz_code" select="'envs-move'"/>  
	<xsl:variable name="step_data"	select="wiz:getStep()"/>
	<xsl:variable name="step"				select="$step_data/@id"/>
	<xsl:variable name="screen-id"		select="$step_data/@screen-id"/>

  <xsl:variable name="form" select="sw:sesget($wiz_data)"/>
    
   <!-- Wizard, Step 'Move' -->
  <xsl:template name="step_move">
  	<ui:screen id="{$screen-id}">
  	
  	<xsl:variable name="units" select="units:list($form/top-dn,$def-scope-tree)"/>
  	 
    <ui:properties>
      <ui:refresh-type>none</ui:refresh-type>
      
      <ui:description mandatory="yes">      	
        <sw:text>          
          On this screen you can select the HN(s) to be moved to another folder.
        </sw:text>
      </ui:description>              
      <ui:form-get/>
    </ui:properties>
    
    <ui:content>
      <ui:hidden name="step" value="move"/>    
      <ui:block mode="edit">      				
      
				<ui:rows title="{sw:text('Destination Folder')}">
					<ui:row>
	 					<ui:cell-label>
	        		<sw:text>Move HN(s) to</sw:text>
	        	</ui:cell-label>	        		        	
						<ui:cell-list id="dst_dn" value="{$form/dst-dn}" required="true">
							<ui:list-item id="" title="{sw:text('-- Select Folder --')}"/>
							<xsl:call-template name="local:post-units">
								<xsl:with-param name="units" select="$units/unit"/>
								<xsl:with-param name="prefix" select="''"/>
							</xsl:call-template>
						</ui:cell-list>
					</ui:row>
				</ui:rows>
									      
        <ui:buttons>
          <xsl:call-template name="wiz:showButtons"/>
        </ui:buttons>
     </ui:block>
    </ui:content>   
    </ui:screen>
  </xsl:template> 
  
  <xsl:template name="local:post-units">
		<xsl:param name="units"/>
		<xsl:param name="prefix"/>
		
		<xsl:for-each select="$units">
			<ui:list-item id="{name}" title="{$prefix}{units:dn2title(name)}"/>
			<xsl:call-template name="local:post-units">
				<xsl:with-param name="units" select="unit"/>
				<xsl:with-param name="prefix" select="concat($prefix,'&#160;&#160;')"/>
			</xsl:call-template>
		</xsl:for-each>
		
		
	</xsl:template>
  
	<!-- main document handler -->
	<xsl:template mode="screen" match="/">
		
		<xsl:choose>
			<xsl:when test="$step = 'move'">
				<xsl:call-template name="step_move"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="step_move"/>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>
	
	<sw:include href="/lib/screen.xsl"/>
	<sw:include href="/lib/wizard.xsl"/>

	<sw:include href="/lib/vocabulary.xsl"/>			
	
</xsl:stylesheet>
