<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->

<xsl:stylesheet version="1.0" extension-element-prefixes="sw exsl browse cred hn"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:exsl="http://exslt.org/common"
  xmlns:sw="http://www.swsoft.com/xsl/cp"
  xmlns:browse="http://www.swsoft.com/xsl/cp/browse" 
  xmlns:ui="http://www.swsoft.com/xsl/cp/ui"   
  xmlns:vt="http://www.swsoft.com/xsl/cp/vt"  
  xmlns:hn="http://www.swsoft.com/xsl/cp/hn" 
  xmlns:hwm="http://www.swsoft.com/xsl/cp/hwm"
  xmlns:cred  ="http://www.swsoft.com/xsl/cp/cred"
>
	<sw:include href="/lib/vt/core.xsl"/>
	<sw:include href="/lib/vt/hn-core.xsl"/>
	<sw:include href="/lib/vt/hn-list.xsl"/>
	
	<xsl:variable name="id" select="sw:param('id')"/>
	<xsl:variable name="platform" select="string( sw:param('platform') )"/>	

  <!-- check permissions to show this page -->
	<xsl:template mode="screen" match="/">
	
		<!-- Prepare Filter -->
		<xsl:variable name="filter_init_">
			<xsl:call-template name="browse:init-filter">
				<xsl:with-param name="browse">
					<ui:browse-setup id="select_hn" 
						url="/vt/hns/select-one-popup?id={$id}&amp;platform={$platform}" 
						item-url="#" item-onclick-jsfunc="selectHN"
						items-title="{sw:text('Hardware Nodes')}">
					</ui:browse-setup>
	        <ui:cols sorting-col="id" sorting-direction="desc">
	        	<xsl:variable name="cols-src-rtf">
							<xsl:call-template name="hn:get-browse-cols">
								<xsl:with-param name="id-cols">	         			
									<ui:column id="id" hidden="yes" vza-id="env.eid" nav-type="id"
										for-onclick="yes"
									>
									</ui:column>		         
								</xsl:with-param>
								<xsl:with-param name="show-url" select="true()"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:variable name="cols-src" select="exsl:node-set($cols-src-rtf)"/>
						<!-- post columns -->
						<xsl:for-each select="$cols-src/*">
							<xsl:choose>
								<!-- tune platform column -->
								<xsl:when test="@id='platform-os'">							
									<xsl:for-each select="$cols-src/*[@id='platform-os']">
										<xsl:choose>
											<xsl:when test="$platform=''">
												<xsl:copy-of select="."/>
											</xsl:when>
											<xsl:otherwise>		
												<ui:column hidden="yes" filter="equal" value="{vt:platform2vza($platform)}" filter-group="''">
													<xsl:copy-of select="@*[not(self::filter or self::hidden or self::value or self::filter-group)]"/>
													<xsl:copy-of select="*"/>
												</ui:column>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:when>
								<!-- /tune platform column -->				
								<xsl:otherwise>		
									<xsl:copy-of select="."/>
								</xsl:otherwise>		
							</xsl:choose>
						</xsl:for-each>
						<!-- /post columns -->						
	        </ui:cols>
				</xsl:with-param>
			</xsl:call-template>
    </xsl:variable>
    
    <xsl:variable name="filter-res-rtf">
    	<xsl:call-template name="browse:fill-from-vza">
				<xsl:with-param name="filter" select="exsl:node-set($filter_init_)"/>
			</xsl:call-template>
    </xsl:variable>
    <xsl:variable name="filter-res" select="exsl:node-set($filter-res-rtf)"/>
	
    <ui:popup-screen id="11.01.00.00.01" title="{sw:text('Hardware Node(s) Selector')}" icon="hw_node">
	
	    <ui:properties>
	    	<ui:js-tail>
					<script language="JavaScript">
						function selectHN(eid,title){								
							parent.opener.document.defaultForm.<xsl:value-of select="$id"/>.value=eid; 
							parent.opener.document.defaultForm.<xsl:value-of select="$id"/>_title.value=title; 
							window.close();
						}				
					</script>
	    	</ui:js-tail>
	    </ui:properties>

	    <ui:content>
	    
				<ui:block width="full">
		
		      <ui:browse>
		      	<xsl:attribute name="title"><sw:text>Hardware Nodes</sw:text></xsl:attribute>    
		        
		        <ui:filter>
		        	<xsl:copy-of select="$filter-res-rtf"/>
		        </ui:filter>
		
		        <ui:browse-empty-msg>
		          <sw:text>No Hardware Node could be found.</sw:text>
		        </ui:browse-empty-msg>        
		
		      </ui:browse>		      		  
	
		  	</ui:block>
	    </ui:content>          

    </ui:popup-screen>

  </xsl:template>  

	<sw:include href="/lib/screen.xsl"/>

	<sw:include href="/lib/core/browse-filter-vza.xsl"/>
	<sw:include href="/lib/vocabulary.xsl"/>
	  
</xsl:stylesheet>
