<!--
  Copyright (c) SWsoft, 1999-2007
  All rights reserved.
  -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="vzadministrators-objectSid" select="/.."/>
	
	<xsl:output method="text" />
	<xsl:template match="/">
		<xsl:for-each select="/roles/role">
		  <xsl:variable name="roleId" select="string(roleId)" /> 
<xsl:text/>dn: roleId=<xsl:value-of select="roleId" />,cn=Roles,cn=Security,cn=vzcp,<xsl:value-of select="$global:vzl-dn"/>
changetype: delete

dn: roleId=<xsl:value-of select="roleId" />,cn=Roles,cn=Security,cn=vzcp,<xsl:value-of select="$global:vzl-dn"/>
changetype: add
roleId: <xsl:value-of select="roleId" />
title: <xsl:value-of select="title" />
objectclass: VZCPRole
<xsl:if test="creds">creds: <xsl:value-of select="creds" />&#10;</xsl:if>
isEnabled: TRUE
isDefault: TRUE
description: <xsl:value-of select="description" />
<xsl:text>&#10;&#10;</xsl:text>
<xsl:if test="default_role_type">
<xsl:text/>dn: cn=<xsl:value-of select="default_role_type" />,cn=DefaultRoles,cn=Security,cn=vzcp,<xsl:value-of select="$global:vzl-dn"/>
changetype: delete

dn: cn=<xsl:value-of select="default_role_type" />,cn=DefaultRoles,cn=Security,cn=vzcp,<xsl:value-of select="$global:vzl-dn"/>
changetype: add
objectclass: VZCPDefaultRole
cn: <xsl:value-of select="default_role_type" />
roleId: <xsl:value-of select="roleId" />
<xsl:text>&#10;&#10;</xsl:text>
</xsl:if>
		</xsl:for-each>

dn: permissionId=000000000000000000001,cn=Permissions,cn=Security,cn=vzcp,<xsl:value-of select="$global:vzl-dn"/>
changetype: delete

dn: permissionId=000000000000000000001,cn=Permissions,cn=Security,cn=vzcp,<xsl:value-of select="$global:vzl-dn"/>
changetype: add
objectClass: VZCPPermission
permissionId: 000000000000000000001
roleId: 000000000000000000001
ownerSid:: <xsl:value-of select="$vzadministrators-objectSid"/>
<xsl:text>&#10;&#10;</xsl:text>
	</xsl:template>
</xsl:stylesheet>
